;******************************************************************************
;* TMS320C6x C/C++ Codegen                                  Unix v7.4.0A12012 *
;* Date/Time created: Mon Aug  6 14:11:18 2012                                *
;******************************************************************************
	.compiler_opts --abi=eabi --c64p_l1d_workaround=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6600 --symdebug:dwarf_version=3 --symdebug:skeletal 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C66xx                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug for Program Analysis w/Optimization      *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("back_substitute.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C6x C/C++ Codegen Unix v7.4.0A12012 Copyright (c) 1996-2012 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("/home/noname/dist-ti-0.0.3/src/dma-linpack")
;	/opt/ti/C6000CGT7.4.0A12012//bin/opt6x /tmp/22348mVZuF7 /tmp/223484XsuG2 
	.sect	".text"
	.clink
	.global	back_substitute

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("back_substitute")
	.dwattr $C$DW$1, DW_AT_low_pc(back_substitute)
	.dwattr $C$DW$1, DW_AT_high_pc(0x00)
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("back_substitute")
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_TI_begin_file("back_substitute.c")
	.dwattr $C$DW$1, DW_AT_TI_begin_line(0x27)
	.dwattr $C$DW$1, DW_AT_TI_begin_column(0x01)
	.dwattr $C$DW$1, DW_AT_decl_file("back_substitute.c")
	.dwattr $C$DW$1, DW_AT_decl_line(0x27)
	.dwattr $C$DW$1, DW_AT_decl_column(0x01)
	.dwattr $C$DW$1, DW_AT_TI_max_frame_size(0x00)
	.dwattr $C$DW$1, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$1, DW_AT_TI_skeletal
	.dwpsn	file "back_substitute.c",line 42,column 1,is_stmt,address back_substitute,isa 0
$C$DW$2	.dwtag  DW_TAG_formal_parameter, DW_AT_name("x")
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("x")
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$2, DW_AT_location[DW_OP_reg4]
$C$DW$3	.dwtag  DW_TAG_formal_parameter, DW_AT_name("m")
	.dwattr $C$DW$3, DW_AT_TI_symbol_name("m")
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$3, DW_AT_location[DW_OP_reg20]
$C$DW$4	.dwtag  DW_TAG_formal_parameter, DW_AT_name("num_equations")
	.dwattr $C$DW$4, DW_AT_TI_symbol_name("num_equations")
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$4, DW_AT_location[DW_OP_reg6]
;----------------------------------------------------------------------
;  39 | back_substitute(double * restrict x,                                   
;  40 | const double * restrict m,                                             
;  41 | size_t num_equations)                                                  
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: back_substitute                                             *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,A6,A7,A8,A9,B4,B5,B6,B7,B8,B9,A16,A17,*
;*                           A18,A31,B16,B17,B18,B19,B20,B21,B22,B31          *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,A7,A8,A9,B3,B4,B5,B6,B7,B8,B9,A16, *
;*                           A17,A18,A31,B16,B17,B18,B19,B20,B21,B22,B31      *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
back_substitute:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  43 | int i,j;                                                               
;  44 | double xcur;                                                           
;  47 | for(i=num_equations-1; i>=0; i--) {                                    
;  48 |   xcur = 0.0;                                                          
;----------------------------------------------------------------------

           CMPLT   .L1     A6,1,A1           ; |47| 
||         EXTU    .S1     A6,4,8,A3
||         SUB     .L2X    A6,1,B5           ; |47| 
||         SUB     .D1     A6,1,A17          ; |47| 
||         MV      .S2     B4,B16            ; |42| 

   [ A1]   B       .S1     $C$L6             ; |47| 
||         MV      .L2X    A4,B20            ; |42| 
||         SUB     .L1     A6,1,A18          ; |47| 
||         MV      .D1     A6,A0             ; |42| 

           ADDAD   .D2     B20,B5,B17
	.dwpsn	file "back_substitute.c",line 49,column 28,is_stmt,isa 0
;----------------------------------------------------------------------
;  49 | for(j=num_equations-1; j>i; j--) xcur += m[index_m(i, j)]*x[j];        
;----------------------------------------------------------------------
   [!A1]   CMPGT   .L1     A18,A17,A1        ; |49| 
           SHL     .S2X    A3,8,B18
	.dwpsn	file "back_substitute.c",line 47,column 7,is_stmt,isa 0
           SUB     .L2X    A6,1,B19          ; |47| 
           AND     .L2X    15,A6,B21
	.dwpsn	file "back_substitute.c",line 47,column 26,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L6}         ; |47| 
;** --------------------------------------------------------------------------*

   [!A1]   B       .S1     $C$L5             ; |49| 
||         MV      .S2X    A17,B22
||         ZERO    .L2     B7:B6             ; |48| 
|| [ A1]   AND     .L1     -16,A17,A3
||         MV      .D1X    B19,A8            ; |49| 

	.dwpsn	file "back_substitute.c",line 47,column 0,is_stmt,isa 0
	.dwpsn	file "back_substitute.c",line 49,column 38,is_stmt,isa 0
           SUB     .L2X    A18,B22,B31       ; |49| Define a twin register
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L1
;** --------------------------------------------------------------------------*
$C$L1:    
	.dwpsn	file "back_substitute.c",line 48,column 5,is_stmt,isa 0
$C$DW$L$back_substitute$3$B:
   [ A1]   MVC     .S2     B31,ILC
           NOP             3
	.dwpsn	file "back_substitute.c",line 49,column 28,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L5}         ; |49| 
$C$DW$L$back_substitute$3$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : back_substitute.c
;*      Loop source line                 : 49
;*      Loop opening brace source line   : 49
;*      Loop closing brace source line   : 49
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 3
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 3
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     3*       1     
;*      .D units                     2        1     
;*      .M units                     0        1     
;*      .X cross paths               0        2     
;*      .T address paths             1        1     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        1     (.L or .S unit)
;*      Addition ops (.LSD)          2        3     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             2        1     
;*      Bound(.L .S .D .LS .LSD)     3*       2     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 3  Schedule found with 7 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP PROLOG
	.dwpsn	file "back_substitute.c",line 49,column 0,is_stmt,isa 0

           SPLOOP  3       ;21               ; (P) 
||         SHL     .S1     A3,7,A31
||         SHL     .S2X    A3,13,B9

;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP KERNEL
	.dwpsn	file "back_substitute.c",line 49,column 38,is_stmt,isa 0
$C$DW$L$back_substitute$5$B:
           EXTU    .S1     A8,4,8,A4         ; |49| (P) <0,0> 

           SPMASK          L1
||         SUB     .L1X    B9,A31,A3
||         SHL     .S1     A4,8,A16          ; |49| (P) <0,1> 

           SPMASK          L1,L2
||         MV      .L1X    B7,A7
||         MV      .L2X    A8,B7
||         SUB     .S1     A8,1,A8           ; |49| (P) <0,2> 
||         ADD     .D1     A16,A3,A16        ; |49| (P) <0,2> 

           SPMASK          S2
||         EXTU    .S2     B22,28,24,B9

           SPMASK          L1
||         MV      .L1X    B6,A6
||         SHL     .S2X    A16,3,B6          ; |49| (P) <0,4> 

           ADDAD   .D2     B6,B9,B5          ; |49| (P) <0,5> 

           SPMASK          D2
||         ADDAD   .D2     B20,B19,B22
||         EXTU    .S2     B7,28,25,B4       ; |49| (P) <0,6> 

           ADD     .L2     B4,B5,B8          ; |49| (P) <0,7> 

           SPMASK          L1
||         MV      .L1X    B22,A9            ; Define a twin register
||         SUB     .L2     B7,1,B7           ; |49| (P) <0,8> Define a twin register
||         ADD     .S2     B16,B8,B4         ; |49| (P) <0,8> 

           LDDW    .D1T1   *A9--,A5:A4       ; |49| (P) <0,9> 
||         LDDW    .D2T2   *B4,B5:B4         ; |49| (P) <0,9> 

           NOP             4
           FMPYDP  .M1X    A5:A4,B5:B4,A5:A4 ; |49| (P) <0,14> 
           NOP             2
           NOP             1

           SPKERNEL 5,1
||         FADDDP  .L1     A5:A4,A7:A6,A7:A6 ; |49| <0,18>  ^ 

$C$DW$L$back_substitute$5$E:
;** --------------------------------------------------------------------------*
$C$L4:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$DW$L$back_substitute$7$B:
           NOP             3
           MV      .L2X    A6,B6
           MV      .L2X    A7,B7
$C$DW$L$back_substitute$7$E:
;** --------------------------------------------------------------------------*
$C$L5:    
	.dwpsn	file "back_substitute.c",line 49,column 28,is_stmt,isa 0
$C$DW$L$back_substitute$8$B:

           SHR     .S1     A17,4,A3          ; |51| 
||         SUB     .L1     A0,1,A0           ; |47| 

           SHL     .S1     A3,4,A3           ; |51| 
|| [!A0]   MVK     .L1     0x1,A1            ; nullify predicate
|| [ A0]   MV      .D1X    B19,A8            ; |49| 

	.dwpsn	file "back_substitute.c",line 51,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  51 | x[i] = m[index_m(i, num_equations)] - xcur;                            
;----------------------------------------------------------------------
           SHL     .S1     A3,7,A4           ; |51| 

           SHL     .S2X    A3,13,B4          ; |51| 
||         EXTU    .S1     A17,28,24,A31     ; |51| 
||         SUB     .L1     A17,1,A17         ; |47| 

           SUB     .L2X    B4,A4,B4          ; |51| 
|| [ A0]   CMPGT   .L1     A18,A17,A1        ; |49| 

           ADD     .L2X    B4,A31,B4         ; |51| 
|| [ A1]   AND     .L1     -16,A17,A3

           ADD     .L2     B18,B4,B4         ; |51| 
           SHL     .S2     B4,3,B4           ; |51| 
           ADDAD   .D2     B4,B21,B4         ; |51| 
           ADD     .L2     B16,B4,B4         ; |51| 
           LDDW    .D2T2   *B4,B5:B4         ; |51| 
   [ A0]   MV      .L2X    A17,B22
	.dwpsn	file "back_substitute.c",line 49,column 38,is_stmt,isa 0
   [ A0]   SUB     .L2X    A18,B22,B31       ; |49| Define a twin register
	.dwpsn	file "back_substitute.c",line 47,column 26,is_stmt,isa 0
   [ A0]   BNOP    .S1     $C$L1,1           ; |47| 
	.dwpsn	file "back_substitute.c",line 51,column 5,is_stmt,isa 0
           FSUBDP  .L2     B5:B4,B7:B6,B5:B4 ; |51| 
	.dwpsn	file "back_substitute.c",line 48,column 5,is_stmt,isa 0
   [ A0]   ZERO    .L2     B7:B6             ; |48| 
	.dwpsn	file "back_substitute.c",line 49,column 28,is_stmt,isa 0
   [!A1]   B       .S1     $C$L5             ; |49| 
	.dwpsn	file "back_substitute.c",line 52,column 0,is_stmt,isa 0
	.dwpsn	file "back_substitute.c",line 51,column 5,is_stmt,isa 0
           STDW    .D2T2   B5:B4,*B17--      ; |51| 
	.dwpsn	file "back_substitute.c",line 47,column 26,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L1}         ; |47| 
$C$DW$L$back_substitute$8$E:
;** --------------------------------------------------------------------------*
$C$L6:    
	.dwpsn	file "back_substitute.c",line 53,column 1,is_stmt,isa 0
$C$DW$5	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$5, DW_AT_low_pc(0x00)
	.dwattr $C$DW$5, DW_AT_TI_return
           RETNOP  .S2     B3,5              ; |53| 
           ; BRANCH OCCURS {B3}              ; |53| 

$C$DW$6	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$6, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/back_substitute.asm:$C$L1:1:1344255079")
	.dwattr $C$DW$6, DW_AT_TI_begin_file("back_substitute.c")
	.dwattr $C$DW$6, DW_AT_TI_begin_line(0x2f)
	.dwattr $C$DW$6, DW_AT_TI_end_line(0x34)
$C$DW$7	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$7, DW_AT_low_pc($C$DW$L$back_substitute$3$B)
	.dwattr $C$DW$7, DW_AT_high_pc($C$DW$L$back_substitute$3$E)
$C$DW$8	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$8, DW_AT_low_pc($C$DW$L$back_substitute$7$B)
	.dwattr $C$DW$8, DW_AT_high_pc($C$DW$L$back_substitute$7$E)
$C$DW$9	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$9, DW_AT_low_pc($C$DW$L$back_substitute$8$B)
	.dwattr $C$DW$9, DW_AT_high_pc($C$DW$L$back_substitute$8$E)

$C$DW$10	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$10, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/back_substitute.asm:$C$L3:2:1344255079")
	.dwattr $C$DW$10, DW_AT_TI_begin_file("back_substitute.c")
	.dwattr $C$DW$10, DW_AT_TI_begin_line(0x31)
	.dwattr $C$DW$10, DW_AT_TI_end_line(0x31)
$C$DW$11	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$11, DW_AT_low_pc($C$DW$L$back_substitute$5$B)
	.dwattr $C$DW$11, DW_AT_high_pc($C$DW$L$back_substitute$5$E)
	.dwendtag $C$DW$10

	.dwendtag $C$DW$6

	.dwattr $C$DW$1, DW_AT_TI_end_file("back_substitute.c")
	.dwattr $C$DW$1, DW_AT_TI_end_line(0x35)
	.dwattr $C$DW$1, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$1


;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(2)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(1)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$26	.dwtag  DW_TAG_typedef, DW_AT_name("int8_t")
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$5)
	.dwattr $C$DW$T$26, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$26, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$26, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$T$26, DW_AT_decl_column(0x1d)
$C$DW$T$27	.dwtag  DW_TAG_typedef, DW_AT_name("int_least8_t")
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$T$27, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$27, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$27, DW_AT_decl_line(0x39)
	.dwattr $C$DW$T$27, DW_AT_decl_column(0x17)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$28	.dwtag  DW_TAG_typedef, DW_AT_name("uint8_t")
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$28, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$28, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$28, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$T$28, DW_AT_decl_column(0x1c)
$C$DW$T$29	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least8_t")
	.dwattr $C$DW$T$29, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$T$29, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$29, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$29, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$T$29, DW_AT_decl_column(0x16)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$30	.dwtag  DW_TAG_typedef, DW_AT_name("int16_t")
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$8)
	.dwattr $C$DW$T$30, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$30, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$30, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$T$30, DW_AT_decl_column(0x1d)
$C$DW$T$31	.dwtag  DW_TAG_typedef, DW_AT_name("int_least16_t")
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$T$31, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$31, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$31, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$31, DW_AT_decl_column(0x17)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$33	.dwtag  DW_TAG_typedef, DW_AT_name("uint16_t")
	.dwattr $C$DW$T$33, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$33, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$33, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$33, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$T$33, DW_AT_decl_column(0x1c)
$C$DW$T$34	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least16_t")
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$T$34, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$34, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$34, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$34, DW_AT_decl_column(0x16)
$C$DW$T$32	.dwtag  DW_TAG_typedef, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$32, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$32, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$32, DW_AT_decl_column(0x1a)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$35	.dwtag  DW_TAG_typedef, DW_AT_name("int32_t")
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$35, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$35, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$T$35, DW_AT_decl_column(0x1d)
$C$DW$T$36	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast16_t")
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$T$36, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$36, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$36, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$T$36, DW_AT_decl_column(0x17)
$C$DW$T$37	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast32_t")
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$T$37, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$37, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$37, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$T$37, DW_AT_decl_column(0x17)
$C$DW$T$38	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast8_t")
	.dwattr $C$DW$T$38, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$T$38, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$38, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$38, DW_AT_decl_line(0x49)
	.dwattr $C$DW$T$38, DW_AT_decl_column(0x17)
$C$DW$T$39	.dwtag  DW_TAG_typedef, DW_AT_name("int_least32_t")
	.dwattr $C$DW$T$39, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$T$39, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$39, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$39, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$T$39, DW_AT_decl_column(0x17)
$C$DW$T$40	.dwtag  DW_TAG_typedef, DW_AT_name("intptr_t")
	.dwattr $C$DW$T$40, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$40, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$40, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$40, DW_AT_decl_line(0x58)
	.dwattr $C$DW$T$40, DW_AT_decl_column(0x1a)
$C$DW$T$41	.dwtag  DW_TAG_typedef, DW_AT_name("ptrdiff_t")
	.dwattr $C$DW$T$41, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$41, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$41, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$41, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$41, DW_AT_decl_column(0x1c)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$24	.dwtag  DW_TAG_typedef, DW_AT_name("size_t")
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$24, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$24, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$24, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$24, DW_AT_decl_column(0x19)
$C$DW$T$43	.dwtag  DW_TAG_typedef, DW_AT_name("uint32_t")
	.dwattr $C$DW$T$43, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$43, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$43, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$43, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$T$43, DW_AT_decl_column(0x1c)
$C$DW$T$44	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast16_t")
	.dwattr $C$DW$T$44, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$T$44, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$44, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$44, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$T$44, DW_AT_decl_column(0x16)
$C$DW$T$45	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast32_t")
	.dwattr $C$DW$T$45, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$T$45, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$45, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$45, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$T$45, DW_AT_decl_column(0x16)
$C$DW$T$46	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast8_t")
	.dwattr $C$DW$T$46, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$T$46, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$46, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$46, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$T$46, DW_AT_decl_column(0x16)
$C$DW$T$47	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least32_t")
	.dwattr $C$DW$T$47, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$T$47, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$47, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$47, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$47, DW_AT_decl_column(0x16)
$C$DW$T$48	.dwtag  DW_TAG_typedef, DW_AT_name("uintptr_t")
	.dwattr $C$DW$T$48, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$48, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$48, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$48, DW_AT_decl_line(0x59)
	.dwattr $C$DW$T$48, DW_AT_decl_column(0x1a)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("__int40_t")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$51	.dwtag  DW_TAG_typedef, DW_AT_name("int40_t")
	.dwattr $C$DW$T$51, DW_AT_type(*$C$DW$T$12)
	.dwattr $C$DW$T$51, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$51, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$51, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$51, DW_AT_decl_column(0x21)
$C$DW$T$52	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast40_t")
	.dwattr $C$DW$T$52, DW_AT_type(*$C$DW$T$51)
	.dwattr $C$DW$T$52, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$52, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$52, DW_AT_decl_line(0x51)
	.dwattr $C$DW$T$52, DW_AT_decl_column(0x17)
$C$DW$T$53	.dwtag  DW_TAG_typedef, DW_AT_name("int_least40_t")
	.dwattr $C$DW$T$53, DW_AT_type(*$C$DW$T$51)
	.dwattr $C$DW$T$53, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$53, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$53, DW_AT_decl_line(0x41)
	.dwattr $C$DW$T$53, DW_AT_decl_column(0x17)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned __int40_t")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$54	.dwtag  DW_TAG_typedef, DW_AT_name("uint40_t")
	.dwattr $C$DW$T$54, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$54, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$54, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$54, DW_AT_decl_line(0x32)
	.dwattr $C$DW$T$54, DW_AT_decl_column(0x20)
$C$DW$T$55	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast40_t")
	.dwattr $C$DW$T$55, DW_AT_type(*$C$DW$T$54)
	.dwattr $C$DW$T$55, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$55, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$55, DW_AT_decl_line(0x52)
	.dwattr $C$DW$T$55, DW_AT_decl_column(0x16)
$C$DW$T$56	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least40_t")
	.dwattr $C$DW$T$56, DW_AT_type(*$C$DW$T$54)
	.dwattr $C$DW$T$56, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$56, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$56, DW_AT_decl_line(0x42)
	.dwattr $C$DW$T$56, DW_AT_decl_column(0x16)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$57	.dwtag  DW_TAG_typedef, DW_AT_name("int64_t")
	.dwattr $C$DW$T$57, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$57, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$57, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$57, DW_AT_decl_line(0x34)
	.dwattr $C$DW$T$57, DW_AT_decl_column(0x21)
$C$DW$T$58	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast64_t")
	.dwattr $C$DW$T$58, DW_AT_type(*$C$DW$T$57)
	.dwattr $C$DW$T$58, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$58, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$58, DW_AT_decl_line(0x54)
	.dwattr $C$DW$T$58, DW_AT_decl_column(0x17)
$C$DW$T$59	.dwtag  DW_TAG_typedef, DW_AT_name("int_least64_t")
	.dwattr $C$DW$T$59, DW_AT_type(*$C$DW$T$57)
	.dwattr $C$DW$T$59, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$59, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$59, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$59, DW_AT_decl_column(0x17)
$C$DW$T$60	.dwtag  DW_TAG_typedef, DW_AT_name("intmax_t")
	.dwattr $C$DW$T$60, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$60, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$60, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$60, DW_AT_decl_line(0x5c)
	.dwattr $C$DW$T$60, DW_AT_decl_column(0x20)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$61	.dwtag  DW_TAG_typedef, DW_AT_name("uint64_t")
	.dwattr $C$DW$T$61, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$61, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$61, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$61, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$61, DW_AT_decl_column(0x20)
$C$DW$T$62	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast64_t")
	.dwattr $C$DW$T$62, DW_AT_type(*$C$DW$T$61)
	.dwattr $C$DW$T$62, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$62, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$62, DW_AT_decl_line(0x55)
	.dwattr $C$DW$T$62, DW_AT_decl_column(0x16)
$C$DW$T$63	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least64_t")
	.dwattr $C$DW$T$63, DW_AT_type(*$C$DW$T$61)
	.dwattr $C$DW$T$63, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$63, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$63, DW_AT_decl_line(0x45)
	.dwattr $C$DW$T$63, DW_AT_decl_column(0x16)
$C$DW$T$64	.dwtag  DW_TAG_typedef, DW_AT_name("uintmax_t")
	.dwattr $C$DW$T$64, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$64, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$64, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$64, DW_AT_decl_line(0x5d)
	.dwattr $C$DW$T$64, DW_AT_decl_column(0x20)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$19	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$19, DW_AT_address_class(0x20)
$C$DW$T$20	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$19)
$C$DW$T$21	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$T$17)
$C$DW$T$22	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$22, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$22, DW_AT_address_class(0x20)
$C$DW$T$23	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$23, DW_AT_type(*$C$DW$T$22)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)
	.dwendtag $C$DW$CU

