;******************************************************************************
;* TMS320C6x C/C++ Codegen                                  Unix v7.4.0A12012 *
;* Date/Time created: Mon Aug  6 14:11:19 2012                                *
;******************************************************************************
	.compiler_opts --abi=eabi --c64p_l1d_workaround=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6600 --symdebug:dwarf_version=3 --symdebug:skeletal 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C66xx                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug for Program Analysis w/Optimization      *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("factorize.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C6x C/C++ Codegen Unix v7.4.0A12012 Copyright (c) 1996-2012 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("/home/noname/dist-ti-0.0.3/src/dma-linpack")

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("_disable_interrupts")
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("_disable_interrupts")
	.dwattr $C$DW$1, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external

$C$DW$2	.dwtag  DW_TAG_subprogram, DW_AT_name("_restore_interrupts")
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("_restore_interrupts")
	.dwattr $C$DW$2, DW_AT_declaration
	.dwattr $C$DW$2, DW_AT_external
$C$DW$3	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$11)
	.dwendtag $C$DW$2


$C$DW$4	.dwtag  DW_TAG_subprogram, DW_AT_name("_mfence")
	.dwattr $C$DW$4, DW_AT_TI_symbol_name("_mfence")
	.dwattr $C$DW$4, DW_AT_declaration
	.dwattr $C$DW$4, DW_AT_external
	.dwattr $C$DW$4, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/c6x.h")
	.dwattr $C$DW$4, DW_AT_decl_line(0x1a6)
	.dwattr $C$DW$4, DW_AT_decl_column(0x0c)

$C$DW$5	.dwtag  DW_TAG_subprogram, DW_AT_name("factorize_panel")
	.dwattr $C$DW$5, DW_AT_TI_symbol_name("factorize_panel")
	.dwattr $C$DW$5, DW_AT_declaration
	.dwattr $C$DW$5, DW_AT_external
	.dwattr $C$DW$5, DW_AT_decl_file("dma-linpack.h")
	.dwattr $C$DW$5, DW_AT_decl_line(0x8b)
	.dwattr $C$DW$5, DW_AT_decl_column(0x06)
$C$DW$6	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$6, DW_AT_type(*$C$DW$T$52)
$C$DW$7	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$7, DW_AT_type(*$C$DW$T$54)
$C$DW$8	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$8, DW_AT_type(*$C$DW$T$54)
$C$DW$9	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$9, DW_AT_type(*$C$DW$T$50)
$C$DW$10	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$10, DW_AT_type(*$C$DW$T$50)
	.dwendtag $C$DW$5


$C$DW$11	.dwtag  DW_TAG_subprogram, DW_AT_name("update_m_panel")
	.dwattr $C$DW$11, DW_AT_TI_symbol_name("update_m_panel")
	.dwattr $C$DW$11, DW_AT_type(*$C$DW$T$105)
	.dwattr $C$DW$11, DW_AT_declaration
	.dwattr $C$DW$11, DW_AT_external
	.dwattr $C$DW$11, DW_AT_decl_file("dma-linpack.h")
	.dwattr $C$DW$11, DW_AT_decl_line(0xad)
	.dwattr $C$DW$11, DW_AT_decl_column(0x0a)
$C$DW$12	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$12, DW_AT_type(*$C$DW$T$54)
$C$DW$13	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$13, DW_AT_type(*$C$DW$T$92)
$C$DW$14	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$14, DW_AT_type(*$C$DW$T$50)
$C$DW$15	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$15, DW_AT_type(*$C$DW$T$50)
	.dwendtag $C$DW$11


$C$DW$16	.dwtag  DW_TAG_subprogram, DW_AT_name("barrier")
	.dwattr $C$DW$16, DW_AT_TI_symbol_name("barrier")
	.dwattr $C$DW$16, DW_AT_declaration
	.dwattr $C$DW$16, DW_AT_external
	.dwattr $C$DW$16, DW_AT_decl_file("../rt/include/barrier.h")
	.dwattr $C$DW$16, DW_AT_decl_line(0x36)
	.dwattr $C$DW$16, DW_AT_decl_column(0x06)
	.sect	".rodata"
	.align	4
	.elfsym	corepack_regs,SYM_SIZE(4)
corepack_regs:
	.field	25165824,32			; corepack_regs @ 0

$C$DW$17	.dwtag  DW_TAG_variable, DW_AT_name("corepack_regs")
	.dwattr $C$DW$17, DW_AT_TI_symbol_name("corepack_regs")
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$127)
	.dwattr $C$DW$17, DW_AT_location[DW_OP_addr corepack_regs]
	.dwattr $C$DW$17, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$17, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$17, DW_AT_decl_column(0x2e)
	.sect	".rodata"
	.align	4
	.elfsym	CACHE_L2CFG_MMID_MASK,SYM_SIZE(4)
CACHE_L2CFG_MMID_MASK:
	.field	983040,32			; CACHE_L2CFG_MMID_MASK @ 0

$C$DW$18	.dwtag  DW_TAG_variable, DW_AT_name("CACHE_L2CFG_MMID_MASK")
	.dwattr $C$DW$18, DW_AT_TI_symbol_name("CACHE_L2CFG_MMID_MASK")
	.dwattr $C$DW$18, DW_AT_type(*$C$DW$T$82)
	.dwattr $C$DW$18, DW_AT_location[DW_OP_addr CACHE_L2CFG_MMID_MASK]
	.dwattr $C$DW$18, DW_AT_decl_file("../rt/include/cache.h")
	.dwattr $C$DW$18, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$18, DW_AT_decl_column(0x17)
	.sect	".rodata"
	.align	4
	.elfsym	CACHE_L2CFG_MMID_SHIFT,SYM_SIZE(4)
CACHE_L2CFG_MMID_SHIFT:
	.field	16,32			; CACHE_L2CFG_MMID_SHIFT @ 0

$C$DW$19	.dwtag  DW_TAG_variable, DW_AT_name("CACHE_L2CFG_MMID_SHIFT")
	.dwattr $C$DW$19, DW_AT_TI_symbol_name("CACHE_L2CFG_MMID_SHIFT")
	.dwattr $C$DW$19, DW_AT_type(*$C$DW$T$77)
	.dwattr $C$DW$19, DW_AT_location[DW_OP_addr CACHE_L2CFG_MMID_SHIFT]
	.dwattr $C$DW$19, DW_AT_decl_file("../rt/include/cache.h")
	.dwattr $C$DW$19, DW_AT_decl_line(0x30)
	.dwattr $C$DW$19, DW_AT_decl_column(0x17)
	.sect	".rodata"
	.align	4
	.elfsym	xmc_registers,SYM_SIZE(4)
xmc_registers:
	.field	134217728,32			; xmc_registers @ 0

$C$DW$20	.dwtag  DW_TAG_variable, DW_AT_name("xmc_registers")
	.dwattr $C$DW$20, DW_AT_TI_symbol_name("xmc_registers")
	.dwattr $C$DW$20, DW_AT_type(*$C$DW$T$122)
	.dwattr $C$DW$20, DW_AT_location[DW_OP_addr xmc_registers]
	.dwattr $C$DW$20, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$20, DW_AT_decl_line(0x33)
	.dwattr $C$DW$20, DW_AT_decl_column(0x2e)
	.sect	".rodata"
	.align	4
	.elfsym	XMC_PREFETCHER_INVALIDATE,SYM_SIZE(4)
XMC_PREFETCHER_INVALIDATE:
	.field	1,32			; XMC_PREFETCHER_INVALIDATE @ 0

$C$DW$21	.dwtag  DW_TAG_variable, DW_AT_name("XMC_PREFETCHER_INVALIDATE")
	.dwattr $C$DW$21, DW_AT_TI_symbol_name("XMC_PREFETCHER_INVALIDATE")
	.dwattr $C$DW$21, DW_AT_type(*$C$DW$T$82)
	.dwattr $C$DW$21, DW_AT_location[DW_OP_addr XMC_PREFETCHER_INVALIDATE]
	.dwattr $C$DW$21, DW_AT_decl_file("../rt/include/xmc.h")
	.dwattr $C$DW$21, DW_AT_decl_line(0x29)
	.dwattr $C$DW$21, DW_AT_decl_column(0x17)
pivot_rows:	.usect	".far",32256,16
$C$DW$22	.dwtag  DW_TAG_variable, DW_AT_name("pivot_rows")
	.dwattr $C$DW$22, DW_AT_TI_symbol_name("pivot_rows")
	.dwattr $C$DW$22, DW_AT_type(*$C$DW$T$90)
	.dwattr $C$DW$22, DW_AT_location[DW_OP_addr pivot_rows]
	.dwattr $C$DW$22, DW_AT_decl_file("factorize.c")
	.dwattr $C$DW$22, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$22, DW_AT_decl_column(0x0f)
pivot_scales:	.usect	".far",64512,16
$C$DW$23	.dwtag  DW_TAG_variable, DW_AT_name("pivot_scales")
	.dwattr $C$DW$23, DW_AT_TI_symbol_name("pivot_scales")
	.dwattr $C$DW$23, DW_AT_type(*$C$DW$T$113)
	.dwattr $C$DW$23, DW_AT_location[DW_OP_addr pivot_scales]
	.dwattr $C$DW$23, DW_AT_decl_file("factorize.c")
	.dwattr $C$DW$23, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$23, DW_AT_decl_column(0x0f)
;	/opt/ti/C6000CGT7.4.0A12012//bin/opt6x /tmp/22355qoK4zf /tmp/22355EVXZpq 
	.sect	".text"
	.clink

$C$DW$24	.dwtag  DW_TAG_subprogram, DW_AT_name("coherence_flush_all")
	.dwattr $C$DW$24, DW_AT_low_pc(coherence_flush_all)
	.dwattr $C$DW$24, DW_AT_high_pc(0x00)
	.dwattr $C$DW$24, DW_AT_TI_symbol_name("coherence_flush_all")
	.dwattr $C$DW$24, DW_AT_TI_begin_file("coherence.h")
	.dwattr $C$DW$24, DW_AT_TI_begin_line(0x2d)
	.dwattr $C$DW$24, DW_AT_TI_begin_column(0x0d)
	.dwattr $C$DW$24, DW_AT_decl_file("coherence.h")
	.dwattr $C$DW$24, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$24, DW_AT_decl_column(0x0d)
	.dwattr $C$DW$24, DW_AT_TI_max_frame_size(0x00)
	.dwattr $C$DW$24, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$24, DW_AT_TI_skeletal
	.dwpsn	file "coherence.h",line 46,column 1,is_stmt,address coherence_flush_all,isa 0
;----------------------------------------------------------------------
;  45 | static void coherence_flush_all()                                      
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: coherence_flush_all                                         *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,A5,B0,B4,B5,B6                              *
;*   Regs Used         : A0,A3,A4,A5,B0,B3,B4,B5,B6                           *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
coherence_flush_all:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  47 | xmc_prefetcher_command(XMC_PREFETCHER_INVALIDATE); /* Stop prefetching.
;     |  */                                                                    
;  48 | cache_l2_wbinv_all(!0);       /* Clean all caches. */                  
;----------------------------------------------------------------------
 mfence

           MVKL    .S1     0x8000300,A3
||         MVK     .L2     0x1,B4            ; |49| 

           MVKH    .S1     0x8000300,A3
	.dwpsn	file "../rt/include/xmc.h",line 49,column 3,is_stmt,isa 0
           STW     .D1T2   B4,*A3            ; |49| 
           NOP             1
 mfence
           ADD     .L1     4,A3,A4
	.dwpsn	file "../rt/include/xmc.h",line 51,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  51 | #endif                                                                 
;----------------------------------------------------------------------
           LDW     .D1T1   *A4,A3            ; |51| 
           NOP             4
	.dwpsn	file "../rt/include/xmc.h",line 52,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  52 |                                                                        
;----------------------------------------------------------------------
           SET     .S1     A3,12,12,A3       ; |52| 
           STW     .D1T1   A3,*A4            ; |52| 
	.dwpsn	file "../rt/include/cache.h",line 226,column 3,is_stmt,isa 0
           MVC     .S2     CSR,B5            ; |226| 
           DINT                              ; |226| 
	.dwpsn	file "../rt/include/cache.h",line 59,column 3,is_stmt,isa 0
           MFENCE                            ; |59| 
           MVKL    .S2     0x1845004,B6
           MVKH    .S2     0x1845004,B6
	.dwpsn	file "../rt/include/cache.h",line 229,column 3,is_stmt,isa 0
           STW     .D2T2   B4,*B6            ; |229| 
	.dwpsn	file "../rt/include/cache.h",line 59,column 3,is_stmt,isa 0
           MFENCE                            ; |59| 
	.dwpsn	file "../rt/include/cache.h",line 233,column 12,is_stmt,isa 0
;----------------------------------------------------------------------
;  53 |                                                                        
;  54 |                                                                        
;  55 |                                                                        
;  56 |                                                                        
;  57 |                                                                        
;  58 |                                                                        
;  59 |                                                                        
;  60 |                                                                        
;  61 |                                                                        
;  62 |                                                                        
;  63 |                                                                        
;  64 |                                                                        
;  65 |                                                                        
;  66 |                                                                        
;  67 |                                                                        
;  68 |                                                                        
;  69 |                                                                        
;  70 |                                                                        
;  71 |                                                                        
;  72 |                                                                        
;  73 |                                                                        
;  74 |                                                                        
;  75 |                                                                        
;  76 |                                                                        
;  77 |                                                                        
;  78 |                                                                        
;  79 |                                                                        
;  80 |                                                                        
;  81 |                                                                        
;  82 |                                                                        
;  83 |                                                                        
;  84 |                                                                        
;  85 |                                                                        
;  86 |                                                                        
;  87 |                                                                        
;  88 |                                                                        
;  89 |                                                                        
;  90 |                                                                        
;  91 |                                                                        
;  92 |                                                                        
;  93 |                                                                        
;  94 |                                                                        
;  95 |                                                                        
;  96 |                                                                        
;  97 |                                                                        
;  98 |                                                                        
;  99 |                                                                        
; 100 |                                                                        
; 101 |                                                                        
; 102 |                                                                        
; 103 |                                                                        
; 104 |                                                                        
; 105 |                                                                        
; 106 |                                                                        
; 107 |                                                                        
; 108 |                                                                        
; 109 |                                                                        
; 110 |                                                                        
; 111 |                                                                        
; 112 |                                                                        
; 113 |                                                                        
; 114 |                                                                        
; 115 |                                                                        
; 116 |                                                                        
; 117 |                                                                        
; 118 |                                                                        
; 119 |                                                                        
; 120 |                                                                        
; 121 |                                                                        
; 122 |                                                                        
; 123 |                                                                        
; 124 |                                                                        
; 125 |                                                                        
; 126 |                                                                        
; 127 |                                                                        
; 128 |                                                                        
; 129 |                                                                        
; 130 |                                                                        
; 131 |                                                                        
; 132 |                                                                        
; 133 |                                                                        
; 134 |                                                                        
; 135 |                                                                        
; 136 |                                                                        
; 137 |                                                                        
; 138 |                                                                        
; 139 |                                                                        
; 140 |                                                                        
; 141 |                                                                        
; 142 |                                                                        
; 143 |                                                                        
; 144 |                                                                        
; 145 |                                                                        
; 146 |                                                                        
; 147 |                                                                        
; 148 |                                                                        
; 149 |                                                                        
; 150 |                                                                        
; 151 |                                                                        
; 152 |                                                                        
; 153 |                                                                        
; 154 |                                                                        
; 155 |                                                                        
; 156 |                                                                        
; 157 |                                                                        
; 158 |                                                                        
; 159 |                                                                        
; 160 |                                                                        
; 161 |                                                                        
; 162 |                                                                        
; 163 |                                                                        
; 164 |                                                                        
; 165 |                                                                        
; 166 |                                                                        
; 167 |                                                                        
; 168 |                                                                        
; 169 |                                                                        
; 170 |                                                                        
; 171 |                                                                        
; 172 |                                                                        
; 173 |                                                                        
; 174 |                                                                        
; 175 |                                                                        
; 176 |                                                                        
; 177 |                                                                        
; 178 |                                                                        
; 179 |                                                                        
; 180 |                                                                        
; 181 |                                                                        
; 182 |                                                                        
; 183 |                                                                        
; 184 |                                                                        
; 185 |                                                                        
; 186 |                                                                        
; 187 |                                                                        
; 188 |                                                                        
; 189 |                                                                        
; 190 |                                                                        
; 191 |                                                                        
; 192 |                                                                        
; 193 |                                                                        
; 194 |                                                                        
; 195 |                                                                        
; 196 |                                                                        
; 197 |                                                                        
; 198 |                                                                        
; 199 |                                                                        
; 200 |                                                                        
; 201 |                                                                        
; 202 |                                                                        
; 203 |                                                                        
; 204 |                                                                        
; 205 |                                                                        
; 206 |                                                                        
; 207 |                                                                        
; 208 |                                                                        
; 209 |                                                                        
; 210 |                                                                        
; 211 |                                                                        
; 212 |                                                                        
; 213 |                                                                        
; 214 |                                                                        
; 215 |                                                                        
; 216 |                                                                        
; 217 |                                                                        
; 218 |                                                                        
; 219 |                                                                        
; 220 |                                                                        
; 221 |                                                                        
; 222 |                                                                        
; 223 |                                                                        
; 224 |                                                                        
; 225 |                                                                        
; 226 |                                                                        
; 227 |                                                                        
; 228 |                                                                        
; 229 |                                                                        
; 230 |                                                                        
; 231 |                                                                        
; 232 |                                                                        
; 233 |                                                                        
;----------------------------------------------------------------------
           LDW     .D2T2   *B6,B4            ; |233| 
           NOP             4
           AND     .L2     1,B4,B0           ; |233| 

   [!B0]   BNOP    .S1     $C$L4,5           ; |233| 
|| [ B0]   MVK     .L2     0x1,B0

           ; BRANCHCC OCCURS {$C$L4}         ; |233| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : coherence.h
;*      Loop inlined from                : ../rt/include/cache.h
;*      Loop source line                 : 233
;*      Loop closing brace source line   : 233
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 7
;*      Unpartitioned Resource Bound     : 1
;*      Partitioned Resource Bound(*)    : 1
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     1*       0     
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             1*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          2        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     1*       1*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 7  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 1
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG
	.dwpsn	file "../rt/include/cache.h",line 233,column 0,is_stmt,isa 0
   [ B0]   SPLOOPW 7       ;14               ; (P) 
;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL
	.dwpsn	file "../rt/include/cache.h",line 233,column 12,is_stmt,isa 0
$C$DW$L$coherence_flush_all$3$B:
           NOP             1

           SPMASK          L1
||         MV      .L1X    B6,A4

           MV      .L1     A4,A5             ; (P) <0,2> 
   [ B0]   LDW     .D1T1   *A5,A3            ; |233| (P) <0,3>  ^ 
           NOP             4
           AND     .L1     1,A3,A0           ; |233| <0,8>  ^ 
   [!A0]   ZERO    .L2     B0                ; |233| <0,9>  ^ 
           NOP             2
           NOP             1
	.dwpsn	file "../rt/include/cache.h",line 233,column 0,is_stmt,isa 0
           SPKERNEL 0,0
$C$DW$L$coherence_flush_all$3$E:
;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L4:    
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
 nop 1
	.dwpsn	file "../rt/include/cache.h",line 254,column 3,is_stmt,isa 0
           MVC     .S2     B5,CSR            ; |254| 
	.dwpsn	file "coherence.h",line 49,column 1,is_stmt,isa 0
$C$DW$25	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$25, DW_AT_low_pc(0x00)
	.dwattr $C$DW$25, DW_AT_TI_return
           RETNOP  .S2     B3,5              ; |49| 
           ; BRANCH OCCURS {B3}              ; |49| 

$C$DW$26	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$26, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/factorize.asm:$C$L2:1:1344255079")
	.dwattr $C$DW$26, DW_AT_TI_begin_file("../rt/include/cache.h")
	.dwattr $C$DW$26, DW_AT_TI_begin_line(0xe9)
	.dwattr $C$DW$26, DW_AT_TI_end_line(0xe9)
$C$DW$27	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$27, DW_AT_low_pc($C$DW$L$coherence_flush_all$3$B)
	.dwattr $C$DW$27, DW_AT_high_pc($C$DW$L$coherence_flush_all$3$E)
	.dwendtag $C$DW$26

	.dwattr $C$DW$24, DW_AT_TI_end_file("coherence.h")
	.dwattr $C$DW$24, DW_AT_TI_end_line(0x31)
	.dwattr $C$DW$24, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$24

	.sect	".text"
	.clink
	.global	factorize

$C$DW$28	.dwtag  DW_TAG_subprogram, DW_AT_name("factorize")
	.dwattr $C$DW$28, DW_AT_low_pc(factorize)
	.dwattr $C$DW$28, DW_AT_high_pc(0x00)
	.dwattr $C$DW$28, DW_AT_TI_symbol_name("factorize")
	.dwattr $C$DW$28, DW_AT_external
	.dwattr $C$DW$28, DW_AT_TI_begin_file("factorize.c")
	.dwattr $C$DW$28, DW_AT_TI_begin_line(0x32)
	.dwattr $C$DW$28, DW_AT_TI_begin_column(0x01)
	.dwattr $C$DW$28, DW_AT_decl_file("factorize.c")
	.dwattr $C$DW$28, DW_AT_decl_line(0x32)
	.dwattr $C$DW$28, DW_AT_decl_column(0x01)
	.dwattr $C$DW$28, DW_AT_TI_max_frame_size(0x50)
	.dwattr $C$DW$28, DW_AT_frame_base[DW_OP_breg31 80]
	.dwattr $C$DW$28, DW_AT_TI_skeletal
	.dwpsn	file "factorize.c",line 52,column 1,is_stmt,address factorize,isa 0
$C$DW$29	.dwtag  DW_TAG_formal_parameter, DW_AT_name("m")
	.dwattr $C$DW$29, DW_AT_TI_symbol_name("m")
	.dwattr $C$DW$29, DW_AT_type(*$C$DW$T$54)
	.dwattr $C$DW$29, DW_AT_location[DW_OP_reg4]
$C$DW$30	.dwtag  DW_TAG_formal_parameter, DW_AT_name("num_equations")
	.dwattr $C$DW$30, DW_AT_TI_symbol_name("num_equations")
	.dwattr $C$DW$30, DW_AT_type(*$C$DW$T$50)
	.dwattr $C$DW$30, DW_AT_location[DW_OP_reg20]
;----------------------------------------------------------------------
;  50 | factorize(double * restrict m,                                         
;  51 | size_t num_equations)                                                  
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: factorize                                                   *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,  *
;*                           A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20,B21, *
;*                           B22,B23,B24,B25,B26,B27,B28,B29,B30,B31          *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,DP,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,   *
;*                           A25,A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20, *
;*                           B21,B22,B23,B24,B25,B26,B27,B28,B29,B30,B31      *
;*   Local Frame Size  : 0 Args + 8 Auto + 64 Save = 72 byte                  *
;******************************************************************************
factorize:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  53 | size_t col, max_col, next_panel;                                       
;  54 | uint64_t start_t, end_t;                                               
;  55 | double flop, time;                                                     
;  56 | unsigned my_rank;                                                      
;  57 | uint64_t raw_t;                                                        
;  59 | my_rank = cache_get_mm_id();                                           
;----------------------------------------------------------------------
           STW     .D2T1   A11,*SP--(8)      ; |52| 
           STW     .D2T1   A10,*SP--(8)      ; |52| 

           STDW    .D2T2   B13:B12,*SP--     ; |52| 
||         ADD     .L1X    1,B4,A0           ; |62| 

   [!A0]   B       .S1     $C$L7             ; |62| 
||         MV      .L2     B4,B11            ; |52| 
||         STDW    .D2T2   B11:B10,*SP--     ; |52| 

           STDW    .D2T1   A15:A14,*SP--     ; |52| 
||         SHRU    .S2     B11,7,B5          ; |61| 
||         MVKL    .S1     pivot_rows,A11
||         ZERO    .L1     A3

           STDW    .D2T1   A13:A12,*SP--     ; |52| 
||         ADD     .L2     1,B5,B5           ; |61| 
||         MVKH    .S1     0x1840000,A3

           STW     .D2T2   B3,*SP--(24)      ; |52| 
||         EXTU    .S2     B5,7,7,B4         ; |61| 
||         MVKH    .S1     pivot_rows,A11

           LDW     .D1T1   *A3,A3            ; |75| 
||         STW     .D2T2   B4,*+SP(8)        ; |61| 
||         MVK     .S1     0x78,A15
||         MVK     .L2     0xfffffff0,B13
||         MVKL    .S2     pivot_scales,B12

           STW     .D2T1   A0,*+SP(4)        ; |61| 
||         MV      .L1     A4,A13            ; |52| 
||         MVK     .S1     0x80,A14
||         ZERO    .L2     B10               ; |65| 
||         MVKH    .S2     pivot_scales,B12
||         ZERO    .D1     A10               ; |65| 

	.dwpsn	file "factorize.c",line 62,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  62 | max_col = num_equations + 1;                                           
;----------------------------------------------------------------------
           ; BRANCHCC OCCURS {$C$L7}         ; |62| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Loop contains non-pipelinable instructions
;*      Disqualified loop: Loop contains non-pipelinable instructions
;*      Disqualified loop: Loop contains a call
;*      Disqualified loop: Loop contains non-pipelinable instructions
;*      Disqualified loop: Loop contains non-pipelinable instructions
;*      Disqualified loop: Loop contains non-pipelinable instructions
;*      Disqualified loop: Loop contains control code
;*----------------------------------------------------------------------------*
$C$L5:    
	.dwpsn	file "factorize.c",line 65,column 7,is_stmt,isa 0
;----------------------------------------------------------------------
;  65 | for(col=0; col<max_col; col+=PANEL_SIZE) {                             
;----------------------------------------------------------------------
$C$DW$L$factorize$2$B:
	.dwpsn	file "factorize.c",line 65,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
;  67 | start_t = tsc_get();                                                   
;----------------------------------------------------------------------
	.dwpsn	file "../rt/include/tsc.h",line 61,column 3,is_stmt,isa 0
           MVC     .S2     TSCL,B4           ; |61| 
	.dwpsn	file "../rt/include/tsc.h",line 62,column 3,is_stmt,isa 0
           MVC     .S2     TSCH,B4           ; |62| 

           AND     .L2     B13,B10,B4        ; |69| 
||         EXTU    .S2     B10,4,8,B31       ; |69| 

	.dwpsn	file "factorize.c",line 69,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  69 | factorize_panel(pivot_rows + col,                                      
;  70 |                 pivot_scales + col,                                    
;  71 |                 m + index_m(col, col),                                 
;  72 |                 num_equations - col,                                   
;  73 |                 PANEL_SIZE);                                           
;  75 | end_t = tsc_get();                                                     
;  77 | #if 0                                                                  
;  78 | if (my_rank == 0) {                                                    
;  79 |   time = (double)(end_t - start_t);                                    
;  80 |   flop = num_equations - col;                                          
;  81 |   flop = 2.0*PANEL_SIZE*PANEL_SIZE*flop -                              
;  82 |     (double)PANEL_SIZE*(PANEL_SIZE + 1)*(2*PANEL_SIZE + 1)/3.0;        
;  83 |   printf("factorize_panel took %llu cycles for %d rows (= %.4f FPC)\n",
;     |                                                                        
;  84 |          end_t - start_t,                                              
;  85 |          num_equations - col,                                          
;  86 |          flop/time);                                                   
;  88 | #endif                                                                 
;  91 | next_panel = col + PANEL_SIZE;                                         
;----------------------------------------------------------------------
           SHL     .S2     B4,10,B5          ; |69| 

           SHL     .S1X    B4,16,A3          ; |69| 
||         SHL     .S2     B31,11,B4         ; |69| 

           SUB     .L1X    A3,B5,A3          ; |69| 
$C$DW$31	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$31, DW_AT_low_pc(0x00)
	.dwattr $C$DW$31, DW_AT_name("factorize_panel")
	.dwattr $C$DW$31, DW_AT_TI_call
           CALL    .S1     factorize_panel   ; |69| 

           ADD     .L2X    B4,A3,B5          ; |69| 
||         EXTU    .S2     B10,28,21,B30     ; |69| 

           ADD     .L2     B30,B5,B4         ; |69| 
           AND     .L1     A15,A10,A31       ; |69| 

           ADD     .L1X    A31,B4,A3         ; |69| 
||         MV      .L2     B12,B4            ; |69| 
||         MV      .S1     A11,A4            ; |69| 

           ADD     .L1     A13,A3,A12        ; |69| 
||         ADD     .S1     A13,A3,A6         ; |69| 
||         ADDKPC  .S2     $C$RL0,B3,0       ; |69| 
||         MV      .D1     A14,A8            ; |69| 
||         SUB     .L2     B11,B10,B6        ; |69| 

$C$RL0:    ; CALL OCCURS {factorize_panel} {0}  ; |69| 
$C$DW$L$factorize$2$E:
;** --------------------------------------------------------------------------*
$C$DW$L$factorize$3$B:
	.dwpsn	file "../rt/include/tsc.h",line 61,column 3,is_stmt,isa 0
           MVC     .S2     TSCL,B4           ; |61| 
	.dwpsn	file "../rt/include/tsc.h",line 62,column 3,is_stmt,isa 0
           MVC     .S2     TSCH,B4           ; |62| 
	.dwpsn	file "factorize.c",line 92,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  92 | if (next_panel<max_col) {                                              
;----------------------------------------------------------------------
           LDW     .D2T1   *+SP(4),A3        ; |92| 
           ADD     .L1X    A14,B10,A4        ; |92| 
           NOP             3
           CMPLTU  .L1     A4,A3,A0          ; |92| 

   [!A0]   B       .S1     $C$L6             ; |92| 
|| [!A0]   LDW     .D2T2   *+SP(8),B4        ; |65| 
|| [!A0]   ADDK    .S2     1024,B12          ; |65| 

	.dwpsn	file "factorize.c",line 94,column 7,is_stmt,isa 0
;----------------------------------------------------------------------
;  94 | coherence_flush_all();                                                 
;----------------------------------------------------------------------
$C$DW$32	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$32, DW_AT_low_pc(0x00)
	.dwattr $C$DW$32, DW_AT_name("coherence_flush_all")
	.dwattr $C$DW$32, DW_AT_TI_call
   [ A0]   CALL    .S1     coherence_flush_all ; |94| 
	.dwpsn	file "factorize.c",line 65,column 14,is_stmt,isa 0
   [!A0]   ADDK    .S1     512,A11           ; |65| 
   [!A0]   ADDK    .S1     1024,A10          ; |65| 
   [!A0]   ADDK    .S2     128,B10           ; |65| 
   [!A0]   SUB     .L1X    B4,1,A0           ; |65| 
	.dwpsn	file "factorize.c",line 92,column 5,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L6}         ; |92| 
$C$DW$L$factorize$3$E:
;** --------------------------------------------------------------------------*
$C$DW$L$factorize$4$B:
	.dwpsn	file "factorize.c",line 94,column 7,is_stmt,isa 0
           ADDKPC  .S2     $C$RL1,B3,0       ; |94| 
$C$RL1:    ; CALL OCCURS {coherence_flush_all} {0}  ; |94| 
$C$DW$L$factorize$4$E:
;** --------------------------------------------------------------------------*
$C$DW$L$factorize$5$B:
$C$DW$33	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$33, DW_AT_low_pc(0x00)
	.dwattr $C$DW$33, DW_AT_name("barrier")
	.dwattr $C$DW$33, DW_AT_TI_call
           CALLP   .S2     barrier,B3
	.dwpsn	file "factorize.c",line 95,column 7,is_stmt,isa 0
;----------------------------------------------------------------------
;  95 | barrier();                                                             
;  97 | start_t = tsc_get();                                                   
;----------------------------------------------------------------------
$C$RL2:    ; CALL OCCURS {barrier} {0}       ; |95| 
	.dwpsn	file "../rt/include/tsc.h",line 61,column 3,is_stmt,isa 0
           MVC     .S2     TSCL,B4           ; |61| 
	.dwpsn	file "../rt/include/tsc.h",line 62,column 3,is_stmt,isa 0
           MVC     .S2     TSCH,B4           ; |62| 
           LDW     .D2T1   *+SP(4),A3        ; |62| 
	.dwpsn	file "factorize.c",line 98,column 7,is_stmt,isa 0
;----------------------------------------------------------------------
;  98 | raw_t = update_m_panel(m + index_m(col, col),                          
;  99 |                        pivot_rows + col,                               
; 100 |                        PANEL_SIZE,                                     
; 101 |                        max_col - col);                                 
;----------------------------------------------------------------------
           MV      .L2X    A11,B4            ; |98| 
           MV      .L1     A12,A4            ; |98| 
           MV      .L1     A14,A6            ; |98| 
           NOP             1
$C$DW$34	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$34, DW_AT_low_pc(0x00)
	.dwattr $C$DW$34, DW_AT_name("update_m_panel")
	.dwattr $C$DW$34, DW_AT_TI_call

           CALLP   .S2     update_m_panel,B3
||         SUB     .L2X    A3,B10,B6         ; |98| 

$C$RL3:    ; CALL OCCURS {update_m_panel} {0}  ; |98| 
$C$DW$35	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$35, DW_AT_low_pc(0x00)
	.dwattr $C$DW$35, DW_AT_name("coherence_flush_all")
	.dwattr $C$DW$35, DW_AT_TI_call
           CALLP   .S2     coherence_flush_all,B3
	.dwpsn	file "factorize.c",line 102,column 7,is_stmt,isa 0
;----------------------------------------------------------------------
; 102 | coherence_flush_all();                                                 
;----------------------------------------------------------------------
$C$RL4:    ; CALL OCCURS {coherence_flush_all} {0}  ; |102| 
$C$DW$36	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$36, DW_AT_low_pc(0x00)
	.dwattr $C$DW$36, DW_AT_name("barrier")
	.dwattr $C$DW$36, DW_AT_TI_call
           CALLP   .S2     barrier,B3
	.dwpsn	file "factorize.c",line 103,column 7,is_stmt,isa 0
;----------------------------------------------------------------------
; 103 | barrier();                                                             
; 104 | end_t = tsc_get();                                                     
; 106 | if (my_rank == 0) {                                                    
; 107 |   time = (double)(end_t - start_t);                                    
; 108 |   flop = (max_col - col - PANEL_SIZE);                                 
; 109 |   flop = 2*PANEL_SIZE*flop*flop;                                       
; 111 | #if 0                                                                  
; 112 |   printf("update_m_panel took %llu cycles for %u cols (=%6.4f FPC) "   
; 113 |          " raw %llu (=%6.4f FPC)\n",                                   
; 114 |          end_t - start_t, max_col - col - PANEL_SIZE,                  
; 115 |          (flop + (double)                                              
; 116 |           (max_col - col - PANEL_SIZE)*PANEL_SIZE*(PANEL_SIZE + 1))/tim
;     | e,                                                                     
; 117 |          raw_t,                                                        
; 118 |          flop/((double)raw_t));                                        
; 119 | #endif                                                                 
;----------------------------------------------------------------------
$C$RL5:    ; CALL OCCURS {barrier} {0}       ; |103| 
$C$DW$L$factorize$5$E:
;** --------------------------------------------------------------------------*
$C$DW$L$factorize$6$B:
	.dwpsn	file "../rt/include/tsc.h",line 61,column 3,is_stmt,isa 0
           MVC     .S2     TSCL,B4           ; |61| 
	.dwpsn	file "../rt/include/tsc.h",line 62,column 3,is_stmt,isa 0
           MVC     .S2     TSCH,B4           ; |62| 
	.dwpsn	file "factorize.c",line 65,column 14,is_stmt,isa 0
           LDW     .D2T2   *+SP(8),B4        ; |65| 
           ADDK    .S1     512,A11           ; |65| 
           ADDK    .S2     1024,B12          ; |65| 
           ADDK    .S1     1024,A10          ; |65| 
           ADDK    .S2     128,B10           ; |65| 
           SUB     .L1X    B4,1,A0           ; |65| 
$C$DW$L$factorize$6$E:
;** --------------------------------------------------------------------------*
$C$L6:    
	.dwpsn	file "factorize.c",line 92,column 5,is_stmt,isa 0
$C$DW$L$factorize$7$B:

   [ A0]   BNOP    .S1     $C$L5,4           ; |65| 
||         SUB     .L2     B4,1,B4           ; |65| 

	.dwpsn	file "factorize.c",line 124,column 0,is_stmt,isa 0
	.dwpsn	file "factorize.c",line 65,column 14,is_stmt,isa 0
           STW     .D2T2   B4,*+SP(8)        ; |65| 
           ; BRANCHCC OCCURS {$C$L5}         ; |65| 
$C$DW$L$factorize$7$E:
;** --------------------------------------------------------------------------*
$C$L7:    
	.dwpsn	file "factorize.c",line 125,column 1,is_stmt,isa 0
           LDW     .D2T2   *++SP(24),B3      ; |125| 
           LDDW    .D2T1   *++SP,A13:A12     ; |125| 
           LDDW    .D2T1   *++SP,A15:A14     ; |125| 
           LDDW    .D2T2   *++SP,B11:B10     ; |125| 
           LDDW    .D2T2   *++SP,B13:B12     ; |125| 
$C$DW$37	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$37, DW_AT_low_pc(0x04)
	.dwattr $C$DW$37, DW_AT_TI_return

           LDW     .D2T1   *++SP(8),A10      ; |125| 
||         RET     .S2     B3                ; |125| 

           LDW     .D2T1   *++SP(8),A11      ; |125| 
           NOP             4
           ; BRANCH OCCURS {B3}              ; |125| 

$C$DW$38	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$38, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/factorize.asm:$C$L5:1:1344255079")
	.dwattr $C$DW$38, DW_AT_TI_begin_file("factorize.c")
	.dwattr $C$DW$38, DW_AT_TI_begin_line(0x41)
	.dwattr $C$DW$38, DW_AT_TI_end_line(0x7c)
$C$DW$39	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$39, DW_AT_low_pc($C$DW$L$factorize$2$B)
	.dwattr $C$DW$39, DW_AT_high_pc($C$DW$L$factorize$2$E)
$C$DW$40	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$40, DW_AT_low_pc($C$DW$L$factorize$4$B)
	.dwattr $C$DW$40, DW_AT_high_pc($C$DW$L$factorize$4$E)
$C$DW$41	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$41, DW_AT_low_pc($C$DW$L$factorize$5$B)
	.dwattr $C$DW$41, DW_AT_high_pc($C$DW$L$factorize$5$E)
$C$DW$42	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$42, DW_AT_low_pc($C$DW$L$factorize$3$B)
	.dwattr $C$DW$42, DW_AT_high_pc($C$DW$L$factorize$3$E)
$C$DW$43	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$43, DW_AT_low_pc($C$DW$L$factorize$6$B)
	.dwattr $C$DW$43, DW_AT_high_pc($C$DW$L$factorize$6$E)
$C$DW$44	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$44, DW_AT_low_pc($C$DW$L$factorize$7$B)
	.dwattr $C$DW$44, DW_AT_high_pc($C$DW$L$factorize$7$E)
	.dwendtag $C$DW$38

	.dwattr $C$DW$28, DW_AT_TI_end_file("factorize.c")
	.dwattr $C$DW$28, DW_AT_TI_end_line(0x7d)
	.dwattr $C$DW$28, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$28

;*****************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                             *
;*****************************************************************************
	.global	factorize_panel
	.global	update_m_panel
	.global	barrier

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(2)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(1)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************

$C$DW$T$20	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$20, DW_AT_byte_size(0x18)
$C$DW$45	.dwtag  DW_TAG_member
	.dwattr $C$DW$45, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$45, DW_AT_name("fd")
	.dwattr $C$DW$45, DW_AT_TI_symbol_name("fd")
	.dwattr $C$DW$45, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$45, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$45, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$45, DW_AT_decl_line(0x48)
	.dwattr $C$DW$45, DW_AT_decl_column(0x0b)
$C$DW$46	.dwtag  DW_TAG_member
	.dwattr $C$DW$46, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$46, DW_AT_name("buf")
	.dwattr $C$DW$46, DW_AT_TI_symbol_name("buf")
	.dwattr $C$DW$46, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$46, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$46, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$46, DW_AT_decl_line(0x49)
	.dwattr $C$DW$46, DW_AT_decl_column(0x16)
$C$DW$47	.dwtag  DW_TAG_member
	.dwattr $C$DW$47, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$47, DW_AT_name("pos")
	.dwattr $C$DW$47, DW_AT_TI_symbol_name("pos")
	.dwattr $C$DW$47, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$47, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$47, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$47, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$47, DW_AT_decl_column(0x16)
$C$DW$48	.dwtag  DW_TAG_member
	.dwattr $C$DW$48, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$48, DW_AT_name("bufend")
	.dwattr $C$DW$48, DW_AT_TI_symbol_name("bufend")
	.dwattr $C$DW$48, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr $C$DW$48, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$48, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$48, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$48, DW_AT_decl_column(0x16)
$C$DW$49	.dwtag  DW_TAG_member
	.dwattr $C$DW$49, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$49, DW_AT_name("buff_stop")
	.dwattr $C$DW$49, DW_AT_TI_symbol_name("buff_stop")
	.dwattr $C$DW$49, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr $C$DW$49, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$49, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$49, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$49, DW_AT_decl_column(0x16)
$C$DW$50	.dwtag  DW_TAG_member
	.dwattr $C$DW$50, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$50, DW_AT_name("flags")
	.dwattr $C$DW$50, DW_AT_TI_symbol_name("flags")
	.dwattr $C$DW$50, DW_AT_data_member_location[DW_OP_plus_uconst 0x14]
	.dwattr $C$DW$50, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$50, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$50, DW_AT_decl_line(0x4d)
	.dwattr $C$DW$50, DW_AT_decl_column(0x16)
	.dwendtag $C$DW$T$20

	.dwattr $C$DW$T$20, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$T$20, DW_AT_decl_line(0x47)
	.dwattr $C$DW$T$20, DW_AT_decl_column(0x10)
$C$DW$T$46	.dwtag  DW_TAG_typedef, DW_AT_name("FILE")
	.dwattr $C$DW$T$46, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$T$46, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$46, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$T$46, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$T$46, DW_AT_decl_column(0x03)
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$60	.dwtag  DW_TAG_typedef, DW_AT_name("int8_t")
	.dwattr $C$DW$T$60, DW_AT_type(*$C$DW$T$5)
	.dwattr $C$DW$T$60, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$60, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$60, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$T$60, DW_AT_decl_column(0x1d)
$C$DW$T$61	.dwtag  DW_TAG_typedef, DW_AT_name("int_least8_t")
	.dwattr $C$DW$T$61, DW_AT_type(*$C$DW$T$60)
	.dwattr $C$DW$T$61, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$61, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$61, DW_AT_decl_line(0x39)
	.dwattr $C$DW$T$61, DW_AT_decl_column(0x17)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$19	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$19, DW_AT_address_class(0x20)
$C$DW$T$62	.dwtag  DW_TAG_typedef, DW_AT_name("uint8_t")
	.dwattr $C$DW$T$62, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$62, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$62, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$62, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$T$62, DW_AT_decl_column(0x1c)
$C$DW$T$63	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least8_t")
	.dwattr $C$DW$T$63, DW_AT_type(*$C$DW$T$62)
	.dwattr $C$DW$T$63, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$63, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$63, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$T$63, DW_AT_decl_column(0x16)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$64	.dwtag  DW_TAG_typedef, DW_AT_name("int16_t")
	.dwattr $C$DW$T$64, DW_AT_type(*$C$DW$T$8)
	.dwattr $C$DW$T$64, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$64, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$64, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$T$64, DW_AT_decl_column(0x1d)
$C$DW$T$65	.dwtag  DW_TAG_typedef, DW_AT_name("int_least16_t")
	.dwattr $C$DW$T$65, DW_AT_type(*$C$DW$T$64)
	.dwattr $C$DW$T$65, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$65, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$65, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$65, DW_AT_decl_column(0x17)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$67	.dwtag  DW_TAG_typedef, DW_AT_name("uint16_t")
	.dwattr $C$DW$T$67, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$67, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$67, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$67, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$T$67, DW_AT_decl_column(0x1c)
$C$DW$T$68	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least16_t")
	.dwattr $C$DW$T$68, DW_AT_type(*$C$DW$T$67)
	.dwattr $C$DW$T$68, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$68, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$68, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$68, DW_AT_decl_column(0x16)
$C$DW$T$66	.dwtag  DW_TAG_typedef, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$66, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$66, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$66, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$66, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$66, DW_AT_decl_column(0x1a)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$74	.dwtag  DW_TAG_typedef, DW_AT_name("fpos_t")
	.dwattr $C$DW$T$74, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$74, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$74, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$T$74, DW_AT_decl_line(0x52)
	.dwattr $C$DW$T$74, DW_AT_decl_column(0x0d)
$C$DW$T$21	.dwtag  DW_TAG_typedef, DW_AT_name("int32_t")
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$21, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$21, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$21, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$T$21, DW_AT_decl_column(0x1d)

$C$DW$T$22	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$22, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$22, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$22, DW_AT_byte_size(0x10)
$C$DW$51	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$51, DW_AT_upper_bound(0x03)
	.dwendtag $C$DW$T$22

$C$DW$T$69	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast16_t")
	.dwattr $C$DW$T$69, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$69, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$69, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$69, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$T$69, DW_AT_decl_column(0x17)
$C$DW$T$70	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast32_t")
	.dwattr $C$DW$T$70, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$70, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$70, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$70, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$T$70, DW_AT_decl_column(0x17)
$C$DW$T$71	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast8_t")
	.dwattr $C$DW$T$71, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$71, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$71, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$71, DW_AT_decl_line(0x49)
	.dwattr $C$DW$T$71, DW_AT_decl_column(0x17)
$C$DW$T$72	.dwtag  DW_TAG_typedef, DW_AT_name("int_least32_t")
	.dwattr $C$DW$T$72, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$72, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$72, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$72, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$T$72, DW_AT_decl_column(0x17)
$C$DW$T$73	.dwtag  DW_TAG_typedef, DW_AT_name("intptr_t")
	.dwattr $C$DW$T$73, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$73, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$73, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$73, DW_AT_decl_line(0x58)
	.dwattr $C$DW$T$73, DW_AT_decl_column(0x1a)
$C$DW$T$75	.dwtag  DW_TAG_typedef, DW_AT_name("ptrdiff_t")
	.dwattr $C$DW$T$75, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$75, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$75, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$75, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$75, DW_AT_decl_column(0x1c)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$77	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$77, DW_AT_type(*$C$DW$T$11)
$C$DW$T$50	.dwtag  DW_TAG_typedef, DW_AT_name("size_t")
	.dwattr $C$DW$T$50, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$50, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$50, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$50, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$50, DW_AT_decl_column(0x19)
$C$DW$T$51	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$51, DW_AT_type(*$C$DW$T$50)
	.dwattr $C$DW$T$51, DW_AT_address_class(0x20)
$C$DW$T$52	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$52, DW_AT_type(*$C$DW$T$51)

$C$DW$T$90	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$90, DW_AT_type(*$C$DW$T$50)
	.dwattr $C$DW$T$90, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$90, DW_AT_byte_size(0x7e00)
$C$DW$52	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$52, DW_AT_upper_bound(0x1f7f)
	.dwendtag $C$DW$T$90

$C$DW$T$88	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$88, DW_AT_type(*$C$DW$T$50)
$C$DW$T$91	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$91, DW_AT_type(*$C$DW$T$88)
	.dwattr $C$DW$T$91, DW_AT_address_class(0x20)
$C$DW$T$92	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$92, DW_AT_type(*$C$DW$T$91)
$C$DW$T$24	.dwtag  DW_TAG_typedef, DW_AT_name("uint32_t")
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$24, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$24, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$24, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$T$24, DW_AT_decl_column(0x1c)

$C$DW$T$25	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$25, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$25, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$25, DW_AT_byte_size(0x300)
$C$DW$53	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$53, DW_AT_upper_bound(0xbf)
	.dwendtag $C$DW$T$25


$C$DW$T$26	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$26, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$26, DW_AT_byte_size(0x08)
$C$DW$54	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$54, DW_AT_upper_bound(0x01)
	.dwendtag $C$DW$T$26


$C$DW$T$27	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$27, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$27, DW_AT_byte_size(0x10)
$C$DW$55	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$55, DW_AT_upper_bound(0x03)
	.dwendtag $C$DW$T$27


$C$DW$T$28	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$28, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$28, DW_AT_byte_size(0xe0)
$C$DW$56	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$56, DW_AT_upper_bound(0x37)
	.dwendtag $C$DW$T$28


$C$DW$T$29	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$29, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$29, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$29, DW_AT_byte_size(0x20)
$C$DW$57	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$57, DW_AT_upper_bound(0x07)
	.dwendtag $C$DW$T$29


$C$DW$T$31	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$31, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$31, DW_AT_byte_size(0x1c)
$C$DW$58	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$58, DW_AT_upper_bound(0x06)
	.dwendtag $C$DW$T$31


$C$DW$T$32	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$32, DW_AT_byte_size(0x18)
$C$DW$59	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$59, DW_AT_upper_bound(0x05)
	.dwendtag $C$DW$T$32


$C$DW$T$33	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$33, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$33, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$33, DW_AT_byte_size(0x3fb8)
$C$DW$60	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$60, DW_AT_upper_bound(0xfed)
	.dwendtag $C$DW$T$33


$C$DW$T$34	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$34, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$34, DW_AT_byte_size(0xfb0)
$C$DW$61	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$61, DW_AT_upper_bound(0x3eb)
	.dwendtag $C$DW$T$34


$C$DW$T$35	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$35, DW_AT_byte_size(0x14)
$C$DW$62	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$62, DW_AT_upper_bound(0x04)
	.dwendtag $C$DW$T$35


$C$DW$T$36	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$36, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$36, DW_AT_byte_size(0x2fb4)
$C$DW$63	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$63, DW_AT_upper_bound(0xbec)
	.dwendtag $C$DW$T$36


$C$DW$T$37	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$37, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$37, DW_AT_byte_size(0x400)
$C$DW$64	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$64, DW_AT_upper_bound(0xff)
	.dwendtag $C$DW$T$37


$C$DW$T$38	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$38, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$38, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$38, DW_AT_byte_size(0x7c00)
$C$DW$65	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$65, DW_AT_upper_bound(0x1eff)
	.dwendtag $C$DW$T$38


$C$DW$T$40	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$40, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$40, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$40, DW_AT_byte_size(0xec)
$C$DW$66	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$66, DW_AT_upper_bound(0x3a)
	.dwendtag $C$DW$T$40


$C$DW$T$41	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$41, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$41, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$41, DW_AT_byte_size(0xfeec)
$C$DW$67	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$67, DW_AT_upper_bound(0x3fba)
	.dwendtag $C$DW$T$41


$C$DW$T$43	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$43, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$43, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$43, DW_AT_byte_size(0x20000)
$C$DW$68	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$68, DW_AT_upper_bound(0x7fff)
	.dwendtag $C$DW$T$43


$C$DW$T$44	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$44, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$44, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$44, DW_AT_byte_size(0x10000)
$C$DW$69	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$69, DW_AT_upper_bound(0x3fff)
	.dwendtag $C$DW$T$44

$C$DW$T$82	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$82, DW_AT_type(*$C$DW$T$24)
$C$DW$T$83	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast16_t")
	.dwattr $C$DW$T$83, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$83, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$83, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$83, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$T$83, DW_AT_decl_column(0x16)
$C$DW$T$84	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast32_t")
	.dwattr $C$DW$T$84, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$84, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$84, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$84, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$T$84, DW_AT_decl_column(0x16)
$C$DW$T$85	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast8_t")
	.dwattr $C$DW$T$85, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$85, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$85, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$85, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$T$85, DW_AT_decl_column(0x16)
$C$DW$T$86	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least32_t")
	.dwattr $C$DW$T$86, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$86, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$86, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$86, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$86, DW_AT_decl_column(0x16)
$C$DW$T$87	.dwtag  DW_TAG_typedef, DW_AT_name("uintptr_t")
	.dwattr $C$DW$T$87, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$87, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$87, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$87, DW_AT_decl_line(0x59)
	.dwattr $C$DW$T$87, DW_AT_decl_column(0x1a)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("__int40_t")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$93	.dwtag  DW_TAG_typedef, DW_AT_name("int40_t")
	.dwattr $C$DW$T$93, DW_AT_type(*$C$DW$T$12)
	.dwattr $C$DW$T$93, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$93, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$93, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$93, DW_AT_decl_column(0x21)
$C$DW$T$94	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast40_t")
	.dwattr $C$DW$T$94, DW_AT_type(*$C$DW$T$93)
	.dwattr $C$DW$T$94, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$94, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$94, DW_AT_decl_line(0x51)
	.dwattr $C$DW$T$94, DW_AT_decl_column(0x17)
$C$DW$T$95	.dwtag  DW_TAG_typedef, DW_AT_name("int_least40_t")
	.dwattr $C$DW$T$95, DW_AT_type(*$C$DW$T$93)
	.dwattr $C$DW$T$95, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$95, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$95, DW_AT_decl_line(0x41)
	.dwattr $C$DW$T$95, DW_AT_decl_column(0x17)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned __int40_t")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$96	.dwtag  DW_TAG_typedef, DW_AT_name("uint40_t")
	.dwattr $C$DW$T$96, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$96, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$96, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$96, DW_AT_decl_line(0x32)
	.dwattr $C$DW$T$96, DW_AT_decl_column(0x20)
$C$DW$T$97	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast40_t")
	.dwattr $C$DW$T$97, DW_AT_type(*$C$DW$T$96)
	.dwattr $C$DW$T$97, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$97, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$97, DW_AT_decl_line(0x52)
	.dwattr $C$DW$T$97, DW_AT_decl_column(0x16)
$C$DW$T$98	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least40_t")
	.dwattr $C$DW$T$98, DW_AT_type(*$C$DW$T$96)
	.dwattr $C$DW$T$98, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$98, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$98, DW_AT_decl_line(0x42)
	.dwattr $C$DW$T$98, DW_AT_decl_column(0x16)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$99	.dwtag  DW_TAG_typedef, DW_AT_name("int64_t")
	.dwattr $C$DW$T$99, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$99, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$99, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$99, DW_AT_decl_line(0x34)
	.dwattr $C$DW$T$99, DW_AT_decl_column(0x21)
$C$DW$T$100	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast64_t")
	.dwattr $C$DW$T$100, DW_AT_type(*$C$DW$T$99)
	.dwattr $C$DW$T$100, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$100, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$100, DW_AT_decl_line(0x54)
	.dwattr $C$DW$T$100, DW_AT_decl_column(0x17)
$C$DW$T$101	.dwtag  DW_TAG_typedef, DW_AT_name("int_least64_t")
	.dwattr $C$DW$T$101, DW_AT_type(*$C$DW$T$99)
	.dwattr $C$DW$T$101, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$101, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$101, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$101, DW_AT_decl_column(0x17)
$C$DW$T$102	.dwtag  DW_TAG_typedef, DW_AT_name("intmax_t")
	.dwattr $C$DW$T$102, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$102, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$102, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$102, DW_AT_decl_line(0x5c)
	.dwattr $C$DW$T$102, DW_AT_decl_column(0x20)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$105	.dwtag  DW_TAG_typedef, DW_AT_name("uint64_t")
	.dwattr $C$DW$T$105, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$105, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$105, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$105, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$105, DW_AT_decl_column(0x20)
$C$DW$T$108	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast64_t")
	.dwattr $C$DW$T$108, DW_AT_type(*$C$DW$T$105)
	.dwattr $C$DW$T$108, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$108, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$108, DW_AT_decl_line(0x55)
	.dwattr $C$DW$T$108, DW_AT_decl_column(0x16)
$C$DW$T$109	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least64_t")
	.dwattr $C$DW$T$109, DW_AT_type(*$C$DW$T$105)
	.dwattr $C$DW$T$109, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$109, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$109, DW_AT_decl_line(0x45)
	.dwattr $C$DW$T$109, DW_AT_decl_column(0x16)
$C$DW$T$110	.dwtag  DW_TAG_typedef, DW_AT_name("uintmax_t")
	.dwattr $C$DW$T$110, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$110, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$110, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$110, DW_AT_decl_line(0x5d)
	.dwattr $C$DW$T$110, DW_AT_decl_column(0x20)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$111	.dwtag  DW_TAG_typedef, DW_AT_name("float32_t")
	.dwattr $C$DW$T$111, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$T$111, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$111, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$T$111, DW_AT_decl_line(0x30)
	.dwattr $C$DW$T$111, DW_AT_decl_column(0x0f)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$53	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$53, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$53, DW_AT_address_class(0x20)
$C$DW$T$54	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$54, DW_AT_type(*$C$DW$T$53)

$C$DW$T$113	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$113, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$113, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$113, DW_AT_byte_size(0xfc00)
$C$DW$70	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$70, DW_AT_upper_bound(0x1f7f)
	.dwendtag $C$DW$T$113

$C$DW$T$114	.dwtag  DW_TAG_typedef, DW_AT_name("__float2_t")
	.dwattr $C$DW$T$114, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$114, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$114, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/c6x.h")
	.dwattr $C$DW$T$114, DW_AT_decl_line(0x5f)
	.dwattr $C$DW$T$114, DW_AT_decl_column(0x14)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
$C$DW$T$115	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$115, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$115, DW_AT_name("signed char")
	.dwattr $C$DW$T$115, DW_AT_byte_size(0x01)
$C$DW$T$116	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$116, DW_AT_type(*$C$DW$T$115)
	.dwattr $C$DW$T$116, DW_AT_address_class(0x20)
$C$DW$T$117	.dwtag  DW_TAG_typedef, DW_AT_name("va_list")
	.dwattr $C$DW$T$117, DW_AT_type(*$C$DW$T$116)
	.dwattr $C$DW$T$117, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$117, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdarg.h")
	.dwattr $C$DW$T$117, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$T$117, DW_AT_decl_column(0x12)

$C$DW$T$23	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$23, DW_AT_name("__simd128_int32_t")
	.dwattr $C$DW$T$23, DW_AT_byte_size(0x10)
$C$DW$71	.dwtag  DW_TAG_member
	.dwattr $C$DW$71, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$71, DW_AT_name("_v")
	.dwattr $C$DW$71, DW_AT_TI_symbol_name("_v")
	.dwattr $C$DW$71, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$71, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$71, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$71, DW_AT_decl_line(0x44)
	.dwattr $C$DW$71, DW_AT_decl_column(0x01)
	.dwendtag $C$DW$T$23

	.dwattr $C$DW$T$23, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$T$23, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$23, DW_AT_decl_column(0x01)
$C$DW$T$118	.dwtag  DW_TAG_typedef, DW_AT_name("int32x4_t")
	.dwattr $C$DW$T$118, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$118, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$118, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$T$118, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$118, DW_AT_decl_column(0x01)
$C$DW$T$119	.dwtag  DW_TAG_typedef, DW_AT_name("__x128_t")
	.dwattr $C$DW$T$119, DW_AT_type(*$C$DW$T$118)
	.dwattr $C$DW$T$119, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$119, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$T$119, DW_AT_decl_line(0x46)
	.dwattr $C$DW$T$119, DW_AT_decl_column(0x13)

$C$DW$T$39	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$39, DW_AT_name("corepack_cache_regs")
	.dwattr $C$DW$T$39, DW_AT_byte_size(0x10000)
$C$DW$72	.dwtag  DW_TAG_member
	.dwattr $C$DW$72, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$72, DW_AT_name("l2cfg")
	.dwattr $C$DW$72, DW_AT_TI_symbol_name("l2cfg")
	.dwattr $C$DW$72, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$72, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$72, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$72, DW_AT_decl_line(0x20)
	.dwattr $C$DW$72, DW_AT_decl_column(0x0c)
$C$DW$73	.dwtag  DW_TAG_member
	.dwattr $C$DW$73, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$73, DW_AT_name("res1")
	.dwattr $C$DW$73, DW_AT_TI_symbol_name("res1")
	.dwattr $C$DW$73, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$73, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$73, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$73, DW_AT_decl_line(0x21)
	.dwattr $C$DW$73, DW_AT_decl_column(0x0c)
$C$DW$74	.dwtag  DW_TAG_member
	.dwattr $C$DW$74, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$74, DW_AT_name("l1pcfg")
	.dwattr $C$DW$74, DW_AT_TI_symbol_name("l1pcfg")
	.dwattr $C$DW$74, DW_AT_data_member_location[DW_OP_plus_uconst 0x20]
	.dwattr $C$DW$74, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$74, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$74, DW_AT_decl_line(0x22)
	.dwattr $C$DW$74, DW_AT_decl_column(0x0c)
$C$DW$75	.dwtag  DW_TAG_member
	.dwattr $C$DW$75, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$75, DW_AT_name("l1pcc")
	.dwattr $C$DW$75, DW_AT_TI_symbol_name("l1pcc")
	.dwattr $C$DW$75, DW_AT_data_member_location[DW_OP_plus_uconst 0x24]
	.dwattr $C$DW$75, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$75, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$75, DW_AT_decl_line(0x23)
	.dwattr $C$DW$75, DW_AT_decl_column(0x0c)
$C$DW$76	.dwtag  DW_TAG_member
	.dwattr $C$DW$76, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$76, DW_AT_name("res2")
	.dwattr $C$DW$76, DW_AT_TI_symbol_name("res2")
	.dwattr $C$DW$76, DW_AT_data_member_location[DW_OP_plus_uconst 0x28]
	.dwattr $C$DW$76, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$76, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$76, DW_AT_decl_line(0x24)
	.dwattr $C$DW$76, DW_AT_decl_column(0x0c)
$C$DW$77	.dwtag  DW_TAG_member
	.dwattr $C$DW$77, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$77, DW_AT_name("l1dcfg")
	.dwattr $C$DW$77, DW_AT_TI_symbol_name("l1dcfg")
	.dwattr $C$DW$77, DW_AT_data_member_location[DW_OP_plus_uconst 0x40]
	.dwattr $C$DW$77, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$77, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$77, DW_AT_decl_line(0x25)
	.dwattr $C$DW$77, DW_AT_decl_column(0x0c)
$C$DW$78	.dwtag  DW_TAG_member
	.dwattr $C$DW$78, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$78, DW_AT_name("l1dcc")
	.dwattr $C$DW$78, DW_AT_TI_symbol_name("l1dcc")
	.dwattr $C$DW$78, DW_AT_data_member_location[DW_OP_plus_uconst 0x44]
	.dwattr $C$DW$78, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$78, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$78, DW_AT_decl_line(0x26)
	.dwattr $C$DW$78, DW_AT_decl_column(0x0c)
$C$DW$79	.dwtag  DW_TAG_member
	.dwattr $C$DW$79, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$79, DW_AT_name("res3")
	.dwattr $C$DW$79, DW_AT_TI_symbol_name("res3")
	.dwattr $C$DW$79, DW_AT_data_member_location[DW_OP_plus_uconst 0x48]
	.dwattr $C$DW$79, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$79, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$79, DW_AT_decl_line(0x27)
	.dwattr $C$DW$79, DW_AT_decl_column(0x0c)
$C$DW$80	.dwtag  DW_TAG_member
	.dwattr $C$DW$80, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$80, DW_AT_name("l2wbar")
	.dwattr $C$DW$80, DW_AT_TI_symbol_name("l2wbar")
	.dwattr $C$DW$80, DW_AT_data_member_location[DW_OP_plus_uconst 0x4000]
	.dwattr $C$DW$80, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$80, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$80, DW_AT_decl_line(0x28)
	.dwattr $C$DW$80, DW_AT_decl_column(0x0c)
$C$DW$81	.dwtag  DW_TAG_member
	.dwattr $C$DW$81, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$81, DW_AT_name("l2wwc")
	.dwattr $C$DW$81, DW_AT_TI_symbol_name("l2wwc")
	.dwattr $C$DW$81, DW_AT_data_member_location[DW_OP_plus_uconst 0x4004]
	.dwattr $C$DW$81, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$81, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$81, DW_AT_decl_line(0x29)
	.dwattr $C$DW$81, DW_AT_decl_column(0x0c)
$C$DW$82	.dwtag  DW_TAG_member
	.dwattr $C$DW$82, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$82, DW_AT_name("res4")
	.dwattr $C$DW$82, DW_AT_TI_symbol_name("res4")
	.dwattr $C$DW$82, DW_AT_data_member_location[DW_OP_plus_uconst 0x4008]
	.dwattr $C$DW$82, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$82, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$82, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$82, DW_AT_decl_column(0x0c)
$C$DW$83	.dwtag  DW_TAG_member
	.dwattr $C$DW$83, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$83, DW_AT_name("l2wibar")
	.dwattr $C$DW$83, DW_AT_TI_symbol_name("l2wibar")
	.dwattr $C$DW$83, DW_AT_data_member_location[DW_OP_plus_uconst 0x4010]
	.dwattr $C$DW$83, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$83, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$83, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$83, DW_AT_decl_column(0x0c)
$C$DW$84	.dwtag  DW_TAG_member
	.dwattr $C$DW$84, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$84, DW_AT_name("l2wiwc")
	.dwattr $C$DW$84, DW_AT_TI_symbol_name("l2wiwc")
	.dwattr $C$DW$84, DW_AT_data_member_location[DW_OP_plus_uconst 0x4014]
	.dwattr $C$DW$84, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$84, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$84, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$84, DW_AT_decl_column(0x0c)
$C$DW$85	.dwtag  DW_TAG_member
	.dwattr $C$DW$85, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$85, DW_AT_name("l2ibar")
	.dwattr $C$DW$85, DW_AT_TI_symbol_name("l2ibar")
	.dwattr $C$DW$85, DW_AT_data_member_location[DW_OP_plus_uconst 0x4018]
	.dwattr $C$DW$85, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$85, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$85, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$85, DW_AT_decl_column(0x0c)
$C$DW$86	.dwtag  DW_TAG_member
	.dwattr $C$DW$86, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$86, DW_AT_name("l2iwc")
	.dwattr $C$DW$86, DW_AT_TI_symbol_name("l2iwc")
	.dwattr $C$DW$86, DW_AT_data_member_location[DW_OP_plus_uconst 0x401c]
	.dwattr $C$DW$86, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$86, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$86, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$86, DW_AT_decl_column(0x0c)
$C$DW$87	.dwtag  DW_TAG_member
	.dwattr $C$DW$87, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$87, DW_AT_name("l1pibar")
	.dwattr $C$DW$87, DW_AT_TI_symbol_name("l1pibar")
	.dwattr $C$DW$87, DW_AT_data_member_location[DW_OP_plus_uconst 0x4020]
	.dwattr $C$DW$87, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$87, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$87, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$87, DW_AT_decl_column(0x0c)
$C$DW$88	.dwtag  DW_TAG_member
	.dwattr $C$DW$88, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$88, DW_AT_name("l1piwc")
	.dwattr $C$DW$88, DW_AT_TI_symbol_name("l1piwc")
	.dwattr $C$DW$88, DW_AT_data_member_location[DW_OP_plus_uconst 0x4024]
	.dwattr $C$DW$88, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$88, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$88, DW_AT_decl_line(0x30)
	.dwattr $C$DW$88, DW_AT_decl_column(0x0c)
$C$DW$89	.dwtag  DW_TAG_member
	.dwattr $C$DW$89, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$89, DW_AT_name("res5")
	.dwattr $C$DW$89, DW_AT_TI_symbol_name("res5")
	.dwattr $C$DW$89, DW_AT_data_member_location[DW_OP_plus_uconst 0x4028]
	.dwattr $C$DW$89, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$89, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$89, DW_AT_decl_line(0x31)
	.dwattr $C$DW$89, DW_AT_decl_column(0x0c)
$C$DW$90	.dwtag  DW_TAG_member
	.dwattr $C$DW$90, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$90, DW_AT_name("l1dwibar")
	.dwattr $C$DW$90, DW_AT_TI_symbol_name("l1dwibar")
	.dwattr $C$DW$90, DW_AT_data_member_location[DW_OP_plus_uconst 0x4030]
	.dwattr $C$DW$90, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$90, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$90, DW_AT_decl_line(0x32)
	.dwattr $C$DW$90, DW_AT_decl_column(0x0c)
$C$DW$91	.dwtag  DW_TAG_member
	.dwattr $C$DW$91, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$91, DW_AT_name("l1dwiwc")
	.dwattr $C$DW$91, DW_AT_TI_symbol_name("l1dwiwc")
	.dwattr $C$DW$91, DW_AT_data_member_location[DW_OP_plus_uconst 0x4034]
	.dwattr $C$DW$91, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$91, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$91, DW_AT_decl_line(0x33)
	.dwattr $C$DW$91, DW_AT_decl_column(0x0c)
$C$DW$92	.dwtag  DW_TAG_member
	.dwattr $C$DW$92, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$92, DW_AT_name("res6")
	.dwattr $C$DW$92, DW_AT_TI_symbol_name("res6")
	.dwattr $C$DW$92, DW_AT_data_member_location[DW_OP_plus_uconst 0x4038]
	.dwattr $C$DW$92, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$92, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$92, DW_AT_decl_line(0x34)
	.dwattr $C$DW$92, DW_AT_decl_column(0x0c)
$C$DW$93	.dwtag  DW_TAG_member
	.dwattr $C$DW$93, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$93, DW_AT_name("l1dwbar")
	.dwattr $C$DW$93, DW_AT_TI_symbol_name("l1dwbar")
	.dwattr $C$DW$93, DW_AT_data_member_location[DW_OP_plus_uconst 0x4040]
	.dwattr $C$DW$93, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$93, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$93, DW_AT_decl_line(0x35)
	.dwattr $C$DW$93, DW_AT_decl_column(0x0c)
$C$DW$94	.dwtag  DW_TAG_member
	.dwattr $C$DW$94, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$94, DW_AT_name("l1dwwc")
	.dwattr $C$DW$94, DW_AT_TI_symbol_name("l1dwwc")
	.dwattr $C$DW$94, DW_AT_data_member_location[DW_OP_plus_uconst 0x4044]
	.dwattr $C$DW$94, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$94, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$94, DW_AT_decl_line(0x36)
	.dwattr $C$DW$94, DW_AT_decl_column(0x0c)
$C$DW$95	.dwtag  DW_TAG_member
	.dwattr $C$DW$95, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$95, DW_AT_name("l1dibar")
	.dwattr $C$DW$95, DW_AT_TI_symbol_name("l1dibar")
	.dwattr $C$DW$95, DW_AT_data_member_location[DW_OP_plus_uconst 0x4048]
	.dwattr $C$DW$95, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$95, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$95, DW_AT_decl_line(0x37)
	.dwattr $C$DW$95, DW_AT_decl_column(0x0c)
$C$DW$96	.dwtag  DW_TAG_member
	.dwattr $C$DW$96, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$96, DW_AT_name("l1diwc")
	.dwattr $C$DW$96, DW_AT_TI_symbol_name("l1diwc")
	.dwattr $C$DW$96, DW_AT_data_member_location[DW_OP_plus_uconst 0x404c]
	.dwattr $C$DW$96, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$96, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$96, DW_AT_decl_line(0x38)
	.dwattr $C$DW$96, DW_AT_decl_column(0x0c)
$C$DW$97	.dwtag  DW_TAG_member
	.dwattr $C$DW$97, DW_AT_type(*$C$DW$T$34)
	.dwattr $C$DW$97, DW_AT_name("res7")
	.dwattr $C$DW$97, DW_AT_TI_symbol_name("res7")
	.dwattr $C$DW$97, DW_AT_data_member_location[DW_OP_plus_uconst 0x4050]
	.dwattr $C$DW$97, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$97, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$97, DW_AT_decl_line(0x39)
	.dwattr $C$DW$97, DW_AT_decl_column(0x0c)
$C$DW$98	.dwtag  DW_TAG_member
	.dwattr $C$DW$98, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$98, DW_AT_name("l2wb")
	.dwattr $C$DW$98, DW_AT_TI_symbol_name("l2wb")
	.dwattr $C$DW$98, DW_AT_data_member_location[DW_OP_plus_uconst 0x5000]
	.dwattr $C$DW$98, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$98, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$98, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$98, DW_AT_decl_column(0x0c)
$C$DW$99	.dwtag  DW_TAG_member
	.dwattr $C$DW$99, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$99, DW_AT_name("l2wbinv")
	.dwattr $C$DW$99, DW_AT_TI_symbol_name("l2wbinv")
	.dwattr $C$DW$99, DW_AT_data_member_location[DW_OP_plus_uconst 0x5004]
	.dwattr $C$DW$99, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$99, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$99, DW_AT_decl_line(0x3b)
	.dwattr $C$DW$99, DW_AT_decl_column(0x0c)
$C$DW$100	.dwtag  DW_TAG_member
	.dwattr $C$DW$100, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$100, DW_AT_name("l2inv")
	.dwattr $C$DW$100, DW_AT_TI_symbol_name("l2inv")
	.dwattr $C$DW$100, DW_AT_data_member_location[DW_OP_plus_uconst 0x5008]
	.dwattr $C$DW$100, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$100, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$100, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$100, DW_AT_decl_column(0x0c)
$C$DW$101	.dwtag  DW_TAG_member
	.dwattr $C$DW$101, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$101, DW_AT_name("res8")
	.dwattr $C$DW$101, DW_AT_TI_symbol_name("res8")
	.dwattr $C$DW$101, DW_AT_data_member_location[DW_OP_plus_uconst 0x500c]
	.dwattr $C$DW$101, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$101, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$101, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$101, DW_AT_decl_column(0x0c)
$C$DW$102	.dwtag  DW_TAG_member
	.dwattr $C$DW$102, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$102, DW_AT_name("l1pinv")
	.dwattr $C$DW$102, DW_AT_TI_symbol_name("l1pinv")
	.dwattr $C$DW$102, DW_AT_data_member_location[DW_OP_plus_uconst 0x5028]
	.dwattr $C$DW$102, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$102, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$102, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$102, DW_AT_decl_column(0x0c)
$C$DW$103	.dwtag  DW_TAG_member
	.dwattr $C$DW$103, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$103, DW_AT_name("res9")
	.dwattr $C$DW$103, DW_AT_TI_symbol_name("res9")
	.dwattr $C$DW$103, DW_AT_data_member_location[DW_OP_plus_uconst 0x502c]
	.dwattr $C$DW$103, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$103, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$103, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$103, DW_AT_decl_column(0x0c)
$C$DW$104	.dwtag  DW_TAG_member
	.dwattr $C$DW$104, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$104, DW_AT_name("l1dwb")
	.dwattr $C$DW$104, DW_AT_TI_symbol_name("l1dwb")
	.dwattr $C$DW$104, DW_AT_data_member_location[DW_OP_plus_uconst 0x5040]
	.dwattr $C$DW$104, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$104, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$104, DW_AT_decl_line(0x40)
	.dwattr $C$DW$104, DW_AT_decl_column(0x0c)
$C$DW$105	.dwtag  DW_TAG_member
	.dwattr $C$DW$105, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$105, DW_AT_name("l1dwbinv")
	.dwattr $C$DW$105, DW_AT_TI_symbol_name("l1dwbinv")
	.dwattr $C$DW$105, DW_AT_data_member_location[DW_OP_plus_uconst 0x5044]
	.dwattr $C$DW$105, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$105, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$105, DW_AT_decl_line(0x41)
	.dwattr $C$DW$105, DW_AT_decl_column(0x0c)
$C$DW$106	.dwtag  DW_TAG_member
	.dwattr $C$DW$106, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$106, DW_AT_name("l1dinv")
	.dwattr $C$DW$106, DW_AT_TI_symbol_name("l1dinv")
	.dwattr $C$DW$106, DW_AT_data_member_location[DW_OP_plus_uconst 0x5048]
	.dwattr $C$DW$106, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$106, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$106, DW_AT_decl_line(0x42)
	.dwattr $C$DW$106, DW_AT_decl_column(0x0c)
$C$DW$107	.dwtag  DW_TAG_member
	.dwattr $C$DW$107, DW_AT_type(*$C$DW$T$36)
	.dwattr $C$DW$107, DW_AT_name("res10")
	.dwattr $C$DW$107, DW_AT_TI_symbol_name("res10")
	.dwattr $C$DW$107, DW_AT_data_member_location[DW_OP_plus_uconst 0x504c]
	.dwattr $C$DW$107, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$107, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$107, DW_AT_decl_line(0x43)
	.dwattr $C$DW$107, DW_AT_decl_column(0x0c)
$C$DW$108	.dwtag  DW_TAG_member
	.dwattr $C$DW$108, DW_AT_type(*$C$DW$T$37)
	.dwattr $C$DW$108, DW_AT_name("mar")
	.dwattr $C$DW$108, DW_AT_TI_symbol_name("mar")
	.dwattr $C$DW$108, DW_AT_data_member_location[DW_OP_plus_uconst 0x8000]
	.dwattr $C$DW$108, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$108, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$108, DW_AT_decl_line(0x44)
	.dwattr $C$DW$108, DW_AT_decl_column(0x0c)
$C$DW$109	.dwtag  DW_TAG_member
	.dwattr $C$DW$109, DW_AT_type(*$C$DW$T$38)
	.dwattr $C$DW$109, DW_AT_name("res11")
	.dwattr $C$DW$109, DW_AT_TI_symbol_name("res11")
	.dwattr $C$DW$109, DW_AT_data_member_location[DW_OP_plus_uconst 0x8400]
	.dwattr $C$DW$109, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$109, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$109, DW_AT_decl_line(0x45)
	.dwattr $C$DW$109, DW_AT_decl_column(0x0c)
	.dwendtag $C$DW$T$39

	.dwattr $C$DW$T$39, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$T$39, DW_AT_decl_line(0x1f)
	.dwattr $C$DW$T$39, DW_AT_decl_column(0x08)

$C$DW$T$42	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$42, DW_AT_name("corepack_idma_regs")
	.dwattr $C$DW$T$42, DW_AT_byte_size(0x10000)
$C$DW$110	.dwtag  DW_TAG_member
	.dwattr $C$DW$110, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$110, DW_AT_name("idma0_stat")
	.dwattr $C$DW$110, DW_AT_TI_symbol_name("idma0_stat")
	.dwattr $C$DW$110, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$110, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$110, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$110, DW_AT_decl_line(0x0e)
	.dwattr $C$DW$110, DW_AT_decl_column(0x0c)
$C$DW$111	.dwtag  DW_TAG_member
	.dwattr $C$DW$111, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$111, DW_AT_name("idma0_mask")
	.dwattr $C$DW$111, DW_AT_TI_symbol_name("idma0_mask")
	.dwattr $C$DW$111, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$111, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$111, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$111, DW_AT_decl_line(0x0f)
	.dwattr $C$DW$111, DW_AT_decl_column(0x0c)
$C$DW$112	.dwtag  DW_TAG_member
	.dwattr $C$DW$112, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$112, DW_AT_name("idma0_source")
	.dwattr $C$DW$112, DW_AT_TI_symbol_name("idma0_source")
	.dwattr $C$DW$112, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$112, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$112, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$112, DW_AT_decl_line(0x10)
	.dwattr $C$DW$112, DW_AT_decl_column(0x0c)
$C$DW$113	.dwtag  DW_TAG_member
	.dwattr $C$DW$113, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$113, DW_AT_name("idma0_dest")
	.dwattr $C$DW$113, DW_AT_TI_symbol_name("idma0_dest")
	.dwattr $C$DW$113, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr $C$DW$113, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$113, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$113, DW_AT_decl_line(0x11)
	.dwattr $C$DW$113, DW_AT_decl_column(0x0c)
$C$DW$114	.dwtag  DW_TAG_member
	.dwattr $C$DW$114, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$114, DW_AT_name("idma0_count")
	.dwattr $C$DW$114, DW_AT_TI_symbol_name("idma0_count")
	.dwattr $C$DW$114, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr $C$DW$114, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$114, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$114, DW_AT_decl_line(0x12)
	.dwattr $C$DW$114, DW_AT_decl_column(0x0c)
$C$DW$115	.dwtag  DW_TAG_member
	.dwattr $C$DW$115, DW_AT_type(*$C$DW$T$40)
	.dwattr $C$DW$115, DW_AT_name("res1")
	.dwattr $C$DW$115, DW_AT_TI_symbol_name("res1")
	.dwattr $C$DW$115, DW_AT_data_member_location[DW_OP_plus_uconst 0x14]
	.dwattr $C$DW$115, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$115, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$115, DW_AT_decl_line(0x13)
	.dwattr $C$DW$115, DW_AT_decl_column(0x0c)
$C$DW$116	.dwtag  DW_TAG_member
	.dwattr $C$DW$116, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$116, DW_AT_name("idma1_stat")
	.dwattr $C$DW$116, DW_AT_TI_symbol_name("idma1_stat")
	.dwattr $C$DW$116, DW_AT_data_member_location[DW_OP_plus_uconst 0x100]
	.dwattr $C$DW$116, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$116, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$116, DW_AT_decl_line(0x14)
	.dwattr $C$DW$116, DW_AT_decl_column(0x0c)
$C$DW$117	.dwtag  DW_TAG_member
	.dwattr $C$DW$117, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$117, DW_AT_name("res2")
	.dwattr $C$DW$117, DW_AT_TI_symbol_name("res2")
	.dwattr $C$DW$117, DW_AT_data_member_location[DW_OP_plus_uconst 0x104]
	.dwattr $C$DW$117, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$117, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$117, DW_AT_decl_line(0x15)
	.dwattr $C$DW$117, DW_AT_decl_column(0x0c)
$C$DW$118	.dwtag  DW_TAG_member
	.dwattr $C$DW$118, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$118, DW_AT_name("idma1_source")
	.dwattr $C$DW$118, DW_AT_TI_symbol_name("idma1_source")
	.dwattr $C$DW$118, DW_AT_data_member_location[DW_OP_plus_uconst 0x108]
	.dwattr $C$DW$118, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$118, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$118, DW_AT_decl_line(0x16)
	.dwattr $C$DW$118, DW_AT_decl_column(0x0c)
$C$DW$119	.dwtag  DW_TAG_member
	.dwattr $C$DW$119, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$119, DW_AT_name("idma1_dest")
	.dwattr $C$DW$119, DW_AT_TI_symbol_name("idma1_dest")
	.dwattr $C$DW$119, DW_AT_data_member_location[DW_OP_plus_uconst 0x10c]
	.dwattr $C$DW$119, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$119, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$119, DW_AT_decl_line(0x17)
	.dwattr $C$DW$119, DW_AT_decl_column(0x0c)
$C$DW$120	.dwtag  DW_TAG_member
	.dwattr $C$DW$120, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$120, DW_AT_name("idma1_count")
	.dwattr $C$DW$120, DW_AT_TI_symbol_name("idma1_count")
	.dwattr $C$DW$120, DW_AT_data_member_location[DW_OP_plus_uconst 0x110]
	.dwattr $C$DW$120, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$120, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$120, DW_AT_decl_line(0x18)
	.dwattr $C$DW$120, DW_AT_decl_column(0x0c)
$C$DW$121	.dwtag  DW_TAG_member
	.dwattr $C$DW$121, DW_AT_type(*$C$DW$T$41)
	.dwattr $C$DW$121, DW_AT_name("res3")
	.dwattr $C$DW$121, DW_AT_TI_symbol_name("res3")
	.dwattr $C$DW$121, DW_AT_data_member_location[DW_OP_plus_uconst 0x114]
	.dwattr $C$DW$121, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$121, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$121, DW_AT_decl_line(0x19)
	.dwattr $C$DW$121, DW_AT_decl_column(0x0c)
	.dwendtag $C$DW$T$42

	.dwattr $C$DW$T$42, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$T$42, DW_AT_decl_line(0x0d)
	.dwattr $C$DW$T$42, DW_AT_decl_column(0x08)

$C$DW$T$45	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$45, DW_AT_name("corepack_regs")
	.dwattr $C$DW$T$45, DW_AT_byte_size(0x50000)
$C$DW$122	.dwtag  DW_TAG_member
	.dwattr $C$DW$122, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$122, DW_AT_name("res1")
	.dwattr $C$DW$122, DW_AT_TI_symbol_name("res1")
	.dwattr $C$DW$122, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$122, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$122, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$122, DW_AT_decl_line(0x49)
	.dwattr $C$DW$122, DW_AT_decl_column(0x0c)
$C$DW$123	.dwtag  DW_TAG_member
	.dwattr $C$DW$123, DW_AT_type(*$C$DW$T$42)
	.dwattr $C$DW$123, DW_AT_name("idma_regs")
	.dwattr $C$DW$123, DW_AT_TI_symbol_name("idma_regs")
	.dwattr $C$DW$123, DW_AT_data_member_location[DW_OP_plus_uconst 0x20000]
	.dwattr $C$DW$123, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$123, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$123, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$123, DW_AT_decl_column(0x1d)
$C$DW$124	.dwtag  DW_TAG_member
	.dwattr $C$DW$124, DW_AT_type(*$C$DW$T$44)
	.dwattr $C$DW$124, DW_AT_name("res2")
	.dwattr $C$DW$124, DW_AT_TI_symbol_name("res2")
	.dwattr $C$DW$124, DW_AT_data_member_location[DW_OP_plus_uconst 0x30000]
	.dwattr $C$DW$124, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$124, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$124, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$124, DW_AT_decl_column(0x0c)
$C$DW$125	.dwtag  DW_TAG_member
	.dwattr $C$DW$125, DW_AT_type(*$C$DW$T$39)
	.dwattr $C$DW$125, DW_AT_name("cache_regs")
	.dwattr $C$DW$125, DW_AT_TI_symbol_name("cache_regs")
	.dwattr $C$DW$125, DW_AT_data_member_location[DW_OP_plus_uconst 0x40000]
	.dwattr $C$DW$125, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$125, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$125, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$125, DW_AT_decl_column(0x1e)
	.dwendtag $C$DW$T$45

	.dwattr $C$DW$T$45, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$T$45, DW_AT_decl_line(0x48)
	.dwattr $C$DW$T$45, DW_AT_decl_column(0x08)
$C$DW$T$125	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$125, DW_AT_type(*$C$DW$T$45)
$C$DW$T$126	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$126, DW_AT_type(*$C$DW$T$125)
	.dwattr $C$DW$T$126, DW_AT_address_class(0x20)
$C$DW$T$127	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$127, DW_AT_type(*$C$DW$T$126)

$C$DW$T$30	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$30, DW_AT_name("xmc_registers")
	.dwattr $C$DW$T$30, DW_AT_byte_size(0x420)
$C$DW$126	.dwtag  DW_TAG_member
	.dwattr $C$DW$126, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$126, DW_AT_name("res1")
	.dwattr $C$DW$126, DW_AT_TI_symbol_name("res1")
	.dwattr $C$DW$126, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$126, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$126, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$126, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$126, DW_AT_decl_column(0x0c)
$C$DW$127	.dwtag  DW_TAG_member
	.dwattr $C$DW$127, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$127, DW_AT_name("xpfcmd")
	.dwattr $C$DW$127, DW_AT_TI_symbol_name("xpfcmd")
	.dwattr $C$DW$127, DW_AT_data_member_location[DW_OP_plus_uconst 0x300]
	.dwattr $C$DW$127, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$127, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$127, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$127, DW_AT_decl_column(0x0c)
$C$DW$128	.dwtag  DW_TAG_member
	.dwattr $C$DW$128, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$128, DW_AT_name("xpfacs")
	.dwattr $C$DW$128, DW_AT_TI_symbol_name("xpfacs")
	.dwattr $C$DW$128, DW_AT_data_member_location[DW_OP_plus_uconst 0x304]
	.dwattr $C$DW$128, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$128, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$128, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$128, DW_AT_decl_column(0x0c)
$C$DW$129	.dwtag  DW_TAG_member
	.dwattr $C$DW$129, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$129, DW_AT_name("res2")
	.dwattr $C$DW$129, DW_AT_TI_symbol_name("res2")
	.dwattr $C$DW$129, DW_AT_data_member_location[DW_OP_plus_uconst 0x308]
	.dwattr $C$DW$129, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$129, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$129, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$129, DW_AT_decl_column(0x0c)
$C$DW$130	.dwtag  DW_TAG_member
	.dwattr $C$DW$130, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$130, DW_AT_name("xpfac")
	.dwattr $C$DW$130, DW_AT_TI_symbol_name("xpfac")
	.dwattr $C$DW$130, DW_AT_data_member_location[DW_OP_plus_uconst 0x310]
	.dwattr $C$DW$130, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$130, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$130, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$130, DW_AT_decl_column(0x0c)
$C$DW$131	.dwtag  DW_TAG_member
	.dwattr $C$DW$131, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$131, DW_AT_name("res3")
	.dwattr $C$DW$131, DW_AT_TI_symbol_name("res3")
	.dwattr $C$DW$131, DW_AT_data_member_location[DW_OP_plus_uconst 0x320]
	.dwattr $C$DW$131, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$131, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$131, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$131, DW_AT_decl_column(0x0c)
$C$DW$132	.dwtag  DW_TAG_member
	.dwattr $C$DW$132, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$132, DW_AT_name("xpfaddr")
	.dwattr $C$DW$132, DW_AT_TI_symbol_name("xpfaddr")
	.dwattr $C$DW$132, DW_AT_data_member_location[DW_OP_plus_uconst 0x400]
	.dwattr $C$DW$132, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$132, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$132, DW_AT_decl_line(0x30)
	.dwattr $C$DW$132, DW_AT_decl_column(0x0c)
	.dwendtag $C$DW$T$30

	.dwattr $C$DW$T$30, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$T$30, DW_AT_decl_line(0x29)
	.dwattr $C$DW$T$30, DW_AT_decl_column(0x08)
$C$DW$T$120	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$120, DW_AT_type(*$C$DW$T$30)
$C$DW$T$121	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$121, DW_AT_type(*$C$DW$T$120)
	.dwattr $C$DW$T$121, DW_AT_address_class(0x20)
$C$DW$T$122	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$122, DW_AT_type(*$C$DW$T$121)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)
	.dwendtag $C$DW$CU

