;******************************************************************************
;* TMS320C6x C/C++ Codegen                                  Unix v7.4.0A12012 *
;* Date/Time created: Mon Aug  6 14:11:45 2012                                *
;******************************************************************************
	.compiler_opts --abi=eabi --c64p_l1d_workaround=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6600 --symdebug:dwarf_version=3 --symdebug:skeletal 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C66xx                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug for Program Analysis w/Optimization      *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("fill_u_panel_l2.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C6x C/C++ Codegen Unix v7.4.0A12012 Copyright (c) 1996-2012 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("/home/noname/dist-ti-0.0.3/src/dma-linpack")
;	/opt/ti/C6000CGT7.4.0A12012//bin/opt6x /tmp/22376ZzKGye /tmp/22376nxfQln 
	.sect	".text"
	.clink
	.global	save_u_panel_l2

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("save_u_panel_l2")
	.dwattr $C$DW$1, DW_AT_low_pc(save_u_panel_l2)
	.dwattr $C$DW$1, DW_AT_high_pc(0x00)
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("save_u_panel_l2")
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_TI_begin_file("fill_u_panel_l2.c")
	.dwattr $C$DW$1, DW_AT_TI_begin_line(0x55)
	.dwattr $C$DW$1, DW_AT_TI_begin_column(0x01)
	.dwattr $C$DW$1, DW_AT_decl_file("fill_u_panel_l2.c")
	.dwattr $C$DW$1, DW_AT_decl_line(0x55)
	.dwattr $C$DW$1, DW_AT_decl_column(0x01)
	.dwattr $C$DW$1, DW_AT_TI_max_frame_size(0x30)
	.dwattr $C$DW$1, DW_AT_frame_base[DW_OP_breg31 48]
	.dwattr $C$DW$1, DW_AT_TI_skeletal
	.dwpsn	file "fill_u_panel_l2.c",line 89,column 1,is_stmt,address save_u_panel_l2,isa 0
$C$DW$2	.dwtag  DW_TAG_formal_parameter, DW_AT_name("m")
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("m")
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$2, DW_AT_location[DW_OP_reg4]
$C$DW$3	.dwtag  DW_TAG_formal_parameter, DW_AT_name("u_l2")
	.dwattr $C$DW$3, DW_AT_TI_symbol_name("u_l2")
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$3, DW_AT_location[DW_OP_reg20]
$C$DW$4	.dwtag  DW_TAG_formal_parameter, DW_AT_name("rows")
	.dwattr $C$DW$4, DW_AT_TI_symbol_name("rows")
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$4, DW_AT_location[DW_OP_reg6]
$C$DW$5	.dwtag  DW_TAG_formal_parameter, DW_AT_name("cols")
	.dwattr $C$DW$5, DW_AT_TI_symbol_name("cols")
	.dwattr $C$DW$5, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$5, DW_AT_location[DW_OP_reg22]
;----------------------------------------------------------------------
;  85 | save_u_panel_l2(double * restrict m,                                   
;  86 | const double * restrict u_l2,                                          
;  87 | size_t rows,                                                           
;  88 | size_t cols)                                                           
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: save_u_panel_l2                                             *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,  *
;*                           A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20,B21, *
;*                           B22,B23,B24,B25,B26,B27,B28,B29,B30,B31          *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,DP,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,   *
;*                           A25,A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20, *
;*                           B21,B22,B23,B24,B25,B26,B27,B28,B29,B30,B31      *
;*   Local Frame Size  : 0 Args + 0 Auto + 48 Save = 48 byte                  *
;******************************************************************************
save_u_panel_l2:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  90 | size_t col_block;                                                      
;  91 | size_t col_ofs;                                                        
;  92 | size_t row;                                                            
;----------------------------------------------------------------------

           MV      .L1X    B6,A0             ; |89| 
||         STW     .D2T1   A11,*SP--(8)      ; |89| 

   [!A0]   B       .S1     $C$L6             ; |94| 
||         STDW    .D2T2   B13:B12,*SP--     ; |89| 
||         MV      .L2     B3,B13            ; |89| 
||         MV      .S2     B4,B3             ; |89| 
||         MV      .L1     A0,A1             ; guard predicate rewrite

           STDW    .D2T2   B11:B10,*SP--     ; |89| 
||         MVK     .S2     127,B4            ; |95| 
||         ZERO    .L2     B11               ; |94| 

           STDW    .D2T1   A15:A14,*SP--     ; |89| 
||         MV      .L2X    A6,B10            ; |89| 
||         ADD     .S2     B4,B6,B4          ; |95| 

           STDW    .D2T1   A13:A12,*SP--     ; |89| 
||         MV      .L1     A4,A13            ; |89| 
||         SHRU    .S2     B4,7,B12          ; |95| 
|| [ A1]   ADD     .L2     12,B11,B4

   [ A0]   MV      .L1X    B10,A0
           STW     .D2T1   A10,*SP--(8)      ; |89| 
	.dwpsn	file "fill_u_panel_l2.c",line 94,column 20,is_stmt,isa 0
;----------------------------------------------------------------------
;  94 | for(col_block=0; col_block<cols; col_block+=BLOCK_SIZE*8) {            
;----------------------------------------------------------------------
           ; BRANCHCC OCCURS {$C$L6}         ; |94| 
;** --------------------------------------------------------------------------*

           EXTU    .S2     B4,4,8,B4
|| [!A0]   B       .S1     $C$L5             ; |95| 
||         MV      .L2X    A0,B1             ; guard predicate rewrite

   [ A0]   SHRU    .S2     B11,3,B7

           SHL     .S1X    B4,8,A2
||         ADD     .L2     13,B11,B4

	.dwpsn	file "fill_u_panel_l2.c",line 94,column 0,is_stmt,isa 0
           EXTU    .S2     B4,4,8,B8
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L1
;** --------------------------------------------------------------------------*
$C$L1:    
	.dwpsn	file "fill_u_panel_l2.c",line 94,column 7,is_stmt,isa 0
$C$DW$L$save_u_panel_l2$3$B:
           EXTU    .S2     B11,4,9,B4

   [ B1]   SHL     .S2     B4,12,B17
|| [ B1]   ADD     .L2     10,B7,B4

	.dwpsn	file "fill_u_panel_l2.c",line 95,column 16,is_stmt,isa 0
;----------------------------------------------------------------------
;  95 | for(row=0; row<rows; ++row) {                                          
;----------------------------------------------------------------------
           ; BRANCHCC OCCURS {$C$L5}         ; |95| 
$C$DW$L$save_u_panel_l2$3$E:
;** --------------------------------------------------------------------------*
$C$DW$L$save_u_panel_l2$4$B:

           ADD     .L2     10,B11,B5
||         EXTU    .S2     B4,7,9,B4
||         SUB     .D2     B7,1,B6
||         SHL     .S1X    B8,8,A11

           EXTU    .S2     B5,4,8,B9
||         ADD     .L1X    9,B7,A4
||         MV      .L2     B10,B0            ; |96| 
||         MV      .D2X    A13,B16

           EXTU    .S2     B11,4,8,B5
||         SHL     .S1X    B4,9,A27
||         ADD     .L2     3,B11,B4

           SHL     .S2     B5,8,B18
||         ADD     .L2     5,B11,B5
||         SHL     .S1X    B9,8,A0

           EXTU    .S2     B4,4,8,B9
||         ADD     .L2     4,B11,B4
||         AND     .L1X    3,B6,A29
||         ADD     .D2     6,B11,B6
||         EXTU    .S1     A4,7,9,A4

           EXTU    .S2     B5,4,8,B19
||         ADD     .L2     6,B7,B5
||         ADD     .L1X    15,B11,A3
||         SHL     .S1     A4,9,A6

           EXTU    .S2     B5,7,9,B5
||         EXTU    .S1     A3,4,8,A28
||         ADD     .L1X    5,B7,A3

           EXTU    .S2     B4,4,8,B8
||         ADD     .L2     15,B7,B4
||         EXTU    .S1     A3,7,9,A23
||         ADD     .L1X    3,B7,A3

           EXTU    .S2     B4,7,9,B4
||         SHL     .S1X    B5,9,A4

           EXTU    .S2     B6,4,8,B6
||         EXTU    .S1     A3,7,9,A7
||         ADD     .L1X    7,B7,A3

           SHL     .S2     B4,9,B5
||         ADD     .L2     2,B7,B4
||         SHL     .S1     A7,9,A19
||         MV      .L1X    B3,A24

           SHL     .S1X    B6,8,A25
||         EXTU    .S2     B4,7,9,B6
||         ADD     .L2     9,B11,B4

           ADD     .L1X    A29,B5,A7
||         ADD     .L2     1,B11,B5
||         EXTU    .S2     B4,4,8,B4
||         EXTU    .S1     A3,7,9,A8

           SHL     .S1X    B6,9,A21
||         ADD     .L2     2,B11,B6
||         EXTU    .S2     B5,4,8,B5
||         ADDAD   .D1     A24,A7,A12
||         ADD     .L1     A29,A19,A7

           ADD     .L1X    11,B7,A3
||         ADDAD   .D1     A24,A7,A19
||         SHL     .S1     A23,9,A23
||         SHL     .S2X    A28,8,B25

           SHL     .S1X    B4,8,A30
||         EXTU    .S2     B6,4,8,B4
||         ADD     .L2     7,B11,B6

           SHL     .S1X    B8,8,A22
||         ADD     .L2     1,B7,B8
||         EXTU    .S2     B6,4,8,B26
||         ADD     .D2     8,B11,B6

           EXTU    .S1     A3,7,9,A3
||         ADD     .L1X    13,B7,A5
||         DINT                              ; interrupts off

           SHL     .S1X    B5,8,A16
||         EXTU    .S2     B8,7,9,B5

           SHL     .S1     A3,9,A9
||         ADD     .L1X    14,B7,A17

           SHL     .S1     A8,9,A3
||         ADD     .L1X    8,B7,A8

           SHL     .S1X    B4,8,A18
||         AND     .L2     3,B8,B4
||         ADD     .L1     A29,A3,A3

           ADDAD   .D1     A24,A3,A26
||         ADD     .L1     A29,A9,A3
||         SHL     .S1X    B5,9,A9
||         EXTU    .S2     B6,4,8,B5
||         ADD     .L2     4,B7,B6

           SHL     .S2     B5,8,B20
||         SUB     .L2     B7,2,B5
||         ADDAD   .D1     A24,A3,A1
||         ADD     .L1X    B4,A6,A3
||         EXTU    .S1     A5,7,9,A6

           AND     .L2     3,B5,B5
||         SHL     .S1     A6,9,A6
||         EXTU    .S2     B6,7,9,B22
||         ADD     .D2     12,B7,B6
||         ADDAD   .D1     A24,A3,A29
||         ADD     .L1X    B4,A9,A3

           ADD     .L1X    B4,A6,A6
||         EXTU    .S2     B6,7,9,B7
||         ADD     .L2     14,B11,B6
||         EXTU    .S1     A8,7,9,A9
||         ZERO    .D1     A8                ; |95| 

           ADD     .L1X    B5,A21,A5
||         ADDAD   .D1     A24,A6,A10
||         EXTU    .S1     A17,7,9,A6
||         EXTU    .S2     B6,4,8,B8
||         ADD     .L2     11,B11,B6

           ADD     .L1X    B5,A27,A7
||         ADDAD   .D1     A24,A5,A17
||         SHL     .S1     A6,9,A5

           ADDAD   .D1     A24,A7,A31
||         SHL     .S1     A9,12,A7
||         ADD     .L1X    B4,A23,A6
||         SHL     .S2     B7,12,B4

           SHL     .S1X    B9,8,A20
||         EXTU    .S2     B6,4,8,B9
||         ADDAD   .D1     A24,A6,A23
||         ADD     .L1     A24,A7,A28

           LDDW    .D1T2   *A17++(32),B7:B6  ; |62| (P) <0,0> 
||         SHL     .S2     B9,8,B21
||         AND     .L1     -16,A8,A7         ; |62| (P) <0,0> 

           ADDAD   .D1     A24,A3,A3
$C$DW$L$save_u_panel_l2$4$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : fill_u_panel_l2.c
;*      Loop source line                 : 95
;*      Loop opening brace source line   : 95
;*      Loop closing brace source line   : 99
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 13
;*      Unpartitioned Resource Bound     : 17
;*      Partitioned Resource Bound(*)    : 17
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     2        3     
;*      .D units                    16       17*    
;*      .M units                     0        0     
;*      .X cross paths              17*      10     
;*      .T address paths            17*      15     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        2     (.L or .S unit)
;*      Addition ops (.LSD)         22       29     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        3     
;*      Bound(.L .S .D .LS .LSD)    14       17*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 17 Did not find schedule
;*         ii = 18 Did not find schedule
;*         ii = 19 Did not find schedule
;*         ii = 20 Cannot allocate machine registers
;*                   Regs Live Always   : 24/11 (A/B-side)
;*                   Max Regs Live      : 33/23
;*                   Max Cond Regs Live :  0/1 
;*         ii = 20 Register pressure too high: 41
;*         ii = 20 Did not find schedule
;*         ii = 21 Register pressure too high: 36
;*         ii = 21 Cannot allocate machine registers
;*                   Regs Live Always   : 24/11 (A/B-side)
;*                   Max Regs Live      : 33/30
;*                   Max Cond Regs Live :  0/1 
;*         ii = 21 Cannot allocate machine registers
;*                   Regs Live Always   : 24/11 (A/B-side)
;*                   Max Regs Live      : 33/26
;*                   Max Cond Regs Live :  0/1 
;*         ii = 21 Did not find schedule
;*         ii = 22 Cannot allocate machine registers
;*                   Regs Live Always   : 24/11 (A/B-side)
;*                   Max Regs Live      : 33/28
;*                   Max Cond Regs Live :  0/1 
;*         ii = 22 Cannot allocate machine registers
;*                   Regs Live Always   : 24/11 (A/B-side)
;*                   Max Regs Live      : 32/22
;*                   Max Cond Regs Live :  0/1 
;*         ii = 22 Register pressure too high: 36
;*         ii = 22 Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Collapsed epilog stages       : 1
;*      Prolog not removed
;*      Collapsed prolog stages       : 0
;*
;*      Minimum required memory pad   : 0 bytes
;*
;*      For further improvement on this loop, try option -mh32
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP PROLOG

           MV      .L2     B10,B2            ; |96| 
||         SHL     .S2     B8,8,B24
||         MVD     .M1     A8,A5             ; |95| (P) <0,0> Post-sched spill
||         ADD     .D2X    B5,A5,B23
||         LDDW    .D1T1   *A1++(32),A7:A6   ; |62| (P) <0,1> 
||         SHL     .S1     A7,7,A6           ; |62| (P) <0,1> 

           ZERO    .L2     B26               ; |95| 
||         ADD     .D2     B3,B17,B17
||         SHL     .S1X    B26,8,A27
||         LDDW    .D1T2   *A26++(32),B9:B8  ; |62| (P) <0,2> 
||         SHL     .S2X    A7,13,B8          ; |62| (P) <0,2> 

           SHL     .S2     B19,8,B19
||         SHL     .S1X    B22,12,A6
||         LDDW    .D2T2   *B17++(32),B7:B6  ; |62| (P) <0,3> 
||         LDDW    .D1T1   *A29++(32),A7:A6  ; |62| (P) <0,3> 
||         SUB     .L2X    B8,A6,B29         ; |62| (P) <0,3> 

           ADD     .L1X    B5,A4,A14
||         ADD     .L2     B19,B29,B8        ; |62| (P) <0,4> 
||         LDDW    .D1T2   *A3++(32),B5:B4   ; |62| (P) <0,4> 
||         ADD     .D2     B18,B29,B9        ; |62| (P) <0,4> 
||         EXTU    .S2     B26,28,24,B28     ; |62| (P) <0,4> 

           ADD     .L1     A24,A6,A21
||         MVD     .M2     B7,B27            ; |62| (P) <0,5> Post-sched spill
||         MVD     .M1     A5,A4             ; |95| (P) <0,5> Post-sched spill
||         ADD     .S1X    A16,B29,A4        ; |62| (P) <0,5> 
||         LDDW    .D1T1   *A12++(32),A7:A6  ; |62| (P) <0,5> 
||         ADD     .L2     B20,B29,B7        ; |62| (P) <0,5> 
||         ADD     .D2     B28,B8,B8         ; |62| (P) <0,5> 
||         SHL     .S2     B9,3,B9           ; |62| (P) <0,5> 

           MVD     .M2     B6,B26            ; |62| (P) <0,6> Post-sched spill
||         MVD     .M1     A7,A5             ; |62| (P) <0,6> Post-sched spill
||         ADD     .L1X    B28,A4,A4         ; |62| (P) <0,6> 
||         ADD     .L2     B28,B7,B1         ; |62| (P) <0,6> 
||         ADD     .S2     5,B8,B31          ; |62| (P) <0,6> 
||         LDDW    .D1T2   *A21++(32),B7:B6  ; |62| (P) <0,6> 
||         ADDAD   .D2     B9,B28,B6         ; |62| (P) <0,6> 

           ADD     .L2     B3,B4,B22
||         MVD     .M2     B9,B9             ; |62| (P) <0,7> Post-sched spill
||         MVD     .M1     A6,A4             ; |62| (P) <0,7> Post-sched spill
||         ADD     .L1     1,A4,A8           ; |62| (P) <0,7> 
||         ADD     .S1X    A18,B29,A9        ; |62| (P) <0,7> 
||         ADD     .S2     B21,B29,B4        ; |62| (P) <0,7> 
||         ADD     .D2     B16,B6,B9         ; |62| (P) <0,7> 
||         LDDW    .D1T1   *A19++(32),A9:A8  ; |62| (P) <0,7> 

	.dwpsn	file "fill_u_panel_l2.c",line 95,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
;  96 | for(col_ofs=0; col_ofs<BLOCK_SIZE; ++col_ofs)                          
;  97 |   m[index_m(row, col_block + col_ofs)] =                               
;  98 |     u_l2[index_u_l2(row, col_block/8 + col_ofs)];                      
;----------------------------------------------------------------------

           ADDAD   .D1     A24,A14,A24
||         ADDAD   .D2     B3,B23,B23
||         MVD     .M2     B8,B8             ; |62| (P) <0,8> Post-sched spill
||         MVD     .M1     A7,A5             ; |62| (P) <0,8> Post-sched spill
||         ADD     .L1X    B28,A9,A5         ; |62| (P) <0,8> 
||         ADD     .L2     B24,B29,B8        ; |62| (P) <0,8> 
||         ADD     .S2     B28,B4,B30        ; |62| (P) <0,8> 

;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP KERNEL
	.dwpsn	file "fill_u_panel_l2.c",line 95,column 9,is_stmt,isa 0
$C$DW$L$save_u_panel_l2$6$B:

           ROTL    .M2     B26,0,B4          ; |62| <0,9> Post-sched spill
||         MVD     .M1     A6,A4             ; |62| <0,9> Post-sched spill
||         ADD     .L1     2,A5,A15          ; |62| <0,9> 
||         LDDW    .D1T1   *A23++(32),A7:A6  ; |62| <0,9> 
||         ADD     .L2     B25,B29,B6        ; |62| <0,9> 
||         ADD     .S2     B28,B8,B7         ; |62| <0,9> 
||         STDW    .D2T2   B7:B6,*B9         ; |62| <0,9>  ^ 
||         ADD     .S1X    A22,B29,A14       ; |62| <0,9> 

           MVD     .M2     B31,B27           ; |62| <0,10> Post-sched spill
||         MVD     .M1     A4,A4             ; |95| <0,10> Post-sched spill
||         STDW    .D1T2   B5:B4,*+A13[A8]   ; |62| <0,10>  ^ 
||         ADD     .L2     11,B30,B31        ; |62| <0,10> 
||         ADD     .S2     B28,B6,B5         ; |62| <0,10> 
||         ADD     .D2     14,B7,B30         ; |62| <0,10> 
||         ADD     .L1X    A20,B29,A9        ; |62| <0,10> 

           MVD     .M2     B4,B1             ; |95| <0,11> Post-sched spill
||         DMVDMV  .L1     A5:A4,A5:A4       ; |62| <0,11> Post-sched spill
||         ADD     .L2     8,B1,B1           ; |62| <0,11> 
||         ADD     .S2     15,B5,B27         ; |62| <0,11> 
||         STDW    .D1T2   B27:B26,*+A13[A15] ; |62| <0,11>  ^ 
||         ADD     .D2X    B28,A14,B4        ; |62| <0,11> 
||         ADD     .S1X    B28,A9,A4         ; |62| <0,11> 

           MVD     .M2     B30,B30           ; |62| <0,12> Post-sched spill
||         LDDW    .D2T2   *B23++(32),B5:B4  ; |62| <0,12> 
||         LDDW    .D1T1   *A24++(32),A7:A6  ; |62| <0,12> 
||         ADD     .S2     4,B4,B30          ; |62| <0,12> 
||         DADD    .L2X    0,A9:A8,B5:B4     ; |62| <0,12> Define a twin register
||         ADD     .L1X    A27,B29,A9        ; |62| <0,12> 
||         ADD     .S1     3,A4,A14          ; |62| <0,12> 

   [ B2]   SUB     .S2     B2,1,B2           ; <0,13> 
||         MVD     .M2     B27,B27           ; |62| <0,13> Post-sched spill
||         DMVDMV  .L1     A5:A4,A5:A4       ; |62| <0,13> Post-sched spill
||         DADD    .L2X    0,A7:A6,B5:B4     ; |62| <0,13> Post-sched spill
||         STDW    .D1T2   B5:B4,*+A13[A14]  ; |62| <0,13>  ^ 
||         ADD     .S1X    A25,B29,A5        ; |62| <0,13> 

           MVD     .M2     B1,B31            ; |62| <0,14> Post-sched spill
||         ROTL    .M1     A4,0,A6           ; |62| <0,14> Post-sched spill
||         LDDW    .D1T1   *A28++(32),A7:A6  ; |62| <0,14> 
||         ADD     .L2X    B28,A9,B6         ; |62| <0,14> 
||         STDW    .D2T2   B7:B6,*+B16[B30]  ; |62| <0,14>  ^ 
||         ADD     .S1X    B28,A5,A9         ; |62| <0,14> 

           DMVDMV  .L2     B5:B4,B7:B6       ; |62| <0,15> Post-sched spill
||         ADD     .S2     7,B6,B7           ; |62| <0,15> 
||         STDW    .D2T1   A7:A6,*+B16[B27]  ; |62| <0,15>  ^ 
||         ADD     .L1X    A30,B29,A7        ; |62| <0,15> 

           MVD     .M2     B31,B31           ; |62| <0,16> Post-sched spill
||         MVD     .M1     A6,A9             ; |95| <0,16> Post-sched spill
||         DMVDMV  .L1     A5:A4,A7:A6       ; |62| <0,16> Post-sched spill
||         LDDW    .D2T2   *B22++(32),B9:B8  ; |62| <0,16> 
||         LDDW    .D1T1   *A31++(32),A7:A6  ; |62| <0,16> 
||         ADD     .S1X    B28,A7,A14        ; |62| <0,16> 
||         ADD     .L2X    6,A9,B6           ; |62| <0,16> 

           ROTL    .M1     A5,0,A5           ; |62| <0,17> Post-sched spill
||         STDW    .D2T1   A7:A6,*+B16[B6]   ; |62| <0,17>  ^ 
||         ADD     .L1X    A0,B29,A9         ; |62| <0,17> 

           DMVDMV  .L2     B5:B4,B5:B4       ; |62| <0,18> Post-sched spill
||         ROTL    .M1     A4,0,A4           ; |62| <0,18> Post-sched spill
||         LDDW    .D1T1   *A10++(32),A5:A4  ; |62| <0,18> 
||         ADD     .S2X    9,A14,B4          ; |62| <0,18> 
||         ADD     .L1X    A2,B29,A4         ; |62| <0,18> 
||         STDW    .D2T2   B9:B8,*+B16[B7]   ; |62| <0,18>  ^ 

           ADD     .S1X    B28,A4,A14        ; |62| <0,19> 
||         ADD     .L2X    B28,A9,B5         ; |62| <0,19> 
||         STDW    .D2T1   A7:A6,*+B16[B31]  ; |62| <0,19>  ^ 

           MV      .L1     A7,A5             ; |95| <0,20> Post-sched spill
||         ROTL    .M1     A6,0,A4           ; |95| <0,20> Post-sched spill
||         ADD     .S1X    A11,B29,A4        ; |62| <0,20> 
||         ADD     .L2     10,B5,B4          ; |62| <0,20> 
||         STDW    .D2T1   A5:A4,*+B16[B4]   ; |62| <0,20>  ^ 

           ADD     .L1     1,A9,A8           ; |95| <0,21> 
||         ADD     .S1X    B28,A4,A6         ; |62| <0,21> 
||         ADD     .S2X    12,A14,B28        ; |62| <0,21> 
||         STDW    .D2T1   A7:A6,*+B16[B4]   ; |62| <0,21>  ^ 

           STDW    .D2T1   A5:A4,*+B16[B31]  ; |62| <0,22>  ^ 
||         MVD     .M1     A8,A4             ; |95| <1,0> Post-sched spill
|| [ B2]   LDDW    .D1T2   *A17++(32),B7:B6  ; |62| <1,0> 
||         AND     .L1     -16,A8,A7         ; |62| <1,0> 

           STDW    .D2T2   B9:B8,*+B16[B28]  ; |62| <0,23>  ^ 
||         ADD     .L2X    13,A6,B8          ; |62| <0,23> 
|| [ B2]   LDDW    .D1T1   *A1++(32),A7:A6   ; |62| <1,1> 
||         SHL     .S1     A7,7,A6           ; |62| <1,1> 

   [ B0]   SUB     .L2     B0,1,B0           ; |95| <0,24> 
||         STDW    .D2T1   A5:A4,*+B16[B8]   ; |62| <0,24>  ^ 
|| [ B2]   LDDW    .D1T2   *A26++(32),B9:B8  ; |62| <1,2> 
||         SHL     .S2X    A7,13,B8          ; |62| <1,2> 

           MVD     .M1X    B6,A4             ; |62| <0,25> Post-sched spill
|| [ B0]   B       .S1     $C$L3             ; |95| <0,25> 
||         ADD     .S2     1,B1,B26          ; |95| <0,25> Define a twin register
|| [ B2]   LDDW    .D2T2   *B17++(32),B7:B6  ; |62| <1,3> 
|| [ B2]   LDDW    .D1T1   *A29++(32),A7:A6  ; |62| <1,3> 
||         SUB     .L2X    B8,A6,B29         ; |62| <1,3> 

           MVD     .M1X    B7,A5             ; |62| <0,26> Post-sched spill
||         ADD     .L2     B19,B29,B8        ; |62| <1,4> 
|| [ B2]   LDDW    .D1T2   *A3++(32),B5:B4   ; |62| <1,4> 
||         ADD     .D2     B18,B29,B9        ; |62| <1,4> 
||         EXTU    .S2     B26,28,24,B28     ; |62| <1,4> 

           MVD     .M2     B7,B27            ; |62| <1,5> Post-sched spill
||         MVD     .M1     A4,A4             ; |95| <1,5> Post-sched spill
||         ADD     .L1X    A16,B29,A4        ; |62| <1,5> 
|| [ B2]   LDDW    .D1T1   *A12++(32),A7:A6  ; |62| <1,5> 
||         ADD     .L2     B20,B29,B7        ; |62| <1,5> 
||         ADD     .D2     B28,B8,B8         ; |62| <1,5> 
||         SHL     .S2     B9,3,B9           ; |62| <1,5> 

           MVD     .M2     B6,B26            ; |62| <1,6> Post-sched spill
||         MVD     .M1     A7,A5             ; |62| <1,6> Post-sched spill
||         ADD     .L1X    B28,A4,A5         ; |62| <1,6> 
||         ADD     .L2     B28,B7,B1         ; |62| <1,6> 
||         ADD     .S2     5,B8,B31          ; |62| <1,6> 
|| [ B2]   LDDW    .D1T2   *A21++(32),B7:B6  ; |62| <1,6> 
||         ADDAD   .D2     B9,B28,B6         ; |62| <1,6> 

           STDW    .D2T2   B5:B4,*+B16[B30]  ; |62| <0,29>  ^ 
||         MVD     .M2     B9,B9             ; |62| <1,7> Post-sched spill
||         MVD     .M1     A6,A4             ; |62| <1,7> Post-sched spill
||         ADD     .L1     1,A5,A8           ; |62| <1,7> 
||         ADD     .S1X    A18,B29,A9        ; |62| <1,7> 
||         ADD     .L2     B21,B29,B4        ; |62| <1,7> 
||         ADD     .S2     B16,B6,B9         ; |62| <1,7> 
|| [ B2]   LDDW    .D1T1   *A19++(32),A9:A8  ; |62| <1,7> 

	.dwpsn	file "fill_u_panel_l2.c",line 99,column 0,is_stmt,isa 0

           STDW    .D2T1   A5:A4,*+B16[B27]  ; |62| <0,30>  ^ 
||         MVD     .M2     B8,B8             ; |62| <1,8> Post-sched spill
||         MVD     .M1     A7,A5             ; |62| <1,8> Post-sched spill
||         ADD     .L1X    B28,A9,A5         ; |62| <1,8> 
||         ADD     .L2     B24,B29,B8        ; |62| <1,8> 
||         ADD     .S2     B28,B4,B30        ; |62| <1,8> 

$C$DW$L$save_u_panel_l2$6$E:
;** --------------------------------------------------------------------------*
$C$L4:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$DW$L$save_u_panel_l2$8$B:
           RINT                              ; interrupts on
$C$DW$L$save_u_panel_l2$8$E:
;** --------------------------------------------------------------------------*
$C$L5:    
	.dwpsn	file "fill_u_panel_l2.c",line 95,column 16,is_stmt,isa 0
$C$DW$L$save_u_panel_l2$9$B:

           SUB     .L1X    B12,1,A0          ; |94| 
||         ADDK    .S2     128,B11           ; |94| 
||         SUB     .L2     B12,1,B12         ; |94| 

           MV      .L1     A0,A1             ; guard predicate rewrite
|| [ A0]   B       .S1     $C$L1             ; |94| 
|| [ A0]   MV      .D1X    B10,A0

   [!A1]   MVK     .L1     0x1,A0            ; nullify predicate
|| [ A1]   ADD     .L2     12,B11,B4

   [!A0]   B       .S1     $C$L5             ; |95| 
|| [ A1]   EXTU    .S2     B4,4,8,B4
|| [ A1]   MV      .L2X    A0,B1             ; guard predicate rewrite

   [ A0]   SHRU    .S2     B11,3,B7

   [ A1]   SHL     .S1X    B4,8,A2
|| [ A1]   ADD     .L2     13,B11,B4

	.dwpsn	file "fill_u_panel_l2.c",line 100,column 0,is_stmt,isa 0
   [ A1]   EXTU    .S2     B4,4,8,B8
	.dwpsn	file "fill_u_panel_l2.c",line 94,column 20,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L1}         ; |94| 
$C$DW$L$save_u_panel_l2$9$E:
;** --------------------------------------------------------------------------*
$C$L6:    
	.dwpsn	file "fill_u_panel_l2.c",line 101,column 1,is_stmt,isa 0
           LDW     .D2T1   *++SP(8),A10      ; |101| 
           LDDW    .D2T1   *++SP,A13:A12     ; |101| 
           LDDW    .D2T1   *++SP,A15:A14     ; |101| 

           LDDW    .D2T2   *++SP,B11:B10     ; |101| 
||         MV      .L2     B13,B3            ; |101| 

$C$DW$6	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$6, DW_AT_low_pc(0x04)
	.dwattr $C$DW$6, DW_AT_TI_return

           LDDW    .D2T2   *++SP,B13:B12     ; |101| 
||         RET     .S2     B3                ; |101| 

           LDW     .D2T1   *++SP(8),A11      ; |101| 
           NOP             4
           ; BRANCH OCCURS {B3}              ; |101| 

$C$DW$7	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$7, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/fill_u_panel_l2.asm:$C$L1:1:1344255111")
	.dwattr $C$DW$7, DW_AT_TI_begin_file("fill_u_panel_l2.c")
	.dwattr $C$DW$7, DW_AT_TI_begin_line(0x5e)
	.dwattr $C$DW$7, DW_AT_TI_end_line(0x64)
$C$DW$8	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$8, DW_AT_low_pc($C$DW$L$save_u_panel_l2$3$B)
	.dwattr $C$DW$8, DW_AT_high_pc($C$DW$L$save_u_panel_l2$3$E)
$C$DW$9	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$9, DW_AT_low_pc($C$DW$L$save_u_panel_l2$4$B)
	.dwattr $C$DW$9, DW_AT_high_pc($C$DW$L$save_u_panel_l2$4$E)
$C$DW$10	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$10, DW_AT_low_pc($C$DW$L$save_u_panel_l2$8$B)
	.dwattr $C$DW$10, DW_AT_high_pc($C$DW$L$save_u_panel_l2$8$E)
$C$DW$11	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$11, DW_AT_low_pc($C$DW$L$save_u_panel_l2$9$B)
	.dwattr $C$DW$11, DW_AT_high_pc($C$DW$L$save_u_panel_l2$9$E)

$C$DW$12	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$12, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/fill_u_panel_l2.asm:$C$L3:2:1344255111")
	.dwattr $C$DW$12, DW_AT_TI_begin_file("fill_u_panel_l2.c")
	.dwattr $C$DW$12, DW_AT_TI_begin_line(0x5f)
	.dwattr $C$DW$12, DW_AT_TI_end_line(0x63)
$C$DW$13	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$13, DW_AT_low_pc($C$DW$L$save_u_panel_l2$6$B)
	.dwattr $C$DW$13, DW_AT_high_pc($C$DW$L$save_u_panel_l2$6$E)
	.dwendtag $C$DW$12

	.dwendtag $C$DW$7

	.dwattr $C$DW$1, DW_AT_TI_end_file("fill_u_panel_l2.c")
	.dwattr $C$DW$1, DW_AT_TI_end_line(0x65)
	.dwattr $C$DW$1, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$1

	.sect	".text"
	.clink
	.global	fill_u_panel_l2

$C$DW$14	.dwtag  DW_TAG_subprogram, DW_AT_name("fill_u_panel_l2")
	.dwattr $C$DW$14, DW_AT_low_pc(fill_u_panel_l2)
	.dwattr $C$DW$14, DW_AT_high_pc(0x00)
	.dwattr $C$DW$14, DW_AT_TI_symbol_name("fill_u_panel_l2")
	.dwattr $C$DW$14, DW_AT_external
	.dwattr $C$DW$14, DW_AT_TI_begin_file("fill_u_panel_l2.c")
	.dwattr $C$DW$14, DW_AT_TI_begin_line(0x27)
	.dwattr $C$DW$14, DW_AT_TI_begin_column(0x01)
	.dwattr $C$DW$14, DW_AT_decl_file("fill_u_panel_l2.c")
	.dwattr $C$DW$14, DW_AT_decl_line(0x27)
	.dwattr $C$DW$14, DW_AT_decl_column(0x01)
	.dwattr $C$DW$14, DW_AT_TI_max_frame_size(0x80)
	.dwattr $C$DW$14, DW_AT_frame_base[DW_OP_breg31 128]
	.dwattr $C$DW$14, DW_AT_TI_skeletal
	.dwpsn	file "fill_u_panel_l2.c",line 44,column 1,is_stmt,address fill_u_panel_l2,isa 0
$C$DW$15	.dwtag  DW_TAG_formal_parameter, DW_AT_name("u_l2")
	.dwattr $C$DW$15, DW_AT_TI_symbol_name("u_l2")
	.dwattr $C$DW$15, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$15, DW_AT_location[DW_OP_reg4]
$C$DW$16	.dwtag  DW_TAG_formal_parameter, DW_AT_name("m")
	.dwattr $C$DW$16, DW_AT_TI_symbol_name("m")
	.dwattr $C$DW$16, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$16, DW_AT_location[DW_OP_reg20]
$C$DW$17	.dwtag  DW_TAG_formal_parameter, DW_AT_name("pivot_rows")
	.dwattr $C$DW$17, DW_AT_TI_symbol_name("pivot_rows")
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$17, DW_AT_location[DW_OP_reg6]
$C$DW$18	.dwtag  DW_TAG_formal_parameter, DW_AT_name("rows")
	.dwattr $C$DW$18, DW_AT_TI_symbol_name("rows")
	.dwattr $C$DW$18, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$18, DW_AT_location[DW_OP_reg22]
$C$DW$19	.dwtag  DW_TAG_formal_parameter, DW_AT_name("cols")
	.dwattr $C$DW$19, DW_AT_TI_symbol_name("cols")
	.dwattr $C$DW$19, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$19, DW_AT_location[DW_OP_reg8]
;----------------------------------------------------------------------
;  39 | fill_u_panel_l2(double * restrict u_l2,                                
;  40 | double * restrict m,                                                   
;  41 | const size_t * restrict pivot_rows,                                    
;  42 | size_t rows,                                                           
;  43 | size_t cols)                                                           
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: fill_u_panel_l2                                             *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,A15,  *
;*                           B0,B1,B2,B3,B5,B6,B7,B8,B9,B10,B11,B12,B13,SP,   *
;*                           A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A26,A27, *
;*                           A28,A29,A30,A31,B16,B17,B18,B19,B20,B21,B22,B23, *
;*                           B24,B25,B26,B27,B28,B29,B30,B31                  *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,  *
;*                           A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20,B21, *
;*                           B22,B23,B24,B25,B26,B27,B28,B29,B30,B31          *
;*   Local Frame Size  : 0 Args + 60 Auto + 64 Save = 124 byte                *
;******************************************************************************
fill_u_panel_l2:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  45 | size_t col_block;                                                      
;  46 | size_t col_ofs;                                                        
;  47 | size_t row;                                                            
;  48 | size_t pivot_row;                                                      
;----------------------------------------------------------------------

           MV      .L2     B6,B0             ; |44| 
||         STW     .D2T1   A11,*SP--(8)      ; |44| 
||         ZERO    .L1     A5                ; |50| 
||         MV      .S1     A8,A0             ; |44| 
||         MV      .S2     B6,B1             ; |44| 

   [!B0]   B       .S1     $C$L11            ; |50| 
||         STW     .D2T1   A10,*SP--(8)      ; |44| 

           STDW    .D2T2   B13:B12,*SP--     ; |44| 
           STDW    .D2T2   B11:B10,*SP--     ; |44| 
           STDW    .D2T1   A15:A14,*SP--     ; |44| 

           STDW    .D2T1   A13:A12,*SP--     ; |44| 
||         SUB     .L1     A6,4,A13

           STW     .D2T2   B3,*SP--(72)      ; |44| 
	.dwpsn	file "fill_u_panel_l2.c",line 50,column 14,is_stmt,isa 0
;----------------------------------------------------------------------
;  50 | for(row=0; row<rows; ++row) {                                          
;----------------------------------------------------------------------
           ; BRANCHCC OCCURS {$C$L11}        ; |50| 
;** --------------------------------------------------------------------------*
	.dwpsn	file "fill_u_panel_l2.c",line 50,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
;  51 | pivot_row = pivot_rows[row];                                           
;----------------------------------------------------------------------

   [!A0]   BNOP    .S1     $C$L10,4          ; |53| 
||         LDW     .D1T1   *++A13,A12        ; |51| 

;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L7
;** --------------------------------------------------------------------------*
$C$L7:    
	.dwpsn	file "fill_u_panel_l2.c",line 50,column 7,is_stmt,isa 0
$C$DW$L$fill_u_panel_l2$3$B:
           NOP             1
	.dwpsn	file "fill_u_panel_l2.c",line 53,column 22,is_stmt,isa 0
;----------------------------------------------------------------------
;  53 | for(col_block=0; col_block<cols; col_block+=BLOCK_SIZE*8) {            
;----------------------------------------------------------------------
           ; BRANCHCC OCCURS {$C$L10}        ; |53| 
$C$DW$L$fill_u_panel_l2$3$E:
;** --------------------------------------------------------------------------*
$C$DW$L$fill_u_panel_l2$4$B:

           AND     .L1     -16,A12,A3
||         MV      .L2X    A12,B7
||         MVK     .S1     127,A6            ; |55| 

           EXTU    .S2     B7,28,24,B8
||         ADD     .L1     A6,A0,A31         ; |55| 

           SHL     .S2X    A3,7,B5

           SHL     .S2X    A3,13,B6
||         SHL     .S1     A5,2,A3

           SUB     .L2     B6,B5,B9
||         ZERO    .D2     B5                ; |53| 
||         SHRU    .S2X    A31,7,B0          ; |55| 

           SHRU    .S2     B5,3,B7           ; |115| 
||         ADD     .L2     11,B5,B30         ; |115| 
||         ADD     .D2     15,B5,B16         ; |115| 

           EXTU    .S2     B5,4,8,B6         ; |115| 
||         ADD     .L1X    12,B5,A29         ; |115| 
||         ADD     .L2     11,B7,B29         ; |115| 
||         ADD     .D2     13,B7,B21         ; |115| 

           ADD     .L1X    7,B7,A28          ; |115| 
||         SHL     .S2     B6,8,B6           ; |115| 
||         EXTU    .S1     A29,4,8,A21       ; |115| 
||         ADD     .L2     14,B7,B22         ; |115| 
||         ADD     .D2     12,B7,B26         ; |115| 

           EXTU    .S1     A28,7,9,A19       ; |115| 
||         STW     .D2T2   B6,*+SP(32)       ; |115| 
||         ADD     .L1X    1,B5,A28          ; |115| 
||         EXTU    .S2     B30,4,8,B20       ; |115| 
||         ADD     .L2     10,B5,B31         ; |115| 

	.dwpsn	file "fill_u_panel_l2.c",line 53,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
;  55 | for(col_ofs=0; col_ofs<BLOCK_SIZE; ++col_ofs)                          
;  56 |   u_l2[index_u_l2(row, col_block/8 + col_ofs)] =                       
;  57 |     m[index_m(pivot_row, col_block + col_ofs)];                        
;  59 | if (pivot_row != row) {                                                
;  60 |   for(col_ofs=0; col_ofs<BLOCK_SIZE; ++col_ofs)                        
;  61 |     m[index_m(pivot_row, col_block + col_ofs)] =                       
;  62 |       m[index_m(row, col_block + col_ofs)];                            
;  68 | void                                                                   
;  69 | fill_l_head_l2(double * restrict l_head,                               
;  70 |          const double * restrict m,                                    
;  71 |          size_t rows,                                                  
;  72 |          size_t cols)                                                  
;  74 | size_t row;                                                            
;  75 | size_t col;                                                            
;  77 | for(row=0; row<rows; ++row) {                                          
;  78 | for(col=0; col<cols; ++col) {                                          
;  79 | l_head[index_l_l2(row, col)] = m[index_m(row, col)];                   
;  84 | void                                                                   
;  85 | save_u_panel_l2(double * restrict m,                                   
;  86 |           const double * restrict u_l2,                                
;  87 |           size_t rows,                                                 
;  88 |           size_t cols)                                                 
;  90 | size_t col_block;                                                      
;  91 | size_t col_ofs;                                                        
;  92 | size_t row;                                                            
;  94 | for(col_block=0; col_block<cols; col_block+=BLOCK_SIZE*8) {            
;  95 | for(row=0; row<rows; ++row) {                                          
;  96 | for(col_ofs=0; col_ofs<BLOCK_SIZE; ++col_ofs)                          
;  97 |   m[index_m(row, col_block + col_ofs)] =                               
;  98 |     u_l2[index_u_l2(row, col_block/8 + col_ofs)];                      
; 104 |                                                                        
;----------------------------------------------------------------------

           SHL     .S1     A19,12,A19        ; |115| 
||         LDW     .D2T2   *+SP(32),B24      ; |115| 
||         ADD     .L1X    3,B7,A17          ; |115| 
||         EXTU    .S2     B5,4,9,B17        ; |115| 

$C$DW$L$fill_u_panel_l2$4$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Loop contains control code
;*----------------------------------------------------------------------------*
$C$L8:    
	.dwpsn	file "fill_u_panel_l2.c",line 53,column 9,is_stmt,isa 0
$C$DW$L$fill_u_panel_l2$5$B:

           ADD     .L1X    2,B5,A6           ; |115| 
||         EXTU    .S1     A17,7,9,A20       ; |115| 
||         EXTU    .S2     B16,4,8,B18       ; |115| 
||         ADDAD   .D1     A19,A3,A19        ; |115| 

           ADD     .L1X    7,B5,A7           ; |115| 
||         EXTU    .S1     A6,4,8,A9         ; |115| 
||         EXTU    .S2     B31,4,8,B19       ; |115| 
||         ADD     .D1     A4,A19,A19        ; |115| 

           ADD     .L1X    3,B5,A31          ; |115| 
||         EXTU    .S1     A28,4,8,A6        ; |115| 
||         SHL     .S2     B18,8,B28         ; |115| 

           EXTU    .S1     A7,4,8,A16        ; |115| 
||         ADD     .L1X    2,B7,A29          ; |115| 
||         SHL     .S2     B19,8,B23         ; |115| 
||         STW     .D2T2   B28,*+SP(4)       ; |115| 

           EXTU    .S1     A31,4,8,A8        ; |115| 
||         ADD     .L1X    4,B7,A17          ; |115| 
||         EXTU    .S2     B29,7,9,B16       ; |115| 
||         STW     .D2T2   B23,*+SP(12)      ; |115| 

           SHL     .S1     A9,8,A22          ; |115| 
||         ADD     .L1X    6,B5,A30          ; |115| 
||         SHL     .S2     B20,8,B31         ; |115| 

           EXTU    .S1     A29,7,9,A18       ; |115| 
||         ADD     .L1X    8,B5,A27          ; |115| 
||         STW     .D2T2   B31,*+SP(8)       ; |115| 
||         EXTU    .S2     B21,7,9,B28       ; |115| 

           SHL     .S1     A20,12,A29        ; |115| 
||         ADD     .L1X    4,B5,A2           ; |115| 
||         ADD     .L2X    A22,B9,B25        ; |115| 

           EXTU    .S1     A17,7,9,A20       ; |115| 
||         ADD     .L2     B8,B25,B18        ; |115| 
||         ADD     .L1X    6,B7,A9           ; |115| 
||         ADDAD   .D1     A29,A3,A29        ; |115| 

           SHL     .S1     A6,8,A17          ; |115| 
||         ADD     .L2     2,B18,B10         ; |115| 
||         ADD     .L1X    1,B7,A6           ; |115| 
||         ADD     .D1     A4,A29,A29        ; |115| 

           SHL     .S1     A16,8,A11         ; |115| 
||         ADD     .L1X    9,B7,A16          ; |115| 

           SHL     .S1     A8,8,A23          ; |115| 
||         ADD     .L1X    A11,B9,A14        ; |115| 

           EXTU    .S1     A2,4,8,A25        ; |115| 
||         ADD     .L1X    A23,B9,A2         ; |115| 

           EXTU    .S1     A30,4,8,A7        ; |115| 
||         ADD     .L2X    B8,A14,B29        ; |115| 
||         ADD     .L1X    5,B7,A8           ; |115| 

           EXTU    .S1     A27,4,8,A26       ; |115| 
||         SHL     .S2X    A25,8,B6          ; |115| 
||         ADD     .L1X    5,B5,A27          ; |115| 

           SHL     .S1     A7,8,A24          ; |115| 
||         ADD     .L2X    B8,A2,B2          ; |115| 
||         ADD     .L1X    14,B5,A7          ; |115| 
||         STW     .D2T2   B6,*+SP(28)       ; |115| 
||         ADD     .S2     7,B29,B6          ; |115| 

           SHL     .S1X    B17,7,A1          ; |115| 
||         ADD     .L2X    A17,B9,B17        ; |115| 
||         ADD     .S2     3,B2,B12          ; |115| 
||         LDW     .D2T2   *+SP(28),B2       ; |115| 

           ADD     .L2     B8,B17,B30        ; |115| 
||         SHL     .S2X    A26,8,B27         ; |115| 
||         EXTU    .S1     A7,4,8,A31        ; |115| 
||         ADD     .L1X    8,B7,A7           ; |115| 

           ADD     .L2     1,B30,B31         ; |115| 
||         ADD     .S2X    A24,B9,B19        ; |115| 
||         STW     .D2T2   B27,*+SP(16)      ; |115| 
||         EXTU    .S1     A9,7,9,A28        ; |115| 
||         ADD     .L1X    10,B7,A9          ; |115| 

           EXTU    .S1     A27,4,8,A30       ; |115| 
||         ADD     .L1X    15,B7,A27         ; |115| 
||         ADD     .L2     B24,B9,B7         ; |115| 
||         EXTU    .S2     B22,7,9,B27       ; |115| 
||         LDDW    .D2T2   *+B4[B10],B23:B22 ; |115| 

           LDDW    .D2T2   *+B4[B31],B21:B20 ; |115| 
||         ADD     .L2     B8,B7,B30         ; |115| 
||         SHL     .S1     A21,8,A25         ; |115| 

           LDDW    .D2T2   *+B4[B12],B25:B24 ; |115| 
||         SHL     .S1X    B16,12,A21        ; |115| 
||         ADD     .L2     B8,B19,B16        ; |115| 

           STW     .D2T2   B6,*+SP(20)       ; |115| 
||         ADD     .L2     6,B16,B29         ; |115| 
||         EXTU    .S1     A6,7,9,A2         ; |115| 

           LDDW    .D2T2   *+B4[B30],B17:B16 ; |115| 
||         SHL     .S1     A2,9,A2           ; |115| 

           LDDW    .D2T2   *+B4[B6],B7:B6    ; |115| 
||         SHL     .S1     A18,12,A10        ; |115| 
||         ADD     .L1     A3,A2,A2          ; |115| 

           STW     .D2T2   B29,*+SP(24)      ; |115| 
||         EXTU    .S1     A16,7,9,A18       ; |115| 
||         ADDAD   .D1     A10,A3,A10        ; |115| 

           SHL     .S1     A30,8,A16         ; |115| 
||         STDW    .D1T2   B25:B24,*+A29(24) ; |115| 

	.dwpsn	file "dma-linpack.h",line 115,column 3,is_stmt,isa 0
           EXTU    .S1     A27,7,9,A30       ; |115| 

           STDW    .D2T2   B17:B16,*+SP(40)  ; |115| 
||         EXTU    .S1     A8,7,9,A27        ; |115| 
||         ADD     .L1X    13,B5,A8          ; |115| 

           LDDW    .D2T2   *+B4[B29],B17:B16 ; |115| 
||         DADD    .L2     0,B7:B6,B19:B18   ; |115| 
||         ADD     .S2     B2,B9,B6          ; |115| 
||         SHL     .S1     A20,7,A29         ; |115| 
||         AND     .L1     3,A6,A20          ; |115| 

           EXTU    .S2     B26,7,9,B29       ; |115| 
||         ADD     .L2     B8,B6,B26         ; |115| 
||         LDW     .D2T2   *+SP(4),B2        ; |115| 
||         SHL     .S1     A2,3,A6           ; |115| 

           SHL     .S1     A28,12,A26        ; |115| 
||         STDW    .D1T2   B19:B18,*+A19(24) ; |115| 

           EXTU    .S1     A7,7,9,A28        ; |115| 
||         ADDAD   .D1     A26,A3,A26        ; |115| 
||         ADD     .L1X    4,B26,A14         ; |115| 

           EXTU    .S1     A8,4,8,A7         ; |115| 
||         ADD     .L1     A4,A10,A8         ; |115| 

           DADD    .L2     0,B17:B16,B7:B6   ; |115| 
||         LDW     .D2T2   *+SP(12),B16      ; |115| 
||         ADD     .S2     4,B26,B17         ; |115| 
||         EXTU    .S1     A9,7,9,A9         ; |115| 

           STDW    .D1T2   B23:B22,*+A8(16)  ; |115| 
||         SHL     .S1     A30,12,A8         ; |115| 
||         ADD     .L2     B2,B9,B24         ; |115| 
||         ADD     .S2X    A16,B9,B2         ; |115| 

           ADDAD   .D1     A6,A20,A30        ; |115| 
||         SHL     .S1     A9,12,A9          ; |115| 
||         LDW     .D2T2   *+SP(16),B23      ; |115| 

           ADDAD   .D1     A21,A3,A30        ; |115| 
||         ADD     .L1     A4,A30,A28        ; |115| 
||         SHL     .S1     A28,7,A21         ; |115| 

           STDW    .D1T2   B21:B20,*A28      ; |115| 
||         SHL     .S1     A27,9,A27         ; |115| 
||         ADD     .L1     A5,A21,A21        ; |115| 

           ADD     .L2     B16,B9,B16        ; |115| 
||         ADDAD   .D1     A9,A3,A28         ; |115| 
||         ADD     .L1     A4,A26,A9         ; |115| 
||         ADD     .S1     A3,A27,A6         ; |115| 
||         LDW     .D2T2   *+SP(8),B21       ; |115| 

           ADD     .L2     B8,B16,B25        ; |115| 
||         LDDW    .D2T2   *+B4[B17],B17:B16 ; |115| 
||         SHL     .S1     A6,3,A2           ; |115| 
||         ADD     .L1     A5,A1,A6          ; |115| 
||         ADD     .D1     A5,A29,A27        ; |115| 

           STDW    .D1T2   B7:B6,*+A9(16)    ; |115| 
||         ADD     .L2     10,B25,B26        ; |115| 
||         SHL     .S1     A7,8,A7           ; |115| 
||         ADD     .D2     B23,B9,B22        ; |115| 
||         SHL     .S2X    A21,5,B23         ; |115| 
||         ADD     .L1     A4,A30,A30        ; |115| 

           LDDW    .D2T2   *+SP(40),B7:B6    ; |115| 
||         SHL     .S2X    A6,5,B11          ; |115| 
||         ADD     .L2     B8,B22,B20        ; |115| 
||         SHL     .S1     A18,9,A18         ; |115| 
||         ADDAD   .D1     A8,A3,A26         ; |115| 

           ADD     .L2X    A4,B11,B11        ; |115| 
||         SHL     .S1X    B27,12,A21        ; |115| 
||         ADD     .L1     A3,A18,A18        ; |115| 

           ADD     .L2     B21,B9,B25        ; |115| 
||         SHL     .S1     A18,3,A18         ; |115| 

           STDW    .D2T2   B17:B16,*+SP(48)  ; |115| 
||         SHL     .S2X    A31,8,B16         ; |115| 
||         ADD     .L2     B8,B2,B17         ; |115| 
||         ADD     .L1X    A7,B9,A31         ; |115| 
||         ADDAD   .D1     A18,A20,A29       ; |115| 

           SHL     .S2X    A27,5,B2          ; |115| 
||         ADD     .L1X    9,B5,A27          ; |115| 
||         ADD     .L2     B8,B25,B18        ; |115| 

           ADD     .L1X    5,B17,A10         ; |115| 
||         STDW    .D2T2   B7:B6,*B11        ; |115| 
||         EXTU    .S1     A27,4,8,A6        ; |115| 
||         ADD     .L2X    A4,B2,B11         ; |115| 
||         SHL     .S2     B28,9,B2          ; |115| 
||         ADDAD   .D1     A21,A3,A27        ; |115| 

           MV      .L1X    B16,A15           ; |115| 
||         LDDW    .D2T2   *+B4[B26],B17:B16 ; |115| 
||         SHL     .S1     A6,8,A6           ; |115| 
||         ADD     .L2X    B8,A31,B3         ; |115| 

           LDDW    .D2T2   *+SP(48),B7:B6    ; |115| 
||         ADD     .L1X    A25,B9,A31        ; |115| 

           SHL     .S1X    B29,7,A1          ; |115| 

           ADD     .L2X    B8,A31,B13        ; |115| 
||         ADDAD   .D1     A2,A20,A31        ; |115| 
||         ADD     .L1X    A3,B2,A2          ; |115| 
||         ADD     .S1     A5,A1,A1          ; |115| 

           ADD     .L2     12,B13,B29        ; |115| 
||         SHL     .S1     A2,3,A2           ; |115| 
||         ADD     .S2X    A15,B9,B2         ; |115| 

           STDW    .D2T2   B17:B16,*+SP(56)  ; |115| 
||         ADD     .L2X    A6,B9,B17         ; |115| 
||         ADD     .S2     B8,B24,B16        ; |115| 
||         ADDAD   .D1     A2,A20,A31        ; |115| 
||         ADD     .L1     A4,A31,A20        ; |115| 
||         ADD     .S1     A4,A28,A2         ; |115| 

           ADD     .L2     8,B20,B24         ; |115| 
||         STDW    .D2T2   B7:B6,*B11        ; |115| 
||         MV      .S2X    A10,B7            ; |115| 
||         ADD     .L1     A4,A26,A28        ; |115| 

           ADD     .L2     B8,B17,B27        ; |115| 
||         LDDW    .D2T2   *+B4[B24],B21:B20 ; |115| 
||         ADD     .S2X    A4,B23,B6         ; |115| 

           ADD     .L2     9,B27,B25         ; |115| 
||         ADD     .S2     11,B18,B27        ; |115| 
||         LDDW    .D2T2   *+B4[B7],B23:B22  ; |115| 

           LDDW    .D2T1   *+B4[B27],A19:A18 ; |115| 
||         ADD     .L2     B8,B2,B2          ; |115| 
||         ADD     .S2     15,B16,B28        ; |115| 

           LDDW    .D2T1   *+B4[B29],A9:A8   ; |115| 
||         ADD     .L2     14,B2,B2          ; |115| 

           LDDW    .D2T2   *+B4[B25],B19:B18 ; |115| 

           STDW    .D2T2   B21:B20,*B6       ; |115| 
||         ADD     .L2     13,B3,B20         ; |115| 

           SHL     .S2X    A1,5,B23          ; |115| 
||         CMPEQ   .L1     A12,A5,A1         ; |59| 
||         STDW    .D1T2   B23:B22,*A20      ; |115| 
||         LDDW    .D2T1   *+B4[B2],A21:A20  ; |115| 

           STDW    .D1T1   A19:A18,*+A30(24) ; |115| 
||         LDDW    .D2T2   *+SP(56),B7:B6    ; |115| 
||         ADD     .L1     A4,A29,A30        ; |115| 
|| [ A1]   SUB     .L2     B0,1,B0           ; |53| 

           LDDW    .D2T1   *+B4[B20],A19:A18 ; |115| 
||         ADD     .L1X    A4,B23,A29        ; |115| 

           LDDW    .D2T2   *+B4[B28],B17:B16 ; |115| 
||         STDW    .D1T1   A9:A8,*A29        ; |115| 
|| [!A1]   AND     .L1     -16,A5,A8         ; |62| 

   [!A1]   LDW     .D2T2   *+SP(32),B23      ; |62| 
|| [!A1]   SHL     .S1     A8,7,A9           ; |62| 
|| [ A1]   B       .S2     $C$L9             ; |59| 

           STDW    .D1T2   B19:B18,*A30      ; |115| 
||         ADD     .L1     A4,A31,A30        ; |115| 

           STDW    .D1T2   B7:B6,*+A2(16)    ; |115| 
|| [!A1]   SHL     .S2X    A8,13,B6          ; |62| 
||         ADD     .L1     A4,A27,A2         ; |115| 

           STDW    .D1T1   A19:A18,*A30      ; |115| 
           STDW    .D1T1   A21:A20,*+A2(16)  ; |115| 

           STDW    .D1T2   B17:B16,*+A28(24) ; |115| 
|| [!A1]   SUB     .L2X    B6,A9,B16         ; |62| 

	.dwpsn	file "fill_u_panel_l2.c",line 59,column 7,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L9}         ; |59| 
$C$DW$L$fill_u_panel_l2$5$E:
;** --------------------------------------------------------------------------*
$C$DW$L$fill_u_panel_l2$6$B:
	.dwpsn	file "dma-linpack.h",line 62,column 3,is_stmt,isa 0
           ADD     .L2     B23,B16,B6        ; |62| 
           EXTU    .S1     A5,28,24,A31      ; |62| 
           SHL     .S1X    B6,3,A9           ; |62| 
           ADDAD   .D1     A9,A31,A9         ; |62| 
           ADD     .L2X    A17,B16,B17       ; |62| 
           ADD     .L2X    B4,A9,B6          ; |62| 
           LDDW    .D2T2   *B6,B7:B6         ; |62| 
           ADD     .L2X    A31,B17,B17       ; |62| 
           ADD     .L2     1,B17,B22         ; |62| 
           ADD     .L2X    A22,B16,B21       ; |62| 
           ADD     .L2X    A31,B21,B17       ; |62| 
           STDW    .D2T2   B7:B6,*+B4[B30]   ; |62| 
           LDDW    .D2T2   *+B4[B22],B7:B6   ; |62| 
           ADD     .L2     2,B17,B19         ; |62| 
           ADD     .L2X    A23,B16,B18       ; |62| 
           ADD     .L2X    A31,B18,B17       ; |62| 
           ADD     .L2     3,B17,B23         ; |62| 
           STDW    .D2T2   B7:B6,*+B4[B31]   ; |62| 
           LDDW    .D2T2   *+B4[B19],B7:B6   ; |62| 
           ADD     .L2X    A16,B16,B30       ; |62| 
           ADD     .L2X    A31,B30,B18       ; |62| 
           ADD     .L2     5,B18,B21         ; |62| 
           MV      .L2X    A14,B22           ; |62| 
           STDW    .D2T2   B7:B6,*+B4[B10]   ; |62| 
           LDW     .D2T2   *+SP(28),B17
           LDDW    .D2T2   *+B4[B23],B7:B6   ; |62| 
           ADD     .L2X    A24,B16,B31       ; |62| 
           ADD     .L2X    A31,B31,B18       ; |62| 
           MV      .L2X    A10,B19           ; |62| 
           ADD     .L2     B17,B16,B17       ; |62| 

           ADD     .L2X    A31,B17,B17       ; |62| 
||         STDW    .D2T2   B7:B6,*+B4[B12]   ; |62| 

           ADD     .L2     4,B17,B6          ; |62| 
           LDDW    .D2T2   *+B4[B6],B7:B6    ; |62| 
           ADD     .L2     6,B18,B23         ; |62| 
           ADD     .L2X    A11,B16,B30       ; |62| 
           ADD     .L2X    A31,B30,B18       ; |62| 
	.dwpsn	file "fill_u_panel_l2.c",line 53,column 22,is_stmt,isa 0
           SUB     .L2     B0,1,B0           ; |53| 
	.dwpsn	file "dma-linpack.h",line 62,column 3,is_stmt,isa 0
           STDW    .D2T2   B7:B6,*+B4[B22]   ; |62| 
           LDDW    .D2T2   *+B4[B21],B7:B6   ; |62| 
           ADD     .L2     7,B18,B22         ; |62| 
           NOP             3
           STDW    .D2T2   B7:B6,*+B4[B19]   ; |62| 
           LDDW    .D2T2   *+B4[B23],B7:B6   ; |62| 
           LDW     .D2T2   *+SP(24),B17      ; |62| 
           ADD     .L2X    A6,B16,B19        ; |62| 
           NOP             3
           STDW    .D2T2   B7:B6,*+B4[B17]   ; |62| 
           LDW     .D2T2   *+SP(16),B17
           LDDW    .D2T2   *+B4[B22],B7:B6   ; |62| 
           LDW     .D2T2   *+SP(20),B21      ; |62| 
           ADD     .L2X    A25,B16,B22       ; |62| 
           NOP             1
           ADD     .L2     B17,B16,B17       ; |62| 
           ADD     .L2X    A31,B17,B18       ; |62| 

           ADD     .L2     8,B18,B31         ; |62| 
||         STDW    .D2T2   B7:B6,*+B4[B21]   ; |62| 

           LDDW    .D2T2   *+B4[B31],B7:B6   ; |62| 
           ADD     .L2X    A31,B19,B17       ; |62| 
           ADD     .L2     9,B17,B23         ; |62| 
           ADD     .L2X    A7,B16,B18        ; |62| 
           NOP             1
           STDW    .D2T2   B7:B6,*+B4[B24]   ; |62| 
           LDDW    .D2T2   *+B4[B23],B7:B6   ; |62| 
           LDW     .D2T2   *+SP(12),B17
           ADD     .L2X    A15,B16,B24       ; |62| 
           NOP             2
           STDW    .D2T2   B7:B6,*+B4[B25]   ; |62| 

           ADD     .L2     B17,B16,B17       ; |62| 
||         LDW     .D2T2   *+SP(8),B30

           ADD     .L2X    A31,B17,B17       ; |62| 
           ADD     .L2     10,B17,B6         ; |62| 
           LDDW    .D2T2   *+B4[B6],B7:B6    ; |62| 
           NOP             2
           ADD     .L2     B30,B16,B17       ; |62| 
           ADD     .L2X    A31,B17,B17       ; |62| 

           STDW    .D2T2   B7:B6,*+B4[B26]   ; |62| 
||         ADD     .L2     11,B17,B6         ; |62| 

           LDDW    .D2T2   *+B4[B6],B7:B6    ; |62| 
           ADD     .L2X    A31,B22,B17       ; |62| 
           ADD     .L2     12,B17,B21        ; |62| 
           ADD     .L2X    A31,B18,B17       ; |62| 
           ADD     .L2     13,B17,B31        ; |62| 
           STDW    .D2T2   B7:B6,*+B4[B27]   ; |62| 
           LDDW    .D2T2   *+B4[B21],B7:B6   ; |62| 
           ADD     .L2X    A31,B24,B17       ; |62| 
           ADD     .L2     14,B17,B19        ; |62| 
           NOP             2
           STDW    .D2T2   B7:B6,*+B4[B29]   ; |62| 
           LDDW    .D2T2   *+B4[B31],B7:B6   ; |62| 
           NOP             4
           STDW    .D2T2   B7:B6,*+B4[B20]   ; |62| 
           LDW     .D2T2   *+SP(4),B17
           LDDW    .D2T2   *+B4[B19],B7:B6   ; |62| 
           NOP             3
           ADD     .L2     B17,B16,B16       ; |62| 

           ADD     .L2X    A31,B16,B16       ; |62| 
||         STDW    .D2T2   B7:B6,*+B4[B2]    ; |62| 

           ADD     .L2     15,B16,B6         ; |62| 
           LDDW    .D2T2   *+B4[B6],B7:B6    ; |62| 
           NOP             4
           STDW    .D2T2   B7:B6,*+B4[B28]   ; |62| 
$C$DW$L$fill_u_panel_l2$6$E:
;** --------------------------------------------------------------------------*
$C$L9:    
	.dwpsn	file "fill_u_panel_l2.c",line 59,column 7,is_stmt,isa 0
$C$DW$L$fill_u_panel_l2$7$B:

           ADDK    .S2     128,B5            ; |53| 
|| [ B0]   B       .S1     $C$L8             ; |53| 

   [ B0]   SHRU    .S2     B5,3,B7           ; |115| 
|| [ B0]   ADD     .L2     11,B5,B30         ; |115| 
|| [ B0]   ADD     .D2     10,B5,B31         ; |115| 

   [ B0]   EXTU    .S2     B5,4,8,B6         ; |115| 
|| [ B0]   ADD     .L1X    12,B5,A29         ; |115| 
|| [ B0]   ADD     .L2     15,B5,B16         ; |115| 
|| [ B0]   ADD     .D2     11,B7,B29         ; |115| 

   [ B0]   ADD     .L1X    7,B7,A28          ; |115| 
|| [ B0]   SHL     .S2     B6,8,B6           ; |115| 
|| [ B0]   EXTU    .S1     A29,4,8,A21       ; |115| 
|| [ B0]   ADD     .L2     12,B7,B26         ; |115| 
|| [ B0]   ADD     .D2     14,B7,B22         ; |115| 

   [ B0]   EXTU    .S1     A28,7,9,A19       ; |115| 
|| [ B0]   ADD     .L1X    1,B5,A28          ; |115| 
|| [ B0]   STW     .D2T2   B6,*+SP(32)       ; |115| 
|| [ B0]   EXTU    .S2     B5,4,9,B17        ; |115| 
|| [ B0]   ADD     .L2     13,B7,B21         ; |115| 

	.dwpsn	file "fill_u_panel_l2.c",line 64,column 0,is_stmt,isa 0

   [ B0]   ADD     .L1X    3,B7,A17          ; |115| 
|| [ B0]   LDW     .D2T2   *+SP(32),B24      ; |115| 
|| [ B0]   EXTU    .S2     B30,4,8,B20       ; |115| 
|| [ B0]   SHL     .S1     A19,12,A19        ; |115| 

	.dwpsn	file "fill_u_panel_l2.c",line 53,column 22,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L8}         ; |53| 
$C$DW$L$fill_u_panel_l2$7$E:
;** --------------------------------------------------------------------------*
$C$L10:    
$C$DW$L$fill_u_panel_l2$8$B:

           SUB     .L2     B1,1,B1           ; |50| 
||         ADD     .L1     1,A5,A5           ; |50| 

   [ B1]   B       .S1     $C$L7             ; |50| 
|| [!B1]   MVK     .L1     0x1,A0            ; nullify predicate
|| [ B1]   LDW     .D1T1   *++A13,A12        ; |51| 

	.dwpsn	file "fill_u_panel_l2.c",line 65,column 0,is_stmt,isa 0
	.dwpsn	file "fill_u_panel_l2.c",line 53,column 22,is_stmt,isa 0
   [!A0]   BNOP    .S1     $C$L10,4          ; |53| 
	.dwpsn	file "fill_u_panel_l2.c",line 50,column 14,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L7}         ; |50| 
$C$DW$L$fill_u_panel_l2$8$E:
;** --------------------------------------------------------------------------*
$C$L11:    
	.dwpsn	file "fill_u_panel_l2.c",line 66,column 1,is_stmt,isa 0
           LDW     .D2T2   *++SP(72),B3      ; |66| 
           LDDW    .D2T1   *++SP,A13:A12     ; |66| 
           LDDW    .D2T1   *++SP,A15:A14     ; |66| 
           LDDW    .D2T2   *++SP,B11:B10     ; |66| 
           LDDW    .D2T2   *++SP,B13:B12     ; |66| 
$C$DW$20	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$20, DW_AT_low_pc(0x04)
	.dwattr $C$DW$20, DW_AT_TI_return

           LDW     .D2T1   *++SP(8),A10      ; |66| 
||         RET     .S2     B3                ; |66| 

           LDW     .D2T1   *++SP(8),A11      ; |66| 
           NOP             4
           ; BRANCH OCCURS {B3}              ; |66| 

$C$DW$21	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$21, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/fill_u_panel_l2.asm:$C$L7:1:1344255111")
	.dwattr $C$DW$21, DW_AT_TI_begin_file("fill_u_panel_l2.c")
	.dwattr $C$DW$21, DW_AT_TI_begin_line(0x32)
	.dwattr $C$DW$21, DW_AT_TI_end_line(0x41)
$C$DW$22	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$22, DW_AT_low_pc($C$DW$L$fill_u_panel_l2$3$B)
	.dwattr $C$DW$22, DW_AT_high_pc($C$DW$L$fill_u_panel_l2$3$E)
$C$DW$23	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$23, DW_AT_low_pc($C$DW$L$fill_u_panel_l2$4$B)
	.dwattr $C$DW$23, DW_AT_high_pc($C$DW$L$fill_u_panel_l2$4$E)
$C$DW$24	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$24, DW_AT_low_pc($C$DW$L$fill_u_panel_l2$8$B)
	.dwattr $C$DW$24, DW_AT_high_pc($C$DW$L$fill_u_panel_l2$8$E)

$C$DW$25	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$25, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/fill_u_panel_l2.asm:$C$L8:2:1344255111")
	.dwattr $C$DW$25, DW_AT_TI_begin_file("fill_u_panel_l2.c")
	.dwattr $C$DW$25, DW_AT_TI_begin_line(0x35)
	.dwattr $C$DW$25, DW_AT_TI_end_line(0x40)
$C$DW$26	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$26, DW_AT_low_pc($C$DW$L$fill_u_panel_l2$5$B)
	.dwattr $C$DW$26, DW_AT_high_pc($C$DW$L$fill_u_panel_l2$5$E)
$C$DW$27	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$27, DW_AT_low_pc($C$DW$L$fill_u_panel_l2$6$B)
	.dwattr $C$DW$27, DW_AT_high_pc($C$DW$L$fill_u_panel_l2$6$E)
$C$DW$28	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$28, DW_AT_low_pc($C$DW$L$fill_u_panel_l2$7$B)
	.dwattr $C$DW$28, DW_AT_high_pc($C$DW$L$fill_u_panel_l2$7$E)
	.dwendtag $C$DW$25

	.dwendtag $C$DW$21

	.dwattr $C$DW$14, DW_AT_TI_end_file("fill_u_panel_l2.c")
	.dwattr $C$DW$14, DW_AT_TI_end_line(0x42)
	.dwattr $C$DW$14, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$14

	.sect	".text"
	.clink
	.global	fill_l_head_l2

$C$DW$29	.dwtag  DW_TAG_subprogram, DW_AT_name("fill_l_head_l2")
	.dwattr $C$DW$29, DW_AT_low_pc(fill_l_head_l2)
	.dwattr $C$DW$29, DW_AT_high_pc(0x00)
	.dwattr $C$DW$29, DW_AT_TI_symbol_name("fill_l_head_l2")
	.dwattr $C$DW$29, DW_AT_external
	.dwattr $C$DW$29, DW_AT_TI_begin_file("fill_u_panel_l2.c")
	.dwattr $C$DW$29, DW_AT_TI_begin_line(0x45)
	.dwattr $C$DW$29, DW_AT_TI_begin_column(0x01)
	.dwattr $C$DW$29, DW_AT_decl_file("fill_u_panel_l2.c")
	.dwattr $C$DW$29, DW_AT_decl_line(0x45)
	.dwattr $C$DW$29, DW_AT_decl_column(0x01)
	.dwattr $C$DW$29, DW_AT_TI_max_frame_size(0x00)
	.dwattr $C$DW$29, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$29, DW_AT_TI_skeletal
	.dwpsn	file "fill_u_panel_l2.c",line 73,column 1,is_stmt,address fill_l_head_l2,isa 0
$C$DW$30	.dwtag  DW_TAG_formal_parameter, DW_AT_name("l_head")
	.dwattr $C$DW$30, DW_AT_TI_symbol_name("l_head")
	.dwattr $C$DW$30, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$30, DW_AT_location[DW_OP_reg4]
$C$DW$31	.dwtag  DW_TAG_formal_parameter, DW_AT_name("m")
	.dwattr $C$DW$31, DW_AT_TI_symbol_name("m")
	.dwattr $C$DW$31, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$31, DW_AT_location[DW_OP_reg20]
$C$DW$32	.dwtag  DW_TAG_formal_parameter, DW_AT_name("rows")
	.dwattr $C$DW$32, DW_AT_TI_symbol_name("rows")
	.dwattr $C$DW$32, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$32, DW_AT_location[DW_OP_reg6]
$C$DW$33	.dwtag  DW_TAG_formal_parameter, DW_AT_name("cols")
	.dwattr $C$DW$33, DW_AT_TI_symbol_name("cols")
	.dwattr $C$DW$33, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$33, DW_AT_location[DW_OP_reg22]
;----------------------------------------------------------------------
;  69 | fill_l_head_l2(double * restrict l_head,                               
;  70 | const double * restrict m,                                             
;  71 | size_t rows,                                                           
;  72 | size_t cols)                                                           
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: fill_l_head_l2                                              *
;*                                                                            *
;*   Regs Modified     : A0,A1,A3,A4,A5,A6,A7,A8,A9,B0,B4,B5,B6,B7,B8,B9,A16, *
;*                           A17,A18,A19,A31                                  *
;*   Regs Used         : A0,A1,A3,A4,A5,A6,A7,A8,A9,B0,B3,B4,B5,B6,B7,B8,B9,  *
;*                           A16,A17,A18,A19,A31                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
fill_l_head_l2:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  74 | size_t row;                                                            
;  75 | size_t col;                                                            
;----------------------------------------------------------------------

           MV      .L1     A6,A1             ; |73| 
||         MV      .S1X    B4,A7             ; |73| 
||         ZERO    .D1     A18               ; |77| 
||         MV      .L2X    A4,B9             ; |73| 

   [!A1]   BNOP    .S1     $C$L17,5          ; |77| 
||         MV      .L2X    A6,B0             ; |73| 
||         MV      .L1X    B6,A0             ; |73| 

	.dwpsn	file "fill_u_panel_l2.c",line 77,column 14,is_stmt,isa 0
;----------------------------------------------------------------------
;  77 | for(row=0; row<rows; ++row) {                                          
;----------------------------------------------------------------------
           ; BRANCHCC OCCURS {$C$L17}        ; |77| 
;** --------------------------------------------------------------------------*
	.dwpsn	file "fill_u_panel_l2.c",line 77,column 0,is_stmt,isa 0

   [!A0]   BNOP    .S1     $C$L16,1          ; |78| 
|| [ A0]   AND     .L1     -16,A18,A6

;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L12
;** --------------------------------------------------------------------------*
$C$L12:    
	.dwpsn	file "fill_u_panel_l2.c",line 77,column 7,is_stmt,isa 0
$C$DW$L$fill_l_head_l2$3$B:
   [ A0]   MVC     .S2X    A0,ILC
           NOP             3
	.dwpsn	file "fill_u_panel_l2.c",line 78,column 16,is_stmt,isa 0
;----------------------------------------------------------------------
;  78 | for(col=0; col<cols; ++col) {                                          
;----------------------------------------------------------------------
           ; BRANCHCC OCCURS {$C$L16}        ; |78| 
$C$DW$L$fill_l_head_l2$3$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : fill_u_panel_l2.c
;*      Loop source line                 : 78
;*      Loop opening brace source line   : 78
;*      Loop closing brace source line   : 80
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     2*       2*    
;*      .D units                     1        2*    
;*      .M units                     0        0     
;*      .X cross paths               2*       1     
;*      .T address paths             2*       0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          3        2     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             1        1     
;*      Bound(.L .S .D .LS .LSD)     2*       2*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 2  Schedule found with 9 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L13:    ; PIPED LOOP PROLOG
	.dwpsn	file "fill_u_panel_l2.c",line 78,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
;  79 | l_head[index_l_l2(row, col)] = m[index_m(row, col)];                   
;  84 | void                                                                   
;  85 | save_u_panel_l2(double * restrict m,                                   
;  86 |           const double * restrict u_l2,                                
;  87 |           size_t rows,                                                 
;  88 |           size_t cols)                                                 
;  90 | size_t col_block;                                                      
;  91 | size_t col_ofs;                                                        
;  92 | size_t row;                                                            
;  94 | for(col_block=0; col_block<cols; col_block+=BLOCK_SIZE*8) {            
;  95 | for(row=0; row<rows; ++row) {                                          
;  96 | for(col_ofs=0; col_ofs<BLOCK_SIZE; ++col_ofs)                          
;  97 |   m[index_m(row, col_block + col_ofs)] =                               
;  98 |     u_l2[index_u_l2(row, col_block/8 + col_ofs)];                      
; 104 |                                                                        
;----------------------------------------------------------------------

           SPLOOP  2       ;18               ; (P) 
||         EXTU    .S1     A18,28,24,A3
||         ZERO    .L2     B8                ; |78| 
||         SHL     .S2X    A6,7,B7

;** --------------------------------------------------------------------------*
$C$L14:    ; PIPED LOOP KERNEL
	.dwpsn	file "fill_u_panel_l2.c",line 78,column 9,is_stmt,isa 0
$C$DW$L$fill_l_head_l2$5$B:

           SPMASK          S1
||         SHL     .S1     A6,13,A31
||         EXTU    .S2     B8,4,8,B6         ; |106| (P) <0,0>  ^ 

           SPMASK          L1,S1
||         EXTU    .S1     A18,7,9,A19
||         SUB     .L1X    A31,B7,A6
||         ADD     .L2     1,B8,B8           ; |78| (P) <0,1>  ^ 
||         EXTU    .S2     B8,28,25,B4       ; |106| (P) <0,1>  ^ 

           MVD     .M2     B4,B5             ; |106| (P) <0,2> Split a long life
||         SHL     .S1X    B6,8,A5           ; |106| (P) <0,2> 

           SPMASK          S1
||         SHL     .S1     A19,9,A19
||         ADD     .D1     A5,A6,A17         ; |106| (P) <0,3> 

           NOP             1
	.dwpsn	file "dma-linpack.h",line 106,column 3,is_stmt,isa 0
           SHL     .S1     A17,3,A16         ; |106| (P) <0,5> 
           ADDAD   .D1     A16,A3,A4         ; |106| (P) <0,6> 
           ADD     .L1X    B5,A4,A9          ; |106| (P) <0,7> 

           SPMASK          L2
||         AND     .L2X    3,A18,B7
||         ADD     .L1     A7,A9,A8          ; |106| (P) <0,8> 

           SPMASK          D2
||         ADD     .D2X    B7,A19,B7

           MV      .L2X    A8,B4             ; |106| (P) <0,10> Define a twin register
           LDDW    .D2T1   *B4,A5:A4         ; |106| (P) <0,11> 
           NOP             2

           SPMASK          D2
||         ADDAD   .D2     B9,B7,B7

           NOP             1
	.dwpsn	file "fill_u_panel_l2.c",line 80,column 0,is_stmt,isa 0

           SPKERNEL 7,1
||         STDW    .D2T1   A5:A4,*B7++(32)   ; |106| <0,16> 

$C$DW$L$fill_l_head_l2$5$E:
;** --------------------------------------------------------------------------*
$C$L15:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L16:    
	.dwpsn	file "fill_u_panel_l2.c",line 78,column 16,is_stmt,isa 0
$C$DW$L$fill_l_head_l2$7$B:

           SUB     .L2     B0,1,B0           ; |77| 
||         ADD     .L1     1,A18,A18         ; |77| 

   [ B0]   BNOP    .S1     $C$L12,2          ; |77| 
|| [!B0]   MVK     .L1     0x1,A0            ; nullify predicate

   [ A0]   AND     .L1     -16,A18,A6
	.dwpsn	file "fill_u_panel_l2.c",line 81,column 0,is_stmt,isa 0
	.dwpsn	file "fill_u_panel_l2.c",line 78,column 16,is_stmt,isa 0
   [!A0]   BNOP    .S1     $C$L16,1          ; |78| 
	.dwpsn	file "fill_u_panel_l2.c",line 77,column 14,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L12}        ; |77| 
$C$DW$L$fill_l_head_l2$7$E:
;** --------------------------------------------------------------------------*
$C$L17:    
	.dwpsn	file "fill_u_panel_l2.c",line 82,column 1,is_stmt,isa 0
$C$DW$34	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$34, DW_AT_low_pc(0x00)
	.dwattr $C$DW$34, DW_AT_TI_return
           RETNOP  .S2     B3,5              ; |82| 
           ; BRANCH OCCURS {B3}              ; |82| 

$C$DW$35	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$35, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/fill_u_panel_l2.asm:$C$L12:1:1344255111")
	.dwattr $C$DW$35, DW_AT_TI_begin_file("fill_u_panel_l2.c")
	.dwattr $C$DW$35, DW_AT_TI_begin_line(0x4d)
	.dwattr $C$DW$35, DW_AT_TI_end_line(0x51)
$C$DW$36	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$36, DW_AT_low_pc($C$DW$L$fill_l_head_l2$3$B)
	.dwattr $C$DW$36, DW_AT_high_pc($C$DW$L$fill_l_head_l2$3$E)
$C$DW$37	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$37, DW_AT_low_pc($C$DW$L$fill_l_head_l2$7$B)
	.dwattr $C$DW$37, DW_AT_high_pc($C$DW$L$fill_l_head_l2$7$E)

$C$DW$38	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$38, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/fill_u_panel_l2.asm:$C$L14:2:1344255111")
	.dwattr $C$DW$38, DW_AT_TI_begin_file("fill_u_panel_l2.c")
	.dwattr $C$DW$38, DW_AT_TI_begin_line(0x4e)
	.dwattr $C$DW$38, DW_AT_TI_end_line(0x50)
$C$DW$39	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$39, DW_AT_low_pc($C$DW$L$fill_l_head_l2$5$B)
	.dwattr $C$DW$39, DW_AT_high_pc($C$DW$L$fill_l_head_l2$5$E)
	.dwendtag $C$DW$38

	.dwendtag $C$DW$35

	.dwattr $C$DW$29, DW_AT_TI_end_file("fill_u_panel_l2.c")
	.dwattr $C$DW$29, DW_AT_TI_end_line(0x52)
	.dwattr $C$DW$29, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$29


;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(2)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(1)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$30	.dwtag  DW_TAG_typedef, DW_AT_name("int8_t")
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$5)
	.dwattr $C$DW$T$30, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$30, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$30, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$T$30, DW_AT_decl_column(0x1d)
$C$DW$T$31	.dwtag  DW_TAG_typedef, DW_AT_name("int_least8_t")
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$T$31, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$31, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$31, DW_AT_decl_line(0x39)
	.dwattr $C$DW$T$31, DW_AT_decl_column(0x17)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$32	.dwtag  DW_TAG_typedef, DW_AT_name("uint8_t")
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$32, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$32, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$T$32, DW_AT_decl_column(0x1c)
$C$DW$T$33	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least8_t")
	.dwattr $C$DW$T$33, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$T$33, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$33, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$33, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$T$33, DW_AT_decl_column(0x16)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$34	.dwtag  DW_TAG_typedef, DW_AT_name("int16_t")
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$8)
	.dwattr $C$DW$T$34, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$34, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$34, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$T$34, DW_AT_decl_column(0x1d)
$C$DW$T$35	.dwtag  DW_TAG_typedef, DW_AT_name("int_least16_t")
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$34)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$35, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$35, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$35, DW_AT_decl_column(0x17)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$37	.dwtag  DW_TAG_typedef, DW_AT_name("uint16_t")
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$37, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$37, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$37, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$T$37, DW_AT_decl_column(0x1c)
$C$DW$T$38	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least16_t")
	.dwattr $C$DW$T$38, DW_AT_type(*$C$DW$T$37)
	.dwattr $C$DW$T$38, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$38, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$38, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$38, DW_AT_decl_column(0x16)
$C$DW$T$36	.dwtag  DW_TAG_typedef, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$36, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$36, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$36, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$36, DW_AT_decl_column(0x1a)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$39	.dwtag  DW_TAG_typedef, DW_AT_name("int32_t")
	.dwattr $C$DW$T$39, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$39, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$39, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$39, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$T$39, DW_AT_decl_column(0x1d)
$C$DW$T$40	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast16_t")
	.dwattr $C$DW$T$40, DW_AT_type(*$C$DW$T$39)
	.dwattr $C$DW$T$40, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$40, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$40, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$T$40, DW_AT_decl_column(0x17)
$C$DW$T$41	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast32_t")
	.dwattr $C$DW$T$41, DW_AT_type(*$C$DW$T$39)
	.dwattr $C$DW$T$41, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$41, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$41, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$T$41, DW_AT_decl_column(0x17)
$C$DW$T$42	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast8_t")
	.dwattr $C$DW$T$42, DW_AT_type(*$C$DW$T$39)
	.dwattr $C$DW$T$42, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$42, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$42, DW_AT_decl_line(0x49)
	.dwattr $C$DW$T$42, DW_AT_decl_column(0x17)
$C$DW$T$43	.dwtag  DW_TAG_typedef, DW_AT_name("int_least32_t")
	.dwattr $C$DW$T$43, DW_AT_type(*$C$DW$T$39)
	.dwattr $C$DW$T$43, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$43, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$43, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$T$43, DW_AT_decl_column(0x17)
$C$DW$T$44	.dwtag  DW_TAG_typedef, DW_AT_name("intptr_t")
	.dwattr $C$DW$T$44, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$44, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$44, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$44, DW_AT_decl_line(0x58)
	.dwattr $C$DW$T$44, DW_AT_decl_column(0x1a)
$C$DW$T$45	.dwtag  DW_TAG_typedef, DW_AT_name("ptrdiff_t")
	.dwattr $C$DW$T$45, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$45, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$45, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$45, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$45, DW_AT_decl_column(0x1c)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$21	.dwtag  DW_TAG_typedef, DW_AT_name("size_t")
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$21, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$21, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$21, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$21, DW_AT_decl_column(0x19)
$C$DW$T$22	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$22, DW_AT_type(*$C$DW$T$21)
$C$DW$T$23	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$23, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$T$23, DW_AT_address_class(0x20)
$C$DW$T$24	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$23)
$C$DW$T$50	.dwtag  DW_TAG_typedef, DW_AT_name("uint32_t")
	.dwattr $C$DW$T$50, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$50, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$50, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$50, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$T$50, DW_AT_decl_column(0x1c)
$C$DW$T$51	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast16_t")
	.dwattr $C$DW$T$51, DW_AT_type(*$C$DW$T$50)
	.dwattr $C$DW$T$51, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$51, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$51, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$T$51, DW_AT_decl_column(0x16)
$C$DW$T$52	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast32_t")
	.dwattr $C$DW$T$52, DW_AT_type(*$C$DW$T$50)
	.dwattr $C$DW$T$52, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$52, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$52, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$T$52, DW_AT_decl_column(0x16)
$C$DW$T$53	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast8_t")
	.dwattr $C$DW$T$53, DW_AT_type(*$C$DW$T$50)
	.dwattr $C$DW$T$53, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$53, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$53, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$T$53, DW_AT_decl_column(0x16)
$C$DW$T$54	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least32_t")
	.dwattr $C$DW$T$54, DW_AT_type(*$C$DW$T$50)
	.dwattr $C$DW$T$54, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$54, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$54, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$54, DW_AT_decl_column(0x16)
$C$DW$T$55	.dwtag  DW_TAG_typedef, DW_AT_name("uintptr_t")
	.dwattr $C$DW$T$55, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$55, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$55, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$55, DW_AT_decl_line(0x59)
	.dwattr $C$DW$T$55, DW_AT_decl_column(0x1a)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("__int40_t")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$58	.dwtag  DW_TAG_typedef, DW_AT_name("int40_t")
	.dwattr $C$DW$T$58, DW_AT_type(*$C$DW$T$12)
	.dwattr $C$DW$T$58, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$58, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$58, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$58, DW_AT_decl_column(0x21)
$C$DW$T$59	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast40_t")
	.dwattr $C$DW$T$59, DW_AT_type(*$C$DW$T$58)
	.dwattr $C$DW$T$59, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$59, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$59, DW_AT_decl_line(0x51)
	.dwattr $C$DW$T$59, DW_AT_decl_column(0x17)
$C$DW$T$60	.dwtag  DW_TAG_typedef, DW_AT_name("int_least40_t")
	.dwattr $C$DW$T$60, DW_AT_type(*$C$DW$T$58)
	.dwattr $C$DW$T$60, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$60, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$60, DW_AT_decl_line(0x41)
	.dwattr $C$DW$T$60, DW_AT_decl_column(0x17)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned __int40_t")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$61	.dwtag  DW_TAG_typedef, DW_AT_name("uint40_t")
	.dwattr $C$DW$T$61, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$61, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$61, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$61, DW_AT_decl_line(0x32)
	.dwattr $C$DW$T$61, DW_AT_decl_column(0x20)
$C$DW$T$62	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast40_t")
	.dwattr $C$DW$T$62, DW_AT_type(*$C$DW$T$61)
	.dwattr $C$DW$T$62, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$62, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$62, DW_AT_decl_line(0x52)
	.dwattr $C$DW$T$62, DW_AT_decl_column(0x16)
$C$DW$T$63	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least40_t")
	.dwattr $C$DW$T$63, DW_AT_type(*$C$DW$T$61)
	.dwattr $C$DW$T$63, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$63, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$63, DW_AT_decl_line(0x42)
	.dwattr $C$DW$T$63, DW_AT_decl_column(0x16)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$64	.dwtag  DW_TAG_typedef, DW_AT_name("int64_t")
	.dwattr $C$DW$T$64, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$64, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$64, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$64, DW_AT_decl_line(0x34)
	.dwattr $C$DW$T$64, DW_AT_decl_column(0x21)
$C$DW$T$65	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast64_t")
	.dwattr $C$DW$T$65, DW_AT_type(*$C$DW$T$64)
	.dwattr $C$DW$T$65, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$65, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$65, DW_AT_decl_line(0x54)
	.dwattr $C$DW$T$65, DW_AT_decl_column(0x17)
$C$DW$T$66	.dwtag  DW_TAG_typedef, DW_AT_name("int_least64_t")
	.dwattr $C$DW$T$66, DW_AT_type(*$C$DW$T$64)
	.dwattr $C$DW$T$66, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$66, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$66, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$66, DW_AT_decl_column(0x17)
$C$DW$T$67	.dwtag  DW_TAG_typedef, DW_AT_name("intmax_t")
	.dwattr $C$DW$T$67, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$67, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$67, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$67, DW_AT_decl_line(0x5c)
	.dwattr $C$DW$T$67, DW_AT_decl_column(0x20)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$68	.dwtag  DW_TAG_typedef, DW_AT_name("uint64_t")
	.dwattr $C$DW$T$68, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$68, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$68, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$68, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$68, DW_AT_decl_column(0x20)
$C$DW$T$69	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast64_t")
	.dwattr $C$DW$T$69, DW_AT_type(*$C$DW$T$68)
	.dwattr $C$DW$T$69, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$69, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$69, DW_AT_decl_line(0x55)
	.dwattr $C$DW$T$69, DW_AT_decl_column(0x16)
$C$DW$T$70	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least64_t")
	.dwattr $C$DW$T$70, DW_AT_type(*$C$DW$T$68)
	.dwattr $C$DW$T$70, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$70, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$70, DW_AT_decl_line(0x45)
	.dwattr $C$DW$T$70, DW_AT_decl_column(0x16)
$C$DW$T$71	.dwtag  DW_TAG_typedef, DW_AT_name("uintmax_t")
	.dwattr $C$DW$T$71, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$71, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$71, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$71, DW_AT_decl_line(0x5d)
	.dwattr $C$DW$T$71, DW_AT_decl_column(0x20)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$19	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$19, DW_AT_address_class(0x20)
$C$DW$T$20	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$19)
$C$DW$T$26	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$17)
$C$DW$T$27	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$T$27, DW_AT_address_class(0x20)
$C$DW$T$28	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$27)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)
	.dwendtag $C$DW$CU

