;******************************************************************************
;* TMS320C6x C/C++ Codegen                                  Unix v7.4.0A12012 *
;* Date/Time created: Mon Aug  6 14:12:14 2012                                *
;******************************************************************************
	.compiler_opts --abi=eabi --c64p_l1d_workaround=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6600 --symdebug:dwarf_version=3 --symdebug:skeletal 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C66xx                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug for Program Analysis w/Optimization      *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("test_fill_l_l2.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C6x C/C++ Codegen Unix v7.4.0A12012 Copyright (c) 1996-2012 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("/home/noname/dist-ti-0.0.3/src/dma-linpack")

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("fabs")
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("fabs")
	.dwattr $C$DW$1, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$1, DW_AT_declaration
	.dwattr $C$DW$1, DW_AT_external
$C$DW$2	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$17)
	.dwendtag $C$DW$1


$C$DW$3	.dwtag  DW_TAG_subprogram, DW_AT_name("update_block_setup_edma")
	.dwattr $C$DW$3, DW_AT_TI_symbol_name("update_block_setup_edma")
	.dwattr $C$DW$3, DW_AT_declaration
	.dwattr $C$DW$3, DW_AT_external
	.dwattr $C$DW$3, DW_AT_decl_file("dma-linpack.h")
	.dwattr $C$DW$3, DW_AT_decl_line(0xe9)
	.dwattr $C$DW$3, DW_AT_decl_column(0x06)
$C$DW$4	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$3)
$C$DW$5	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$5, DW_AT_type(*$C$DW$T$3)
$C$DW$6	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$6, DW_AT_type(*$C$DW$T$3)
	.dwendtag $C$DW$3


$C$DW$7	.dwtag  DW_TAG_subprogram, DW_AT_name("init_l_xfer")
	.dwattr $C$DW$7, DW_AT_TI_symbol_name("init_l_xfer")
	.dwattr $C$DW$7, DW_AT_declaration
	.dwattr $C$DW$7, DW_AT_external
	.dwattr $C$DW$7, DW_AT_decl_file("dma-linpack.h")
	.dwattr $C$DW$7, DW_AT_decl_line(0xf7)
	.dwattr $C$DW$7, DW_AT_decl_column(0x06)
$C$DW$8	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$8, DW_AT_type(*$C$DW$T$56)
$C$DW$9	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$9, DW_AT_type(*$C$DW$T$11)
$C$DW$10	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$10, DW_AT_type(*$C$DW$T$11)
	.dwendtag $C$DW$7


$C$DW$11	.dwtag  DW_TAG_subprogram, DW_AT_name("wait_l_xfer")
	.dwattr $C$DW$11, DW_AT_TI_symbol_name("wait_l_xfer")
	.dwattr $C$DW$11, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$11, DW_AT_declaration
	.dwattr $C$DW$11, DW_AT_external
	.dwattr $C$DW$11, DW_AT_decl_file("dma-linpack.h")
	.dwattr $C$DW$11, DW_AT_decl_line(0xf8)
	.dwattr $C$DW$11, DW_AT_decl_column(0x0a)

$C$DW$12	.dwtag  DW_TAG_subprogram, DW_AT_name("setup_panel")
	.dwattr $C$DW$12, DW_AT_TI_symbol_name("setup_panel")
	.dwattr $C$DW$12, DW_AT_declaration
	.dwattr $C$DW$12, DW_AT_external
	.dwattr $C$DW$12, DW_AT_decl_file("dma-linpack.h")
	.dwattr $C$DW$12, DW_AT_decl_line(0xfa)
	.dwattr $C$DW$12, DW_AT_decl_column(0x06)
$C$DW$13	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$13, DW_AT_type(*$C$DW$T$11)
$C$DW$14	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$14, DW_AT_type(*$C$DW$T$11)
	.dwendtag $C$DW$12


$C$DW$15	.dwtag  DW_TAG_subprogram, DW_AT_name("cache_l2_set_size")
	.dwattr $C$DW$15, DW_AT_TI_symbol_name("cache_l2_set_size")
	.dwattr $C$DW$15, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$15, DW_AT_declaration
	.dwattr $C$DW$15, DW_AT_external
	.dwattr $C$DW$15, DW_AT_decl_file("../rt/include/cache.h")
	.dwattr $C$DW$15, DW_AT_decl_line(0x10b)
	.dwattr $C$DW$15, DW_AT_decl_column(0x0a)
$C$DW$16	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$16, DW_AT_type(*$C$DW$T$27)
	.dwendtag $C$DW$15


$C$DW$17	.dwtag  DW_TAG_subprogram, DW_AT_name("cache_l1d_set_size")
	.dwattr $C$DW$17, DW_AT_TI_symbol_name("cache_l1d_set_size")
	.dwattr $C$DW$17, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$17, DW_AT_declaration
	.dwattr $C$DW$17, DW_AT_external
	.dwattr $C$DW$17, DW_AT_decl_file("../rt/include/cache.h")
	.dwattr $C$DW$17, DW_AT_decl_line(0x10c)
	.dwattr $C$DW$17, DW_AT_decl_column(0x0a)
$C$DW$18	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$18, DW_AT_type(*$C$DW$T$27)
	.dwendtag $C$DW$17


$C$DW$19	.dwtag  DW_TAG_subprogram, DW_AT_name("printf")
	.dwattr $C$DW$19, DW_AT_TI_symbol_name("printf")
	.dwattr $C$DW$19, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$19, DW_AT_declaration
	.dwattr $C$DW$19, DW_AT_external
	.dwattr $C$DW$19, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$19, DW_AT_decl_line(0xb7)
	.dwattr $C$DW$19, DW_AT_decl_column(0x19)
$C$DW$20	.dwtag  DW_TAG_formal_parameter
	.dwattr $C$DW$20, DW_AT_type(*$C$DW$T$78)
$C$DW$21	.dwtag  DW_TAG_unspecified_parameters
	.dwendtag $C$DW$19

	.sect	".rodata"
	.align	4
	.elfsym	corepack_regs,SYM_SIZE(4)
corepack_regs:
	.field	25165824,32			; corepack_regs @ 0

$C$DW$22	.dwtag  DW_TAG_variable, DW_AT_name("corepack_regs")
	.dwattr $C$DW$22, DW_AT_TI_symbol_name("corepack_regs")
	.dwattr $C$DW$22, DW_AT_type(*$C$DW$T$136)
	.dwattr $C$DW$22, DW_AT_location[DW_OP_addr corepack_regs]
	.dwattr $C$DW$22, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$22, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$22, DW_AT_decl_column(0x2e)
	.sect	".rodata"
	.align	4
	.elfsym	CACHE_L2CFG_NUMMM_MASK,SYM_SIZE(4)
CACHE_L2CFG_NUMMM_MASK:
	.field	251658240,32			; CACHE_L2CFG_NUMMM_MASK @ 0

$C$DW$23	.dwtag  DW_TAG_variable, DW_AT_name("CACHE_L2CFG_NUMMM_MASK")
	.dwattr $C$DW$23, DW_AT_TI_symbol_name("CACHE_L2CFG_NUMMM_MASK")
	.dwattr $C$DW$23, DW_AT_type(*$C$DW$T$98)
	.dwattr $C$DW$23, DW_AT_location[DW_OP_addr CACHE_L2CFG_NUMMM_MASK]
	.dwattr $C$DW$23, DW_AT_decl_file("../rt/include/cache.h")
	.dwattr $C$DW$23, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$23, DW_AT_decl_column(0x17)
	.sect	".rodata"
	.align	4
	.elfsym	CACHE_L2CFG_NUMMM_SHIFT,SYM_SIZE(4)
CACHE_L2CFG_NUMMM_SHIFT:
	.field	24,32			; CACHE_L2CFG_NUMMM_SHIFT @ 0

$C$DW$24	.dwtag  DW_TAG_variable, DW_AT_name("CACHE_L2CFG_NUMMM_SHIFT")
	.dwattr $C$DW$24, DW_AT_TI_symbol_name("CACHE_L2CFG_NUMMM_SHIFT")
	.dwattr $C$DW$24, DW_AT_type(*$C$DW$T$91)
	.dwattr $C$DW$24, DW_AT_location[DW_OP_addr CACHE_L2CFG_NUMMM_SHIFT]
	.dwattr $C$DW$24, DW_AT_decl_file("../rt/include/cache.h")
	.dwattr $C$DW$24, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$24, DW_AT_decl_column(0x17)
	.sect	".rodata"
	.align	4
	.elfsym	CACHE_L2CFG_MMID_MASK,SYM_SIZE(4)
CACHE_L2CFG_MMID_MASK:
	.field	983040,32			; CACHE_L2CFG_MMID_MASK @ 0

$C$DW$25	.dwtag  DW_TAG_variable, DW_AT_name("CACHE_L2CFG_MMID_MASK")
	.dwattr $C$DW$25, DW_AT_TI_symbol_name("CACHE_L2CFG_MMID_MASK")
	.dwattr $C$DW$25, DW_AT_type(*$C$DW$T$98)
	.dwattr $C$DW$25, DW_AT_location[DW_OP_addr CACHE_L2CFG_MMID_MASK]
	.dwattr $C$DW$25, DW_AT_decl_file("../rt/include/cache.h")
	.dwattr $C$DW$25, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$25, DW_AT_decl_column(0x17)
	.sect	".rodata"
	.align	4
	.elfsym	CACHE_L2CFG_MMID_SHIFT,SYM_SIZE(4)
CACHE_L2CFG_MMID_SHIFT:
	.field	16,32			; CACHE_L2CFG_MMID_SHIFT @ 0

$C$DW$26	.dwtag  DW_TAG_variable, DW_AT_name("CACHE_L2CFG_MMID_SHIFT")
	.dwattr $C$DW$26, DW_AT_TI_symbol_name("CACHE_L2CFG_MMID_SHIFT")
	.dwattr $C$DW$26, DW_AT_type(*$C$DW$T$91)
	.dwattr $C$DW$26, DW_AT_location[DW_OP_addr CACHE_L2CFG_MMID_SHIFT]
	.dwattr $C$DW$26, DW_AT_decl_file("../rt/include/cache.h")
	.dwattr $C$DW$26, DW_AT_decl_line(0x30)
	.dwattr $C$DW$26, DW_AT_decl_column(0x17)
	.global	M
M:	.usect	"matrix",520224768,16
$C$DW$27	.dwtag  DW_TAG_variable, DW_AT_name("M")
	.dwattr $C$DW$27, DW_AT_TI_symbol_name("M")
	.dwattr $C$DW$27, DW_AT_location[DW_OP_addr M]
	.dwattr $C$DW$27, DW_AT_type(*$C$DW$T$124)
	.dwattr $C$DW$27, DW_AT_external
	.dwattr $C$DW$27, DW_AT_decl_file("test_fill_l_l2.c")
	.dwattr $C$DW$27, DW_AT_decl_line(0x33)
	.dwattr $C$DW$27, DW_AT_decl_column(0x08)
	.global	x
x:	.usect	"matrix",64512,16
$C$DW$28	.dwtag  DW_TAG_variable, DW_AT_name("x")
	.dwattr $C$DW$28, DW_AT_TI_symbol_name("x")
	.dwattr $C$DW$28, DW_AT_location[DW_OP_addr x]
	.dwattr $C$DW$28, DW_AT_type(*$C$DW$T$125)
	.dwattr $C$DW$28, DW_AT_external
	.dwattr $C$DW$28, DW_AT_decl_file("test_fill_l_l2.c")
	.dwattr $C$DW$28, DW_AT_decl_line(0x37)
	.dwattr $C$DW$28, DW_AT_decl_column(0x08)
$C$DW$29	.dwtag  DW_TAG_variable, DW_AT_name("L_l3")
	.dwattr $C$DW$29, DW_AT_TI_symbol_name("L_l3")
	.dwattr $C$DW$29, DW_AT_type(*$C$DW$T$126)
	.dwattr $C$DW$29, DW_AT_declaration
	.dwattr $C$DW$29, DW_AT_external
	.dwattr $C$DW$29, DW_AT_decl_file("test_fill_l_l2.c")
	.dwattr $C$DW$29, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$29, DW_AT_decl_column(0x0f)
$C$DW$30	.dwtag  DW_TAG_variable, DW_AT_name("M_l2")
	.dwattr $C$DW$30, DW_AT_TI_symbol_name("M_l2")
	.dwattr $C$DW$30, DW_AT_type(*$C$DW$T$127)
	.dwattr $C$DW$30, DW_AT_declaration
	.dwattr $C$DW$30, DW_AT_external
	.dwattr $C$DW$30, DW_AT_decl_file("test_fill_l_l2.c")
	.dwattr $C$DW$30, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$30, DW_AT_decl_column(0x0f)
$C$DW$31	.dwtag  DW_TAG_variable, DW_AT_name("L_l2")
	.dwattr $C$DW$31, DW_AT_TI_symbol_name("L_l2")
	.dwattr $C$DW$31, DW_AT_type(*$C$DW$T$127)
	.dwattr $C$DW$31, DW_AT_declaration
	.dwattr $C$DW$31, DW_AT_external
	.dwattr $C$DW$31, DW_AT_decl_file("test_fill_l_l2.c")
	.dwattr $C$DW$31, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$31, DW_AT_decl_column(0x0f)
;	/opt/ti/C6000CGT7.4.0A12012//bin/opt6x /tmp/22484E2qDKu /tmp/224848xknV9 
	.sect	".text"
	.clink
	.global	main

$C$DW$32	.dwtag  DW_TAG_subprogram, DW_AT_name("main")
	.dwattr $C$DW$32, DW_AT_low_pc(main)
	.dwattr $C$DW$32, DW_AT_high_pc(0x00)
	.dwattr $C$DW$32, DW_AT_TI_symbol_name("main")
	.dwattr $C$DW$32, DW_AT_external
	.dwattr $C$DW$32, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$32, DW_AT_TI_begin_file("test_fill_l_l2.c")
	.dwattr $C$DW$32, DW_AT_TI_begin_line(0x4f)
	.dwattr $C$DW$32, DW_AT_TI_begin_column(0x01)
	.dwattr $C$DW$32, DW_AT_decl_file("test_fill_l_l2.c")
	.dwattr $C$DW$32, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$32, DW_AT_decl_column(0x01)
	.dwattr $C$DW$32, DW_AT_TI_max_frame_size(0x70)
	.dwattr $C$DW$32, DW_AT_frame_base[DW_OP_breg31 112]
	.dwattr $C$DW$32, DW_AT_TI_skeletal
	.dwpsn	file "test_fill_l_l2.c",line 80,column 1,is_stmt,address main,isa 0
$C$DW$33	.dwtag  DW_TAG_formal_parameter, DW_AT_name("argc")
	.dwattr $C$DW$33, DW_AT_TI_symbol_name("argc")
	.dwattr $C$DW$33, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$33, DW_AT_location[DW_OP_reg4]
$C$DW$34	.dwtag  DW_TAG_formal_parameter, DW_AT_name("argv")
	.dwattr $C$DW$34, DW_AT_TI_symbol_name("argv")
	.dwattr $C$DW$34, DW_AT_type(*$C$DW$T$82)
	.dwattr $C$DW$34, DW_AT_location[DW_OP_reg20]
;----------------------------------------------------------------------
;  79 | main(int argc, char **argv)                                            
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: main                                                        *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,  *
;*                           A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20,B21, *
;*                           B22,B23,B24,B25,B26,B27,B28,B29,B30,B31          *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,DP,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,   *
;*                           A25,A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20, *
;*                           B21,B22,B23,B24,B25,B26,B27,B28,B29,B30,B31      *
;*   Local Frame Size  : 32 Args + 16 Auto + 64 Save = 112 byte               *
;******************************************************************************
main:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  81 | size_t row;                                                            
;  82 | size_t col;                                                            
;  83 | size_t block_row;                                                      
;  85 | unsigned my_rank;                                                      
;  86 | unsigned num_ranks;                                                    
;  87 | unsigned core;                                                         
;  89 | double actual, desired;                                                
;  91 | my_rank = cache_get_mm_id();                                           
;  92 | num_ranks = cache_get_mm_num();                                        
;  94 | if (my_rank != 0) return 0;                                            
;  96 | cache_l1d_set_size(4);        /* 32kB L1D cache, 0kB SRAM*/            
;  97 | cache_l2_set_size(0);         /* 0kB L2, 512kB SRAM */                 
;----------------------------------------------------------------------

           STW     .D2T1   A11,*SP--(8)      ; |80| 
||         ZERO    .L1     A4

           STW     .D2T1   A10,*SP--(8)      ; |80| 
||         MVKH    .S1     0x1840000,A4

           STDW    .D2T2   B13:B12,*SP--     ; |80| 
           STDW    .D2T2   B11:B10,*SP--     ; |80| 
           STDW    .D2T1   A15:A14,*SP--     ; |80| 
           STDW    .D2T1   A13:A12,*SP--     ; |80| 
           STW     .D2T2   B3,*SP--(56)      ; |80| 
	.dwpsn	file "../rt/include/cache.h",line 75,column 3,is_stmt,isa 0
           LDW     .D1T1   *A4,A3            ; |75| 
	.dwpsn	file "test_fill_l_l2.c",line 100,column 14,is_stmt,isa 0
;----------------------------------------------------------------------
; 100 | for(row=0; row<MATRIX_SIZE; ++row)                                     
;----------------------------------------------------------------------
           MVK     .S1     0x1f80,A10        ; |100| 
           MVKL    .S2     M,B12
           MVKH    .S2     M,B12
	.dwpsn	file "test_fill_l_l2.c",line 100,column 7,is_stmt,isa 0
           ZERO    .L2     B10               ; |100| 
	.dwpsn	file "test_fill_l_l2.c",line 94,column 3,is_stmt,isa 0
           EXTU    .S1     A3,12,28,A0       ; |94| 
	.dwpsn	file "test_fill_l_l2.c",line 94,column 21,is_stmt,isa 0
   [ A0]   B       .S1     $C$L14            ; |94| 
	.dwpsn	file "test_fill_l_l2.c",line 96,column 3,is_stmt,isa 0
$C$DW$35	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$35, DW_AT_low_pc(0x00)
	.dwattr $C$DW$35, DW_AT_name("cache_l1d_set_size")
	.dwattr $C$DW$35, DW_AT_TI_call
   [!A0]   CALL    .S1     cache_l1d_set_size ; |96| 
	.dwpsn	file "../rt/include/cache.h",line 66,column 3,is_stmt,isa 0
           LDW     .D1T1   *A4,A3            ; |66| 
	.dwpsn	file "test_fill_l_l2.c",line 96,column 3,is_stmt,isa 0
           MVK     .L1     0x4,A4            ; |96| 
           NOP             2
	.dwpsn	file "test_fill_l_l2.c",line 94,column 21,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L14}        ; |94| 
;** --------------------------------------------------------------------------*
	.dwpsn	file "test_fill_l_l2.c",line 96,column 3,is_stmt,isa 0
           ADDKPC  .S2     $C$RL0,B3,0       ; |96| 
$C$RL0:    ; CALL OCCURS {cache_l1d_set_size} {0}  ; |96| 
;** --------------------------------------------------------------------------*
$C$DW$36	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$36, DW_AT_low_pc(0x00)
	.dwattr $C$DW$36, DW_AT_name("cache_l2_set_size")
	.dwattr $C$DW$36, DW_AT_TI_call

           CALLP   .S2     cache_l2_set_size,B3
||         MV      .L1X    B10,A4            ; |96| 

	.dwpsn	file "test_fill_l_l2.c",line 97,column 3,is_stmt,isa 0
$C$RL1:    ; CALL OCCURS {cache_l2_set_size} {0}  ; |97| 
;** --------------------------------------------------------------------------*

           MVK     .S2     0x1f80,B30        ; |101| 
||         AND     .L2     -16,B10,B6

           SHL     .S2     B6,7,B31
||         MV      .L1     A10,A0            ; |97| 

           SUB     .D2     B30,1,B6
||         SHL     .S1X    B6,13,A3
||         MVC     .S2     B30,RILC
||         SUB     .L1     A0,1,A0           ; |100| 
||         INTDPU  .L2     B10,B5:B4

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : test_fill_l_l2.c
;*      Loop source line                 : 101
;*      Loop opening brace source line   : 102
;*      Loop closing brace source line   : 102
;*      Known Minimum Trip Count         : 8064                    
;*      Known Maximum Trip Count         : 8064                    
;*      Known Max Trip Count Factor      : 8064
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 3
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     2        0     
;*      .S units                     3*       1     
;*      .D units                     1        1     
;*      .M units                     0        0     
;*      .X cross paths               0        1     
;*      .T address paths             1        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          2        3     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             3*       1     
;*      Bound(.L .S .D .LS .LSD)     3*       2     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 3  Did not find schedule
;*         ii = 4  Schedule found with 3 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L1:    ; PIPED LOOP PROLOG
	.dwpsn	file "test_fill_l_l2.c",line 101,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
; 101 | for(col=0; col<MATRIX_SIZE; ++col)                                     
;----------------------------------------------------------------------

   [ A0]   SPLOOPD 4       ;12               ; SPRELOAD
||         SUB     .L1X    A3,B31,A16
||         ZERO    .S1     A3
||         MVC     .S2     B6,ILC

;** --------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP KERNEL
	.dwpsn	file "test_fill_l_l2.c",line 101,column 9,is_stmt,isa 0
$C$DW$L$main$6$B:
	.dwpsn	file "test_fill_l_l2.c",line 102,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
; 102 | M[index_m(row, col)] = init_m(row, col);                               
;----------------------------------------------------------------------

           SPMASK          S1
||         MVKL    .S1     0x40c38800,A13
||         INTDPU  .L1     A3,A7:A6          ; |62| (P) <0,0>  ^ 

           SPMASK          S1
||         MVKH    .S1     0x40c38800,A13

           SPMASK          L1
||         ZERO    .L1     A12
||         EXTU    .S1     A3,4,8,A5         ; |62| (P) <0,2>  ^ 

           SPMASK          M1,S2
||         EXTU    .S2     B10,28,24,B7
||         FMPYDP  .M1X    A13:A12,B5:B4,A9:A8
||         ADD     .D1     1,A3,A3           ; |101| (P) <0,3>  ^ Define a twin register
||         SHL     .S1     A5,8,A5           ; |62| (P) <0,3> 

	.dwpsn	file "dma-linpack.h",line 62,column 3,is_stmt,isa 0
           ADD     .S1     A5,A16,A4         ; |62| (P) <0,4> 

           SPMASK          L1
||         MV      .L1X    B7,A17            ; Define a twin register
||         SHL     .S1     A4,3,A18          ; |62| (P) <0,5> 

           SPMASK          L2
||         MV      .L2X    A12,B4
||         ADDAD   .D1     A18,A17,A4        ; |62| (P) <0,6> 

           SPMASK          L2
||         MV      .L2     B12,B6
||         EXTU    .S2     B4,28,25,B5       ; |62| (P) <0,7>  ^ 
||         FADDDP  .L1     A7:A6,A9:A8,A5:A4 ; |62| (P) <0,7> 

           ADD     .L2X    B5,A4,B5          ; |62| <0,8> 
           ADD     .L2     B6,B5,B5          ; |62| <0,9> 

           SPKERNEL 1,2
||         ADD     .L2     1,B4,B4           ; |101| <0,10>  ^ 
||         STDW    .D2T1   A5:A4,*B5         ; |62| <0,10> 

$C$DW$L$main$6$E:
;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP EPILOG AND PROLOG
	.dwpsn	file "test_fill_l_l2.c",line 100,column 14,is_stmt,isa 0
           ADD     .S2     1,B10,B10         ; |100| 
           INTDPU  .L2     B10,B5:B4
           NOP             1

           SPMASKR         ;$C$L3
||         ZERO    .L1     A3
|| [ A0]   MVKL    .S1     0x40c38800,A13
||         AND     .L2     -16,B10,B7

   [ A0]   MVKH    .S1     0x40c38800,A13
||         SHL     .S2     B7,7,B31

           SHL     .S1X    B7,13,A8

           SUB     .L1X    A8,B31,A16
|| [ A0]   B       .S2     $C$L3             ; |100| 

           EXTU    .S2     B10,28,24,B7
||         FMPYDP  .M1X    A13:A12,B5:B4,A9:A8

           SUB     .D1     A0,1,A0           ; |100| 
           MV      .L1X    B7,A17            ; Define a twin register

           MV      .L2     B6,B12
||         SUB     .S2     B30,1,B6
||         MV      .D2X    A12,B4

           MV      .L2     B12,B6
           ; BRANCHCC OCCURS {$C$L3}         ; |100| 
;** --------------------------------------------------------------------------*
           MVKL    .S2     L_l2,B10
           MVKL    .S1     L_l3,A6
           MVKL    .S1     M_l2,A4
           MVKH    .S2     L_l2,B10
           MVKH    .S1     M_l2,A4
$C$DW$37	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$37, DW_AT_low_pc(0x00)
	.dwattr $C$DW$37, DW_AT_name("update_block_setup_edma")
	.dwattr $C$DW$37, DW_AT_TI_call

           CALLP   .S2     update_block_setup_edma,B3
||         MV      .L2     B10,B4            ; |105| 
||         MVKH    .S1     L_l3,A6

	.dwpsn	file "test_fill_l_l2.c",line 105,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
; 105 | update_block_setup_edma(M_l2, L_l2, L_l3);                             
; 106 | for(core=0; core<8;++core)                                             
;----------------------------------------------------------------------
$C$RL2:    ; CALL OCCURS {update_block_setup_edma} {0}  ; |105| 
;** --------------------------------------------------------------------------*
	.dwpsn	file "test_fill_l_l2.c",line 107,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 107 | setup_panel(core, 8);                                                  
;----------------------------------------------------------------------
$C$DW$38	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$38, DW_AT_low_pc(0x00)
	.dwattr $C$DW$38, DW_AT_name("setup_panel")
	.dwattr $C$DW$38, DW_AT_TI_call
           CALL    .S1     setup_panel       ; |107| 
	.dwpsn	file "test_fill_l_l2.c",line 106,column 7,is_stmt,isa 0
           ZERO    .L1     A10               ; |106| 
	.dwpsn	file "test_fill_l_l2.c",line 107,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 109 | #if 0                                                                  
; 110 | transpose_l_panel(M + index_m(PANEL_SIZE, 0),                          
; 111 |                   PANEL_SIZE,                                          
; 112 |                   MATRIX_SIZE - PANEL_SIZE);                           
; 113 | #endif                                                                 
; 115 | for(block_row = PANEL_SIZE; block_row<MATRIX_SIZE; block_row+=M_L2_ROWS
;     | ) {                                                                    
;----------------------------------------------------------------------
           MV      .L1     A10,A4            ; |107| 
           MVK     .L2     0x8,B4            ; |107| 
	.dwpsn	file "test_fill_l_l2.c",line 106,column 0,is_stmt,isa 0
           NOP             1
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Loop contains a call
;*      Disqualified loop: Loop contains non-pipelinable instructions
;*----------------------------------------------------------------------------*
$C$L4:    
	.dwpsn	file "test_fill_l_l2.c",line 106,column 7,is_stmt,isa 0
$C$DW$L$main$10$B:
	.dwpsn	file "test_fill_l_l2.c",line 107,column 0,is_stmt,isa 0
	.dwpsn	file "test_fill_l_l2.c",line 107,column 5,is_stmt,isa 0
           ADDKPC  .S2     $C$RL3,B3,0       ; |107| 
$C$RL3:    ; CALL OCCURS {setup_panel} {0}   ; |107| 
$C$DW$L$main$10$E:
;** --------------------------------------------------------------------------*
$C$DW$L$main$11$B:
	.dwpsn	file "test_fill_l_l2.c",line 106,column 15,is_stmt,isa 0
           ADD     .L1     1,A10,A10         ; |106| 
           CMPLTU  .L1     A10,8,A0          ; |106| 

   [!A0]   ZERO    .L1     A3
|| [!A0]   ZERO    .S1     A31
|| [!A0]   ZERO    .D1     A4
|| [ A0]   MVK     .L2     0x8,B4            ; |107| 
|| [ A0]   B       .S2     $C$L4             ; |106| 

$C$DW$39	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$39, DW_AT_low_pc(0x10)
	.dwattr $C$DW$39, DW_AT_name("setup_panel")
	.dwattr $C$DW$39, DW_AT_TI_call

   [!A0]   MVKH    .S1     0xc0000000,A3
|| [!A0]   ZERO    .L1     A30
|| [!A0]   STW     .D2T1   A4,*+SP(36)
|| [ A0]   MV      .D1     A10,A4            ; |107| 
|| [ A0]   CALL    .S2     setup_panel       ; |107| 

   [!A0]   MVKH    .S1     0xc0080000,A31
|| [!A0]   MVK     .S2     0x80,B13          ; |115| 
|| [!A0]   LDW     .D2T1   *+SP(36),A4

   [!A0]   STW     .D2T1   A31,*+SP(40)
   [!A0]   STW     .D2T1   A30,*+SP(44)
   [!A0]   STW     .D2T1   A3,*+SP(48)
           ; BRANCHCC OCCURS {$C$L4}         ; |106| 
$C$DW$L$main$11$E:
;** --------------------------------------------------------------------------*

           LDW     .D2T1   *+SP(40),A5
||         MVKL    .S2     L_l3,B6

           MVKH    .S2     L_l3,B6
	.dwpsn	file "test_fill_l_l2.c",line 118,column 16,is_stmt,isa 0
;----------------------------------------------------------------------
; 118 | for(row=0; row<2*M_L2_ROWS*PANEL_SIZE; ++row)                          
;----------------------------------------------------------------------
           MVK     .S2     0x1000,B4         ; |118| 

           SUB     .L2     B4,2,B4
||         MV      .L1X    B6,A6

           MVC     .S2     B4,ILC
||         MV      .L2X    A4,B4

;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : test_fill_l_l2.c
;*      Loop source line                 : 118
;*      Loop opening brace source line   : 119
;*      Loop closing brace source line   : 119
;*      Loop Unroll Multiple             : 4x
;*      Known Minimum Trip Count         : 4096                    
;*      Known Maximum Trip Count         : 4096                    
;*      Known Max Trip Count Factor      : 4096
;*      Loop Carried Dependency Bound(^) : 0
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     2*       2*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             2*       2*    
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     1        1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 2  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1 (after unrolling)
;*----------------------------------------------------------------------------*
$C$L5:    ; PIPED LOOP PROLOG
	.dwpsn	file "test_fill_l_l2.c",line 118,column 0,is_stmt,isa 0

           SPLOOPD 2       ;4                ; (P) 
||         MV      .L2     B6,B7
||         MV      .L1X    B6,A3
||         ADDK    .S1     16,A6
||         MV      .S2X    A5,B5

;** --------------------------------------------------------------------------*
$C$L6:    ; PIPED LOOP KERNEL
$C$DW$L$main$14$B:
	.dwpsn	file "test_fill_l_l2.c",line 119,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
; 119 | L_l3[row] = -3.0;                                                      
;----------------------------------------------------------------------

           SPMASK          S1,L2
||         ADD     .L2     8,B6,B6
||         ADDK    .S1     24,A3
||         STDW    .D2T2   B5:B4,*B7++(32)   ; |119| (P) <0,0> 
||         STDW    .D1T1   A5:A4,*A6++(32)   ; |119| (P) <0,0> 

           STDW    .D2T2   B5:B4,*B6++(32)   ; |119| (P) <0,1> 
||         STDW    .D1T1   A5:A4,*A3++(32)   ; |119| (P) <0,1> 

           SPKERNEL 0,0
$C$DW$L$main$14$E:
;** --------------------------------------------------------------------------*
$C$L7:    ; PIPED LOOP EPILOG

           MVK     .S2     0x1000,B4         ; |121| 
||         STW     .D2T1   A5,*+SP(40)

;** --------------------------------------------------------------------------*
	.dwpsn	file "test_fill_l_l2.c",line 121,column 16,is_stmt,isa 0
;----------------------------------------------------------------------
; 121 | for(row=0; row<2*M_L2_ROWS*PANEL_SIZE; ++row)                          
;----------------------------------------------------------------------
$C$DW$L$main$16$B:
           STW     .D2T1   A4,*+SP(36)
           LDW     .D2T1   *+SP(48),A5
           LDW     .D2T1   *+SP(44),A4
           MVKL    .S2     L_l2,B6
           MVKH    .S2     L_l2,B6
           SUB     .L2     B4,2,B4

           MV      .L2X    A5,B5
||         MV      .L1X    B6,A6
||         MVC     .S2     B4,ILC

$C$DW$L$main$16$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : test_fill_l_l2.c
;*      Loop source line                 : 121
;*      Loop opening brace source line   : 122
;*      Loop closing brace source line   : 122
;*      Loop Unroll Multiple             : 4x
;*      Known Minimum Trip Count         : 4096                    
;*      Known Maximum Trip Count         : 4096                    
;*      Known Max Trip Count Factor      : 4096
;*      Loop Carried Dependency Bound(^) : 0
;*      Unpartitioned Resource Bound     : 2
;*      Partitioned Resource Bound(*)    : 2
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     2*       2*    
;*      .M units                     0        0     
;*      .X cross paths               0        0     
;*      .T address paths             2*       2*    
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           0        0     (.L or .S unit)
;*      Addition ops (.LSD)          0        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             0        0     
;*      Bound(.L .S .D .LS .LSD)     1        1     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 2  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1 (after unrolling)
;*----------------------------------------------------------------------------*
$C$L8:    ; PIPED LOOP PROLOG
	.dwpsn	file "test_fill_l_l2.c",line 121,column 0,is_stmt,isa 0

           SPLOOPD 2       ;4                ; (P) 
||         MV      .L2     B6,B7
||         MV      .L1X    B6,A3
||         ADDK    .S1     16,A6
||         MV      .S2X    A4,B4

;** --------------------------------------------------------------------------*
$C$L9:    ; PIPED LOOP KERNEL
	.dwpsn	file "test_fill_l_l2.c",line 121,column 16,is_stmt,isa 0
$C$DW$L$main$18$B:
	.dwpsn	file "test_fill_l_l2.c",line 122,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
; 122 | L_l2[row] = -2.0;                                                      
;----------------------------------------------------------------------

           SPMASK          S1,L2
||         ADD     .L2     8,B6,B6
||         ADDK    .S1     24,A3
||         STDW    .D2T2   B5:B4,*B7++(32)   ; |122| (P) <0,0> 
||         STDW    .D1T1   A5:A4,*A6++(32)   ; |122| (P) <0,0> 

           STDW    .D2T2   B5:B4,*B6++(32)   ; |122| (P) <0,1> 
||         STDW    .D1T1   A5:A4,*A3++(32)   ; |122| (P) <0,1> 

           SPKERNEL 0,0
$C$DW$L$main$18$E:
;** --------------------------------------------------------------------------*
$C$L10:    ; PIPED LOOP EPILOG
$C$DW$40	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$40, DW_AT_low_pc(0x10)
	.dwattr $C$DW$40, DW_AT_name("init_l_xfer")
	.dwattr $C$DW$40, DW_AT_TI_call

           MV      .L2     B13,B4            ; |125| 
||         MV      .L1X    B12,A4            ; |125| 
||         ZERO    .S1     A6                ; |125| 
||         STW     .D2T1   A4,*+SP(44)
||         CALL    .S2     init_l_xfer       ; |125| 

           STW     .D2T1   A5,*+SP(48)
||         ADDKPC  .S2     $C$RL4,B3,4       ; |125| 

	.dwpsn	file "test_fill_l_l2.c",line 125,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 125 | init_l_xfer(M, block_row, 0);                                          
;----------------------------------------------------------------------
$C$RL4:    ; CALL OCCURS {init_l_xfer} {0}   ; |125| 
;** --------------------------------------------------------------------------*
$C$DW$L$main$20$B:
           NOP             1
$C$DW$41	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$41, DW_AT_low_pc(0x00)
	.dwattr $C$DW$41, DW_AT_name("wait_l_xfer")
	.dwattr $C$DW$41, DW_AT_TI_call
           CALLP   .S2     wait_l_xfer,B3
	.dwpsn	file "test_fill_l_l2.c",line 126,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
; 126 | wait_l_xfer();                                                         
;----------------------------------------------------------------------
$C$RL5:    ; CALL OCCURS {wait_l_xfer} {0}   ; |126| 
$C$DW$L$main$20$E:
;** --------------------------------------------------------------------------*
$C$DW$L$main$21$B:
	.dwpsn	file "test_fill_l_l2.c",line 129,column 9,is_stmt,isa 0
;----------------------------------------------------------------------
; 129 | for(row=0; row<M_L2_ROWS; ++row) {                                     
;----------------------------------------------------------------------
           ZERO    .L1     A15               ; |129| 
           EXTU    .S2     B13,25,25,B4
           ADD     .L2X    A15,B13,B11
           INTDPU  .L2     B11,B7:B6
           MV      .L1X    B4,A14            ; Define a twin register
           ADD     .L1     A15,A14,A3

           EXTU    .S1     A3,7,9,A3
||         ADD     .L1     A15,A14,A4

           SHL     .S1     A3,9,A3

           AND     .L2X    3,A4,B4
||         MVKL    .S2     L_l2,B31
||         MVKL    .S1     0x3ddb7cdf,A7

           ADD     .L2X    B4,A3,B5
||         MVKH    .S2     L_l2,B31
||         ZERO    .L1     A12
||         MVKL    .S1     0xd9d7bdbb,A6

	.dwpsn	file "test_fill_l_l2.c",line 129,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
; 130 | for(col=0; col<PANEL_SIZE; ++col) {                                    
; 131 |   desired = init_m(block_row + row, col);                              
; 132 |   actual = L_l2[index_l_l2(row + block_row%PANEL_SIZE, col)];          
;----------------------------------------------------------------------

           ADDAD   .D2     B31,B5,B10
||         INTDPU  .L1     A12,A5:A4         ; |133| 
||         MVKH    .S1     0x3ddb7cdf,A7

$C$DW$L$main$21$E:
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L11
;** --------------------------------------------------------------------------*
$C$L11:    
	.dwpsn	file "test_fill_l_l2.c",line 129,column 9,is_stmt,isa 0
$C$DW$L$main$22$B:
           FMPYDP  .M1X    A13:A12,B7:B6,A11:A10
	.dwpsn	file "test_fill_l_l2.c",line 133,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 133 | if (fabs(desired - actual) > 1E-10) {                                  
;----------------------------------------------------------------------
           LDDW    .D2T2   *B10,B5:B4        ; |133| 
           MVKH    .S1     0xd9d7bdbb,A6
           NOP             1
	.dwpsn	file "test_fill_l_l2.c",line 130,column 0,is_stmt,isa 0
	.dwpsn	file "test_fill_l_l2.c",line 133,column 2,is_stmt,isa 0
           FADDDP  .L1     A5:A4,A11:A10,A9:A8 ; |133| 
$C$DW$L$main$22$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*      Disqualified loop: Loop contains control code
;*----------------------------------------------------------------------------*
$C$L12:    
	.dwpsn	file "test_fill_l_l2.c",line 130,column 11,is_stmt,isa 0
$C$DW$L$main$23$B:
           NOP             2
	.dwpsn	file "test_fill_l_l2.c",line 133,column 2,is_stmt,isa 0
           FSUBDP  .L1X    A9:A8,B5:B4,A5:A4 ; |133| 
           NOP             2
           ABSDP   .S1     A5:A4,A5:A4       ; |133| 
           NOP             1
           CMPGTDP .S1     A5:A4,A7:A6,A0    ; |133| 
           NOP             1

   [!A0]   BNOP    .S1     $C$L13,1          ; |133| 
|| [!A0]   ADD     .L1     1,A12,A12         ; |130| 
|| [ A0]   MVKL    .S2     $C$SL1+0,B6

   [ A0]   MVKH    .S2     $C$SL1+0,B6
	.dwpsn	file "test_fill_l_l2.c",line 130,column 18,is_stmt,isa 0
   [!A0]   MVK     .S1     128,A3            ; |130| 
   [!A0]   ADDK    .S2     32,B10            ; |130| 
$C$DW$42	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$42, DW_AT_low_pc(0x00)
	.dwattr $C$DW$42, DW_AT_name("printf")
	.dwattr $C$DW$42, DW_AT_TI_call

   [ A0]   CALL    .S1     printf            ; |134| 
|| [!A0]   CMPLTU  .L1     A12,A3,A0         ; |130| 

	.dwpsn	file "test_fill_l_l2.c",line 133,column 2,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L13}        ; |133| 
$C$DW$L$main$23$E:
;** --------------------------------------------------------------------------*
$C$DW$L$main$24$B:
	.dwpsn	file "test_fill_l_l2.c",line 134,column 4,is_stmt,isa 0
;----------------------------------------------------------------------
; 134 | printf("OUTCH, row %d col %d wanted %f got %f !\n",                    
; 135 |        block_row + row, col, desired, actual);                         
;----------------------------------------------------------------------
           STW     .D2T2   B6,*+SP(4)        ; |134| 
           STDW    .D2T2   B5:B4,*+SP(24)    ; |134| 
           STDW    .D2T1   A9:A8,*+SP(16)    ; |134| 
           STW     .D2T1   A12,*+SP(12)      ; |134| 

           ADDKPC  .S2     $C$RL6,B3,0       ; |134| 
||         STW     .D2T2   B11,*+SP(8)       ; |134| 

$C$RL6:    ; CALL OCCURS {printf} {0}        ; |134| 

           ADD     .L1     1,A12,A12         ; |130| 
||         MVK     .S1     128,A3            ; |130| 
||         ADDK    .S2     32,B10            ; |130| 

	.dwpsn	file "test_fill_l_l2.c",line 130,column 18,is_stmt,isa 0
           CMPLTU  .L1     A12,A3,A0         ; |130| 
$C$DW$L$main$24$E:
;** --------------------------------------------------------------------------*
$C$L13:    
	.dwpsn	file "test_fill_l_l2.c",line 133,column 2,is_stmt,isa 0
$C$DW$L$main$25$B:

   [ A0]   LDDW    .D2T2   *B10,B5:B4        ; |133| 
|| [ A0]   B       .S2     $C$L12            ; |130| 
|| [ A0]   MVKL    .S1     0x3ddb7cdf,A7
|| [!A0]   ADD     .D1     1,A15,A15         ; |129| 
||         INTDPU  .L1     A12,A5:A4         ; |133| 

   [ A0]   MVKL    .S1     0xd9d7bdbb,A6
	.dwpsn	file "test_fill_l_l2.c",line 129,column 16,is_stmt,isa 0
           MVK     .S1     64,A3             ; |129| 
   [ A0]   MVKH    .S1     0xd9d7bdbb,A6
   [ A0]   MVKH    .S1     0x3ddb7cdf,A7
	.dwpsn	file "test_fill_l_l2.c",line 137,column 0,is_stmt,isa 0

           FADDDP  .S1     A5:A4,A11:A10,A9:A8 ; |133| 
|| [!A0]   CMPLTU  .L1     A15,A3,A0         ; |129| 

	.dwpsn	file "test_fill_l_l2.c",line 130,column 18,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L12}        ; |130| 
$C$DW$L$main$25$E:
;** --------------------------------------------------------------------------*
	.dwpsn	file "test_fill_l_l2.c",line 129,column 16,is_stmt,isa 0
$C$DW$L$main$26$B:

   [ A0]   ADD     .L1     A15,A14,A3
|| [ A0]   ADD     .D1     A15,A14,A4
|| [ A0]   MVKL    .S1     0x3ddb7cdf,A7
||         ADD     .L2X    A15,B13,B11
|| [ A0]   MVKL    .S2     L_l2,B31

   [ A0]   ZERO    .L1     A12
|| [ A0]   B       .S2     $C$L11            ; |129| 

   [ A0]   EXTU    .S1     A3,7,9,A3
|| [ A0]   INTDPU  .L1     A12,A5:A4         ; |133| 
|| [!A0]   ADDK    .S2     64,B13            ; |115| 
|| [ A0]   AND     .D2X    3,A4,B4
||         INTDPU  .L2     B11,B7:B6

   [ A0]   SHL     .S1     A3,9,A3
|| [!A0]   MVK     .S2     8064,B4           ; |115| 

   [ A0]   MVKH    .S1     0x3ddb7cdf,A7
|| [ A0]   MVKH    .S2     L_l2,B31
|| [!A0]   CMPLTU  .L2     B13,B4,B0         ; |115| 

   [ A0]   MVKL    .S1     0xd9d7bdbb,A6
|| [ A0]   ADD     .S2X    B4,A3,B5

	.dwpsn	file "test_fill_l_l2.c",line 138,column 0,is_stmt,isa 0
   [ A0]   ADDAD   .D2     B31,B5,B10
	.dwpsn	file "test_fill_l_l2.c",line 129,column 16,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L11}        ; |129| 
$C$DW$L$main$26$E:
;** --------------------------------------------------------------------------*
	.dwpsn	file "test_fill_l_l2.c",line 115,column 31,is_stmt,isa 0
$C$DW$L$main$27$B:

   [ B0]   LDW     .D2T1   *+SP(36),A4
|| [ B0]   B       .S1     $C$L5             ; |115| 
|| [ B0]   MVKL    .S2     L_l3,B6

$C$DW$43	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$43, DW_AT_low_pc(0x08)
	.dwattr $C$DW$43, DW_AT_name("printf")
	.dwattr $C$DW$43, DW_AT_TI_call

   [ B0]   LDW     .D2T1   *+SP(40),A5
|| [ B0]   MVKH    .S2     L_l3,B6
|| [!B0]   CALL    .S1     printf            ; |141| 

	.dwpsn	file "test_fill_l_l2.c",line 118,column 16,is_stmt,isa 0
   [ B0]   MVK     .S2     0x1000,B4         ; |118| 

   [ B0]   SUB     .L2     B4,2,B4
|| [ B0]   MV      .L1X    B6,A6
|| [!B0]   MVKL    .S2     $C$SL2+0,B4

   [!B0]   MVKH    .S2     $C$SL2+0,B4

   [ B0]   MV      .L2X    A4,B4
|| [ B0]   MVC     .S2     B4,ILC

	.dwpsn	file "test_fill_l_l2.c",line 115,column 31,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L5}         ; |115| 
$C$DW$L$main$27$E:
;** --------------------------------------------------------------------------*

           STW     .D2T2   B4,*+SP(4)        ; |141| 
||         ADDKPC  .S2     $C$RL7,B3,0       ; |141| 

	.dwpsn	file "test_fill_l_l2.c",line 141,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
; 141 | printf("All done!\n");                                                 
; 143 | return 0;                                                              
;----------------------------------------------------------------------
$C$RL7:    ; CALL OCCURS {printf} {0}        ; |141| 
;** --------------------------------------------------------------------------*
$C$L14:    
	.dwpsn	file "test_fill_l_l2.c",line 144,column 1,is_stmt,isa 0
           LDW     .D2T2   *++SP(56),B3      ; |144| 
           LDDW    .D2T1   *++SP,A13:A12     ; |144| 
           LDDW    .D2T1   *++SP,A15:A14     ; |144| 
           LDDW    .D2T2   *++SP,B11:B10     ; |144| 
           LDDW    .D2T2   *++SP,B13:B12     ; |144| 
$C$DW$44	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$44, DW_AT_low_pc(0x04)
	.dwattr $C$DW$44, DW_AT_TI_return

           LDW     .D2T1   *++SP(8),A10      ; |144| 
||         RET     .S2     B3                ; |144| 

           LDW     .D2T1   *++SP(8),A11      ; |144| 
	.dwpsn	file "test_fill_l_l2.c",line 94,column 21,is_stmt,isa 0
           ZERO    .L1     A4                ; |94| 
	.dwpsn	file "test_fill_l_l2.c",line 144,column 1,is_stmt,isa 0
           NOP             3
           ; BRANCH OCCURS {B3}              ; |144| 

$C$DW$45	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$45, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/test_fill_l_l2.asm:$C$L5:1:1344255134")
	.dwattr $C$DW$45, DW_AT_TI_begin_file("test_fill_l_l2.c")
	.dwattr $C$DW$45, DW_AT_TI_begin_line(0x73)
	.dwattr $C$DW$45, DW_AT_TI_end_line(0x8d)
$C$DW$46	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$46, DW_AT_low_pc($C$DW$L$main$16$B)
	.dwattr $C$DW$46, DW_AT_high_pc($C$DW$L$main$16$E)
$C$DW$47	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$47, DW_AT_low_pc($C$DW$L$main$20$B)
	.dwattr $C$DW$47, DW_AT_high_pc($C$DW$L$main$20$E)
$C$DW$48	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$48, DW_AT_low_pc($C$DW$L$main$21$B)
	.dwattr $C$DW$48, DW_AT_high_pc($C$DW$L$main$21$E)
$C$DW$49	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$49, DW_AT_low_pc($C$DW$L$main$27$B)
	.dwattr $C$DW$49, DW_AT_high_pc($C$DW$L$main$27$E)

$C$DW$50	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$50, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/test_fill_l_l2.asm:$C$L6:2:1344255134")
	.dwattr $C$DW$50, DW_AT_TI_begin_file("test_fill_l_l2.c")
	.dwattr $C$DW$50, DW_AT_TI_begin_line(0x76)
	.dwattr $C$DW$50, DW_AT_TI_end_line(0x77)
$C$DW$51	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$51, DW_AT_low_pc($C$DW$L$main$14$B)
	.dwattr $C$DW$51, DW_AT_high_pc($C$DW$L$main$14$E)
	.dwendtag $C$DW$50


$C$DW$52	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$52, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/test_fill_l_l2.asm:$C$L9:2:1344255134")
	.dwattr $C$DW$52, DW_AT_TI_begin_file("test_fill_l_l2.c")
	.dwattr $C$DW$52, DW_AT_TI_begin_line(0x79)
	.dwattr $C$DW$52, DW_AT_TI_end_line(0x7a)
$C$DW$53	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$53, DW_AT_low_pc($C$DW$L$main$18$B)
	.dwattr $C$DW$53, DW_AT_high_pc($C$DW$L$main$18$E)
	.dwendtag $C$DW$52


$C$DW$54	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$54, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/test_fill_l_l2.asm:$C$L11:2:1344255134")
	.dwattr $C$DW$54, DW_AT_TI_begin_file("test_fill_l_l2.c")
	.dwattr $C$DW$54, DW_AT_TI_begin_line(0x81)
	.dwattr $C$DW$54, DW_AT_TI_end_line(0x8a)
$C$DW$55	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$55, DW_AT_low_pc($C$DW$L$main$22$B)
	.dwattr $C$DW$55, DW_AT_high_pc($C$DW$L$main$22$E)
$C$DW$56	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$56, DW_AT_low_pc($C$DW$L$main$26$B)
	.dwattr $C$DW$56, DW_AT_high_pc($C$DW$L$main$26$E)

$C$DW$57	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$57, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/test_fill_l_l2.asm:$C$L12:3:1344255134")
	.dwattr $C$DW$57, DW_AT_TI_begin_file("test_fill_l_l2.c")
	.dwattr $C$DW$57, DW_AT_TI_begin_line(0x82)
	.dwattr $C$DW$57, DW_AT_TI_end_line(0x89)
$C$DW$58	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$58, DW_AT_low_pc($C$DW$L$main$23$B)
	.dwattr $C$DW$58, DW_AT_high_pc($C$DW$L$main$23$E)
$C$DW$59	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$59, DW_AT_low_pc($C$DW$L$main$24$B)
	.dwattr $C$DW$59, DW_AT_high_pc($C$DW$L$main$24$E)
$C$DW$60	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$60, DW_AT_low_pc($C$DW$L$main$25$B)
	.dwattr $C$DW$60, DW_AT_high_pc($C$DW$L$main$25$E)
	.dwendtag $C$DW$57

	.dwendtag $C$DW$54

	.dwendtag $C$DW$45


$C$DW$61	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$61, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/test_fill_l_l2.asm:$C$L4:1:1344255134")
	.dwattr $C$DW$61, DW_AT_TI_begin_file("test_fill_l_l2.c")
	.dwattr $C$DW$61, DW_AT_TI_begin_line(0x6a)
	.dwattr $C$DW$61, DW_AT_TI_end_line(0x6b)
$C$DW$62	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$62, DW_AT_low_pc($C$DW$L$main$10$B)
	.dwattr $C$DW$62, DW_AT_high_pc($C$DW$L$main$10$E)
$C$DW$63	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$63, DW_AT_low_pc($C$DW$L$main$11$B)
	.dwattr $C$DW$63, DW_AT_high_pc($C$DW$L$main$11$E)
	.dwendtag $C$DW$61


$C$DW$64	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$64, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/test_fill_l_l2.asm:$C$L3:1:1344255134")
	.dwattr $C$DW$64, DW_AT_TI_begin_file("test_fill_l_l2.c")
	.dwattr $C$DW$64, DW_AT_TI_begin_line(0x64)
	.dwattr $C$DW$64, DW_AT_TI_end_line(0x64)
	.dwendtag $C$DW$64


$C$DW$65	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$65, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/test_fill_l_l2.asm:$C$L2:1:1344255134")
	.dwattr $C$DW$65, DW_AT_TI_begin_file("test_fill_l_l2.c")
	.dwattr $C$DW$65, DW_AT_TI_begin_line(0x65)
	.dwattr $C$DW$65, DW_AT_TI_end_line(0x66)
$C$DW$66	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$66, DW_AT_low_pc($C$DW$L$main$6$B)
	.dwattr $C$DW$66, DW_AT_high_pc($C$DW$L$main$6$E)
	.dwendtag $C$DW$65

	.dwattr $C$DW$32, DW_AT_TI_end_file("test_fill_l_l2.c")
	.dwattr $C$DW$32, DW_AT_TI_end_line(0x90)
	.dwattr $C$DW$32, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$32

;******************************************************************************
;* STRINGS                                                                    *
;******************************************************************************
	.sect	".const:.string"
$C$SL1:	.string	"OUTCH, row %d col %d wanted %f got %f !",10,0
$C$SL2:	.string	"All done!",10,0
;*****************************************************************************
;* UNDEFINED EXTERNAL REFERENCES                                             *
;*****************************************************************************
	.global	update_block_setup_edma
	.global	init_l_xfer
	.global	wait_l_xfer
	.global	setup_panel
	.global	cache_l2_set_size
	.global	cache_l1d_set_size
	.global	printf
	.global	L_l3
	.global	M_l2
	.global	L_l2

;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(2)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(1)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************

$C$DW$T$20	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$20, DW_AT_byte_size(0x18)
$C$DW$67	.dwtag  DW_TAG_member
	.dwattr $C$DW$67, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$67, DW_AT_name("fd")
	.dwattr $C$DW$67, DW_AT_TI_symbol_name("fd")
	.dwattr $C$DW$67, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$67, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$67, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$67, DW_AT_decl_line(0x48)
	.dwattr $C$DW$67, DW_AT_decl_column(0x0b)
$C$DW$68	.dwtag  DW_TAG_member
	.dwattr $C$DW$68, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$68, DW_AT_name("buf")
	.dwattr $C$DW$68, DW_AT_TI_symbol_name("buf")
	.dwattr $C$DW$68, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$68, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$68, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$68, DW_AT_decl_line(0x49)
	.dwattr $C$DW$68, DW_AT_decl_column(0x16)
$C$DW$69	.dwtag  DW_TAG_member
	.dwattr $C$DW$69, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$69, DW_AT_name("pos")
	.dwattr $C$DW$69, DW_AT_TI_symbol_name("pos")
	.dwattr $C$DW$69, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$69, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$69, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$69, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$69, DW_AT_decl_column(0x16)
$C$DW$70	.dwtag  DW_TAG_member
	.dwattr $C$DW$70, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$70, DW_AT_name("bufend")
	.dwattr $C$DW$70, DW_AT_TI_symbol_name("bufend")
	.dwattr $C$DW$70, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr $C$DW$70, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$70, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$70, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$70, DW_AT_decl_column(0x16)
$C$DW$71	.dwtag  DW_TAG_member
	.dwattr $C$DW$71, DW_AT_type(*$C$DW$T$19)
	.dwattr $C$DW$71, DW_AT_name("buff_stop")
	.dwattr $C$DW$71, DW_AT_TI_symbol_name("buff_stop")
	.dwattr $C$DW$71, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr $C$DW$71, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$71, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$71, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$71, DW_AT_decl_column(0x16)
$C$DW$72	.dwtag  DW_TAG_member
	.dwattr $C$DW$72, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$72, DW_AT_name("flags")
	.dwattr $C$DW$72, DW_AT_TI_symbol_name("flags")
	.dwattr $C$DW$72, DW_AT_data_member_location[DW_OP_plus_uconst 0x14]
	.dwattr $C$DW$72, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$72, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$72, DW_AT_decl_line(0x4d)
	.dwattr $C$DW$72, DW_AT_decl_column(0x16)
	.dwendtag $C$DW$T$20

	.dwattr $C$DW$T$20, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$T$20, DW_AT_decl_line(0x47)
	.dwattr $C$DW$T$20, DW_AT_decl_column(0x10)
$C$DW$T$49	.dwtag  DW_TAG_typedef, DW_AT_name("FILE")
	.dwattr $C$DW$T$49, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$T$49, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$49, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$T$49, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$T$49, DW_AT_decl_column(0x03)

$C$DW$T$21	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$21, DW_AT_byte_size(0x08)
$C$DW$73	.dwtag  DW_TAG_member
	.dwattr $C$DW$73, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$73, DW_AT_name("quot")
	.dwattr $C$DW$73, DW_AT_TI_symbol_name("quot")
	.dwattr $C$DW$73, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$73, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$73, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$73, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$73, DW_AT_decl_column(0x16)
$C$DW$74	.dwtag  DW_TAG_member
	.dwattr $C$DW$74, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$74, DW_AT_name("rem")
	.dwattr $C$DW$74, DW_AT_TI_symbol_name("rem")
	.dwattr $C$DW$74, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$74, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$74, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$74, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$74, DW_AT_decl_column(0x1c)
	.dwendtag $C$DW$T$21

	.dwattr $C$DW$T$21, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$T$21, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$21, DW_AT_decl_column(0x10)
$C$DW$T$50	.dwtag  DW_TAG_typedef, DW_AT_name("div_t")
	.dwattr $C$DW$T$50, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$50, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$50, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$T$50, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$50, DW_AT_decl_column(0x23)

$C$DW$T$22	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$22, DW_AT_byte_size(0x08)
$C$DW$75	.dwtag  DW_TAG_member
	.dwattr $C$DW$75, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$75, DW_AT_name("quot")
	.dwattr $C$DW$75, DW_AT_TI_symbol_name("quot")
	.dwattr $C$DW$75, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$75, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$75, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$75, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$75, DW_AT_decl_column(0x17)
$C$DW$76	.dwtag  DW_TAG_member
	.dwattr $C$DW$76, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$76, DW_AT_name("rem")
	.dwattr $C$DW$76, DW_AT_TI_symbol_name("rem")
	.dwattr $C$DW$76, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$76, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$76, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$76, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$76, DW_AT_decl_column(0x1d)
	.dwendtag $C$DW$T$22

	.dwattr $C$DW$T$22, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$T$22, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$22, DW_AT_decl_column(0x10)
$C$DW$T$51	.dwtag  DW_TAG_typedef, DW_AT_name("ldiv_t")
	.dwattr $C$DW$T$51, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$T$51, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$51, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$T$51, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$51, DW_AT_decl_column(0x24)

$C$DW$T$23	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$23, DW_AT_byte_size(0x10)
$C$DW$77	.dwtag  DW_TAG_member
	.dwattr $C$DW$77, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$77, DW_AT_name("quot")
	.dwattr $C$DW$77, DW_AT_TI_symbol_name("quot")
	.dwattr $C$DW$77, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$77, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$77, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$77, DW_AT_decl_line(0x42)
	.dwattr $C$DW$77, DW_AT_decl_column(0x1c)
$C$DW$78	.dwtag  DW_TAG_member
	.dwattr $C$DW$78, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$78, DW_AT_name("rem")
	.dwattr $C$DW$78, DW_AT_TI_symbol_name("rem")
	.dwattr $C$DW$78, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$78, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$78, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$78, DW_AT_decl_line(0x42)
	.dwattr $C$DW$78, DW_AT_decl_column(0x22)
	.dwendtag $C$DW$T$23

	.dwattr $C$DW$T$23, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$T$23, DW_AT_decl_line(0x42)
	.dwattr $C$DW$T$23, DW_AT_decl_column(0x10)
$C$DW$T$52	.dwtag  DW_TAG_typedef, DW_AT_name("lldiv_t")
	.dwattr $C$DW$T$52, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$52, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$52, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdlib.h")
	.dwattr $C$DW$T$52, DW_AT_decl_line(0x42)
	.dwattr $C$DW$T$52, DW_AT_decl_column(0x29)
$C$DW$T$2	.dwtag  DW_TAG_unspecified_type
	.dwattr $C$DW$T$2, DW_AT_name("void")
$C$DW$T$3	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$3, DW_AT_type(*$C$DW$T$2)
	.dwattr $C$DW$T$3, DW_AT_address_class(0x20)
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$67	.dwtag  DW_TAG_typedef, DW_AT_name("int8_t")
	.dwattr $C$DW$T$67, DW_AT_type(*$C$DW$T$5)
	.dwattr $C$DW$T$67, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$67, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$67, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$T$67, DW_AT_decl_column(0x1d)
$C$DW$T$68	.dwtag  DW_TAG_typedef, DW_AT_name("int_least8_t")
	.dwattr $C$DW$T$68, DW_AT_type(*$C$DW$T$67)
	.dwattr $C$DW$T$68, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$68, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$68, DW_AT_decl_line(0x39)
	.dwattr $C$DW$T$68, DW_AT_decl_column(0x17)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$19	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$19, DW_AT_address_class(0x20)
$C$DW$T$69	.dwtag  DW_TAG_typedef, DW_AT_name("uint8_t")
	.dwattr $C$DW$T$69, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$69, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$69, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$69, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$T$69, DW_AT_decl_column(0x1c)
$C$DW$T$70	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least8_t")
	.dwattr $C$DW$T$70, DW_AT_type(*$C$DW$T$69)
	.dwattr $C$DW$T$70, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$70, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$70, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$T$70, DW_AT_decl_column(0x16)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$71	.dwtag  DW_TAG_typedef, DW_AT_name("int16_t")
	.dwattr $C$DW$T$71, DW_AT_type(*$C$DW$T$8)
	.dwattr $C$DW$T$71, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$71, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$71, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$T$71, DW_AT_decl_column(0x1d)
$C$DW$T$72	.dwtag  DW_TAG_typedef, DW_AT_name("int_least16_t")
	.dwattr $C$DW$T$72, DW_AT_type(*$C$DW$T$71)
	.dwattr $C$DW$T$72, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$72, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$72, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$72, DW_AT_decl_column(0x17)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$74	.dwtag  DW_TAG_typedef, DW_AT_name("uint16_t")
	.dwattr $C$DW$T$74, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$74, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$74, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$74, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$T$74, DW_AT_decl_column(0x1c)
$C$DW$T$75	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least16_t")
	.dwattr $C$DW$T$75, DW_AT_type(*$C$DW$T$74)
	.dwattr $C$DW$T$75, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$75, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$75, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$75, DW_AT_decl_column(0x16)
$C$DW$T$73	.dwtag  DW_TAG_typedef, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$73, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$73, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$73, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$73, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$73, DW_AT_decl_column(0x1a)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$89	.dwtag  DW_TAG_typedef, DW_AT_name("fpos_t")
	.dwattr $C$DW$T$89, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$89, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$89, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdio.h")
	.dwattr $C$DW$T$89, DW_AT_decl_line(0x52)
	.dwattr $C$DW$T$89, DW_AT_decl_column(0x0d)
$C$DW$T$24	.dwtag  DW_TAG_typedef, DW_AT_name("int32_t")
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$24, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$24, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$24, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$T$24, DW_AT_decl_column(0x1d)

$C$DW$T$25	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$25, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$25, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$25, DW_AT_byte_size(0x10)
$C$DW$79	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$79, DW_AT_upper_bound(0x03)
	.dwendtag $C$DW$T$25

$C$DW$T$84	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast16_t")
	.dwattr $C$DW$T$84, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$84, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$84, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$84, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$T$84, DW_AT_decl_column(0x17)
$C$DW$T$85	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast32_t")
	.dwattr $C$DW$T$85, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$85, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$85, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$85, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$T$85, DW_AT_decl_column(0x17)
$C$DW$T$86	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast8_t")
	.dwattr $C$DW$T$86, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$86, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$86, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$86, DW_AT_decl_line(0x49)
	.dwattr $C$DW$T$86, DW_AT_decl_column(0x17)
$C$DW$T$87	.dwtag  DW_TAG_typedef, DW_AT_name("int_least32_t")
	.dwattr $C$DW$T$87, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$87, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$87, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$87, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$T$87, DW_AT_decl_column(0x17)
$C$DW$T$88	.dwtag  DW_TAG_typedef, DW_AT_name("intptr_t")
	.dwattr $C$DW$T$88, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$88, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$88, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$88, DW_AT_decl_line(0x58)
	.dwattr $C$DW$T$88, DW_AT_decl_column(0x1a)
$C$DW$T$90	.dwtag  DW_TAG_typedef, DW_AT_name("ptrdiff_t")
	.dwattr $C$DW$T$90, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$90, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$90, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$90, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$90, DW_AT_decl_column(0x1c)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$91	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$91, DW_AT_type(*$C$DW$T$11)
$C$DW$T$104	.dwtag  DW_TAG_typedef, DW_AT_name("size_t")
	.dwattr $C$DW$T$104, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$104, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$104, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$104, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$104, DW_AT_decl_column(0x19)
$C$DW$T$27	.dwtag  DW_TAG_typedef, DW_AT_name("uint32_t")
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$27, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$27, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$27, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$T$27, DW_AT_decl_column(0x1c)

$C$DW$T$28	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$28, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$28, DW_AT_byte_size(0x300)
$C$DW$80	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$80, DW_AT_upper_bound(0xbf)
	.dwendtag $C$DW$T$28


$C$DW$T$29	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$29, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$29, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$29, DW_AT_byte_size(0x08)
$C$DW$81	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$81, DW_AT_upper_bound(0x01)
	.dwendtag $C$DW$T$29


$C$DW$T$30	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$30, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$30, DW_AT_byte_size(0x10)
$C$DW$82	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$82, DW_AT_upper_bound(0x03)
	.dwendtag $C$DW$T$30


$C$DW$T$31	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$31, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$31, DW_AT_byte_size(0xe0)
$C$DW$83	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$83, DW_AT_upper_bound(0x37)
	.dwendtag $C$DW$T$31


$C$DW$T$32	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$32, DW_AT_byte_size(0x20)
$C$DW$84	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$84, DW_AT_upper_bound(0x07)
	.dwendtag $C$DW$T$32


$C$DW$T$34	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$34, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$34, DW_AT_byte_size(0x1c)
$C$DW$85	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$85, DW_AT_upper_bound(0x06)
	.dwendtag $C$DW$T$34


$C$DW$T$35	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$35, DW_AT_byte_size(0x18)
$C$DW$86	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$86, DW_AT_upper_bound(0x05)
	.dwendtag $C$DW$T$35


$C$DW$T$36	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$36, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$36, DW_AT_byte_size(0x3fb8)
$C$DW$87	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$87, DW_AT_upper_bound(0xfed)
	.dwendtag $C$DW$T$36


$C$DW$T$37	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$37, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$37, DW_AT_byte_size(0xfb0)
$C$DW$88	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$88, DW_AT_upper_bound(0x3eb)
	.dwendtag $C$DW$T$37


$C$DW$T$38	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$38, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$38, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$38, DW_AT_byte_size(0x14)
$C$DW$89	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$89, DW_AT_upper_bound(0x04)
	.dwendtag $C$DW$T$38


$C$DW$T$39	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$39, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$39, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$39, DW_AT_byte_size(0x2fb4)
$C$DW$90	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$90, DW_AT_upper_bound(0xbec)
	.dwendtag $C$DW$T$39


$C$DW$T$40	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$40, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$40, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$40, DW_AT_byte_size(0x400)
$C$DW$91	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$91, DW_AT_upper_bound(0xff)
	.dwendtag $C$DW$T$40


$C$DW$T$41	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$41, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$41, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$41, DW_AT_byte_size(0x7c00)
$C$DW$92	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$92, DW_AT_upper_bound(0x1eff)
	.dwendtag $C$DW$T$41


$C$DW$T$43	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$43, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$43, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$43, DW_AT_byte_size(0xec)
$C$DW$93	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$93, DW_AT_upper_bound(0x3a)
	.dwendtag $C$DW$T$43


$C$DW$T$44	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$44, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$44, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$44, DW_AT_byte_size(0xfeec)
$C$DW$94	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$94, DW_AT_upper_bound(0x3fba)
	.dwendtag $C$DW$T$44


$C$DW$T$46	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$46, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$46, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$46, DW_AT_byte_size(0x20000)
$C$DW$95	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$95, DW_AT_upper_bound(0x7fff)
	.dwendtag $C$DW$T$46


$C$DW$T$47	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$47, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$47, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$47, DW_AT_byte_size(0x10000)
$C$DW$96	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$96, DW_AT_upper_bound(0x3fff)
	.dwendtag $C$DW$T$47

$C$DW$T$98	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$98, DW_AT_type(*$C$DW$T$27)
$C$DW$T$99	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast16_t")
	.dwattr $C$DW$T$99, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$99, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$99, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$99, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$T$99, DW_AT_decl_column(0x16)
$C$DW$T$100	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast32_t")
	.dwattr $C$DW$T$100, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$100, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$100, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$100, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$T$100, DW_AT_decl_column(0x16)
$C$DW$T$101	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast8_t")
	.dwattr $C$DW$T$101, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$101, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$101, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$101, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$T$101, DW_AT_decl_column(0x16)
$C$DW$T$102	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least32_t")
	.dwattr $C$DW$T$102, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$102, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$102, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$102, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$102, DW_AT_decl_column(0x16)
$C$DW$T$103	.dwtag  DW_TAG_typedef, DW_AT_name("uintptr_t")
	.dwattr $C$DW$T$103, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$103, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$103, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$103, DW_AT_decl_line(0x59)
	.dwattr $C$DW$T$103, DW_AT_decl_column(0x1a)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("__int40_t")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$107	.dwtag  DW_TAG_typedef, DW_AT_name("int40_t")
	.dwattr $C$DW$T$107, DW_AT_type(*$C$DW$T$12)
	.dwattr $C$DW$T$107, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$107, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$107, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$107, DW_AT_decl_column(0x21)
$C$DW$T$108	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast40_t")
	.dwattr $C$DW$T$108, DW_AT_type(*$C$DW$T$107)
	.dwattr $C$DW$T$108, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$108, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$108, DW_AT_decl_line(0x51)
	.dwattr $C$DW$T$108, DW_AT_decl_column(0x17)
$C$DW$T$109	.dwtag  DW_TAG_typedef, DW_AT_name("int_least40_t")
	.dwattr $C$DW$T$109, DW_AT_type(*$C$DW$T$107)
	.dwattr $C$DW$T$109, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$109, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$109, DW_AT_decl_line(0x41)
	.dwattr $C$DW$T$109, DW_AT_decl_column(0x17)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned __int40_t")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$110	.dwtag  DW_TAG_typedef, DW_AT_name("uint40_t")
	.dwattr $C$DW$T$110, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$110, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$110, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$110, DW_AT_decl_line(0x32)
	.dwattr $C$DW$T$110, DW_AT_decl_column(0x20)
$C$DW$T$111	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast40_t")
	.dwattr $C$DW$T$111, DW_AT_type(*$C$DW$T$110)
	.dwattr $C$DW$T$111, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$111, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$111, DW_AT_decl_line(0x52)
	.dwattr $C$DW$T$111, DW_AT_decl_column(0x16)
$C$DW$T$112	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least40_t")
	.dwattr $C$DW$T$112, DW_AT_type(*$C$DW$T$110)
	.dwattr $C$DW$T$112, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$112, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$112, DW_AT_decl_line(0x42)
	.dwattr $C$DW$T$112, DW_AT_decl_column(0x16)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$113	.dwtag  DW_TAG_typedef, DW_AT_name("int64_t")
	.dwattr $C$DW$T$113, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$113, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$113, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$113, DW_AT_decl_line(0x34)
	.dwattr $C$DW$T$113, DW_AT_decl_column(0x21)
$C$DW$T$114	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast64_t")
	.dwattr $C$DW$T$114, DW_AT_type(*$C$DW$T$113)
	.dwattr $C$DW$T$114, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$114, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$114, DW_AT_decl_line(0x54)
	.dwattr $C$DW$T$114, DW_AT_decl_column(0x17)
$C$DW$T$115	.dwtag  DW_TAG_typedef, DW_AT_name("int_least64_t")
	.dwattr $C$DW$T$115, DW_AT_type(*$C$DW$T$113)
	.dwattr $C$DW$T$115, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$115, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$115, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$115, DW_AT_decl_column(0x17)
$C$DW$T$116	.dwtag  DW_TAG_typedef, DW_AT_name("intmax_t")
	.dwattr $C$DW$T$116, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$116, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$116, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$116, DW_AT_decl_line(0x5c)
	.dwattr $C$DW$T$116, DW_AT_decl_column(0x20)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$117	.dwtag  DW_TAG_typedef, DW_AT_name("uint64_t")
	.dwattr $C$DW$T$117, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$117, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$117, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$117, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$117, DW_AT_decl_column(0x20)
$C$DW$T$118	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast64_t")
	.dwattr $C$DW$T$118, DW_AT_type(*$C$DW$T$117)
	.dwattr $C$DW$T$118, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$118, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$118, DW_AT_decl_line(0x55)
	.dwattr $C$DW$T$118, DW_AT_decl_column(0x16)
$C$DW$T$119	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least64_t")
	.dwattr $C$DW$T$119, DW_AT_type(*$C$DW$T$117)
	.dwattr $C$DW$T$119, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$119, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$119, DW_AT_decl_line(0x45)
	.dwattr $C$DW$T$119, DW_AT_decl_column(0x16)
$C$DW$T$120	.dwtag  DW_TAG_typedef, DW_AT_name("uintmax_t")
	.dwattr $C$DW$T$120, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$120, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$120, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$120, DW_AT_decl_line(0x5d)
	.dwattr $C$DW$T$120, DW_AT_decl_column(0x20)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$121	.dwtag  DW_TAG_typedef, DW_AT_name("float32_t")
	.dwattr $C$DW$T$121, DW_AT_type(*$C$DW$T$16)
	.dwattr $C$DW$T$121, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$121, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$T$121, DW_AT_decl_line(0x30)
	.dwattr $C$DW$T$121, DW_AT_decl_column(0x0f)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$55	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$55, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$55, DW_AT_address_class(0x20)
$C$DW$T$56	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$56, DW_AT_type(*$C$DW$T$55)

$C$DW$T$124	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$124, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$124, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$124, DW_AT_byte_size(-16646144)
$C$DW$97	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$97, DW_AT_upper_bound(0x3e03fff)
	.dwendtag $C$DW$T$124


$C$DW$T$125	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$125, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$125, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$125, DW_AT_byte_size(0xfc00)
$C$DW$98	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$98, DW_AT_upper_bound(0x1f7f)
	.dwendtag $C$DW$T$125


$C$DW$T$126	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$126, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$126, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$126, DW_AT_byte_size(0x10000)
$C$DW$99	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$99, DW_AT_upper_bound(0x1fff)
	.dwendtag $C$DW$T$126


$C$DW$T$127	.dwtag  DW_TAG_array_type
	.dwattr $C$DW$T$127, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$127, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$127, DW_AT_byte_size(0x20000)
$C$DW$100	.dwtag  DW_TAG_subrange_type
	.dwattr $C$DW$100, DW_AT_upper_bound(0x3fff)
	.dwendtag $C$DW$T$127

$C$DW$T$128	.dwtag  DW_TAG_typedef, DW_AT_name("__float2_t")
	.dwattr $C$DW$T$128, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$128, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$128, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/c6x.h")
	.dwattr $C$DW$T$128, DW_AT_decl_line(0x5f)
	.dwattr $C$DW$T$128, DW_AT_decl_column(0x14)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
$C$DW$T$76	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$76, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$76, DW_AT_name("signed char")
	.dwattr $C$DW$T$76, DW_AT_byte_size(0x01)
$C$DW$T$77	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$77, DW_AT_type(*$C$DW$T$76)
$C$DW$T$78	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$78, DW_AT_type(*$C$DW$T$77)
	.dwattr $C$DW$T$78, DW_AT_address_class(0x20)
$C$DW$T$81	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$81, DW_AT_type(*$C$DW$T$76)
	.dwattr $C$DW$T$81, DW_AT_address_class(0x20)
$C$DW$T$82	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$82, DW_AT_type(*$C$DW$T$81)
	.dwattr $C$DW$T$82, DW_AT_address_class(0x20)
$C$DW$T$129	.dwtag  DW_TAG_typedef, DW_AT_name("va_list")
	.dwattr $C$DW$T$129, DW_AT_type(*$C$DW$T$81)
	.dwattr $C$DW$T$129, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$129, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdarg.h")
	.dwattr $C$DW$T$129, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$T$129, DW_AT_decl_column(0x12)

$C$DW$T$26	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$26, DW_AT_name("__simd128_int32_t")
	.dwattr $C$DW$T$26, DW_AT_byte_size(0x10)
$C$DW$101	.dwtag  DW_TAG_member
	.dwattr $C$DW$101, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$101, DW_AT_name("_v")
	.dwattr $C$DW$101, DW_AT_TI_symbol_name("_v")
	.dwattr $C$DW$101, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$101, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$101, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$101, DW_AT_decl_line(0x44)
	.dwattr $C$DW$101, DW_AT_decl_column(0x01)
	.dwendtag $C$DW$T$26

	.dwattr $C$DW$T$26, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$T$26, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$26, DW_AT_decl_column(0x01)
$C$DW$T$130	.dwtag  DW_TAG_typedef, DW_AT_name("int32x4_t")
	.dwattr $C$DW$T$130, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$T$130, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$130, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$T$130, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$130, DW_AT_decl_column(0x01)
$C$DW$T$131	.dwtag  DW_TAG_typedef, DW_AT_name("__x128_t")
	.dwattr $C$DW$T$131, DW_AT_type(*$C$DW$T$130)
	.dwattr $C$DW$T$131, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$131, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/vect.h")
	.dwattr $C$DW$T$131, DW_AT_decl_line(0x46)
	.dwattr $C$DW$T$131, DW_AT_decl_column(0x13)

$C$DW$T$42	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$42, DW_AT_name("corepack_cache_regs")
	.dwattr $C$DW$T$42, DW_AT_byte_size(0x10000)
$C$DW$102	.dwtag  DW_TAG_member
	.dwattr $C$DW$102, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$102, DW_AT_name("l2cfg")
	.dwattr $C$DW$102, DW_AT_TI_symbol_name("l2cfg")
	.dwattr $C$DW$102, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$102, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$102, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$102, DW_AT_decl_line(0x20)
	.dwattr $C$DW$102, DW_AT_decl_column(0x0c)
$C$DW$103	.dwtag  DW_TAG_member
	.dwattr $C$DW$103, DW_AT_type(*$C$DW$T$34)
	.dwattr $C$DW$103, DW_AT_name("res1")
	.dwattr $C$DW$103, DW_AT_TI_symbol_name("res1")
	.dwattr $C$DW$103, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$103, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$103, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$103, DW_AT_decl_line(0x21)
	.dwattr $C$DW$103, DW_AT_decl_column(0x0c)
$C$DW$104	.dwtag  DW_TAG_member
	.dwattr $C$DW$104, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$104, DW_AT_name("l1pcfg")
	.dwattr $C$DW$104, DW_AT_TI_symbol_name("l1pcfg")
	.dwattr $C$DW$104, DW_AT_data_member_location[DW_OP_plus_uconst 0x20]
	.dwattr $C$DW$104, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$104, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$104, DW_AT_decl_line(0x22)
	.dwattr $C$DW$104, DW_AT_decl_column(0x0c)
$C$DW$105	.dwtag  DW_TAG_member
	.dwattr $C$DW$105, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$105, DW_AT_name("l1pcc")
	.dwattr $C$DW$105, DW_AT_TI_symbol_name("l1pcc")
	.dwattr $C$DW$105, DW_AT_data_member_location[DW_OP_plus_uconst 0x24]
	.dwattr $C$DW$105, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$105, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$105, DW_AT_decl_line(0x23)
	.dwattr $C$DW$105, DW_AT_decl_column(0x0c)
$C$DW$106	.dwtag  DW_TAG_member
	.dwattr $C$DW$106, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$106, DW_AT_name("res2")
	.dwattr $C$DW$106, DW_AT_TI_symbol_name("res2")
	.dwattr $C$DW$106, DW_AT_data_member_location[DW_OP_plus_uconst 0x28]
	.dwattr $C$DW$106, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$106, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$106, DW_AT_decl_line(0x24)
	.dwattr $C$DW$106, DW_AT_decl_column(0x0c)
$C$DW$107	.dwtag  DW_TAG_member
	.dwattr $C$DW$107, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$107, DW_AT_name("l1dcfg")
	.dwattr $C$DW$107, DW_AT_TI_symbol_name("l1dcfg")
	.dwattr $C$DW$107, DW_AT_data_member_location[DW_OP_plus_uconst 0x40]
	.dwattr $C$DW$107, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$107, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$107, DW_AT_decl_line(0x25)
	.dwattr $C$DW$107, DW_AT_decl_column(0x0c)
$C$DW$108	.dwtag  DW_TAG_member
	.dwattr $C$DW$108, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$108, DW_AT_name("l1dcc")
	.dwattr $C$DW$108, DW_AT_TI_symbol_name("l1dcc")
	.dwattr $C$DW$108, DW_AT_data_member_location[DW_OP_plus_uconst 0x44]
	.dwattr $C$DW$108, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$108, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$108, DW_AT_decl_line(0x26)
	.dwattr $C$DW$108, DW_AT_decl_column(0x0c)
$C$DW$109	.dwtag  DW_TAG_member
	.dwattr $C$DW$109, DW_AT_type(*$C$DW$T$36)
	.dwattr $C$DW$109, DW_AT_name("res3")
	.dwattr $C$DW$109, DW_AT_TI_symbol_name("res3")
	.dwattr $C$DW$109, DW_AT_data_member_location[DW_OP_plus_uconst 0x48]
	.dwattr $C$DW$109, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$109, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$109, DW_AT_decl_line(0x27)
	.dwattr $C$DW$109, DW_AT_decl_column(0x0c)
$C$DW$110	.dwtag  DW_TAG_member
	.dwattr $C$DW$110, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$110, DW_AT_name("l2wbar")
	.dwattr $C$DW$110, DW_AT_TI_symbol_name("l2wbar")
	.dwattr $C$DW$110, DW_AT_data_member_location[DW_OP_plus_uconst 0x4000]
	.dwattr $C$DW$110, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$110, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$110, DW_AT_decl_line(0x28)
	.dwattr $C$DW$110, DW_AT_decl_column(0x0c)
$C$DW$111	.dwtag  DW_TAG_member
	.dwattr $C$DW$111, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$111, DW_AT_name("l2wwc")
	.dwattr $C$DW$111, DW_AT_TI_symbol_name("l2wwc")
	.dwattr $C$DW$111, DW_AT_data_member_location[DW_OP_plus_uconst 0x4004]
	.dwattr $C$DW$111, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$111, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$111, DW_AT_decl_line(0x29)
	.dwattr $C$DW$111, DW_AT_decl_column(0x0c)
$C$DW$112	.dwtag  DW_TAG_member
	.dwattr $C$DW$112, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$112, DW_AT_name("res4")
	.dwattr $C$DW$112, DW_AT_TI_symbol_name("res4")
	.dwattr $C$DW$112, DW_AT_data_member_location[DW_OP_plus_uconst 0x4008]
	.dwattr $C$DW$112, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$112, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$112, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$112, DW_AT_decl_column(0x0c)
$C$DW$113	.dwtag  DW_TAG_member
	.dwattr $C$DW$113, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$113, DW_AT_name("l2wibar")
	.dwattr $C$DW$113, DW_AT_TI_symbol_name("l2wibar")
	.dwattr $C$DW$113, DW_AT_data_member_location[DW_OP_plus_uconst 0x4010]
	.dwattr $C$DW$113, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$113, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$113, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$113, DW_AT_decl_column(0x0c)
$C$DW$114	.dwtag  DW_TAG_member
	.dwattr $C$DW$114, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$114, DW_AT_name("l2wiwc")
	.dwattr $C$DW$114, DW_AT_TI_symbol_name("l2wiwc")
	.dwattr $C$DW$114, DW_AT_data_member_location[DW_OP_plus_uconst 0x4014]
	.dwattr $C$DW$114, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$114, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$114, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$114, DW_AT_decl_column(0x0c)
$C$DW$115	.dwtag  DW_TAG_member
	.dwattr $C$DW$115, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$115, DW_AT_name("l2ibar")
	.dwattr $C$DW$115, DW_AT_TI_symbol_name("l2ibar")
	.dwattr $C$DW$115, DW_AT_data_member_location[DW_OP_plus_uconst 0x4018]
	.dwattr $C$DW$115, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$115, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$115, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$115, DW_AT_decl_column(0x0c)
$C$DW$116	.dwtag  DW_TAG_member
	.dwattr $C$DW$116, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$116, DW_AT_name("l2iwc")
	.dwattr $C$DW$116, DW_AT_TI_symbol_name("l2iwc")
	.dwattr $C$DW$116, DW_AT_data_member_location[DW_OP_plus_uconst 0x401c]
	.dwattr $C$DW$116, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$116, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$116, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$116, DW_AT_decl_column(0x0c)
$C$DW$117	.dwtag  DW_TAG_member
	.dwattr $C$DW$117, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$117, DW_AT_name("l1pibar")
	.dwattr $C$DW$117, DW_AT_TI_symbol_name("l1pibar")
	.dwattr $C$DW$117, DW_AT_data_member_location[DW_OP_plus_uconst 0x4020]
	.dwattr $C$DW$117, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$117, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$117, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$117, DW_AT_decl_column(0x0c)
$C$DW$118	.dwtag  DW_TAG_member
	.dwattr $C$DW$118, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$118, DW_AT_name("l1piwc")
	.dwattr $C$DW$118, DW_AT_TI_symbol_name("l1piwc")
	.dwattr $C$DW$118, DW_AT_data_member_location[DW_OP_plus_uconst 0x4024]
	.dwattr $C$DW$118, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$118, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$118, DW_AT_decl_line(0x30)
	.dwattr $C$DW$118, DW_AT_decl_column(0x0c)
$C$DW$119	.dwtag  DW_TAG_member
	.dwattr $C$DW$119, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$119, DW_AT_name("res5")
	.dwattr $C$DW$119, DW_AT_TI_symbol_name("res5")
	.dwattr $C$DW$119, DW_AT_data_member_location[DW_OP_plus_uconst 0x4028]
	.dwattr $C$DW$119, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$119, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$119, DW_AT_decl_line(0x31)
	.dwattr $C$DW$119, DW_AT_decl_column(0x0c)
$C$DW$120	.dwtag  DW_TAG_member
	.dwattr $C$DW$120, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$120, DW_AT_name("l1dwibar")
	.dwattr $C$DW$120, DW_AT_TI_symbol_name("l1dwibar")
	.dwattr $C$DW$120, DW_AT_data_member_location[DW_OP_plus_uconst 0x4030]
	.dwattr $C$DW$120, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$120, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$120, DW_AT_decl_line(0x32)
	.dwattr $C$DW$120, DW_AT_decl_column(0x0c)
$C$DW$121	.dwtag  DW_TAG_member
	.dwattr $C$DW$121, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$121, DW_AT_name("l1dwiwc")
	.dwattr $C$DW$121, DW_AT_TI_symbol_name("l1dwiwc")
	.dwattr $C$DW$121, DW_AT_data_member_location[DW_OP_plus_uconst 0x4034]
	.dwattr $C$DW$121, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$121, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$121, DW_AT_decl_line(0x33)
	.dwattr $C$DW$121, DW_AT_decl_column(0x0c)
$C$DW$122	.dwtag  DW_TAG_member
	.dwattr $C$DW$122, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$122, DW_AT_name("res6")
	.dwattr $C$DW$122, DW_AT_TI_symbol_name("res6")
	.dwattr $C$DW$122, DW_AT_data_member_location[DW_OP_plus_uconst 0x4038]
	.dwattr $C$DW$122, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$122, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$122, DW_AT_decl_line(0x34)
	.dwattr $C$DW$122, DW_AT_decl_column(0x0c)
$C$DW$123	.dwtag  DW_TAG_member
	.dwattr $C$DW$123, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$123, DW_AT_name("l1dwbar")
	.dwattr $C$DW$123, DW_AT_TI_symbol_name("l1dwbar")
	.dwattr $C$DW$123, DW_AT_data_member_location[DW_OP_plus_uconst 0x4040]
	.dwattr $C$DW$123, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$123, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$123, DW_AT_decl_line(0x35)
	.dwattr $C$DW$123, DW_AT_decl_column(0x0c)
$C$DW$124	.dwtag  DW_TAG_member
	.dwattr $C$DW$124, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$124, DW_AT_name("l1dwwc")
	.dwattr $C$DW$124, DW_AT_TI_symbol_name("l1dwwc")
	.dwattr $C$DW$124, DW_AT_data_member_location[DW_OP_plus_uconst 0x4044]
	.dwattr $C$DW$124, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$124, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$124, DW_AT_decl_line(0x36)
	.dwattr $C$DW$124, DW_AT_decl_column(0x0c)
$C$DW$125	.dwtag  DW_TAG_member
	.dwattr $C$DW$125, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$125, DW_AT_name("l1dibar")
	.dwattr $C$DW$125, DW_AT_TI_symbol_name("l1dibar")
	.dwattr $C$DW$125, DW_AT_data_member_location[DW_OP_plus_uconst 0x4048]
	.dwattr $C$DW$125, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$125, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$125, DW_AT_decl_line(0x37)
	.dwattr $C$DW$125, DW_AT_decl_column(0x0c)
$C$DW$126	.dwtag  DW_TAG_member
	.dwattr $C$DW$126, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$126, DW_AT_name("l1diwc")
	.dwattr $C$DW$126, DW_AT_TI_symbol_name("l1diwc")
	.dwattr $C$DW$126, DW_AT_data_member_location[DW_OP_plus_uconst 0x404c]
	.dwattr $C$DW$126, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$126, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$126, DW_AT_decl_line(0x38)
	.dwattr $C$DW$126, DW_AT_decl_column(0x0c)
$C$DW$127	.dwtag  DW_TAG_member
	.dwattr $C$DW$127, DW_AT_type(*$C$DW$T$37)
	.dwattr $C$DW$127, DW_AT_name("res7")
	.dwattr $C$DW$127, DW_AT_TI_symbol_name("res7")
	.dwattr $C$DW$127, DW_AT_data_member_location[DW_OP_plus_uconst 0x4050]
	.dwattr $C$DW$127, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$127, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$127, DW_AT_decl_line(0x39)
	.dwattr $C$DW$127, DW_AT_decl_column(0x0c)
$C$DW$128	.dwtag  DW_TAG_member
	.dwattr $C$DW$128, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$128, DW_AT_name("l2wb")
	.dwattr $C$DW$128, DW_AT_TI_symbol_name("l2wb")
	.dwattr $C$DW$128, DW_AT_data_member_location[DW_OP_plus_uconst 0x5000]
	.dwattr $C$DW$128, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$128, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$128, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$128, DW_AT_decl_column(0x0c)
$C$DW$129	.dwtag  DW_TAG_member
	.dwattr $C$DW$129, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$129, DW_AT_name("l2wbinv")
	.dwattr $C$DW$129, DW_AT_TI_symbol_name("l2wbinv")
	.dwattr $C$DW$129, DW_AT_data_member_location[DW_OP_plus_uconst 0x5004]
	.dwattr $C$DW$129, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$129, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$129, DW_AT_decl_line(0x3b)
	.dwattr $C$DW$129, DW_AT_decl_column(0x0c)
$C$DW$130	.dwtag  DW_TAG_member
	.dwattr $C$DW$130, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$130, DW_AT_name("l2inv")
	.dwattr $C$DW$130, DW_AT_TI_symbol_name("l2inv")
	.dwattr $C$DW$130, DW_AT_data_member_location[DW_OP_plus_uconst 0x5008]
	.dwattr $C$DW$130, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$130, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$130, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$130, DW_AT_decl_column(0x0c)
$C$DW$131	.dwtag  DW_TAG_member
	.dwattr $C$DW$131, DW_AT_type(*$C$DW$T$34)
	.dwattr $C$DW$131, DW_AT_name("res8")
	.dwattr $C$DW$131, DW_AT_TI_symbol_name("res8")
	.dwattr $C$DW$131, DW_AT_data_member_location[DW_OP_plus_uconst 0x500c]
	.dwattr $C$DW$131, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$131, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$131, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$131, DW_AT_decl_column(0x0c)
$C$DW$132	.dwtag  DW_TAG_member
	.dwattr $C$DW$132, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$132, DW_AT_name("l1pinv")
	.dwattr $C$DW$132, DW_AT_TI_symbol_name("l1pinv")
	.dwattr $C$DW$132, DW_AT_data_member_location[DW_OP_plus_uconst 0x5028]
	.dwattr $C$DW$132, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$132, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$132, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$132, DW_AT_decl_column(0x0c)
$C$DW$133	.dwtag  DW_TAG_member
	.dwattr $C$DW$133, DW_AT_type(*$C$DW$T$38)
	.dwattr $C$DW$133, DW_AT_name("res9")
	.dwattr $C$DW$133, DW_AT_TI_symbol_name("res9")
	.dwattr $C$DW$133, DW_AT_data_member_location[DW_OP_plus_uconst 0x502c]
	.dwattr $C$DW$133, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$133, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$133, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$133, DW_AT_decl_column(0x0c)
$C$DW$134	.dwtag  DW_TAG_member
	.dwattr $C$DW$134, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$134, DW_AT_name("l1dwb")
	.dwattr $C$DW$134, DW_AT_TI_symbol_name("l1dwb")
	.dwattr $C$DW$134, DW_AT_data_member_location[DW_OP_plus_uconst 0x5040]
	.dwattr $C$DW$134, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$134, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$134, DW_AT_decl_line(0x40)
	.dwattr $C$DW$134, DW_AT_decl_column(0x0c)
$C$DW$135	.dwtag  DW_TAG_member
	.dwattr $C$DW$135, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$135, DW_AT_name("l1dwbinv")
	.dwattr $C$DW$135, DW_AT_TI_symbol_name("l1dwbinv")
	.dwattr $C$DW$135, DW_AT_data_member_location[DW_OP_plus_uconst 0x5044]
	.dwattr $C$DW$135, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$135, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$135, DW_AT_decl_line(0x41)
	.dwattr $C$DW$135, DW_AT_decl_column(0x0c)
$C$DW$136	.dwtag  DW_TAG_member
	.dwattr $C$DW$136, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$136, DW_AT_name("l1dinv")
	.dwattr $C$DW$136, DW_AT_TI_symbol_name("l1dinv")
	.dwattr $C$DW$136, DW_AT_data_member_location[DW_OP_plus_uconst 0x5048]
	.dwattr $C$DW$136, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$136, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$136, DW_AT_decl_line(0x42)
	.dwattr $C$DW$136, DW_AT_decl_column(0x0c)
$C$DW$137	.dwtag  DW_TAG_member
	.dwattr $C$DW$137, DW_AT_type(*$C$DW$T$39)
	.dwattr $C$DW$137, DW_AT_name("res10")
	.dwattr $C$DW$137, DW_AT_TI_symbol_name("res10")
	.dwattr $C$DW$137, DW_AT_data_member_location[DW_OP_plus_uconst 0x504c]
	.dwattr $C$DW$137, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$137, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$137, DW_AT_decl_line(0x43)
	.dwattr $C$DW$137, DW_AT_decl_column(0x0c)
$C$DW$138	.dwtag  DW_TAG_member
	.dwattr $C$DW$138, DW_AT_type(*$C$DW$T$40)
	.dwattr $C$DW$138, DW_AT_name("mar")
	.dwattr $C$DW$138, DW_AT_TI_symbol_name("mar")
	.dwattr $C$DW$138, DW_AT_data_member_location[DW_OP_plus_uconst 0x8000]
	.dwattr $C$DW$138, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$138, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$138, DW_AT_decl_line(0x44)
	.dwattr $C$DW$138, DW_AT_decl_column(0x0c)
$C$DW$139	.dwtag  DW_TAG_member
	.dwattr $C$DW$139, DW_AT_type(*$C$DW$T$41)
	.dwattr $C$DW$139, DW_AT_name("res11")
	.dwattr $C$DW$139, DW_AT_TI_symbol_name("res11")
	.dwattr $C$DW$139, DW_AT_data_member_location[DW_OP_plus_uconst 0x8400]
	.dwattr $C$DW$139, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$139, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$139, DW_AT_decl_line(0x45)
	.dwattr $C$DW$139, DW_AT_decl_column(0x0c)
	.dwendtag $C$DW$T$42

	.dwattr $C$DW$T$42, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$T$42, DW_AT_decl_line(0x1f)
	.dwattr $C$DW$T$42, DW_AT_decl_column(0x08)

$C$DW$T$45	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$45, DW_AT_name("corepack_idma_regs")
	.dwattr $C$DW$T$45, DW_AT_byte_size(0x10000)
$C$DW$140	.dwtag  DW_TAG_member
	.dwattr $C$DW$140, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$140, DW_AT_name("idma0_stat")
	.dwattr $C$DW$140, DW_AT_TI_symbol_name("idma0_stat")
	.dwattr $C$DW$140, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$140, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$140, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$140, DW_AT_decl_line(0x0e)
	.dwattr $C$DW$140, DW_AT_decl_column(0x0c)
$C$DW$141	.dwtag  DW_TAG_member
	.dwattr $C$DW$141, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$141, DW_AT_name("idma0_mask")
	.dwattr $C$DW$141, DW_AT_TI_symbol_name("idma0_mask")
	.dwattr $C$DW$141, DW_AT_data_member_location[DW_OP_plus_uconst 0x4]
	.dwattr $C$DW$141, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$141, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$141, DW_AT_decl_line(0x0f)
	.dwattr $C$DW$141, DW_AT_decl_column(0x0c)
$C$DW$142	.dwtag  DW_TAG_member
	.dwattr $C$DW$142, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$142, DW_AT_name("idma0_source")
	.dwattr $C$DW$142, DW_AT_TI_symbol_name("idma0_source")
	.dwattr $C$DW$142, DW_AT_data_member_location[DW_OP_plus_uconst 0x8]
	.dwattr $C$DW$142, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$142, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$142, DW_AT_decl_line(0x10)
	.dwattr $C$DW$142, DW_AT_decl_column(0x0c)
$C$DW$143	.dwtag  DW_TAG_member
	.dwattr $C$DW$143, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$143, DW_AT_name("idma0_dest")
	.dwattr $C$DW$143, DW_AT_TI_symbol_name("idma0_dest")
	.dwattr $C$DW$143, DW_AT_data_member_location[DW_OP_plus_uconst 0xc]
	.dwattr $C$DW$143, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$143, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$143, DW_AT_decl_line(0x11)
	.dwattr $C$DW$143, DW_AT_decl_column(0x0c)
$C$DW$144	.dwtag  DW_TAG_member
	.dwattr $C$DW$144, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$144, DW_AT_name("idma0_count")
	.dwattr $C$DW$144, DW_AT_TI_symbol_name("idma0_count")
	.dwattr $C$DW$144, DW_AT_data_member_location[DW_OP_plus_uconst 0x10]
	.dwattr $C$DW$144, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$144, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$144, DW_AT_decl_line(0x12)
	.dwattr $C$DW$144, DW_AT_decl_column(0x0c)
$C$DW$145	.dwtag  DW_TAG_member
	.dwattr $C$DW$145, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$145, DW_AT_name("res1")
	.dwattr $C$DW$145, DW_AT_TI_symbol_name("res1")
	.dwattr $C$DW$145, DW_AT_data_member_location[DW_OP_plus_uconst 0x14]
	.dwattr $C$DW$145, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$145, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$145, DW_AT_decl_line(0x13)
	.dwattr $C$DW$145, DW_AT_decl_column(0x0c)
$C$DW$146	.dwtag  DW_TAG_member
	.dwattr $C$DW$146, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$146, DW_AT_name("idma1_stat")
	.dwattr $C$DW$146, DW_AT_TI_symbol_name("idma1_stat")
	.dwattr $C$DW$146, DW_AT_data_member_location[DW_OP_plus_uconst 0x100]
	.dwattr $C$DW$146, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$146, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$146, DW_AT_decl_line(0x14)
	.dwattr $C$DW$146, DW_AT_decl_column(0x0c)
$C$DW$147	.dwtag  DW_TAG_member
	.dwattr $C$DW$147, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$147, DW_AT_name("res2")
	.dwattr $C$DW$147, DW_AT_TI_symbol_name("res2")
	.dwattr $C$DW$147, DW_AT_data_member_location[DW_OP_plus_uconst 0x104]
	.dwattr $C$DW$147, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$147, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$147, DW_AT_decl_line(0x15)
	.dwattr $C$DW$147, DW_AT_decl_column(0x0c)
$C$DW$148	.dwtag  DW_TAG_member
	.dwattr $C$DW$148, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$148, DW_AT_name("idma1_source")
	.dwattr $C$DW$148, DW_AT_TI_symbol_name("idma1_source")
	.dwattr $C$DW$148, DW_AT_data_member_location[DW_OP_plus_uconst 0x108]
	.dwattr $C$DW$148, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$148, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$148, DW_AT_decl_line(0x16)
	.dwattr $C$DW$148, DW_AT_decl_column(0x0c)
$C$DW$149	.dwtag  DW_TAG_member
	.dwattr $C$DW$149, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$149, DW_AT_name("idma1_dest")
	.dwattr $C$DW$149, DW_AT_TI_symbol_name("idma1_dest")
	.dwattr $C$DW$149, DW_AT_data_member_location[DW_OP_plus_uconst 0x10c]
	.dwattr $C$DW$149, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$149, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$149, DW_AT_decl_line(0x17)
	.dwattr $C$DW$149, DW_AT_decl_column(0x0c)
$C$DW$150	.dwtag  DW_TAG_member
	.dwattr $C$DW$150, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$150, DW_AT_name("idma1_count")
	.dwattr $C$DW$150, DW_AT_TI_symbol_name("idma1_count")
	.dwattr $C$DW$150, DW_AT_data_member_location[DW_OP_plus_uconst 0x110]
	.dwattr $C$DW$150, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$150, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$150, DW_AT_decl_line(0x18)
	.dwattr $C$DW$150, DW_AT_decl_column(0x0c)
$C$DW$151	.dwtag  DW_TAG_member
	.dwattr $C$DW$151, DW_AT_type(*$C$DW$T$44)
	.dwattr $C$DW$151, DW_AT_name("res3")
	.dwattr $C$DW$151, DW_AT_TI_symbol_name("res3")
	.dwattr $C$DW$151, DW_AT_data_member_location[DW_OP_plus_uconst 0x114]
	.dwattr $C$DW$151, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$151, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$151, DW_AT_decl_line(0x19)
	.dwattr $C$DW$151, DW_AT_decl_column(0x0c)
	.dwendtag $C$DW$T$45

	.dwattr $C$DW$T$45, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$T$45, DW_AT_decl_line(0x0d)
	.dwattr $C$DW$T$45, DW_AT_decl_column(0x08)

$C$DW$T$48	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$48, DW_AT_name("corepack_regs")
	.dwattr $C$DW$T$48, DW_AT_byte_size(0x50000)
$C$DW$152	.dwtag  DW_TAG_member
	.dwattr $C$DW$152, DW_AT_type(*$C$DW$T$46)
	.dwattr $C$DW$152, DW_AT_name("res1")
	.dwattr $C$DW$152, DW_AT_TI_symbol_name("res1")
	.dwattr $C$DW$152, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$152, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$152, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$152, DW_AT_decl_line(0x49)
	.dwattr $C$DW$152, DW_AT_decl_column(0x0c)
$C$DW$153	.dwtag  DW_TAG_member
	.dwattr $C$DW$153, DW_AT_type(*$C$DW$T$45)
	.dwattr $C$DW$153, DW_AT_name("idma_regs")
	.dwattr $C$DW$153, DW_AT_TI_symbol_name("idma_regs")
	.dwattr $C$DW$153, DW_AT_data_member_location[DW_OP_plus_uconst 0x20000]
	.dwattr $C$DW$153, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$153, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$153, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$153, DW_AT_decl_column(0x1d)
$C$DW$154	.dwtag  DW_TAG_member
	.dwattr $C$DW$154, DW_AT_type(*$C$DW$T$47)
	.dwattr $C$DW$154, DW_AT_name("res2")
	.dwattr $C$DW$154, DW_AT_TI_symbol_name("res2")
	.dwattr $C$DW$154, DW_AT_data_member_location[DW_OP_plus_uconst 0x30000]
	.dwattr $C$DW$154, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$154, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$154, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$154, DW_AT_decl_column(0x0c)
$C$DW$155	.dwtag  DW_TAG_member
	.dwattr $C$DW$155, DW_AT_type(*$C$DW$T$42)
	.dwattr $C$DW$155, DW_AT_name("cache_regs")
	.dwattr $C$DW$155, DW_AT_TI_symbol_name("cache_regs")
	.dwattr $C$DW$155, DW_AT_data_member_location[DW_OP_plus_uconst 0x40000]
	.dwattr $C$DW$155, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$155, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$155, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$155, DW_AT_decl_column(0x1e)
	.dwendtag $C$DW$T$48

	.dwattr $C$DW$T$48, DW_AT_decl_file("../rt/include/corepack_regs.h")
	.dwattr $C$DW$T$48, DW_AT_decl_line(0x48)
	.dwattr $C$DW$T$48, DW_AT_decl_column(0x08)
$C$DW$T$134	.dwtag  DW_TAG_volatile_type
	.dwattr $C$DW$T$134, DW_AT_type(*$C$DW$T$48)
$C$DW$T$135	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$135, DW_AT_type(*$C$DW$T$134)
	.dwattr $C$DW$T$135, DW_AT_address_class(0x20)
$C$DW$T$136	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$136, DW_AT_type(*$C$DW$T$135)

$C$DW$T$33	.dwtag  DW_TAG_structure_type
	.dwattr $C$DW$T$33, DW_AT_name("xmc_registers")
	.dwattr $C$DW$T$33, DW_AT_byte_size(0x420)
$C$DW$156	.dwtag  DW_TAG_member
	.dwattr $C$DW$156, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$156, DW_AT_name("res1")
	.dwattr $C$DW$156, DW_AT_TI_symbol_name("res1")
	.dwattr $C$DW$156, DW_AT_data_member_location[DW_OP_plus_uconst 0x0]
	.dwattr $C$DW$156, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$156, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$156, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$156, DW_AT_decl_column(0x0c)
$C$DW$157	.dwtag  DW_TAG_member
	.dwattr $C$DW$157, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$157, DW_AT_name("xpfcmd")
	.dwattr $C$DW$157, DW_AT_TI_symbol_name("xpfcmd")
	.dwattr $C$DW$157, DW_AT_data_member_location[DW_OP_plus_uconst 0x300]
	.dwattr $C$DW$157, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$157, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$157, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$157, DW_AT_decl_column(0x0c)
$C$DW$158	.dwtag  DW_TAG_member
	.dwattr $C$DW$158, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$158, DW_AT_name("xpfacs")
	.dwattr $C$DW$158, DW_AT_TI_symbol_name("xpfacs")
	.dwattr $C$DW$158, DW_AT_data_member_location[DW_OP_plus_uconst 0x304]
	.dwattr $C$DW$158, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$158, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$158, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$158, DW_AT_decl_column(0x0c)
$C$DW$159	.dwtag  DW_TAG_member
	.dwattr $C$DW$159, DW_AT_type(*$C$DW$T$29)
	.dwattr $C$DW$159, DW_AT_name("res2")
	.dwattr $C$DW$159, DW_AT_TI_symbol_name("res2")
	.dwattr $C$DW$159, DW_AT_data_member_location[DW_OP_plus_uconst 0x308]
	.dwattr $C$DW$159, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$159, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$159, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$159, DW_AT_decl_column(0x0c)
$C$DW$160	.dwtag  DW_TAG_member
	.dwattr $C$DW$160, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$160, DW_AT_name("xpfac")
	.dwattr $C$DW$160, DW_AT_TI_symbol_name("xpfac")
	.dwattr $C$DW$160, DW_AT_data_member_location[DW_OP_plus_uconst 0x310]
	.dwattr $C$DW$160, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$160, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$160, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$160, DW_AT_decl_column(0x0c)
$C$DW$161	.dwtag  DW_TAG_member
	.dwattr $C$DW$161, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$161, DW_AT_name("res3")
	.dwattr $C$DW$161, DW_AT_TI_symbol_name("res3")
	.dwattr $C$DW$161, DW_AT_data_member_location[DW_OP_plus_uconst 0x320]
	.dwattr $C$DW$161, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$161, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$161, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$161, DW_AT_decl_column(0x0c)
$C$DW$162	.dwtag  DW_TAG_member
	.dwattr $C$DW$162, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$162, DW_AT_name("xpfaddr")
	.dwattr $C$DW$162, DW_AT_TI_symbol_name("xpfaddr")
	.dwattr $C$DW$162, DW_AT_data_member_location[DW_OP_plus_uconst 0x400]
	.dwattr $C$DW$162, DW_AT_accessibility(DW_ACCESS_public)
	.dwattr $C$DW$162, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$162, DW_AT_decl_line(0x30)
	.dwattr $C$DW$162, DW_AT_decl_column(0x0c)
	.dwendtag $C$DW$T$33

	.dwattr $C$DW$T$33, DW_AT_decl_file("../rt/include/xmc_regs.h")
	.dwattr $C$DW$T$33, DW_AT_decl_line(0x29)
	.dwattr $C$DW$T$33, DW_AT_decl_column(0x08)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)
	.dwendtag $C$DW$CU

