;******************************************************************************
;* TMS320C6x C/C++ Codegen                                  Unix v7.4.0A12012 *
;* Date/Time created: Mon Aug  6 14:11:59 2012                                *
;******************************************************************************
	.compiler_opts --abi=eabi --c64p_l1d_workaround=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6600 --symdebug:dwarf_version=3 --symdebug:skeletal 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C66xx                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug for Program Analysis w/Optimization      *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("update_u_panel.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C6x C/C++ Codegen Unix v7.4.0A12012 Copyright (c) 1996-2012 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("/home/noname/dist-ti-0.0.3/src/dma-linpack")
;	/opt/ti/C6000CGT7.4.0A12012//bin/opt6x /tmp/22434qcuCZc /tmp/22434ElbDEi 
	.sect	".text"
	.clink
	.global	update_u_panel

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("update_u_panel")
	.dwattr $C$DW$1, DW_AT_low_pc(update_u_panel)
	.dwattr $C$DW$1, DW_AT_high_pc(0x00)
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("update_u_panel")
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_TI_begin_file("update_u_panel.c")
	.dwattr $C$DW$1, DW_AT_TI_begin_line(0x27)
	.dwattr $C$DW$1, DW_AT_TI_begin_column(0x01)
	.dwattr $C$DW$1, DW_AT_decl_file("update_u_panel.c")
	.dwattr $C$DW$1, DW_AT_decl_line(0x27)
	.dwattr $C$DW$1, DW_AT_decl_column(0x01)
	.dwattr $C$DW$1, DW_AT_TI_max_frame_size(0x00)
	.dwattr $C$DW$1, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$1, DW_AT_TI_skeletal
	.dwpsn	file "update_u_panel.c",line 42,column 1,is_stmt,address update_u_panel,isa 0
$C$DW$2	.dwtag  DW_TAG_formal_parameter, DW_AT_name("m")
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("m")
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$2, DW_AT_location[DW_OP_reg4]
$C$DW$3	.dwtag  DW_TAG_formal_parameter, DW_AT_name("panel_width")
	.dwattr $C$DW$3, DW_AT_TI_symbol_name("panel_width")
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$3, DW_AT_location[DW_OP_reg20]
$C$DW$4	.dwtag  DW_TAG_formal_parameter, DW_AT_name("cols")
	.dwattr $C$DW$4, DW_AT_TI_symbol_name("cols")
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$4, DW_AT_location[DW_OP_reg6]
;----------------------------------------------------------------------
;  39 | update_u_panel(double * restrict m,                                    
;  40 | size_t panel_width,                                                    
;  41 | size_t cols)                                                           
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: update_u_panel                                              *
;*                                                                            *
;*   Regs Modified     : A0,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B4,B5,B6,B7,B8,B9,  *
;*                           A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A31,B16, *
;*                           B17,B18,B19,B31                                  *
;*   Regs Used         : A0,A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,B7,B8,  *
;*                           B9,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,A31,  *
;*                           B16,B17,B18,B19,B31                              *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
update_u_panel:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  43 | double row_scale;                                                      
;  44 | double sum;                                                            
;  45 | size_t row;                                                            
;  46 | size_t col;                                                            
;  47 | size_t r;                                                              
;  50 | for(row=0; row<panel_width; ++row) {                                   
;----------------------------------------------------------------------

           MV      .L1X    B4,A0             ; |42| 
||         ZERO    .L2     B0                ; |50| 
||         MV      .S2     B4,B2             ; |42| 
||         MV      .D2X    A6,B19            ; |42| 
||         MV      .S1     A4,A3             ; |42| 

   [!A0]   B       .S1     $C$L8             ; |50| 
||         MV      .L1X    B4,A25            ; |42| 
|| [ A0]   SHRU    .S2     B0,4,B4           ; |51| 

   [ A0]   SHL     .S2     B4,11,B6          ; |51| 
|| [ A0]   MV      .L1X    B0,A5

   [ A0]   CMPLTU  .L2X    A25,B19,B1        ; |53| 
|| [ A0]   EXTU    .S2     B0,4,8,B5         ; |51| 
|| [ A0]   SHL     .S1X    B4,17,A4          ; |51| 

	.dwpsn	file "update_u_panel.c",line 51,column 5,is_stmt,isa 0
;----------------------------------------------------------------------
;  51 | row_scale = m[index_m(row, row)];                                      
;----------------------------------------------------------------------
   [ A0]   SHL     .S2     B5,8,B31          ; |51| 
   [ B1]   AND     .L2     -16,B0,B4
   [ A0]   SUB     .L1X    A4,B6,A18         ; |51| 
	.dwpsn	file "update_u_panel.c",line 50,column 14,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L8}         ; |50| 
;** --------------------------------------------------------------------------*

   [ B1]   SHL     .S2     B4,7,B5
||         MV      .L1     A25,A21           ; |51| 
||         EXTU    .S1     A5,28,24,A4       ; |51| 
||         ADD     .D1X    B31,A18,A6        ; |51| 

	.dwpsn	file "update_u_panel.c",line 50,column 0,is_stmt,isa 0
	.dwpsn	file "update_u_panel.c",line 53,column 26,is_stmt,isa 0
;----------------------------------------------------------------------
;  53 | for(col=panel_width; col<cols; ++col) {                                
;----------------------------------------------------------------------
   [!B1]   B       .S1     $C$L7             ; |53| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L1
;** --------------------------------------------------------------------------*
$C$L1:    
	.dwpsn	file "update_u_panel.c",line 50,column 7,is_stmt,isa 0
$C$DW$L$update_u_panel$3$B:
	.dwpsn	file "update_u_panel.c",line 51,column 5,is_stmt,isa 0
           SHL     .S1     A6,3,A6           ; |51| 

           ADDAD   .D1     A6,A4,A5          ; |51| 
||         EXTU    .S1     A5,28,25,A6       ; |51| 

           ADD     .L1     A6,A5,A5          ; |51| 
           ADD     .L1     A3,A5,A5          ; |51| 

           LDDW    .D1T1   *A5,A23:A22       ; |51| 
|| [ B1]   SHL     .S1X    B4,13,A5

	.dwpsn	file "update_u_panel.c",line 53,column 26,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L7}         ; |53| 
$C$DW$L$update_u_panel$3$E:
;** --------------------------------------------------------------------------*
$C$DW$L$update_u_panel$4$B:
	.dwpsn	file "update_u_panel.c",line 53,column 0,is_stmt,isa 0

           SUB     .L2X    B19,A21,B1        ; |54| 
||         SUB     .L1X    A5,B5,A24

$C$DW$L$update_u_panel$4$E:
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L2
;** --------------------------------------------------------------------------*
$C$L2:    
	.dwpsn	file "update_u_panel.c",line 54,column 7,is_stmt,isa 0
;----------------------------------------------------------------------
;  54 | sum = 0.0;                                                             
;----------------------------------------------------------------------
$C$DW$L$update_u_panel$5$B:

   [!B0]   BNOP    .S1     $C$L6,5           ; |55| 
||         ZERO    .L1     A7:A6             ; |54| 
|| [ B0]   SUB     .L2     B0,1,B7

	.dwpsn	file "update_u_panel.c",line 55,column 18,is_stmt,isa 0
;----------------------------------------------------------------------
;  55 | for(r = 0; r<row; ++r) {                                               
;----------------------------------------------------------------------
           ; BRANCHCC OCCURS {$C$L6}         ; |55| 
$C$DW$L$update_u_panel$5$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : update_u_panel.c
;*      Loop source line                 : 55
;*      Loop opening brace source line   : 55
;*      Loop closing brace source line   : 57
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 3
;*      Unpartitioned Resource Bound     : 5
;*      Partitioned Resource Bound(*)    : 5
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     5*       5*    
;*      .D units                     2        2     
;*      .M units                     1        0     
;*      .X cross paths               2        1     
;*      .T address paths             1        1     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          5        4     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             3        3     
;*      Bound(.L .S .D .LS .LSD)     5*       4     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 5  Schedule found with 5 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP PROLOG
	.dwpsn	file "update_u_panel.c",line 55,column 0,is_stmt,isa 0

           SPLOOPD 5       ;25               ; (P) 
||         ZERO    .L2     B7                ; |55| 
||         MVC     .S2     B7,ILC

;** --------------------------------------------------------------------------*
$C$L4:    ; PIPED LOOP KERNEL
	.dwpsn	file "update_u_panel.c",line 55,column 11,is_stmt,isa 0
$C$DW$L$update_u_panel$7$B:
	.dwpsn	file "update_u_panel.c",line 56,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
;  56 | sum += m[index_m(row, r)]*m[index_m(r, col)];                          
;----------------------------------------------------------------------
           SHRU    .S2     B7,4,B5           ; |56| (P) <0,0> 

           SPMASK          S1
||         EXTU    .S1     A21,4,8,A8

           EXTU    .S2     B7,4,8,B6         ; |56| (P) <0,2> 
||         SHL     .S1X    B5,4,A9           ; |56| (P) <0,2> 

           SPMASK          L2
||         MV      .L2X    A18,B18
||         EXTU    .S2     B7,28,25,B16      ; |56| (P) <0,3> 
||         SHL     .S1     A9,13,A18         ; |56| (P) <0,3> 

           ADD     .L2     1,B7,B7           ; |55| (P) <0,4> 
||         SHL     .S2     B6,8,B6           ; |56| (P) <0,4> 
||         SHL     .S1     A9,7,A9           ; |56| (P) <0,4> 

           SPMASK          L1,S1
||         ZERO    .L1     A8                ; |55| 
||         SHL     .S1     A8,8,A17
||         ADD     .L2     B6,B18,B4         ; |56| (P) <0,5> 

           SPMASK          L2
||         MV      .L2X    A4,B17
||         SHL     .S2     B4,3,B4           ; |56| (P) <0,6> 
||         SUB     .L1     A18,A9,A19        ; |56| (P) <0,6> 
||         EXTU    .S1     A8,28,24,A5       ; |56| (P) <0,6> 

           ADDAD   .D2     B4,B17,B4         ; |56| (P) <0,7> 
||         ADD     .L1     A19,A5,A19        ; |56| (P) <0,7> 

           ADD     .L2     B16,B4,B9         ; |56| (P) <0,8> 
           ADD     .L1     A17,A19,A19       ; |56| (P) <0,9> 

           ADD     .D1     1,A8,A8           ; |55| (P) <0,10> Define a twin register
||         SHL     .S1     A19,3,A4          ; |56| (P) <0,10> 

           SPMASK          D1
||         AND     .D1     15,A21,A16

           ADDAD   .D1     A4,A16,A20        ; |56| (P) <0,12> 

           ADD     .D2X    A3,B9,B8          ; |56| (P) <0,13> 
||         ADD     .D1     A3,A20,A20        ; |56| (P) <0,13> 

           LDDW    .D2T2   *B8,B5:B4         ; |56| (P) <0,14> 
||         LDDW    .D1T1   *A20,A5:A4        ; |56| (P) <0,14> 

           NOP             4
           FMPYDP  .M1X    A5:A4,B5:B4,A5:A4 ; |56| (P) <0,19> 
           NOP             2
           NOP             1
	.dwpsn	file "update_u_panel.c",line 57,column 0,is_stmt,isa 0

           SPKERNEL 0,0
||         FADDDP  .L1     A5:A4,A7:A6,A7:A6 ; |56| <0,23>  ^ 

$C$DW$L$update_u_panel$7$E:
;** --------------------------------------------------------------------------*
$C$L5:    ; PIPED LOOP EPILOG
           NOP             1
           MV      .D1X    B18,A18
           NOP             9
           NOP             7
           MV      .S1X    B17,A4
;** --------------------------------------------------------------------------*
$C$L6:    
	.dwpsn	file "update_u_panel.c",line 55,column 18,is_stmt,isa 0
$C$DW$L$update_u_panel$9$B:

           EXTU    .S1     A21,4,8,A5        ; |59| 
||         AND     .L1     15,A21,A16        ; |59| 

	.dwpsn	file "update_u_panel.c",line 59,column 7,is_stmt,isa 0
;----------------------------------------------------------------------
;  59 | m[index_m(row, col)] = row_scale*(m[index_m(row, col)] - sum);         
;----------------------------------------------------------------------
           SHL     .S1     A5,8,A17          ; |59| 
           ADD     .L1     A17,A18,A5        ; |59| 
           ADD     .L1     A4,A5,A5          ; |59| 
           SHL     .S1     A5,3,A5           ; |59| 
           ADDAD   .D1     A5,A16,A5         ; |59| 
           ADD     .L1     A3,A5,A5          ; |59| 
           LDDW    .D1T1   *A5,A9:A8         ; |59| 
	.dwpsn	file "update_u_panel.c",line 53,column 26,is_stmt,isa 0
           ADD     .L1     1,A21,A21         ; |53| 
           SUB     .L2     B1,1,B1           ; |53| 
	.dwpsn	file "update_u_panel.c",line 59,column 7,is_stmt,isa 0
           ADD     .L1     A17,A24,A31       ; |59| 
           ADD     .L1     A4,A31,A5         ; |59| 
           FSUBDP  .L1     A9:A8,A7:A6,A7:A6 ; |59| 
           SHL     .S1     A5,3,A5           ; |59| 
	.dwpsn	file "update_u_panel.c",line 53,column 26,is_stmt,isa 0
   [ B1]   B       .S1     $C$L2             ; |53| 
	.dwpsn	file "update_u_panel.c",line 59,column 7,is_stmt,isa 0
           FMPYDP  .M1     A23:A22,A7:A6,A7:A6 ; |59| 
           ADDAD   .D1     A5,A16,A5         ; |59| 
           ADD     .L1     A3,A5,A5          ; |59| 
           NOP             1
	.dwpsn	file "update_u_panel.c",line 60,column 0,is_stmt,isa 0
	.dwpsn	file "update_u_panel.c",line 59,column 7,is_stmt,isa 0
           STDW    .D1T1   A7:A6,*A5         ; |59| 
	.dwpsn	file "update_u_panel.c",line 53,column 26,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L2}         ; |53| 
$C$DW$L$update_u_panel$9$E:
;** --------------------------------------------------------------------------*
$C$L7:    
$C$DW$L$update_u_panel$10$B:

           SUB     .L2     B2,1,B2           ; |50| 
||         ADD     .S2     1,B0,B0           ; |50| 

   [ B2]   B       .S1     $C$L1             ; |50| 
||         SHRU    .S2     B0,4,B4           ; |51| 
|| [ B2]   CMPLTU  .L2X    A25,B19,B1        ; |53| 
|| [ B2]   MV      .L1     A25,A21           ; |51| 

           SHL     .S2     B4,11,B6          ; |51| 
|| [ B2]   MV      .L1X    B0,A5

   [ B2]   EXTU    .S2     B0,4,8,B5         ; |51| 
||         SHL     .S1X    B4,17,A4          ; |51| 
|| [ B1]   AND     .L2     -16,B0,B4

   [ B2]   SHL     .S2     B5,8,B31          ; |51| 
||         SUB     .L1X    A4,B6,A18         ; |51| 
|| [ B2]   EXTU    .S1     A5,28,24,A4       ; |51| 

   [ B1]   SHL     .S2     B4,7,B5
|| [!B2]   MVK     .L2     0x1,B1            ; |51| nullify predicate

	.dwpsn	file "update_u_panel.c",line 61,column 0,is_stmt,isa 0

           ADD     .L1X    B31,A18,A6        ; |51| 
|| [!B1]   B       .S1     $C$L7             ; |53| 

	.dwpsn	file "update_u_panel.c",line 50,column 14,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L1}         ; |50| 
$C$DW$L$update_u_panel$10$E:
;** --------------------------------------------------------------------------*
$C$L8:    
	.dwpsn	file "update_u_panel.c",line 62,column 1,is_stmt,isa 0
$C$DW$5	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$5, DW_AT_low_pc(0x00)
	.dwattr $C$DW$5, DW_AT_TI_return
           RETNOP  .S2     B3,5              ; |62| 
           ; BRANCH OCCURS {B3}              ; |62| 

$C$DW$6	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$6, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/update_u_panel.asm:$C$L1:1:1344255119")
	.dwattr $C$DW$6, DW_AT_TI_begin_file("update_u_panel.c")
	.dwattr $C$DW$6, DW_AT_TI_begin_line(0x32)
	.dwattr $C$DW$6, DW_AT_TI_end_line(0x3d)
$C$DW$7	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$7, DW_AT_low_pc($C$DW$L$update_u_panel$3$B)
	.dwattr $C$DW$7, DW_AT_high_pc($C$DW$L$update_u_panel$3$E)
$C$DW$8	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$8, DW_AT_low_pc($C$DW$L$update_u_panel$4$B)
	.dwattr $C$DW$8, DW_AT_high_pc($C$DW$L$update_u_panel$4$E)
$C$DW$9	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$9, DW_AT_low_pc($C$DW$L$update_u_panel$10$B)
	.dwattr $C$DW$9, DW_AT_high_pc($C$DW$L$update_u_panel$10$E)

$C$DW$10	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$10, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/update_u_panel.asm:$C$L2:2:1344255119")
	.dwattr $C$DW$10, DW_AT_TI_begin_file("update_u_panel.c")
	.dwattr $C$DW$10, DW_AT_TI_begin_line(0x35)
	.dwattr $C$DW$10, DW_AT_TI_end_line(0x3c)
$C$DW$11	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$11, DW_AT_low_pc($C$DW$L$update_u_panel$5$B)
	.dwattr $C$DW$11, DW_AT_high_pc($C$DW$L$update_u_panel$5$E)
$C$DW$12	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$12, DW_AT_low_pc($C$DW$L$update_u_panel$9$B)
	.dwattr $C$DW$12, DW_AT_high_pc($C$DW$L$update_u_panel$9$E)

$C$DW$13	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$13, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/update_u_panel.asm:$C$L4:3:1344255119")
	.dwattr $C$DW$13, DW_AT_TI_begin_file("update_u_panel.c")
	.dwattr $C$DW$13, DW_AT_TI_begin_line(0x37)
	.dwattr $C$DW$13, DW_AT_TI_end_line(0x39)
$C$DW$14	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$14, DW_AT_low_pc($C$DW$L$update_u_panel$7$B)
	.dwattr $C$DW$14, DW_AT_high_pc($C$DW$L$update_u_panel$7$E)
	.dwendtag $C$DW$13

	.dwendtag $C$DW$10

	.dwendtag $C$DW$6

	.dwattr $C$DW$1, DW_AT_TI_end_file("update_u_panel.c")
	.dwattr $C$DW$1, DW_AT_TI_end_line(0x3e)
	.dwattr $C$DW$1, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$1


;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(2)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(1)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$23	.dwtag  DW_TAG_typedef, DW_AT_name("int8_t")
	.dwattr $C$DW$T$23, DW_AT_type(*$C$DW$T$5)
	.dwattr $C$DW$T$23, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$23, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$23, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$T$23, DW_AT_decl_column(0x1d)
$C$DW$T$24	.dwtag  DW_TAG_typedef, DW_AT_name("int_least8_t")
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$T$24, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$24, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$24, DW_AT_decl_line(0x39)
	.dwattr $C$DW$T$24, DW_AT_decl_column(0x17)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$25	.dwtag  DW_TAG_typedef, DW_AT_name("uint8_t")
	.dwattr $C$DW$T$25, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$25, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$25, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$25, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$T$25, DW_AT_decl_column(0x1c)
$C$DW$T$26	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least8_t")
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$25)
	.dwattr $C$DW$T$26, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$26, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$26, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$T$26, DW_AT_decl_column(0x16)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$27	.dwtag  DW_TAG_typedef, DW_AT_name("int16_t")
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$8)
	.dwattr $C$DW$T$27, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$27, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$27, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$T$27, DW_AT_decl_column(0x1d)
$C$DW$T$28	.dwtag  DW_TAG_typedef, DW_AT_name("int_least16_t")
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$27)
	.dwattr $C$DW$T$28, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$28, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$28, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$28, DW_AT_decl_column(0x17)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$30	.dwtag  DW_TAG_typedef, DW_AT_name("uint16_t")
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$30, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$30, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$30, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$T$30, DW_AT_decl_column(0x1c)
$C$DW$T$31	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least16_t")
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$T$31, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$31, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$31, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$31, DW_AT_decl_column(0x16)
$C$DW$T$29	.dwtag  DW_TAG_typedef, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$29, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$29, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$29, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$29, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$29, DW_AT_decl_column(0x1a)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$32	.dwtag  DW_TAG_typedef, DW_AT_name("int32_t")
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$32, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$32, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$T$32, DW_AT_decl_column(0x1d)
$C$DW$T$33	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast16_t")
	.dwattr $C$DW$T$33, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$T$33, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$33, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$33, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$T$33, DW_AT_decl_column(0x17)
$C$DW$T$34	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast32_t")
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$T$34, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$34, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$34, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$T$34, DW_AT_decl_column(0x17)
$C$DW$T$35	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast8_t")
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$35, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$35, DW_AT_decl_line(0x49)
	.dwattr $C$DW$T$35, DW_AT_decl_column(0x17)
$C$DW$T$36	.dwtag  DW_TAG_typedef, DW_AT_name("int_least32_t")
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$T$32)
	.dwattr $C$DW$T$36, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$36, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$36, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$T$36, DW_AT_decl_column(0x17)
$C$DW$T$37	.dwtag  DW_TAG_typedef, DW_AT_name("intptr_t")
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$37, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$37, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$37, DW_AT_decl_line(0x58)
	.dwattr $C$DW$T$37, DW_AT_decl_column(0x1a)
$C$DW$T$38	.dwtag  DW_TAG_typedef, DW_AT_name("ptrdiff_t")
	.dwattr $C$DW$T$38, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$38, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$38, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$38, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$38, DW_AT_decl_column(0x1c)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$21	.dwtag  DW_TAG_typedef, DW_AT_name("size_t")
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$21, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$21, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$21, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$21, DW_AT_decl_column(0x19)
$C$DW$T$40	.dwtag  DW_TAG_typedef, DW_AT_name("uint32_t")
	.dwattr $C$DW$T$40, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$40, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$40, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$40, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$T$40, DW_AT_decl_column(0x1c)
$C$DW$T$41	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast16_t")
	.dwattr $C$DW$T$41, DW_AT_type(*$C$DW$T$40)
	.dwattr $C$DW$T$41, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$41, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$41, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$T$41, DW_AT_decl_column(0x16)
$C$DW$T$42	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast32_t")
	.dwattr $C$DW$T$42, DW_AT_type(*$C$DW$T$40)
	.dwattr $C$DW$T$42, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$42, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$42, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$T$42, DW_AT_decl_column(0x16)
$C$DW$T$43	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast8_t")
	.dwattr $C$DW$T$43, DW_AT_type(*$C$DW$T$40)
	.dwattr $C$DW$T$43, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$43, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$43, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$T$43, DW_AT_decl_column(0x16)
$C$DW$T$44	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least32_t")
	.dwattr $C$DW$T$44, DW_AT_type(*$C$DW$T$40)
	.dwattr $C$DW$T$44, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$44, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$44, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$44, DW_AT_decl_column(0x16)
$C$DW$T$45	.dwtag  DW_TAG_typedef, DW_AT_name("uintptr_t")
	.dwattr $C$DW$T$45, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$45, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$45, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$45, DW_AT_decl_line(0x59)
	.dwattr $C$DW$T$45, DW_AT_decl_column(0x1a)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("__int40_t")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$48	.dwtag  DW_TAG_typedef, DW_AT_name("int40_t")
	.dwattr $C$DW$T$48, DW_AT_type(*$C$DW$T$12)
	.dwattr $C$DW$T$48, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$48, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$48, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$48, DW_AT_decl_column(0x21)
$C$DW$T$49	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast40_t")
	.dwattr $C$DW$T$49, DW_AT_type(*$C$DW$T$48)
	.dwattr $C$DW$T$49, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$49, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$49, DW_AT_decl_line(0x51)
	.dwattr $C$DW$T$49, DW_AT_decl_column(0x17)
$C$DW$T$50	.dwtag  DW_TAG_typedef, DW_AT_name("int_least40_t")
	.dwattr $C$DW$T$50, DW_AT_type(*$C$DW$T$48)
	.dwattr $C$DW$T$50, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$50, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$50, DW_AT_decl_line(0x41)
	.dwattr $C$DW$T$50, DW_AT_decl_column(0x17)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned __int40_t")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$51	.dwtag  DW_TAG_typedef, DW_AT_name("uint40_t")
	.dwattr $C$DW$T$51, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$51, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$51, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$51, DW_AT_decl_line(0x32)
	.dwattr $C$DW$T$51, DW_AT_decl_column(0x20)
$C$DW$T$52	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast40_t")
	.dwattr $C$DW$T$52, DW_AT_type(*$C$DW$T$51)
	.dwattr $C$DW$T$52, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$52, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$52, DW_AT_decl_line(0x52)
	.dwattr $C$DW$T$52, DW_AT_decl_column(0x16)
$C$DW$T$53	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least40_t")
	.dwattr $C$DW$T$53, DW_AT_type(*$C$DW$T$51)
	.dwattr $C$DW$T$53, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$53, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$53, DW_AT_decl_line(0x42)
	.dwattr $C$DW$T$53, DW_AT_decl_column(0x16)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$54	.dwtag  DW_TAG_typedef, DW_AT_name("int64_t")
	.dwattr $C$DW$T$54, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$54, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$54, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$54, DW_AT_decl_line(0x34)
	.dwattr $C$DW$T$54, DW_AT_decl_column(0x21)
$C$DW$T$55	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast64_t")
	.dwattr $C$DW$T$55, DW_AT_type(*$C$DW$T$54)
	.dwattr $C$DW$T$55, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$55, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$55, DW_AT_decl_line(0x54)
	.dwattr $C$DW$T$55, DW_AT_decl_column(0x17)
$C$DW$T$56	.dwtag  DW_TAG_typedef, DW_AT_name("int_least64_t")
	.dwattr $C$DW$T$56, DW_AT_type(*$C$DW$T$54)
	.dwattr $C$DW$T$56, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$56, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$56, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$56, DW_AT_decl_column(0x17)
$C$DW$T$57	.dwtag  DW_TAG_typedef, DW_AT_name("intmax_t")
	.dwattr $C$DW$T$57, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$57, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$57, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$57, DW_AT_decl_line(0x5c)
	.dwattr $C$DW$T$57, DW_AT_decl_column(0x20)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$58	.dwtag  DW_TAG_typedef, DW_AT_name("uint64_t")
	.dwattr $C$DW$T$58, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$58, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$58, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$58, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$58, DW_AT_decl_column(0x20)
$C$DW$T$59	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast64_t")
	.dwattr $C$DW$T$59, DW_AT_type(*$C$DW$T$58)
	.dwattr $C$DW$T$59, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$59, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$59, DW_AT_decl_line(0x55)
	.dwattr $C$DW$T$59, DW_AT_decl_column(0x16)
$C$DW$T$60	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least64_t")
	.dwattr $C$DW$T$60, DW_AT_type(*$C$DW$T$58)
	.dwattr $C$DW$T$60, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$60, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$60, DW_AT_decl_line(0x45)
	.dwattr $C$DW$T$60, DW_AT_decl_column(0x16)
$C$DW$T$61	.dwtag  DW_TAG_typedef, DW_AT_name("uintmax_t")
	.dwattr $C$DW$T$61, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$61, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$61, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$61, DW_AT_decl_line(0x5d)
	.dwattr $C$DW$T$61, DW_AT_decl_column(0x20)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$19	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$19, DW_AT_address_class(0x20)
$C$DW$T$20	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$19)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)
	.dwendtag $C$DW$CU

