;******************************************************************************
;* TMS320C6x C/C++ Codegen                                  Unix v7.4.0A12012 *
;* Date/Time created: Mon Aug  6 14:11:52 2012                                *
;******************************************************************************
	.compiler_opts --abi=eabi --c64p_l1d_workaround=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6600 --symdebug:dwarf_version=3 --symdebug:skeletal 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C66xx                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug for Program Analysis w/Optimization      *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("init_problem.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C6x C/C++ Codegen Unix v7.4.0A12012 Copyright (c) 1996-2012 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("/home/noname/dist-ti-0.0.3/src/dma-linpack")
;	/opt/ti/C6000CGT7.4.0A12012//bin/opt6x /tmp/22385tLsfFb /tmp/22385N03eFe 
	.sect	".text"
	.clink
	.global	init_problem

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("init_problem")
	.dwattr $C$DW$1, DW_AT_low_pc(init_problem)
	.dwattr $C$DW$1, DW_AT_high_pc(0x00)
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("init_problem")
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_TI_begin_file("init_problem.c")
	.dwattr $C$DW$1, DW_AT_TI_begin_line(0x2a)
	.dwattr $C$DW$1, DW_AT_TI_begin_column(0x01)
	.dwattr $C$DW$1, DW_AT_decl_file("init_problem.c")
	.dwattr $C$DW$1, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$1, DW_AT_decl_column(0x01)
	.dwattr $C$DW$1, DW_AT_TI_max_frame_size(0x00)
	.dwattr $C$DW$1, DW_AT_frame_base[DW_OP_breg31 0]
	.dwattr $C$DW$1, DW_AT_TI_skeletal
	.dwpsn	file "init_problem.c",line 45,column 1,is_stmt,address init_problem,isa 0
$C$DW$2	.dwtag  DW_TAG_formal_parameter, DW_AT_name("m")
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("m")
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$2, DW_AT_location[DW_OP_reg4]
$C$DW$3	.dwtag  DW_TAG_formal_parameter, DW_AT_name("num_equations")
	.dwattr $C$DW$3, DW_AT_TI_symbol_name("num_equations")
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$3, DW_AT_location[DW_OP_reg20]
$C$DW$4	.dwtag  DW_TAG_formal_parameter, DW_AT_name("seed")
	.dwattr $C$DW$4, DW_AT_TI_symbol_name("seed")
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$4, DW_AT_location[DW_OP_reg6]
;----------------------------------------------------------------------
;  42 | init_problem(double * restrict m,                                      
;  43 | size_t num_equations,                                                  
;  44 | uint64_t seed)                                                         
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: init_problem                                                *
;*                                                                            *
;*   Regs Modified     : A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B4,B5,B6,B7,B8,B9,A16, *
;*                           A17,A18,A19,A20,A31,B16,B17,B18,B31              *
;*   Regs Used         : A3,A4,A5,A6,A7,A8,A9,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,  *
;*                           A16,A17,A18,A19,A20,A31,B16,B17,B18,B31          *
;*   Local Frame Size  : 0 Args + 0 Auto + 0 Save = 0 byte                    *
;******************************************************************************
init_problem:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  46 | int random_seed = seed;                                                
;  47 | size_t i, j;                                                           
;----------------------------------------------------------------------
           MV      .L2     B4,B0             ; |45| 
	.dwpsn	file "init_problem.c",line 50,column 12,is_stmt,isa 0
;----------------------------------------------------------------------
;  50 | for(i=0; i<num_equations; i++) {                                       
;----------------------------------------------------------------------
   [!B0]   BNOP    .S1     $C$L5,3           ; |50| 

           ZERO    .L2     B9
||         MVK     .S1     0xc35,A3

           MVKH    .S2     0xffff0000,B9
||         ZERO    .L1     A20               ; |50| 
||         MV      .L2     B4,B1             ; |45| 
||         DADD    .S1     0,A7:A6,A17:A16   ; |45| 
||         MV      .D1     A4,A9             ; |45| 

           ; BRANCHCC OCCURS {$C$L5}         ; |50| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L1
;** --------------------------------------------------------------------------*
$C$L1:    
	.dwpsn	file "init_problem.c",line 51,column 9,is_stmt,isa 0
;----------------------------------------------------------------------
;  51 | for(j=0; j<num_equations; j++) {                                       
;----------------------------------------------------------------------
$C$DW$L$init_problem$2$B:

           SUB     .L2     B0,1,B31
||         MVC     .S2     B0,RILC

$C$DW$L$init_problem$2$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : init_problem.c
;*      Loop source line                 : 51
;*      Loop opening brace source line   : 51
;*      Loop closing brace source line   : 54
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 9
;*      Unpartitioned Resource Bound     : 3
;*      Partitioned Resource Bound(*)    : 4
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     2        0     
;*      .S units                     3        3     
;*      .D units                     0        2     
;*      .M units                     2        0     
;*      .X cross paths               0        1     
;*      .T address paths             1        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          4        4     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             3        2     
;*      Bound(.L .S .D .LS .LSD)     4*       3     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 9  Schedule found with 3 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L2:    ; PIPED LOOP PROLOG
	.dwpsn	file "init_problem.c",line 51,column 0,is_stmt,isa 0

           SPLOOPD 9       ;27               ; (P) 
||         MVC     .S2     B31,ILC

;** --------------------------------------------------------------------------*
$C$L3:    ; PIPED LOOP KERNEL
	.dwpsn	file "init_problem.c",line 51,column 9,is_stmt,isa 0
$C$DW$L$init_problem$4$B:
	.dwpsn	file "init_problem.c",line 52,column 7,is_stmt,isa 0
;----------------------------------------------------------------------
;  52 | random_seed = (int)((long)3125*(long)random_seed % 65536L);            
;  53 | m[index_m(i, j)] = (random_seed - 32768.0)/16384.0;                    
;  58 | for (i = 0; i<num_equations; i++)                                      
;  59 | m[index_m(i, num_equations)] = 0.0;                                    
;  61 | for (j = 0; j<num_equations; j++)                                      
;----------------------------------------------------------------------
           MPYLI   .M1     A3,A16,A17:A16    ; |52| (P) <0,0>  ^ 
           NOP             3
           SHR     .S1     A16,15,A17        ; |52| (P) <0,4>  ^ 
           SHRU    .S1     A17,16,A4         ; |52| (P) <0,5>  ^ 

           SPMASK          S1
||         MV      .S1X    B9,A8
||         ADD     .L1     A4,A16,A4         ; |52| (P) <0,6>  ^ 

           AND     .S1     A8,A4,A17         ; |52| (P) <0,7>  ^ 
           SUB     .L1     A16,A17,A16       ; |52| (P) <0,8>  ^ 
	.dwpsn	file "dma-linpack.h",line 62,column 3,is_stmt,isa 0
;----------------------------------------------------------------------
;  62 | for (i = 0; i<num_equations; i++)                                      
;----------------------------------------------------------------------
           INTDP   .L1     A16,A5:A4         ; |62| (P) <0,9> 

           SPMASK          L1
||         AND     .L1     -16,A20,A6

           SPMASK          L1,S1
||         ZERO    .L1     A7
||         SHL     .S1     A6,7,A18

           SPMASK          S1
||         MVKH    .S1     0x40e00000,A7

           SPMASK          D1,L2,S2
||         ZERO    .L2     B5                ; |51| 
||         ZERO    .D1     A6                ; |51| 
||         SHL     .S2X    A6,13,B7

           SPMASK          D1,L2
||         MV      .L2X    A20,B6
||         ZERO    .D1     A19
||         EXTU    .S2     B5,4,8,B4         ; |62| (P) <0,14> 
||         FSUBDP  .L1     A5:A4,A7:A6,A5:A4 ; |62| (P) <0,14> 

           SPMASK          S1,D1,L2
||         ZERO    .D1     A18               ; |51| 
||         MVKH    .S1     0x3f100000,A19
||         SUB     .L2X    B7,A18,B7
||         SHL     .S2     B4,8,B4           ; |62| (P) <0,15> 

           SPMASK          D1,S2,D2
||         MV      .D2X    A9,B6
||         ZERO    .D1     A9                ; |51| 
||         EXTU    .S2     B6,28,24,B8
||         ADD     .L2     B4,B7,B4          ; |62| (P) <0,16> 

           EXTU    .S1     A9,28,25,A4       ; |62| (P) <0,17> 
||         SHL     .S2     B4,3,B4           ; |62| (P) <0,17> 
||         FMPYDP  .M1     A19:A18,A5:A4,A5:A4 ; |62| (P) <0,17> 

           ADDAD   .D2     B4,B8,B4          ; |62| <0,18> 
           ADD     .L2X    A4,B4,B4          ; |62| <0,19> 
           ADD     .L2     B6,B4,B4          ; |62| <0,20> 
	.dwpsn	file "init_problem.c",line 54,column 0,is_stmt,isa 0

           SPKERNEL 0,0
||         ADD     .S1     1,A9,A9           ; |51| <0,21> Define a twin register
||         ADD     .L2     1,B5,B5           ; |51| <0,21> 
||         STDW    .D2T1   A5:A4,*B4         ; |62| <0,21> 

$C$DW$L$init_problem$4$E:
;** --------------------------------------------------------------------------*
$C$L4:    ; PIPED LOOP EPILOG

           MV      .L2X    A8,B9
||         ADD     .S1     1,A20,A20         ; |50| 
||         SUB     .S2     B1,1,B1           ; |50| 

           NOP             8
	.dwpsn	file "init_problem.c",line 50,column 12,is_stmt,isa 0
   [ B1]   BNOP    .S2     $C$L1,3           ; |50| 
           MV      .L1X    B6,A9
           NOP             1
           ; BRANCHCC OCCURS {$C$L1}         ; |50| 
;** --------------------------------------------------------------------------*
$C$L5:    

   [!B0]   BNOP    .S1     $C$L9,2           ; |58| 
|| [ B0]   MVC     .S2     B0,ILC
||         ZERO    .L1     A5:A4
||         ZERO    .D1     A3                ; |58| 

           EXTU    .S2     B0,4,8,B4
           SHL     .S2     B4,8,B5
           AND     .L2     15,B0,B4
	.dwpsn	file "init_problem.c",line 58,column 15,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L9}         ; |58| 
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : init_problem.c
;*      Loop source line                 : 58
;*      Loop opening brace source line   : 59
;*      Loop closing brace source line   : 59
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 1
;*      Unpartitioned Resource Bound     : 3
;*      Partitioned Resource Bound(*)    : 3
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     3*       3*    
;*      .D units                     2        0     
;*      .M units                     0        0     
;*      .X cross paths               3*       1     
;*      .T address paths             1        0     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          3        1     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             2        2     
;*      Bound(.L .S .D .LS .LSD)     3*       2     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 3  Schedule found with 5 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L6:    ; PIPED LOOP PROLOG
	.dwpsn	file "init_problem.c",line 58,column 0,is_stmt,isa 0

           SPLOOP  3       ;15               ; (P) 
||         MV      .L2X    A3,B7

;** --------------------------------------------------------------------------*
$C$L7:    ; PIPED LOOP KERNEL
	.dwpsn	file "init_problem.c",line 58,column 8,is_stmt,isa 0
$C$DW$L$init_problem$8$B:
	.dwpsn	file "init_problem.c",line 59,column 0,is_stmt,isa 0

           SPMASK          L1
||         MV      .L1X    B5,A7
||         SHRU    .S2     B7,4,B5           ; |62| (P) <0,0>  ^ 

           NOP             1

           EXTU    .S2     B7,28,24,B5       ; |62| (P) <0,2>  ^ 
||         ADD     .L2     1,B7,B7           ; |58| (P) <0,2>  ^ 
||         SHL     .S1X    B5,4,A6           ; |62| (P) <0,2> 

           SPMASK          L1
||         MV      .L1X    B4,A8
||         ROTL    .M2     B5,0,B4           ; |62| (P) <0,3> Split a long life

           SHL     .S1     A6,7,A16          ; |62| (P) <0,4> 
||         SHL     .S2X    A6,13,B6          ; |62| (P) <0,4> 

           NOP             1
	.dwpsn	file "dma-linpack.h",line 62,column 3,is_stmt,isa 0
           SUB     .L1X    B6,A16,A16        ; |62| (P) <0,6> 
           ADD     .L1X    A16,B4,A6         ; |62| (P) <0,7> 
           ADD     .D1     A7,A6,A17         ; |62| (P) <0,8> 
           SHL     .S1     A17,3,A3          ; |62| (P) <0,9> 
           ADDAD   .D1     A3,A8,A3          ; |62| (P) <0,10> 
           ADD     .L1     A9,A3,A3          ; |62| (P) <0,11> 

           SPKERNEL 3,1
||         STDW    .D1T1   A5:A4,*A3         ; |62| <0,12> 

$C$DW$L$init_problem$8$E:
;** --------------------------------------------------------------------------*
$C$L8:    ; PIPED LOOP EPILOG
;** --------------------------------------------------------------------------*
$C$L9:    
	.dwpsn	file "init_problem.c",line 61,column 15,is_stmt,isa 0
   [!B0]   BNOP    .S1     $C$L14,3          ; |61| 
           EXTU    .S2     B0,4,8,B4

           SHL     .S2     B4,8,B6
||         MV      .L2     B0,B2             ; |62| 
||         ZERO    .L1     A16               ; |61| 
||         AND     .D2     15,B0,B7

           ; BRANCHCC OCCURS {$C$L14}        ; |61| 
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L10
;** --------------------------------------------------------------------------*
$C$L10:    
	.dwpsn	file "init_problem.c",line 62,column 10,is_stmt,isa 0
$C$DW$L$init_problem$11$B:

           MVC     .S2     B0,RILC
||         SUB     .L2     B0,1,B4

           MVC     .S2     B4,ILC
||         AND     .L1     -16,A16,A3

$C$DW$L$init_problem$11$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : init_problem.c
;*      Loop source line                 : 62
;*      Loop opening brace source line   : 63
;*      Loop closing brace source line   : 63
;*      Known Minimum Trip Count         : 1                    
;*      Known Max Trip Count Factor      : 1
;*      Loop Carried Dependency Bound(^) : 9
;*      Unpartitioned Resource Bound     : 4
;*      Partitioned Resource Bound(*)    : 4
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     4*       3     
;*      .D units                     2        2     
;*      .M units                     0        0     
;*      .X cross paths               1        1     
;*      .T address paths             2        1     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           1        0     (.L or .S unit)
;*      Addition ops (.LSD)          4        6     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             3        2     
;*      Bound(.L .S .D .LS .LSD)     4*       4*    
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 9  Schedule found with 2 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L11:    ; PIPED LOOP PROLOG
	.dwpsn	file "init_problem.c",line 62,column 0,is_stmt,isa 0

           SPLOOPD 9       ;18               ; (P) 
||         ZERO    .L1     A3                ; |62| 
||         SHL     .S1     A3,7,A31
||         SHL     .S2X    A3,13,B4

;** --------------------------------------------------------------------------*
$C$L12:    ; PIPED LOOP KERNEL
	.dwpsn	file "init_problem.c",line 62,column 10,is_stmt,isa 0
$C$DW$L$init_problem$13$B:
	.dwpsn	file "init_problem.c",line 63,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
;  63 | m[index_m(i, num_equations)] += m[index_m(j, i)];                      
;----------------------------------------------------------------------
	.dwpsn	file "dma-linpack.h",line 62,column 3,is_stmt,isa 0
           EXTU    .S1     A3,4,8,A4         ; |62| (P) <0,0> 

           SPMASK          L1
||         SUB     .L1X    B4,A31,A7
||         AND     .L2X    -16,A3,B8         ; |62| (P) <0,1> 
||         SHL     .S1     A4,8,A4           ; |62| (P) <0,1> 

           SPMASK          S1
||         EXTU    .S1     A16,28,24,A8
||         SHL     .S2     B8,7,B17          ; |62| (P) <0,2> 
||         ADD     .L1     A4,A7,A4          ; |62| (P) <0,2> 

           SPMASK          L1,L2
||         MV      .L2X    A9,B5
||         MV      .L1     A9,A6
||         SHL     .S2     B8,13,B18         ; |62| (P) <0,3> 
||         SHL     .S1     A4,3,A9           ; |62| (P) <0,3> 

           SPMASK          L2
||         ZERO    .L2     B4                ; |62| 
||         EXTU    .S1     A3,28,25,A5       ; |62| (P) <0,4> 
||         SUB     .S2     B18,B17,B8        ; |62| (P) <0,4> 
||         ADDAD   .D1     A9,A8,A4          ; |62| (P) <0,4> 

           EXTU    .S2     B4,28,24,B9       ; |62| (P) <0,5> 
||         ADD     .L2     B6,B8,B8          ; |62| (P) <0,5> 
||         ADD     .L1     A5,A4,A4          ; |62| (P) <0,5> 

           ADD     .L2     B9,B8,B8          ; |62| (P) <0,6> 
||         ADD     .S1     A6,A4,A9          ; |62| (P) <0,6> 

           ADD     .L2     B7,B8,B16         ; |62| (P) <0,7> 

           ADD     .L1     1,A3,A3           ; |62| (P) <0,8> Define a twin register
||         LDDW    .D2T2   *+B5[B16],B9:B8   ; |62| (P) <0,8>  ^ 
||         LDDW    .D1T1   *A9,A5:A4         ; |62| (P) <0,8>  ^ 

           NOP             4

           ADD     .L2     1,B4,B4           ; |62| <0,13> 
||         FADDDP  .L1X    A5:A4,B9:B8,A5:A4 ; |62| <0,13>  ^ 

           NOP             1
           NOP             1

           SPKERNEL 0,0
||         STDW    .D2T1   A5:A4,*+B5[B16]   ; |62| <0,16>  ^ 

$C$DW$L$init_problem$13$E:
;** --------------------------------------------------------------------------*
$C$L13:    ; PIPED LOOP EPILOG

           MV      .L1     A6,A9
||         ADD     .S1     1,A16,A16         ; |61| 
||         SUB     .L2     B2,1,B2           ; |61| 

           NOP             1
	.dwpsn	file "init_problem.c",line 61,column 15,is_stmt,isa 0
   [ B2]   BNOP    .S2     $C$L10,5          ; |61| 
           ; BRANCHCC OCCURS {$C$L10}        ; |61| 
;** --------------------------------------------------------------------------*
$C$L14:    
	.dwpsn	file "init_problem.c",line 64,column 1,is_stmt,isa 0
$C$DW$5	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$5, DW_AT_low_pc(0x00)
	.dwattr $C$DW$5, DW_AT_TI_return
           RETNOP  .S2     B3,5              ; |64| 
           ; BRANCH OCCURS {B3}              ; |64| 

$C$DW$6	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$6, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/init_problem.asm:$C$L10:1:1344255112")
	.dwattr $C$DW$6, DW_AT_TI_begin_file("init_problem.c")
	.dwattr $C$DW$6, DW_AT_TI_begin_line(0x3d)
	.dwattr $C$DW$6, DW_AT_TI_end_line(0x3e)
$C$DW$7	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$7, DW_AT_low_pc($C$DW$L$init_problem$11$B)
	.dwattr $C$DW$7, DW_AT_high_pc($C$DW$L$init_problem$11$E)

$C$DW$8	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$8, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/init_problem.asm:$C$L12:2:1344255112")
	.dwattr $C$DW$8, DW_AT_TI_begin_file("init_problem.c")
	.dwattr $C$DW$8, DW_AT_TI_begin_line(0x3e)
	.dwattr $C$DW$8, DW_AT_TI_end_line(0x3f)
$C$DW$9	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$9, DW_AT_low_pc($C$DW$L$init_problem$13$B)
	.dwattr $C$DW$9, DW_AT_high_pc($C$DW$L$init_problem$13$E)
	.dwendtag $C$DW$8

	.dwendtag $C$DW$6


$C$DW$10	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$10, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/init_problem.asm:$C$L7:1:1344255112")
	.dwattr $C$DW$10, DW_AT_TI_begin_file("init_problem.c")
	.dwattr $C$DW$10, DW_AT_TI_begin_line(0x3a)
	.dwattr $C$DW$10, DW_AT_TI_end_line(0x3b)
$C$DW$11	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$11, DW_AT_low_pc($C$DW$L$init_problem$8$B)
	.dwattr $C$DW$11, DW_AT_high_pc($C$DW$L$init_problem$8$E)
	.dwendtag $C$DW$10


$C$DW$12	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$12, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/init_problem.asm:$C$L1:1:1344255112")
	.dwattr $C$DW$12, DW_AT_TI_begin_file("init_problem.c")
	.dwattr $C$DW$12, DW_AT_TI_begin_line(0x32)
	.dwattr $C$DW$12, DW_AT_TI_end_line(0x33)
$C$DW$13	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$13, DW_AT_low_pc($C$DW$L$init_problem$2$B)
	.dwattr $C$DW$13, DW_AT_high_pc($C$DW$L$init_problem$2$E)

$C$DW$14	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$14, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/init_problem.asm:$C$L3:2:1344255112")
	.dwattr $C$DW$14, DW_AT_TI_begin_file("init_problem.c")
	.dwattr $C$DW$14, DW_AT_TI_begin_line(0x33)
	.dwattr $C$DW$14, DW_AT_TI_end_line(0x36)
$C$DW$15	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$15, DW_AT_low_pc($C$DW$L$init_problem$4$B)
	.dwattr $C$DW$15, DW_AT_high_pc($C$DW$L$init_problem$4$E)
	.dwendtag $C$DW$14

	.dwendtag $C$DW$12

	.dwattr $C$DW$1, DW_AT_TI_end_file("init_problem.c")
	.dwattr $C$DW$1, DW_AT_TI_end_line(0x40)
	.dwattr $C$DW$1, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$1


;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(2)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(1)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$24	.dwtag  DW_TAG_typedef, DW_AT_name("int8_t")
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$5)
	.dwattr $C$DW$T$24, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$24, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$24, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$T$24, DW_AT_decl_column(0x1d)
$C$DW$T$25	.dwtag  DW_TAG_typedef, DW_AT_name("int_least8_t")
	.dwattr $C$DW$T$25, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$T$25, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$25, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$25, DW_AT_decl_line(0x39)
	.dwattr $C$DW$T$25, DW_AT_decl_column(0x17)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$26	.dwtag  DW_TAG_typedef, DW_AT_name("uint8_t")
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$26, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$26, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$26, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$T$26, DW_AT_decl_column(0x1c)
$C$DW$T$27	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least8_t")
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$T$27, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$27, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$27, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$T$27, DW_AT_decl_column(0x16)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$28	.dwtag  DW_TAG_typedef, DW_AT_name("int16_t")
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$8)
	.dwattr $C$DW$T$28, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$28, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$28, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$T$28, DW_AT_decl_column(0x1d)
$C$DW$T$29	.dwtag  DW_TAG_typedef, DW_AT_name("int_least16_t")
	.dwattr $C$DW$T$29, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$T$29, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$29, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$29, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$29, DW_AT_decl_column(0x17)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$31	.dwtag  DW_TAG_typedef, DW_AT_name("uint16_t")
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$31, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$31, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$31, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$T$31, DW_AT_decl_column(0x1c)
$C$DW$T$32	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least16_t")
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$31)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$32, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$32, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$32, DW_AT_decl_column(0x16)
$C$DW$T$30	.dwtag  DW_TAG_typedef, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$30, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$30, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$30, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$30, DW_AT_decl_column(0x1a)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$33	.dwtag  DW_TAG_typedef, DW_AT_name("int32_t")
	.dwattr $C$DW$T$33, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$33, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$33, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$33, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$T$33, DW_AT_decl_column(0x1d)
$C$DW$T$34	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast16_t")
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$T$34, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$34, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$34, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$T$34, DW_AT_decl_column(0x17)
$C$DW$T$35	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast32_t")
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$35, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$35, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$T$35, DW_AT_decl_column(0x17)
$C$DW$T$36	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast8_t")
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$T$36, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$36, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$36, DW_AT_decl_line(0x49)
	.dwattr $C$DW$T$36, DW_AT_decl_column(0x17)
$C$DW$T$37	.dwtag  DW_TAG_typedef, DW_AT_name("int_least32_t")
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$T$37, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$37, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$37, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$T$37, DW_AT_decl_column(0x17)
$C$DW$T$38	.dwtag  DW_TAG_typedef, DW_AT_name("intptr_t")
	.dwattr $C$DW$T$38, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$38, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$38, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$38, DW_AT_decl_line(0x58)
	.dwattr $C$DW$T$38, DW_AT_decl_column(0x1a)
$C$DW$T$39	.dwtag  DW_TAG_typedef, DW_AT_name("ptrdiff_t")
	.dwattr $C$DW$T$39, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$39, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$39, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$39, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$39, DW_AT_decl_column(0x1c)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$21	.dwtag  DW_TAG_typedef, DW_AT_name("size_t")
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$21, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$21, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$21, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$21, DW_AT_decl_column(0x19)
$C$DW$T$41	.dwtag  DW_TAG_typedef, DW_AT_name("uint32_t")
	.dwattr $C$DW$T$41, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$41, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$41, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$41, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$T$41, DW_AT_decl_column(0x1c)
$C$DW$T$42	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast16_t")
	.dwattr $C$DW$T$42, DW_AT_type(*$C$DW$T$41)
	.dwattr $C$DW$T$42, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$42, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$42, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$T$42, DW_AT_decl_column(0x16)
$C$DW$T$43	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast32_t")
	.dwattr $C$DW$T$43, DW_AT_type(*$C$DW$T$41)
	.dwattr $C$DW$T$43, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$43, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$43, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$T$43, DW_AT_decl_column(0x16)
$C$DW$T$44	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast8_t")
	.dwattr $C$DW$T$44, DW_AT_type(*$C$DW$T$41)
	.dwattr $C$DW$T$44, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$44, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$44, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$T$44, DW_AT_decl_column(0x16)
$C$DW$T$45	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least32_t")
	.dwattr $C$DW$T$45, DW_AT_type(*$C$DW$T$41)
	.dwattr $C$DW$T$45, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$45, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$45, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$45, DW_AT_decl_column(0x16)
$C$DW$T$46	.dwtag  DW_TAG_typedef, DW_AT_name("uintptr_t")
	.dwattr $C$DW$T$46, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$46, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$46, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$46, DW_AT_decl_line(0x59)
	.dwattr $C$DW$T$46, DW_AT_decl_column(0x1a)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("__int40_t")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$49	.dwtag  DW_TAG_typedef, DW_AT_name("int40_t")
	.dwattr $C$DW$T$49, DW_AT_type(*$C$DW$T$12)
	.dwattr $C$DW$T$49, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$49, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$49, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$49, DW_AT_decl_column(0x21)
$C$DW$T$50	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast40_t")
	.dwattr $C$DW$T$50, DW_AT_type(*$C$DW$T$49)
	.dwattr $C$DW$T$50, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$50, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$50, DW_AT_decl_line(0x51)
	.dwattr $C$DW$T$50, DW_AT_decl_column(0x17)
$C$DW$T$51	.dwtag  DW_TAG_typedef, DW_AT_name("int_least40_t")
	.dwattr $C$DW$T$51, DW_AT_type(*$C$DW$T$49)
	.dwattr $C$DW$T$51, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$51, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$51, DW_AT_decl_line(0x41)
	.dwattr $C$DW$T$51, DW_AT_decl_column(0x17)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned __int40_t")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$52	.dwtag  DW_TAG_typedef, DW_AT_name("uint40_t")
	.dwattr $C$DW$T$52, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$52, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$52, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$52, DW_AT_decl_line(0x32)
	.dwattr $C$DW$T$52, DW_AT_decl_column(0x20)
$C$DW$T$53	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast40_t")
	.dwattr $C$DW$T$53, DW_AT_type(*$C$DW$T$52)
	.dwattr $C$DW$T$53, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$53, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$53, DW_AT_decl_line(0x52)
	.dwattr $C$DW$T$53, DW_AT_decl_column(0x16)
$C$DW$T$54	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least40_t")
	.dwattr $C$DW$T$54, DW_AT_type(*$C$DW$T$52)
	.dwattr $C$DW$T$54, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$54, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$54, DW_AT_decl_line(0x42)
	.dwattr $C$DW$T$54, DW_AT_decl_column(0x16)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$55	.dwtag  DW_TAG_typedef, DW_AT_name("int64_t")
	.dwattr $C$DW$T$55, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$55, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$55, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$55, DW_AT_decl_line(0x34)
	.dwattr $C$DW$T$55, DW_AT_decl_column(0x21)
$C$DW$T$56	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast64_t")
	.dwattr $C$DW$T$56, DW_AT_type(*$C$DW$T$55)
	.dwattr $C$DW$T$56, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$56, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$56, DW_AT_decl_line(0x54)
	.dwattr $C$DW$T$56, DW_AT_decl_column(0x17)
$C$DW$T$57	.dwtag  DW_TAG_typedef, DW_AT_name("int_least64_t")
	.dwattr $C$DW$T$57, DW_AT_type(*$C$DW$T$55)
	.dwattr $C$DW$T$57, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$57, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$57, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$57, DW_AT_decl_column(0x17)
$C$DW$T$58	.dwtag  DW_TAG_typedef, DW_AT_name("intmax_t")
	.dwattr $C$DW$T$58, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$58, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$58, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$58, DW_AT_decl_line(0x5c)
	.dwattr $C$DW$T$58, DW_AT_decl_column(0x20)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$22	.dwtag  DW_TAG_typedef, DW_AT_name("uint64_t")
	.dwattr $C$DW$T$22, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$22, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$22, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$22, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$22, DW_AT_decl_column(0x20)
$C$DW$T$61	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast64_t")
	.dwattr $C$DW$T$61, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$T$61, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$61, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$61, DW_AT_decl_line(0x55)
	.dwattr $C$DW$T$61, DW_AT_decl_column(0x16)
$C$DW$T$62	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least64_t")
	.dwattr $C$DW$T$62, DW_AT_type(*$C$DW$T$22)
	.dwattr $C$DW$T$62, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$62, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$62, DW_AT_decl_line(0x45)
	.dwattr $C$DW$T$62, DW_AT_decl_column(0x16)
$C$DW$T$63	.dwtag  DW_TAG_typedef, DW_AT_name("uintmax_t")
	.dwattr $C$DW$T$63, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$63, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$63, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$63, DW_AT_decl_line(0x5d)
	.dwattr $C$DW$T$63, DW_AT_decl_column(0x20)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$19	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$19, DW_AT_address_class(0x20)
$C$DW$T$20	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$19)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)
	.dwendtag $C$DW$CU

