;******************************************************************************
;* TMS320C6x C/C++ Codegen                                  Unix v7.4.0A12012 *
;* Date/Time created: Mon Aug  6 14:11:59 2012                                *
;******************************************************************************
	.compiler_opts --abi=eabi --c64p_l1d_workaround=off --endian=little --hll_source=on --long_precision_bits=32 --mem_model:code=near --mem_model:const=data --mem_model:data=far_aggregates --object_format=elf --silicon_version=6600 --symdebug:dwarf_version=3 --symdebug:skeletal 

;******************************************************************************
;* GLOBAL FILE PARAMETERS                                                     *
;*                                                                            *
;*   Architecture      : TMS320C66xx                                          *
;*   Optimization      : Enabled at level 3                                   *
;*   Optimizing for    : Speed                                                *
;*                       Based on options: -o3, no -ms                        *
;*   Endian            : Little                                               *
;*   Interrupt Thrshld : Disabled                                             *
;*   Data Access Model : Far Aggregate Data                                   *
;*   Pipelining        : Enabled                                              *
;*   Speculate Loads   : Enabled with threshold = 0                           *
;*   Memory Aliases    : Presume are aliases (pessimistic)                    *
;*   Debug Info        : DWARF Debug for Program Analysis w/Optimization      *
;*                                                                            *
;******************************************************************************

	.asg	A15, FP
	.asg	B14, DP
	.asg	B15, SP
	.global	$bss


$C$DW$CU	.dwtag  DW_TAG_compile_unit
	.dwattr $C$DW$CU, DW_AT_name("update_u_panel_l2.c")
	.dwattr $C$DW$CU, DW_AT_producer("TI TMS320C6x C/C++ Codegen Unix v7.4.0A12012 Copyright (c) 1996-2012 Texas Instruments Incorporated")
	.dwattr $C$DW$CU, DW_AT_TI_version(0x01)
	.dwattr $C$DW$CU, DW_AT_comp_dir("/home/noname/dist-ti-0.0.3/src/dma-linpack")
;	/opt/ti/C6000CGT7.4.0A12012//bin/opt6x /tmp/22441AgEuEr /tmp/22441cGgxD0 
	.sect	".text"
	.clink
	.global	update_u_panel_l2

$C$DW$1	.dwtag  DW_TAG_subprogram, DW_AT_name("update_u_panel_l2")
	.dwattr $C$DW$1, DW_AT_low_pc(update_u_panel_l2)
	.dwattr $C$DW$1, DW_AT_high_pc(0x00)
	.dwattr $C$DW$1, DW_AT_TI_symbol_name("update_u_panel_l2")
	.dwattr $C$DW$1, DW_AT_external
	.dwattr $C$DW$1, DW_AT_TI_begin_file("update_u_panel_l2.c")
	.dwattr $C$DW$1, DW_AT_TI_begin_line(0x27)
	.dwattr $C$DW$1, DW_AT_TI_begin_column(0x01)
	.dwattr $C$DW$1, DW_AT_decl_file("update_u_panel_l2.c")
	.dwattr $C$DW$1, DW_AT_decl_line(0x27)
	.dwattr $C$DW$1, DW_AT_decl_column(0x01)
	.dwattr $C$DW$1, DW_AT_TI_max_frame_size(0x70)
	.dwattr $C$DW$1, DW_AT_frame_base[DW_OP_breg31 112]
	.dwattr $C$DW$1, DW_AT_TI_skeletal
	.dwpsn	file "update_u_panel_l2.c",line 43,column 1,is_stmt,address update_u_panel_l2,isa 0
$C$DW$2	.dwtag  DW_TAG_formal_parameter, DW_AT_name("u_l2")
	.dwattr $C$DW$2, DW_AT_TI_symbol_name("u_l2")
	.dwattr $C$DW$2, DW_AT_type(*$C$DW$T$20)
	.dwattr $C$DW$2, DW_AT_location[DW_OP_reg4]
$C$DW$3	.dwtag  DW_TAG_formal_parameter, DW_AT_name("l_head")
	.dwattr $C$DW$3, DW_AT_TI_symbol_name("l_head")
	.dwattr $C$DW$3, DW_AT_type(*$C$DW$T$23)
	.dwattr $C$DW$3, DW_AT_location[DW_OP_reg20]
$C$DW$4	.dwtag  DW_TAG_formal_parameter, DW_AT_name("panel_width")
	.dwattr $C$DW$4, DW_AT_TI_symbol_name("panel_width")
	.dwattr $C$DW$4, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$4, DW_AT_location[DW_OP_reg6]
$C$DW$5	.dwtag  DW_TAG_formal_parameter, DW_AT_name("cols")
	.dwattr $C$DW$5, DW_AT_TI_symbol_name("cols")
	.dwattr $C$DW$5, DW_AT_type(*$C$DW$T$24)
	.dwattr $C$DW$5, DW_AT_location[DW_OP_reg22]
;----------------------------------------------------------------------
;  39 | update_u_panel_l2(double * restrict u_l2,                              
;  40 | const double * restrict l_head,                                        
;  41 | size_t panel_width,                                                    
;  42 | size_t cols)                                                           
;----------------------------------------------------------------------

;******************************************************************************
;* FUNCTION NAME: update_u_panel_l2                                           *
;*                                                                            *
;*   Regs Modified     : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,  *
;*                           A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20,B21, *
;*                           B22,B23,B24,B25,B26,B27,B28,B29,B30,B31          *
;*   Regs Used         : A0,A1,A2,A3,A4,A5,A6,A7,A8,A9,A10,A11,A12,A13,A14,   *
;*                           A15,B0,B1,B2,B3,B4,B5,B6,B7,B8,B9,B10,B11,B12,   *
;*                           B13,SP,A16,A17,A18,A19,A20,A21,A22,A23,A24,A25,  *
;*                           A26,A27,A28,A29,A30,A31,B16,B17,B18,B19,B20,B21, *
;*                           B22,B23,B24,B25,B26,B27,B28,B29,B30,B31          *
;*   Local Frame Size  : 0 Args + 36 Auto + 64 Save = 100 byte                *
;******************************************************************************
update_u_panel_l2:
;** --------------------------------------------------------------------------*
;----------------------------------------------------------------------
;  44 | double sum_00, sum_01, sum_02, sum_03;                                 
;  45 | double sum_10, sum_11, sum_12, sum_13;                                 
;  46 | double sum_20, sum_21, sum_22, sum_23;                                 
;  47 | double sum_30, sum_31, sum_32, sum_33;                                 
;  49 | double l_0, l_1, l_2, l_3;                                             
;  50 | double u_0, u_1, u_2, u_3;                                             
;  52 | double * restrict u;                                                   
;  53 | const double * restrict l;                                             
;  55 | size_t row;                                                            
;  56 | size_t col_block;                                                      
;  57 | size_t col_ofs;                                                        
;  58 | size_t r;                                                              
;  60 | for(col_block=0; col_block<cols; col_block+=BLOCK_SIZE) {              
;----------------------------------------------------------------------

           STW     .D2T1   A11,*SP--(8)      ; |43| 
||         MV      .L1X    B6,A0             ; |43| 
||         ADD     .L2     15,B6,B5          ; |61| 
||         MV      .S1     A6,A1             ; |43| 

           STW     .D2T1   A10,*SP--(8)      ; |43| 
           STDW    .D2T2   B13:B12,*SP--     ; |43| 
           STDW    .D2T2   B11:B10,*SP--     ; |43| 

           STDW    .D2T1   A15:A14,*SP--     ; |43| 
|| [!A0]   B       .S2     $C$L9             ; |60| 
||         ZERO    .L1     A15               ; |60| 
||         SHL     .S1     A1,5,A14

           STDW    .D2T1   A13:A12,*SP--     ; |43| 
           STW     .D2T2   B3,*SP--(56)      ; |43| 

           SHRU    .S2     B5,4,B4           ; |61| 
||         STW     .D2T2   B4,*+SP(20)       ; |43| 

	.dwpsn	file "update_u_panel_l2.c",line 61,column 9,is_stmt,isa 0
;----------------------------------------------------------------------
;  61 | for(row=0; row<panel_width; row+=SUBBLOCK_SIZE) {                      
;----------------------------------------------------------------------
           STW     .D2T2   B4,*+SP(8)        ; |61| 
	.dwpsn	file "update_u_panel_l2.c",line 43,column 1,is_stmt,isa 0
           STW     .D2T1   A4,*+SP(24)       ; |43| 
	.dwpsn	file "update_u_panel_l2.c",line 60,column 20,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L9}         ; |60| 
;** --------------------------------------------------------------------------*
	.dwpsn	file "update_u_panel_l2.c",line 60,column 0,is_stmt,isa 0

   [!A1]   BNOP    .S1     $C$L8,4           ; |61| 
|| [ A1]   LDW     .D2T1   *+SP(20),A3       ; |62| 
|| [ A1]   ADD     .L1     3,A1,A4           ; |62| 

;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L1
;** --------------------------------------------------------------------------*
$C$L1:    
	.dwpsn	file "update_u_panel_l2.c",line 60,column 7,is_stmt,isa 0
$C$DW$L$update_u_panel_l2$3$B:
   [ A1]   STW     .D2T1   A3,*+SP(4)
	.dwpsn	file "update_u_panel_l2.c",line 61,column 16,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L8}         ; |61| 
$C$DW$L$update_u_panel_l2$3$E:
;** --------------------------------------------------------------------------*
$C$DW$L$update_u_panel_l2$4$B:

           LDW     .D2T1   *+SP(24),A3
||         SHRU    .S2X    A4,2,B4           ; |62| 
||         MPY32   .M1     A1,A15,A4
||         ZERO    .L1     A0                ; |61| 

	.dwpsn	file "update_u_panel_l2.c",line 62,column 11,is_stmt,isa 0
;----------------------------------------------------------------------
;  62 | for(col_ofs=0; col_ofs<BLOCK_SIZE; col_ofs += SUBBLOCK_SIZE) {         
;----------------------------------------------------------------------
           STW     .D2T2   B4,*+SP(12)       ; |62| 
	.dwpsn	file "update_u_panel_l2.c",line 62,column 22,is_stmt,isa 0
;----------------------------------------------------------------------
;  64 | u = u_l2 + (col_ofs + col_block)*panel_width;                          
;  65 | l = l_head + row*panel_width;                                          
;  67 | sum_00 = 0.0; sum_01 = 0.0; sum_02 = 0.0; sum_03 = 0.0;                
;  68 | sum_10 = 0.0; sum_11 = 0.0; sum_12 = 0.0; sum_13 = 0.0;                
;  69 | sum_20 = 0.0; sum_21 = 0.0; sum_22 = 0.0; sum_23 = 0.0;                
;----------------------------------------------------------------------
           MVK     .L2     0x4,B4            ; |62| 
           STW     .D2T2   B4,*+SP(16)
	.dwpsn	file "update_u_panel_l2.c",line 70,column 30,is_stmt,isa 0
;----------------------------------------------------------------------
;  70 | sum_30 = 0.0; sum_31 = 0.0; sum_32 = 0.0; sum_33 = 0.0;                
;----------------------------------------------------------------------
           LDW     .D2T2   *+SP(4),B11       ; |70| 

           ADDAD   .D1     A3,A4,A31
||         ZERO    .L1     A5:A4             ; |67| 

	.dwpsn	file "update_u_panel_l2.c",line 61,column 0,is_stmt,isa 0

           MV      .L1     A31,A30           ; |64| 
||         DADD    .S1     0,A5:A4,A9:A8     ; |67| 

$C$DW$L$update_u_panel_l2$4$E:
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L2
;** --------------------------------------------------------------------------*
$C$L2:    
	.dwpsn	file "update_u_panel_l2.c",line 61,column 9,is_stmt,isa 0
$C$DW$L$update_u_panel_l2$5$B:
	.dwpsn	file "update_u_panel_l2.c",line 67,column 30,is_stmt,isa 0
           DADD    .L1     0,A9:A8,A7:A6     ; |67| 
	.dwpsn	file "update_u_panel_l2.c",line 62,column 0,is_stmt,isa 0
	.dwpsn	file "update_u_panel_l2.c",line 67,column 44,is_stmt,isa 0
           DADD    .L1     0,A7:A6,A17:A16   ; |67| 
$C$DW$L$update_u_panel_l2$5$E:
;** --------------------------------------------------------------------------*
;**   BEGIN LOOP $C$L3
;** --------------------------------------------------------------------------*
$C$L3:    
	.dwpsn	file "update_u_panel_l2.c",line 62,column 22,is_stmt,isa 0
$C$DW$L$update_u_panel_l2$6$B:
	.dwpsn	file "update_u_panel_l2.c",line 68,column 2,is_stmt,isa 0
           DADD    .L1     0,A17:A16,A3:A2   ; |68| 
           NOP             1
	.dwpsn	file "update_u_panel_l2.c",line 68,column 16,is_stmt,isa 0
           DADD    .L2X    0,A3:A2,B7:B6     ; |68| 
           NOP             1
	.dwpsn	file "update_u_panel_l2.c",line 68,column 30,is_stmt,isa 0
           DADD    .L1X    0,B7:B6,A11:A10   ; |68| 
           NOP             1
	.dwpsn	file "update_u_panel_l2.c",line 68,column 44,is_stmt,isa 0
           DADD    .L2X    0,A11:A10,B5:B4   ; |68| 
           NOP             1
	.dwpsn	file "update_u_panel_l2.c",line 69,column 2,is_stmt,isa 0
           DADD    .L1X    0,B5:B4,A19:A18   ; |69| 
           NOP             1
           DADD    .L2X    0,A19:A18,B23:B22 ; |69| 
           NOP             1
           DADD    .L1X    0,B23:B22,A23:A22 ; |69| 
           NOP             1
	.dwpsn	file "update_u_panel_l2.c",line 69,column 30,is_stmt,isa 0
           DADD    .L2X    0,A23:A22,B25:B24 ; |69| 
           NOP             1
           DADD    .L1X    0,B25:B24,A25:A24 ; |69| 
           NOP             1
	.dwpsn	file "update_u_panel_l2.c",line 69,column 44,is_stmt,isa 0
           DADD    .L2X    0,A25:A24,B1:B0   ; |69| 

   [!A0]   BNOP    .S1     $C$L7,1           ; |72| 
||         DADD    .L2     0,B1:B0,B29:B28

	.dwpsn	file "update_u_panel_l2.c",line 70,column 16,is_stmt,isa 0
           DADD    .L1X    0,B29:B28,A29:A28 ; |70| 
           NOP             1
           DADD    .L2X    0,A29:A28,B27:B26 ; |70| 
	.dwpsn	file "update_u_panel_l2.c",line 70,column 44,is_stmt,isa 0
           STDW    .D2T2   B27:B26,*+SP(32)  ; |70| 
	.dwpsn	file "update_u_panel_l2.c",line 72,column 13,is_stmt,isa 0
;----------------------------------------------------------------------
;  72 | for(r=row; r>0; --r) {                                                 
;----------------------------------------------------------------------
           ; BRANCHCC OCCURS {$C$L7}         ; |72| 
$C$DW$L$update_u_panel_l2$6$E:
;** --------------------------------------------------------------------------*
	.dwpsn	file "update_u_panel_l2.c",line 73,column 4,is_stmt,isa 0
;----------------------------------------------------------------------
;  73 | u_0 = u[0]; u_1 = u[1]; u_2 = u[2]; u_3 = u[3];                        
;----------------------------------------------------------------------
$C$DW$L$update_u_panel_l2$7$B:

           MV      .L1     A30,A3
||         MV      .S1X    B0,A24
||         LDW     .D2T1   *+SP(36),A27
||         SUB     .D1     A0,1,A18
||         MV      .L2X    A3,B19

           MV      .L2X    A30,B0
||         MV      .L1X    B4,A20
||         LDW     .D2T1   *+SP(32),A26

           MV      .L2X    A30,B10
||         MV      .L1X    B7,A19

           MV      .L2X    A4,B8
           MV      .L2X    A7,B17
           MV      .L2X    A6,B16
$C$DW$L$update_u_panel_l2$7$E:
;*----------------------------------------------------------------------------*
;*   SOFTWARE PIPELINE INFORMATION
;*
;*      Loop found in file               : update_u_panel_l2.c
;*      Loop source line                 : 72
;*      Loop opening brace source line   : 72
;*      Loop closing brace source line   : 97
;*      Known Minimum Trip Count         : 4                    
;*      Known Max Trip Count Factor      : 4
;*      Loop Carried Dependency Bound(^) : 3
;*      Unpartitioned Resource Bound     : 8
;*      Partitioned Resource Bound(*)    : 8
;*      Resource Partition:
;*                                A-side   B-side
;*      .L units                     0        0     
;*      .S units                     0        0     
;*      .D units                     2        6     
;*      .M units                     8*       8*    
;*      .X cross paths               8*       0     
;*      .T address paths             2        6     
;*      Long read paths              0        0     
;*      Long write paths             0        0     
;*      Logical  ops (.LS)           8        8     (.L or .S unit)
;*      Addition ops (.LSD)          0        0     (.L or .S or .D unit)
;*      Bound(.L .S .LS)             4        4     
;*      Bound(.L .S .D .LS .LSD)     4        5     
;*
;*      Searching for software pipeline schedule at ...
;*         ii = 8  Register is live too long
;*         ii = 8  Register pressure too high: 36
;*         ii = 8  Cannot allocate machine registers
;*                   Regs Live Always   :  2/6  (A/B-side)
;*                   Max Regs Live      : 16/28
;*                   Max Cond Regs Live :  0/0 
;*         ii = 8  Schedule found with 3 iterations in parallel
;*      Done
;*
;*      Loop will be splooped
;*      Collapsed epilog stages       : 0
;*      Collapsed prolog stages       : 0
;*      Minimum required memory pad   : 0 bytes
;*
;*      Minimum safe trip count       : 1
;*----------------------------------------------------------------------------*
$C$L4:    ; PIPED LOOP PROLOG
	.dwpsn	file "update_u_panel_l2.c",line 72,column 0,is_stmt,isa 0

           SPLOOPD 8       ;24               ; (P) 
||         MV      .L2     B11,B2
||         ADD     .D2     8,B11,B3
||         MV      .L1X    B5,A21
||         ADDK    .S1     24,A3
||         MVC     .S2X    A18,ILC

;** --------------------------------------------------------------------------*
$C$L5:    ; PIPED LOOP KERNEL
	.dwpsn	file "update_u_panel_l2.c",line 73,column 4,is_stmt,isa 0
;----------------------------------------------------------------------
;  74 | l_0 = l[0]; l_1 = l[1]; l_2 = l[2]; l_3 = l[3];                        
;  75 | u+=4;                                                                  
;  76 | l+=4;                                                                  
;  78 | sum_00 += u_0*l_0;                                                     
;  79 | sum_01 += u_1*l_0;                                                     
;  80 | sum_02 += u_2*l_0;                                                     
;  81 | sum_03 += u_3*l_0;                                                     
;  83 | sum_10 += u_0*l_1;                                                     
;  84 | sum_11 += u_1*l_1;                                                     
;  85 | sum_12 += u_2*l_1;                                                     
;  86 | sum_13 += u_3*l_1;                                                     
;----------------------------------------------------------------------
$C$DW$L$update_u_panel_l2$9$B:

           SPMASK          L1,S1,L2,S2
||         MV      .L1X    B1,A25
||         MV      .L2     B11,B1
||         ADD     .S1     8,A30,A30
||         ADDK    .S2     16,B0
||         LDDW    .D2T2   *B11++(32),B5:B4  ; |78| (P) <0,0> 
||         LDDW    .D1T1   *A3++(32),A7:A6   ; |81| (P) <0,0> 

           SPMASK          L1,L2
||         MV      .L2X    A5,B9
||         MV      .L1X    B6,A18
||         LDDW    .D2T2   *B0++(32),B7:B6   ; |80| (P) <0,1> 
||         LDDW    .D1T1   *A30++(32),A5:A4  ; |79| (P) <0,1> 

           SPMASK          S2
||         ADDK    .S2     24,B1
||         LDDW    .D2T2   *B10++(32),B17:B16 ; |78| (P) <0,2> 

           SPMASK          S2
||         ADDK    .S2     16,B2
||         LDDW    .D2T2   *B1++(32),B31:B30 ; |93| (P) <0,3> 

	.dwpsn	file "update_u_panel_l2.c",line 88,column 4,is_stmt,isa 0
;----------------------------------------------------------------------
;  88 | sum_20 += u_0*l_2;                                                     
;  89 | sum_21 += u_1*l_2;                                                     
;  90 | sum_22 += u_2*l_2;                                                     
;  91 | sum_23 += u_3*l_2;                                                     
;  93 | sum_30 += u_0*l_3;                                                     
;  94 | sum_31 += u_1*l_3;                                                     
;  95 | sum_32 += u_2*l_3;                                                     
;  96 | sum_33 += u_3*l_3;                                                     
;----------------------------------------------------------------------
           LDDW    .D2T2   *B2++(32),B5:B4   ; |88| (P) <0,4> 
	.dwpsn	file "update_u_panel_l2.c",line 83,column 4,is_stmt,isa 0
           LDDW    .D2T2   *B3++(32),B25:B24 ; |83| (P) <0,5> 

           DMVDMV  .S1     A17:A16,A5:A4     ; |79| (P) <0,6> Post-sched spill
||         DMVDMV  .S2     B17:B16,B17:B16   ; |78| (P) <0,6> Post-sched spill
||         FMPYDP  .M1X    B5:B4,A5:A4,A17:A16 ; |79| (P) <0,6> 
||         FMPYDP  .M2     B5:B4,B7:B6,B27:B26 ; |80| (P) <0,6> 

           SPMASK          L2
||         MV      .L2X    A10,B20
||         DMVDMV  .S1     A5:A4,A17:A16     ; |78| (P) <0,7> Post-sched spill
||         DMVDMV  .S2     B17:B16,B7:B6     ; |78| (P) <0,7> Post-sched spill
||         FMPYDP  .M1X    B5:B4,A7:A6,A7:A6 ; |81| (P) <0,7> 
||         FMPYDP  .M2     B5:B4,B17:B16,B17:B16 ; |78| (P) <0,7> 

           SPMASK          L2
||         MV      .L2X    A11,B21
||         DMVDMV  .S1     A27:A26,A5:A4     ; |96| (P) <0,8> Post-sched spill
||         DMVDMV  .S2     B27:B26,B17:B16   ; |95| (P) <0,8> Post-sched spill
||         FMPYDP  .M2     B31:B30,B7:B6,B9:B8 ; |95| (P) <0,8> 
||         FMPYDP  .M1X    B31:B30,A7:A6,A7:A6 ; |96| (P) <0,8> 

           SPMASK          L2
||         MV      .L2X    A2,B18
||         DMVDMV  .S1     A25:A24,A5:A4     ; |91| (P) <0,9> Post-sched spill
||         DMVDMV  .S2     B25:B24,B9:B8     ; |90| (P) <0,9> Post-sched spill
||         FMPYDP  .M2     B5:B4,B7:B6,B23:B22 ; |90| (P) <0,9> 
||         FMPYDP  .M1X    B5:B4,A7:A6,A23:A22 ; |91| (P) <0,9> 

           DMVDMV  .S1     A29:A28,A19:A18   ; |94| (P) <0,10> Post-sched spill
||         DMVDMV  .S2     B29:B28,B19:B18   ; |85| (P) <0,10> Post-sched spill
||         FADDDP  .L1     A17:A16,A9:A8,A9:A8 ; |79| (P) <0,10>  ^ 
||         FADDDP  .L2     B27:B26,B17:B16,B17:B16 ; |80| (P) <0,10>  ^ 
||         FMPYDP  .M2     B25:B24,B7:B6,B23:B22 ; |85| (P) <0,10> 
||         FMPYDP  .M1X    B25:B24,A7:A6,A23:A22 ; |86| (P) <0,10> 

           FADDDP  .L2     B17:B16,B9:B8,B9:B8 ; |78| (P) <0,11>  ^ 
||         FADDDP  .L1     A7:A6,A5:A4,A17:A16 ; |81| (P) <0,11>  ^ 
||         FMPYDP  .M2     B31:B30,B7:B6,B21:B20 ; |93| (P) <0,11> 
||         FMPYDP  .M1X    B31:B30,A17:A16,A21:A20 ; |94| (P) <0,11> 

           DMVDMV  .S1     A23:A22,A19:A18   ; |89| (P) <0,12> Post-sched spill
||         DMVDMV  .S2     B23:B22,B5:B4     ; |88| (P) <0,12> Post-sched spill
||         FADDDP  .L2     B9:B8,B17:B16,B27:B26 ; |95| (P) <0,12>  ^ 
||         FADDDP  .L1     A7:A6,A5:A4,A27:A26 ; |96| (P) <0,12>  ^ 
||         FMPYDP  .M2     B5:B4,B7:B6,B19:B18 ; |88| (P) <0,12> 
||         FMPYDP  .M1X    B5:B4,A17:A16,A5:A4 ; |89| (P) <0,12> 

           DMVDMV  .S1     A19:A18,A5:A4     ; |96| (P) <0,13> Post-sched spill
||         DMVDMV  .S2     B19:B18,B19:B18   ; |83| (P) <0,13> Post-sched spill
||         FADDDP  .L2     B23:B22,B9:B8,B25:B24 ; |90| (P) <0,13>  ^ 
||         FADDDP  .L1     A23:A22,A5:A4,A25:A24 ; |91| (P) <0,13>  ^ 
||         FMPYDP  .M2     B25:B24,B7:B6,B23:B22 ; |83| (P) <0,13> 
||         FMPYDP  .M1X    B25:B24,A17:A16,A19:A18 ; |84| (P) <0,13> 

           FADDDP  .L2     B23:B22,B21:B20,B21:B20 ; |85| (P) <0,14>  ^ 
||         FADDDP  .L1     A23:A22,A21:A20,A21:A20 ; |86| (P) <0,14>  ^ 

           FADDDP  .L2     B21:B20,B19:B18,B29:B28 ; |93| (P) <0,15>  ^ 
||         FADDDP  .L1     A21:A20,A19:A18,A29:A28 ; |94| (P) <0,15>  ^ 

           FADDDP  .L2     B19:B18,B5:B4,B23:B22 ; |88| <0,16>  ^ 
||         FADDDP  .L1     A5:A4,A19:A18,A23:A22 ; |89| <0,16>  ^ 

	.dwpsn	file "update_u_panel_l2.c",line 97,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
;  99 | u_0 = u[0]; u_1 = u[1]; u_2 = u[2]; u_3 = u[3];                        
; 100 | l_0 = l[0]; l_1 = l[1]; l_2 = l[2]; l_3 = l[3];                        
; 102 | sum_00 = l_0*(u_0 - sum_00);                                           
; 103 | sum_01 = l_0*(u_1 - sum_01);                                           
; 104 | sum_02 = l_0*(u_2 - sum_02);                                           
;----------------------------------------------------------------------

           SPKERNEL 0,5
||         FADDDP  .L2     B23:B22,B19:B18,B19:B18 ; |83| <0,17>  ^ 
||         FADDDP  .L1     A19:A18,A5:A4,A19:A18 ; |84| <0,17>  ^ 

$C$DW$L$update_u_panel_l2$9$E:
;** --------------------------------------------------------------------------*
$C$L6:    ; PIPED LOOP EPILOG
           NOP             1
           MV      .S1X    B17,A7

           MV      .D1X    B16,A6
||         STW     .D2T1   A27,*+SP(36)

           MV      .D1X    B10,A30
||         STW     .D2T1   A26,*+SP(32)

           MV      .S1X    B9,A5
||         MV      .S2X    A24,B0

;** --------------------------------------------------------------------------*
$C$DW$L$update_u_panel_l2$11$B:
           MV      .S1X    B8,A4
           MV      .S2X    A25,B1
           MV      .L2X    A20,B4
           MV      .L1X    B18,A2

           MV      .L1X    B19,A3
||         MV      .L2X    A21,B5

           MV      .L2X    A19,B7
||         MV      .L1X    B21,A11

           MV      .L2X    A18,B6
||         MV      .L1X    B20,A10

$C$DW$L$update_u_panel_l2$11$E:
;** --------------------------------------------------------------------------*
$C$L7:    
	.dwpsn	file "update_u_panel_l2.c",line 72,column 13,is_stmt,isa 0
$C$DW$L$update_u_panel_l2$12$B:

           LDDW    .D1T1   *+A30(8),A13:A12  ; |103| 
||         LDDW    .D2T2   *B11,B9:B8        ; |102| 

	.dwpsn	file "update_u_panel_l2.c",line 105,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 105 | sum_03 = l_0*(u_3 - sum_03);                                           
;----------------------------------------------------------------------
           LDDW    .D1T1   *+A30(24),A19:A18 ; |105| 
	.dwpsn	file "update_u_panel_l2.c",line 102,column 2,is_stmt,isa 0
           LDDW    .D1T1   *A30,A25:A24      ; |102| 
	.dwpsn	file "update_u_panel_l2.c",line 104,column 2,is_stmt,isa 0
           LDDW    .D1T1   *+A30(16),A21:A20 ; |104| 
	.dwpsn	file "update_u_panel_l2.c",line 100,column 14,is_stmt,isa 0
           LDDW    .D2T2   *+B11(8),B19:B18  ; |100| 
	.dwpsn	file "update_u_panel_l2.c",line 103,column 2,is_stmt,isa 0
           FSUBDP  .L1     A13:A12,A9:A8,A9:A8 ; |103| 
	.dwpsn	file "update_u_panel_l2.c",line 62,column 22,is_stmt,isa 0
           ADD     .L1     A14,A31,A31       ; |62| 

           FSUBDP  .L1     A19:A18,A17:A16,A5:A4 ; |105| 
||         FSUBDP  .S1     A25:A24,A5:A4,A17:A16 ; |102| 

           FSUBDP  .L1     A21:A20,A7:A6,A7:A6 ; |104| 
||         FMPYDP  .M1X    B9:B8,A9:A8,A9:A8 ; |103| 

           NOP             2

           FMPYDP  .M1X    B9:B8,A7:A6,A13:A12 ; |104| 
||         FMPYDP  .M2X    B9:B8,A5:A4,B3:B2 ; |105| 

           FMPYDP  .M1X    B9:B8,A17:A16,A7:A6 ; |102| 
||         DADD    .L1     0,A9:A8,A27:A26   ; |103| 

	.dwpsn	file "update_u_panel_l2.c",line 105,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 107 | u[0] = sum_00;                                                         
; 108 | u[1] = sum_01;                                                         
;----------------------------------------------------------------------
           DADD    .L1     0,A27:A26,A5:A4   ; |105| 

           STDW    .D1T1   A5:A4,*+A30(8)    ; |108| 
||         FMPYDP  .M2X    B19:B18,A27:A26,B9:B8 ; |116| 

           FMPYDP  .M1X    B19:B18,A13:A12,A17:A16 ; |117| 
||         STDW    .D1T2   B3:B2,*+A30(24)   ; |110| 
||         FMPYDP  .M2     B19:B18,B3:B2,B17:B16 ; |118| 
||         LDDW    .D2T1   *+B11(16),A5:A4   ; |100| 

           FMPYDP  .M1X    B19:B18,A7:A6,A9:A8 ; |115| 
||         STDW    .D1T1   A7:A6,*A30        ; |107| 

	.dwpsn	file "update_u_panel_l2.c",line 109,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 109 | u[2] = sum_02;                                                         
; 110 | u[3] = sum_03;                                                         
; 112 | u+=4;                                                                  
; 113 | l+=4;                                                                  
; 115 | sum_10 += sum_00*l_1;                                                  
; 116 | sum_11 += sum_01*l_1;                                                  
; 117 | sum_12 += sum_02*l_1;                                                  
; 118 | sum_13 += sum_03*l_1;                                                  
; 120 | sum_20 += sum_00*l_2;                                                  
; 121 | sum_21 += sum_01*l_2;                                                  
; 122 | sum_22 += sum_02*l_2;                                                  
; 123 | sum_23 += sum_03*l_2;                                                  
; 125 | sum_30 += sum_00*l_3;                                                  
; 126 | sum_31 += sum_01*l_3;                                                  
; 127 | sum_32 += sum_02*l_3;                                                  
; 128 | sum_33 += sum_03*l_3;                                                  
; 130 | u_0 = u[0]; u_1 = u[1]; u_2 = u[2]; u_3 = u[3];                        
; 131 | l_1 = l[1]; l_2 = l[2]; l_3 = l[3];                                    
; 133 | sum_10 = l_1*(u_0 - sum_10);                                           
; 134 | sum_11 = l_1*(u_1 - sum_11);                                           
; 135 | sum_12 = l_1*(u_2 - sum_12);                                           
;----------------------------------------------------------------------
           STDW    .D1T1   A13:A12,*+A30(16) ; |109| 

           LDDW    .D1T1   *++A30(32),A19:A18 ; |133| 
||         FADDDP  .L2     B9:B8,B7:B6,B7:B6 ; |116| 

           LDDW    .D1T1   *+A30(16),A25:A24 ; |135| 
||         FADDDP  .L2     B17:B16,B5:B4,B19:B18 ; |118| 
||         LDDW    .D2T2   *+B11(24),B5:B4   ; |100| 
||         ADDK    .S2     32,B11            ; |131| 

           FADDDP  .L1     A9:A8,A3:A2,A21:A20 ; |115| 
||         FADDDP  .S1     A17:A16,A11:A10,A3:A2 ; |117| 
||         LDDW    .D1T1   *+A30(8),A17:A16  ; |134| 

	.dwpsn	file "update_u_panel_l2.c",line 136,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 136 | sum_13 = l_1*(u_3 - sum_13);                                           
;----------------------------------------------------------------------
           LDDW    .D1T1   *+A30(24),A9:A8   ; |136| 
	.dwpsn	file "update_u_panel_l2.c",line 133,column 2,is_stmt,isa 0
           LDDW    .D2T2   *+B11(8),B17:B16  ; |133| 
           FSUBDP  .L1     A19:A18,A21:A20,A21:A20 ; |133| 

           FSUBDP  .L1     A25:A24,A3:A2,A19:A18 ; |135| 
||         DADD    .S1X    0,B1:B0,A25:A24   ; |159| 
||         FMPYDP  .M2X    B5:B4,A13:A12,B13:B12 ; |127| 

           FSUBDP  .L1X    A17:A16,B7:B6,A17:A16 ; |134| 
||         LDDW    .D2T2   *+B11(16),B7:B6   ; |131| 

	.dwpsn	file "update_u_panel_l2.c",line 136,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 138 | u[0] = sum_10;                                                         
; 139 | u[1] = sum_11;                                                         
; 140 | u[2] = sum_12;                                                         
; 141 | u[3] = sum_13;                                                         
; 143 | u+=4;                                                                  
; 144 | l+=4;                                                                  
; 146 | sum_20 += sum_10*l_2;                                                  
; 147 | sum_21 += sum_11*l_2;                                                  
; 148 | sum_22 += sum_12*l_2;                                                  
; 149 | sum_23 += sum_13*l_2;                                                  
;----------------------------------------------------------------------
           FSUBDP  .L1X    A9:A8,B19:B18,A9:A8 ; |136| 

           FMPYDP  .M2X    B17:B16,A21:A20,B9:B8 ; |133| 
||         DADD    .S1     0,A27:A26,A21:A20 ; |136| 

           FMPYDP  .M2X    B17:B16,A19:A18,B19:B18 ; |135| 
||         FMPYDP  .M1     A5:A4,A7:A6,A19:A18 ; |120| 

           FMPYDP  .M1X    B17:B16,A9:A8,A9:A8 ; |136| 
||         FMPYDP  .M2X    B17:B16,A17:A16,B17:B16 ; |134| 

	.dwpsn	file "update_u_panel_l2.c",line 121,column 2,is_stmt,isa 0
           FMPYDP  .M1     A5:A4,A21:A20,A3:A2 ; |121| 

           FMPYDP  .M1X    A5:A4,B3:B2,A17:A16 ; |123| 
||         FMPYDP  .M2     B7:B6,B9:B8,B21:B20 ; |146| 
||         STDW    .D1T2   B9:B8,*A30        ; |138| 

           FMPYDP  .M1     A5:A4,A13:A12,A21:A20 ; |122| 
||         DADD    .L1X    0,B23:B22,A5:A4   ; |140| 
||         FMPYDP  .M2     B7:B6,B19:B18,B23:B22 ; |148| 
||         STDW    .D1T2   B19:B18,*+A30(16) ; |140| 

           FADDDP  .L1     A19:A18,A5:A4,A19:A18 ; |120| 
||         FMPYDP  .M2     B7:B6,B17:B16,B31:B30 ; |147| 
||         STDW    .D1T2   B17:B16,*+A30(8)  ; |139| 

           FADDDP  .L1     A3:A2,A23:A22,A11:A10 ; |121| 
||         FMPYDP  .M1X    B7:B6,A9:A8,A23:A22 ; |149| 
||         STDW    .D1T1   A9:A8,*+A30(24)   ; |141| 
||         LDDW    .D2T2   *+B11(24),B7:B6   ; |131| 
||         ADDK    .S2     32,B11            ; |157| 

           DADD    .S1X    0,B25:B24,A3:A2   ; |159| 
||         LDDW    .D1T1   *++A30(32),A5:A4  ; |159| 
||         FMPYDP  .M2X    B5:B4,A7:A6,B25:B24 ; |125| 

           FADDDP  .L1     A17:A16,A25:A24,A21:A20 ; |123| 
||         FADDDP  .S1     A21:A20,A3:A2,A17:A16 ; |122| 
||         LDDW    .D1T1   *+A30(16),A25:A24 ; |161| 

           FADDDP  .L2X    B21:B20,A19:A18,B1:B0 ; |146| 
||         LDDW    .D1T1   *+A30(8),A19:A18  ; |160| 

           LDDW    .D1T2   *+A30(24),B21:B20 ; |162| 
||         FADDDP  .L2X    B31:B30,A11:A10,B31:B30 ; |147| 

           FADDDP  .L1     A23:A22,A21:A20,A21:A20 ; |149| 
||         FADDDP  .S1X    B23:B22,A17:A16,A17:A16 ; |148| 
||         LDDW    .D2T2   *+B11(16),B23:B22 ; |159| 
||         FADDDP  .L2     B25:B24,B29:B28,B29:B28 ; |125| 
||         FMPYDP  .M2X    B7:B6,A9:A8,B25:B24 ; |154| 

	.dwpsn	file "update_u_panel_l2.c",line 151,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 151 | sum_30 += sum_10*l_3;                                                  
; 152 | sum_31 += sum_11*l_3;                                                  
; 153 | sum_32 += sum_12*l_3;                                                  
; 154 | sum_33 += sum_13*l_3;                                                  
; 156 | u_0 = u[0]; u_1 = u[1]; u_2 = u[2]; u_3 = u[3];                        
; 157 | l_2 = l[2]; l_3 = l[3];                                                
; 159 | sum_20 = l_2*(u_0 - sum_20);                                           
; 160 | sum_21 = l_2*(u_1 - sum_21);                                           
;----------------------------------------------------------------------
           FMPYDP  .M2     B7:B6,B9:B8,B9:B8 ; |151| 

           FSUBDP  .L1X    A5:A4,B1:B0,A5:A4 ; |159| 
||         FMPYDP  .M2X    B5:B4,A27:A26,B1:B0 ; |126| 

           FSUBDP  .L1     A25:A24,A17:A16,A7:A6 ; |161| 
||         FSUBDP  .S1X    A19:A18,B31:B30,A17:A16 ; |160| 
||         FMPYDP  .M2     B5:B4,B3:B2,B31:B30 ; |128| 
||         LDDW    .D2T2   *+B11(24),B5:B4   ; |157| 
||         ADDK    .S2     32,B11            ; |181| 

           FSUBDP  .L2X    B21:B20,A21:A20,B21:B20 ; |162| 
||         FMPYDP  .M2     B7:B6,B19:B18,B19:B18 ; |153| 
||         LDW     .D2T2   *+SP(16),B2       ; |187| 

           FMPYDP  .M1X    B23:B22,A5:A4,A5:A4 ; |159| 
||         FMPYDP  .M2     B7:B6,B17:B16,B17:B16 ; |152| 

	.dwpsn	file "update_u_panel_l2.c",line 161,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 161 | sum_22 = l_2*(u_2 - sum_22);                                           
; 162 | sum_23 = l_2*(u_3 - sum_23);                                           
;----------------------------------------------------------------------
           FMPYDP  .M1X    B23:B22,A7:A6,A7:A6 ; |161| 

           FMPYDP  .M2     B23:B22,B21:B20,B21:B20 ; |162| 
||         FMPYDP  .M1X    B23:B22,A17:A16,A9:A8 ; |160| 
||         LDDW    .D2T2   *+SP(32),B23:B22  ; |160| 

	.dwpsn	file "update_u_panel_l2.c",line 164,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 164 | u[0] = sum_20;                                                         
; 165 | u[1] = sum_21;                                                         
;----------------------------------------------------------------------
           DADD    .L2X    0,A29:A28,B7:B6   ; |164| 
           STDW    .D1T1   A5:A4,*A30        ; |164| 
	.dwpsn	file "update_u_panel_l2.c",line 166,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 166 | u[2] = sum_22;                                                         
; 167 | u[3] = sum_23;                                                         
; 169 | u+=4;                                                                  
; 170 | l+=4;                                                                  
; 172 | sum_30 += sum_20*l_3;                                                  
; 173 | sum_31 += sum_21*l_3;                                                  
; 174 | sum_32 += sum_22*l_3;                                                  
; 175 | sum_33 += sum_23*l_3;                                                  
; 177 | u_0 = u[0]; u_1 = u[1]; u_2 = u[2]; u_3 = u[3];                        
; 178 | l_3 = l[3];                                                            
; 180 | sum_30 = l_3*(u_0 - sum_30);                                           
;----------------------------------------------------------------------
           STDW    .D1T1   A7:A6,*+A30(16)   ; |166| 

           STDW    .D1T2   B21:B20,*+A30(24) ; |167| 
||         FMPYDP  .M2     B5:B4,B21:B20,B9:B8 ; |183| 
||         FADDDP  .L2     B9:B8,B29:B28,B21:B20 ; |151| 

           FADDDP  .L2     B31:B30,B23:B22,B23:B22 ; |128| 
||         FADDDP  .S2     B13:B12,B27:B26,B31:B30 ; |127| 
||         STDW    .D1T1   A9:A8,*+A30(8)    ; |165| 
||         ADDK    .S1     32,A30            ; |181| 

           FADDDP  .L2     B1:B0,B7:B6,B27:B26 ; |126| 
||         FMPYDP  .M2X    B5:B4,A5:A4,B7:B6 ; |185| 
||         LDDW    .D1T1   *A30,A5:A4        ; |185| 
||         SUB     .S2     B2,1,B0           ; |62| 

	.dwpsn	file "update_u_panel_l2.c",line 181,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 181 | sum_31 = l_3*(u_1 - sum_31);                                           
; 182 | sum_32 = l_3*(u_2 - sum_32);                                           
; 183 | sum_33 = l_3*(u_3 - sum_33);                                           
;----------------------------------------------------------------------
           LDDW    .D1T1   *+A30(8),A17:A16  ; |181| 

           FADDDP  .L2     B25:B24,B23:B22,B25:B24 ; |154| 
||         FMPYDP  .M2X    B5:B4,A7:A6,B23:B22 ; |182| 
||         FADDDP  .S2     B19:B18,B31:B30,B19:B18 ; |153| 
||         LDDW    .D1T1   *+A30(24),A7:A6   ; |183| 

           FMPYDP  .M2X    B5:B4,A9:A8,B5:B4 ; |181| 
||         FADDDP  .L2     B17:B16,B27:B26,B17:B16 ; |152| 
||         LDDW    .D1T1   *+A30(16),A9:A8   ; |182| 

	.dwpsn	file "update_u_panel_l2.c",line 185,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 185 | u[0] = sum_30;                                                         
;----------------------------------------------------------------------
           FADDDP  .L2     B7:B6,B21:B20,B7:B6 ; |185| 
	.dwpsn	file "update_u_panel_l2.c",line 183,column 2,is_stmt,isa 0
           FADDDP  .L2     B9:B8,B25:B24,B9:B8 ; |183| 
	.dwpsn	file "update_u_panel_l2.c",line 182,column 2,is_stmt,isa 0
           FADDDP  .L2     B23:B22,B19:B18,B19:B18 ; |182| 

           FADDDP  .L2     B5:B4,B17:B16,B17:B16 ; |181| 
||         LDDW    .D2T2   *+B11(24),B5:B4   ; |181| 

           FSUBDP  .L1X    A5:A4,B7:B6,A5:A4 ; |185| 
|| [ B0]   LDW     .D2T2   *+SP(4),B11       ; |70| 

	.dwpsn	file "update_u_panel_l2.c",line 183,column 2,is_stmt,isa 0
           FSUBDP  .L1X    A7:A6,B9:B8,A7:A6 ; |183| 
	.dwpsn	file "update_u_panel_l2.c",line 182,column 2,is_stmt,isa 0
           FSUBDP  .L1X    A9:A8,B19:B18,A9:A8 ; |182| 
	.dwpsn	file "update_u_panel_l2.c",line 181,column 2,is_stmt,isa 0
           FSUBDP  .L1X    A17:A16,B17:B16,A17:A16 ; |181| 
	.dwpsn	file "update_u_panel_l2.c",line 185,column 2,is_stmt,isa 0
;----------------------------------------------------------------------
; 186 | u[1] = sum_31;                                                         
; 187 | u[2] = sum_32;                                                         
; 188 | u[3] = sum_33;                                                         
;----------------------------------------------------------------------
           FMPYDP  .M1X    B5:B4,A5:A4,A5:A4 ; |185| 
	.dwpsn	file "update_u_panel_l2.c",line 182,column 2,is_stmt,isa 0
           FMPYDP  .M1X    B5:B4,A9:A8,A9:A8 ; |182| 

           FMPYDP  .M1X    B5:B4,A7:A6,A7:A6 ; |183| 
|| [ B0]   B       .S1     $C$L3             ; |62| 

           FMPYDP  .M1X    B5:B4,A17:A16,A17:A16 ; |181| 
|| [!B0]   LDW     .D2T2   *+SP(4),B5
||         SUB     .L2     B2,1,B4           ; |62| 

           STDW    .D1T1   A5:A4,*A30        ; |185| 
|| [ B0]   ZERO    .L1     A5:A4             ; |67| 
||         STW     .D2T2   B4,*+SP(16)       ; |186| 

           STDW    .D1T1   A9:A8,*+A30(16)   ; |187| 
|| [ B0]   DADD    .L1     0,A5:A4,A9:A8     ; |67| 
|| [!B0]   LDW     .D2T2   *+SP(12),B4

           STDW    .D1T1   A7:A6,*+A30(24)   ; |188| 
|| [ B0]   DADD    .L1     0,A9:A8,A7:A6     ; |67| 

	.dwpsn	file "update_u_panel_l2.c",line 189,column 0,is_stmt,isa 0

           STDW    .D1T1   A17:A16,*+A30(8)  ; |186| 
|| [ B0]   DADD    .L1     0,A7:A6,A17:A16   ; |67| 
|| [ B0]   MV      .S1     A31,A30           ; |64| 

	.dwpsn	file "update_u_panel_l2.c",line 62,column 22,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L3}         ; |62| 
$C$DW$L$update_u_panel_l2$12$E:
;** --------------------------------------------------------------------------*
	.dwpsn	file "update_u_panel_l2.c",line 61,column 16,is_stmt,isa 0
$C$DW$L$update_u_panel_l2$13$B:

           LDW     .D2T1   *+SP(24),A3
||         ADD     .L2X    A14,B5,B5         ; |61| 
||         ADD     .L1     4,A0,A0           ; |61| 

           STW     .D2T2   B5,*+SP(4)        ; |61| 

           SUB     .L2     B4,1,B0           ; |61| 
||         SUB     .S2     B4,1,B4           ; |61| 

   [ B0]   BNOP    .S1     $C$L2,1           ; |61| 
|| [ B0]   MPY32   .M1     A1,A15,A4
||         STW     .D2T2   B4,*+SP(12)       ; |61| 
|| [ B0]   MVK     .L2     0x4,B4            ; |62| 

   [ B0]   STW     .D2T2   B4,*+SP(16)
	.dwpsn	file "update_u_panel_l2.c",line 70,column 30,is_stmt,isa 0
   [ B0]   LDW     .D2T2   *+SP(4),B11       ; |70| 

           ADDAD   .D1     A3,A4,A31
||         ZERO    .L1     A5:A4             ; |67| 

	.dwpsn	file "update_u_panel_l2.c",line 190,column 0,is_stmt,isa 0

   [ B0]   MV      .L1     A31,A30           ; |64| 
||         DADD    .S1     0,A5:A4,A9:A8     ; |67| 

	.dwpsn	file "update_u_panel_l2.c",line 61,column 16,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L2}         ; |61| 
$C$DW$L$update_u_panel_l2$13$E:
;** --------------------------------------------------------------------------*
$C$L8:    
$C$DW$L$update_u_panel_l2$14$B:
           LDW     .D2T2   *+SP(8),B4
	.dwpsn	file "update_u_panel_l2.c",line 60,column 20,is_stmt,isa 0
           ADDK    .S1     16,A15            ; |60| 
           NOP             3

           SUB     .L1X    B4,1,A0           ; |60| 
||         SUB     .L2     B4,1,B4           ; |60| 

   [!A0]   MVK     .L1     0x1,A1            ; nullify predicate
|| [ A0]   B       .S1     $C$L1             ; |60| 
||         STW     .D2T2   B4,*+SP(8)        ; |60| 

	.dwpsn	file "update_u_panel_l2.c",line 191,column 0,is_stmt,isa 0
;----------------------------------------------------------------------
; 193 | #if 0                                                                  
; 194 | double row_scale;                                                      
; 195 | double sum;                                                            
; 196 | size_t row;                                                            
; 197 | size_t col;                                                            
; 198 | size_t r;                                                              
; 201 | for(row=0; row<panel_width; ++row) {                                   
; 202 |   row_scale = l_head[index_l_l2(row, row)];                            
; 204 |   for(col=0; col<cols; ++col) {                                        
; 205 |     sum = 0.0;                                                         
; 206 |     for(r = 0; r<row; ++r) {                                           
; 207 |       sum += l_head[index_l_l2(row, r)]*u_l2[index_u_l2(r, col)];      
; 210 |     u_l2[index_u_l2(row, col)] = row_scale*(u_l2[index_u_l2(row, col)]
;     | - sum);                                                                
; 213 | #endif                                                                 
;----------------------------------------------------------------------

   [!A1]   BNOP    .S1     $C$L8,4           ; |61| 
|| [ A1]   LDW     .D2T1   *+SP(20),A3       ; |62| 
|| [ A1]   ADD     .L1     3,A1,A4           ; |62| 

	.dwpsn	file "update_u_panel_l2.c",line 60,column 20,is_stmt,isa 0
           ; BRANCHCC OCCURS {$C$L1}         ; |60| 
$C$DW$L$update_u_panel_l2$14$E:
;** --------------------------------------------------------------------------*
$C$L9:    
	.dwpsn	file "update_u_panel_l2.c",line 214,column 1,is_stmt,isa 0
           LDW     .D2T2   *++SP(56),B3      ; |214| 
           LDDW    .D2T1   *++SP,A13:A12     ; |214| 
           LDDW    .D2T1   *++SP,A15:A14     ; |214| 
           LDDW    .D2T2   *++SP,B11:B10     ; |214| 
           LDDW    .D2T2   *++SP,B13:B12     ; |214| 
$C$DW$6	.dwtag  DW_TAG_TI_branch
	.dwattr $C$DW$6, DW_AT_low_pc(0x04)
	.dwattr $C$DW$6, DW_AT_TI_return

           LDW     .D2T1   *++SP(8),A10      ; |214| 
||         RET     .S2     B3                ; |214| 

           LDW     .D2T1   *++SP(8),A11      ; |214| 
           NOP             4
           ; BRANCH OCCURS {B3}              ; |214| 

$C$DW$7	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$7, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/update_u_panel_l2.asm:$C$L1:1:1344255120")
	.dwattr $C$DW$7, DW_AT_TI_begin_file("update_u_panel_l2.c")
	.dwattr $C$DW$7, DW_AT_TI_begin_line(0x3c)
	.dwattr $C$DW$7, DW_AT_TI_end_line(0xbf)
$C$DW$8	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$8, DW_AT_low_pc($C$DW$L$update_u_panel_l2$3$B)
	.dwattr $C$DW$8, DW_AT_high_pc($C$DW$L$update_u_panel_l2$3$E)
$C$DW$9	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$9, DW_AT_low_pc($C$DW$L$update_u_panel_l2$4$B)
	.dwattr $C$DW$9, DW_AT_high_pc($C$DW$L$update_u_panel_l2$4$E)
$C$DW$10	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$10, DW_AT_low_pc($C$DW$L$update_u_panel_l2$14$B)
	.dwattr $C$DW$10, DW_AT_high_pc($C$DW$L$update_u_panel_l2$14$E)

$C$DW$11	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$11, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/update_u_panel_l2.asm:$C$L2:2:1344255120")
	.dwattr $C$DW$11, DW_AT_TI_begin_file("update_u_panel_l2.c")
	.dwattr $C$DW$11, DW_AT_TI_begin_line(0x3d)
	.dwattr $C$DW$11, DW_AT_TI_end_line(0xbe)
$C$DW$12	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$12, DW_AT_low_pc($C$DW$L$update_u_panel_l2$5$B)
	.dwattr $C$DW$12, DW_AT_high_pc($C$DW$L$update_u_panel_l2$5$E)
$C$DW$13	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$13, DW_AT_low_pc($C$DW$L$update_u_panel_l2$13$B)
	.dwattr $C$DW$13, DW_AT_high_pc($C$DW$L$update_u_panel_l2$13$E)

$C$DW$14	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$14, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/update_u_panel_l2.asm:$C$L3:3:1344255120")
	.dwattr $C$DW$14, DW_AT_TI_begin_file("update_u_panel_l2.c")
	.dwattr $C$DW$14, DW_AT_TI_begin_line(0x3e)
	.dwattr $C$DW$14, DW_AT_TI_end_line(0xbd)
$C$DW$15	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$15, DW_AT_low_pc($C$DW$L$update_u_panel_l2$6$B)
	.dwattr $C$DW$15, DW_AT_high_pc($C$DW$L$update_u_panel_l2$6$E)
$C$DW$16	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$16, DW_AT_low_pc($C$DW$L$update_u_panel_l2$7$B)
	.dwattr $C$DW$16, DW_AT_high_pc($C$DW$L$update_u_panel_l2$7$E)
$C$DW$17	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$17, DW_AT_low_pc($C$DW$L$update_u_panel_l2$11$B)
	.dwattr $C$DW$17, DW_AT_high_pc($C$DW$L$update_u_panel_l2$11$E)
$C$DW$18	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$18, DW_AT_low_pc($C$DW$L$update_u_panel_l2$12$B)
	.dwattr $C$DW$18, DW_AT_high_pc($C$DW$L$update_u_panel_l2$12$E)

$C$DW$19	.dwtag  DW_TAG_TI_loop
	.dwattr $C$DW$19, DW_AT_name("/home/noname/dist-ti-0.0.3/src/dma-linpack/update_u_panel_l2.asm:$C$L5:4:1344255120")
	.dwattr $C$DW$19, DW_AT_TI_begin_file("update_u_panel_l2.c")
	.dwattr $C$DW$19, DW_AT_TI_begin_line(0x48)
	.dwattr $C$DW$19, DW_AT_TI_end_line(0x61)
$C$DW$20	.dwtag  DW_TAG_TI_loop_range
	.dwattr $C$DW$20, DW_AT_low_pc($C$DW$L$update_u_panel_l2$9$B)
	.dwattr $C$DW$20, DW_AT_high_pc($C$DW$L$update_u_panel_l2$9$E)
	.dwendtag $C$DW$19

	.dwendtag $C$DW$14

	.dwendtag $C$DW$11

	.dwendtag $C$DW$7

	.dwattr $C$DW$1, DW_AT_TI_end_file("update_u_panel_l2.c")
	.dwattr $C$DW$1, DW_AT_TI_end_line(0xd6)
	.dwattr $C$DW$1, DW_AT_TI_end_column(0x01)
	.dwendtag $C$DW$1


;******************************************************************************
;* BUILD ATTRIBUTES                                                           *
;******************************************************************************
	.battr "TI", Tag_File, 1, Tag_Long_Precision_Bits(2)
	.battr "TI", Tag_File, 1, Tag_Bitfield_layout(2)
	.battr "TI", Tag_File, 1, Tag_ABI_enum_size(3)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_wchar_t(1)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_alignment(2)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_array_object_align_expected(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PIC(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_PID(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_DSBT(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_needed(0)
	.battr "c6xabi", Tag_File, 1, Tag_ABI_stack_align_preserved(1)
	.battr "TI", Tag_File, 1, Tag_Tramps_Use_SOC(1)

;******************************************************************************
;* TYPE INFORMATION                                                           *
;******************************************************************************
$C$DW$T$4	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$4, DW_AT_encoding(DW_ATE_boolean)
	.dwattr $C$DW$T$4, DW_AT_name("bool")
	.dwattr $C$DW$T$4, DW_AT_byte_size(0x01)
$C$DW$T$5	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$5, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$5, DW_AT_name("signed char")
	.dwattr $C$DW$T$5, DW_AT_byte_size(0x01)
$C$DW$T$26	.dwtag  DW_TAG_typedef, DW_AT_name("int8_t")
	.dwattr $C$DW$T$26, DW_AT_type(*$C$DW$T$5)
	.dwattr $C$DW$T$26, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$26, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$26, DW_AT_decl_line(0x2a)
	.dwattr $C$DW$T$26, DW_AT_decl_column(0x1d)
$C$DW$T$27	.dwtag  DW_TAG_typedef, DW_AT_name("int_least8_t")
	.dwattr $C$DW$T$27, DW_AT_type(*$C$DW$T$26)
	.dwattr $C$DW$T$27, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$27, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$27, DW_AT_decl_line(0x39)
	.dwattr $C$DW$T$27, DW_AT_decl_column(0x17)
$C$DW$T$6	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$6, DW_AT_encoding(DW_ATE_unsigned_char)
	.dwattr $C$DW$T$6, DW_AT_name("unsigned char")
	.dwattr $C$DW$T$6, DW_AT_byte_size(0x01)
$C$DW$T$28	.dwtag  DW_TAG_typedef, DW_AT_name("uint8_t")
	.dwattr $C$DW$T$28, DW_AT_type(*$C$DW$T$6)
	.dwattr $C$DW$T$28, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$28, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$28, DW_AT_decl_line(0x2b)
	.dwattr $C$DW$T$28, DW_AT_decl_column(0x1c)
$C$DW$T$29	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least8_t")
	.dwattr $C$DW$T$29, DW_AT_type(*$C$DW$T$28)
	.dwattr $C$DW$T$29, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$29, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$29, DW_AT_decl_line(0x3a)
	.dwattr $C$DW$T$29, DW_AT_decl_column(0x16)
$C$DW$T$7	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$7, DW_AT_encoding(DW_ATE_signed_char)
	.dwattr $C$DW$T$7, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$7, DW_AT_byte_size(0x02)
$C$DW$T$8	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$8, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$8, DW_AT_name("short")
	.dwattr $C$DW$T$8, DW_AT_byte_size(0x02)
$C$DW$T$30	.dwtag  DW_TAG_typedef, DW_AT_name("int16_t")
	.dwattr $C$DW$T$30, DW_AT_type(*$C$DW$T$8)
	.dwattr $C$DW$T$30, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$30, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$30, DW_AT_decl_line(0x2c)
	.dwattr $C$DW$T$30, DW_AT_decl_column(0x1d)
$C$DW$T$31	.dwtag  DW_TAG_typedef, DW_AT_name("int_least16_t")
	.dwattr $C$DW$T$31, DW_AT_type(*$C$DW$T$30)
	.dwattr $C$DW$T$31, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$31, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$31, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$31, DW_AT_decl_column(0x17)
$C$DW$T$9	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$9, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$9, DW_AT_name("unsigned short")
	.dwattr $C$DW$T$9, DW_AT_byte_size(0x02)
$C$DW$T$33	.dwtag  DW_TAG_typedef, DW_AT_name("uint16_t")
	.dwattr $C$DW$T$33, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$33, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$33, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$33, DW_AT_decl_line(0x2d)
	.dwattr $C$DW$T$33, DW_AT_decl_column(0x1c)
$C$DW$T$34	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least16_t")
	.dwattr $C$DW$T$34, DW_AT_type(*$C$DW$T$33)
	.dwattr $C$DW$T$34, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$34, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$34, DW_AT_decl_line(0x3d)
	.dwattr $C$DW$T$34, DW_AT_decl_column(0x16)
$C$DW$T$32	.dwtag  DW_TAG_typedef, DW_AT_name("wchar_t")
	.dwattr $C$DW$T$32, DW_AT_type(*$C$DW$T$9)
	.dwattr $C$DW$T$32, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$32, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$32, DW_AT_decl_line(0x3c)
	.dwattr $C$DW$T$32, DW_AT_decl_column(0x1a)
$C$DW$T$10	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$10, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$10, DW_AT_name("int")
	.dwattr $C$DW$T$10, DW_AT_byte_size(0x04)
$C$DW$T$35	.dwtag  DW_TAG_typedef, DW_AT_name("int32_t")
	.dwattr $C$DW$T$35, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$35, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$35, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$35, DW_AT_decl_line(0x2e)
	.dwattr $C$DW$T$35, DW_AT_decl_column(0x1d)
$C$DW$T$36	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast16_t")
	.dwattr $C$DW$T$36, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$T$36, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$36, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$36, DW_AT_decl_line(0x4b)
	.dwattr $C$DW$T$36, DW_AT_decl_column(0x17)
$C$DW$T$37	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast32_t")
	.dwattr $C$DW$T$37, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$T$37, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$37, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$37, DW_AT_decl_line(0x4e)
	.dwattr $C$DW$T$37, DW_AT_decl_column(0x17)
$C$DW$T$38	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast8_t")
	.dwattr $C$DW$T$38, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$T$38, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$38, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$38, DW_AT_decl_line(0x49)
	.dwattr $C$DW$T$38, DW_AT_decl_column(0x17)
$C$DW$T$39	.dwtag  DW_TAG_typedef, DW_AT_name("int_least32_t")
	.dwattr $C$DW$T$39, DW_AT_type(*$C$DW$T$35)
	.dwattr $C$DW$T$39, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$39, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$39, DW_AT_decl_line(0x3e)
	.dwattr $C$DW$T$39, DW_AT_decl_column(0x17)
$C$DW$T$40	.dwtag  DW_TAG_typedef, DW_AT_name("intptr_t")
	.dwattr $C$DW$T$40, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$40, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$40, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$40, DW_AT_decl_line(0x58)
	.dwattr $C$DW$T$40, DW_AT_decl_column(0x1a)
$C$DW$T$41	.dwtag  DW_TAG_typedef, DW_AT_name("ptrdiff_t")
	.dwattr $C$DW$T$41, DW_AT_type(*$C$DW$T$10)
	.dwattr $C$DW$T$41, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$41, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$41, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$41, DW_AT_decl_column(0x1c)
$C$DW$T$11	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$11, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$11, DW_AT_name("unsigned int")
	.dwattr $C$DW$T$11, DW_AT_byte_size(0x04)
$C$DW$T$24	.dwtag  DW_TAG_typedef, DW_AT_name("size_t")
	.dwattr $C$DW$T$24, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$24, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$24, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stddef.h")
	.dwattr $C$DW$T$24, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$24, DW_AT_decl_column(0x19)
$C$DW$T$43	.dwtag  DW_TAG_typedef, DW_AT_name("uint32_t")
	.dwattr $C$DW$T$43, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$43, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$43, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$43, DW_AT_decl_line(0x2f)
	.dwattr $C$DW$T$43, DW_AT_decl_column(0x1c)
$C$DW$T$44	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast16_t")
	.dwattr $C$DW$T$44, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$T$44, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$44, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$44, DW_AT_decl_line(0x4c)
	.dwattr $C$DW$T$44, DW_AT_decl_column(0x16)
$C$DW$T$45	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast32_t")
	.dwattr $C$DW$T$45, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$T$45, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$45, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$45, DW_AT_decl_line(0x4f)
	.dwattr $C$DW$T$45, DW_AT_decl_column(0x16)
$C$DW$T$46	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast8_t")
	.dwattr $C$DW$T$46, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$T$46, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$46, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$46, DW_AT_decl_line(0x4a)
	.dwattr $C$DW$T$46, DW_AT_decl_column(0x16)
$C$DW$T$47	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least32_t")
	.dwattr $C$DW$T$47, DW_AT_type(*$C$DW$T$43)
	.dwattr $C$DW$T$47, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$47, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$47, DW_AT_decl_line(0x3f)
	.dwattr $C$DW$T$47, DW_AT_decl_column(0x16)
$C$DW$T$48	.dwtag  DW_TAG_typedef, DW_AT_name("uintptr_t")
	.dwattr $C$DW$T$48, DW_AT_type(*$C$DW$T$11)
	.dwattr $C$DW$T$48, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$48, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$48, DW_AT_decl_line(0x59)
	.dwattr $C$DW$T$48, DW_AT_decl_column(0x1a)
$C$DW$T$12	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$12, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$12, DW_AT_name("__int40_t")
	.dwattr $C$DW$T$12, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$12, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$12, DW_AT_bit_offset(0x18)
$C$DW$T$50	.dwtag  DW_TAG_typedef, DW_AT_name("int40_t")
	.dwattr $C$DW$T$50, DW_AT_type(*$C$DW$T$12)
	.dwattr $C$DW$T$50, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$50, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$50, DW_AT_decl_line(0x31)
	.dwattr $C$DW$T$50, DW_AT_decl_column(0x21)
$C$DW$T$51	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast40_t")
	.dwattr $C$DW$T$51, DW_AT_type(*$C$DW$T$50)
	.dwattr $C$DW$T$51, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$51, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$51, DW_AT_decl_line(0x51)
	.dwattr $C$DW$T$51, DW_AT_decl_column(0x17)
$C$DW$T$52	.dwtag  DW_TAG_typedef, DW_AT_name("int_least40_t")
	.dwattr $C$DW$T$52, DW_AT_type(*$C$DW$T$50)
	.dwattr $C$DW$T$52, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$52, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$52, DW_AT_decl_line(0x41)
	.dwattr $C$DW$T$52, DW_AT_decl_column(0x17)
$C$DW$T$13	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$13, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$13, DW_AT_name("unsigned __int40_t")
	.dwattr $C$DW$T$13, DW_AT_byte_size(0x08)
	.dwattr $C$DW$T$13, DW_AT_bit_size(0x28)
	.dwattr $C$DW$T$13, DW_AT_bit_offset(0x18)
$C$DW$T$53	.dwtag  DW_TAG_typedef, DW_AT_name("uint40_t")
	.dwattr $C$DW$T$53, DW_AT_type(*$C$DW$T$13)
	.dwattr $C$DW$T$53, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$53, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$53, DW_AT_decl_line(0x32)
	.dwattr $C$DW$T$53, DW_AT_decl_column(0x20)
$C$DW$T$54	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast40_t")
	.dwattr $C$DW$T$54, DW_AT_type(*$C$DW$T$53)
	.dwattr $C$DW$T$54, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$54, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$54, DW_AT_decl_line(0x52)
	.dwattr $C$DW$T$54, DW_AT_decl_column(0x16)
$C$DW$T$55	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least40_t")
	.dwattr $C$DW$T$55, DW_AT_type(*$C$DW$T$53)
	.dwattr $C$DW$T$55, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$55, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$55, DW_AT_decl_line(0x42)
	.dwattr $C$DW$T$55, DW_AT_decl_column(0x16)
$C$DW$T$14	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$14, DW_AT_encoding(DW_ATE_signed)
	.dwattr $C$DW$T$14, DW_AT_name("long long")
	.dwattr $C$DW$T$14, DW_AT_byte_size(0x08)
$C$DW$T$56	.dwtag  DW_TAG_typedef, DW_AT_name("int64_t")
	.dwattr $C$DW$T$56, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$56, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$56, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$56, DW_AT_decl_line(0x34)
	.dwattr $C$DW$T$56, DW_AT_decl_column(0x21)
$C$DW$T$57	.dwtag  DW_TAG_typedef, DW_AT_name("int_fast64_t")
	.dwattr $C$DW$T$57, DW_AT_type(*$C$DW$T$56)
	.dwattr $C$DW$T$57, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$57, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$57, DW_AT_decl_line(0x54)
	.dwattr $C$DW$T$57, DW_AT_decl_column(0x17)
$C$DW$T$58	.dwtag  DW_TAG_typedef, DW_AT_name("int_least64_t")
	.dwattr $C$DW$T$58, DW_AT_type(*$C$DW$T$56)
	.dwattr $C$DW$T$58, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$58, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$58, DW_AT_decl_line(0x44)
	.dwattr $C$DW$T$58, DW_AT_decl_column(0x17)
$C$DW$T$59	.dwtag  DW_TAG_typedef, DW_AT_name("intmax_t")
	.dwattr $C$DW$T$59, DW_AT_type(*$C$DW$T$14)
	.dwattr $C$DW$T$59, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$59, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$59, DW_AT_decl_line(0x5c)
	.dwattr $C$DW$T$59, DW_AT_decl_column(0x20)
$C$DW$T$15	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$15, DW_AT_encoding(DW_ATE_unsigned)
	.dwattr $C$DW$T$15, DW_AT_name("unsigned long long")
	.dwattr $C$DW$T$15, DW_AT_byte_size(0x08)
$C$DW$T$60	.dwtag  DW_TAG_typedef, DW_AT_name("uint64_t")
	.dwattr $C$DW$T$60, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$60, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$60, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$60, DW_AT_decl_line(0x35)
	.dwattr $C$DW$T$60, DW_AT_decl_column(0x20)
$C$DW$T$61	.dwtag  DW_TAG_typedef, DW_AT_name("uint_fast64_t")
	.dwattr $C$DW$T$61, DW_AT_type(*$C$DW$T$60)
	.dwattr $C$DW$T$61, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$61, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$61, DW_AT_decl_line(0x55)
	.dwattr $C$DW$T$61, DW_AT_decl_column(0x16)
$C$DW$T$62	.dwtag  DW_TAG_typedef, DW_AT_name("uint_least64_t")
	.dwattr $C$DW$T$62, DW_AT_type(*$C$DW$T$60)
	.dwattr $C$DW$T$62, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$62, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$62, DW_AT_decl_line(0x45)
	.dwattr $C$DW$T$62, DW_AT_decl_column(0x16)
$C$DW$T$63	.dwtag  DW_TAG_typedef, DW_AT_name("uintmax_t")
	.dwattr $C$DW$T$63, DW_AT_type(*$C$DW$T$15)
	.dwattr $C$DW$T$63, DW_AT_language(DW_LANG_C)
	.dwattr $C$DW$T$63, DW_AT_decl_file("/opt/ti/C6000CGT7.4.0A12012//include/stdint.h")
	.dwattr $C$DW$T$63, DW_AT_decl_line(0x5d)
	.dwattr $C$DW$T$63, DW_AT_decl_column(0x20)
$C$DW$T$16	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$16, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$16, DW_AT_name("float")
	.dwattr $C$DW$T$16, DW_AT_byte_size(0x04)
$C$DW$T$17	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$17, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$17, DW_AT_name("double")
	.dwattr $C$DW$T$17, DW_AT_byte_size(0x08)
$C$DW$T$19	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$19, DW_AT_type(*$C$DW$T$17)
	.dwattr $C$DW$T$19, DW_AT_address_class(0x20)
$C$DW$T$20	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$20, DW_AT_type(*$C$DW$T$19)
$C$DW$T$21	.dwtag  DW_TAG_const_type
	.dwattr $C$DW$T$21, DW_AT_type(*$C$DW$T$17)
$C$DW$T$22	.dwtag  DW_TAG_pointer_type
	.dwattr $C$DW$T$22, DW_AT_type(*$C$DW$T$21)
	.dwattr $C$DW$T$22, DW_AT_address_class(0x20)
$C$DW$T$23	.dwtag  DW_TAG_restrict_type
	.dwattr $C$DW$T$23, DW_AT_type(*$C$DW$T$22)
$C$DW$T$18	.dwtag  DW_TAG_base_type
	.dwattr $C$DW$T$18, DW_AT_encoding(DW_ATE_float)
	.dwattr $C$DW$T$18, DW_AT_name("long double")
	.dwattr $C$DW$T$18, DW_AT_byte_size(0x08)
	.dwattr $C$DW$CU, DW_AT_language(DW_LANG_C)
	.dwendtag $C$DW$CU

